<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>完工信息</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html {
            background-color: #fff;
            padding-bottom: 50px;
        }
        .layui-tab-title{
            margin: 0 0 0 20px;
            border-color: #fff;
        }
        .layui-tab-content{
            margin: 0 0 0 20px;
        }
        .bj-img {
            margin-right: 0;
        }
        .array {
            margin-right: 5px;
        }
        .blank-img {
            background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
            width: 80px;
            height: 80px;
            display: inline-block;
        }

        .materialTable td, th {
            text-align: center !important;
        }

        .download-link {
            display: inline-block;
            padding: 8px 16px;
            color: #007bff;
            text-decoration: none;
            border-radius: 4px;
        }
        .sl-img{
            width: 80px;
            height: 80px;
            border: 1px solid #ddd;
            float: left;
            margin-right: 10px;
            margin-bottom: 10px;
            position: relative;
        }
        .sl-img > img {
            width: 100%;
            height: 100%;
        }
        .sl-img > span {
            position: absolute;
            right: 0;
            bottom: 0;
            background-color: #adacac;
            width: 100%;
            height: 20px;
            line-height: 20px;
            text-align: center;
            color: #fff;
            cursor: pointer;
            display: block;
        }

        .file-container {
            display: flex;
            align-items: center;
        }

        .img-wrapper {
            margin-right: 10px; /* 调整图片和文件名之间的间距 */
        }

        .bj-img > span{
            z-index: 1;
        }
    </style>
</head>
<body>
<div class="layui-fluid">
    <div class="order-win layui-form" id="LAY_app">
        <div class="layui-card-body pt-20 pb-40">
            <div class="layui-col-xs12 form-box">
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站编码：</label>
                    <div class="layui-input-block ">
                        <input type="text" autocomplete="off" disabled  name="stationCode" lay-verify="stationCode" class="layui-input" value="${customerEntry.powerStationCode}">
                    </div>
                </div>
<%--                <div class="layui-inline layui-col-sm3">--%>
<%--                    <label class="layui-form-label">电站名称：</label>--%>
<%--                    <div class="layui-input-block">--%>
<%--                        <input type="text" name="power_station_name" class="layui-input" disabled >--%>
<%--                    </div>--%>
<%--                </div>--%>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">产品名称：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="projectName"  class="layui-input" value="${customerEntry.projectName}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">项目公司：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="projectCompanyName" class="layui-input" value="${customerEntry.projectCompanyName}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站状态：</label>
                    <div class="layui-input-block ">
                        <input type="text" disabled class="layui-input layui-bg-gray"
                        <c:choose>
                        <c:when test="${customerEntry.status eq '4'}">
                               <c:if test="${customerEntry.installFlag eq '1'}">value="待派工"</c:if>
                               <c:if test="${customerEntry.installFlag eq '2'}">value="待安装"</c:if>
                               <c:if test="${customerEntry.installFlag eq '3'}">value="自审驳回"</c:if>
                               <c:if test="${customerEntry.installFlag eq '4'}">value="安装完成"</c:if>
                        </c:when>
                        </c:choose>
                        >
                    </div>
                </div>
                <div class="layui-col-sm3 layui-col-md3">
                    <label class="layui-form-label">备案类型：</label>
                    <div class="layui-input-block ">
                        <c:choose>
                            <c:when test="${customerEntry.filingType eq '1'}">
                                <input type="text"  name="status" class="layui-input" value="农户备案" disabled>
                            </c:when>
                            <c:when test="${customerEntry.filingType eq '2'}">
                                <input type="text"  name="status" class="layui-input" value="项目公司备案" disabled>
                            </c:when>
                        </c:choose>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">代理商：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="traderName" class="layui-input" value="${customerEntry.traderName}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label">业务员：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="creator" class="layui-input" value="${customerEntry.creator}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label">创建时间：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="creator" class="layui-input" value="<fmt:formatDate value="${customerEntry.createTime}" pattern="yyyy-MM-dd HH:mm:ss"/>" disabled>
                    </div>
                </div>

            </div>
        </div>
        <div class="clear-both">
            <p class="layui-elem-quote" style="margin: 0px 0px 0px 10px">完工信息</p>
            <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
            <ul class="layui-tab-title">
                <li class="layui-this">安装物料</li>
                <li>完工资料</li>
            </ul>
            <div style="display: flex;">
                <div style="margin-left: 170px">物料安装状态：<input type="checkbox" name="materialFixFlag" title="安装已完成"
                                                                    lay-skin="primary" <c:if test="${customerEntry.materialFixFlag eq '1'}">checked</c:if> disabled/>
                </div>
                <div style="margin-left: 20px">实际安装容量(W)：${customerEntry.actualCapacity}</div>
            </div>
            <div class="layui-tab-content">
                <div style="display: flex;">
                    <div style="width: 10%">
                        <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                            <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                    onclick="changeMaterialTab(0)">组件
                            </button>
                        </div>
                        <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                            <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                    onclick="changeMaterialTab(1)">逆变器
                            </button>
                        </div>
                        <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                            <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                    onclick="changeMaterialTab(2)">其它
                            </button>
                        </div>
                    </div>
                    <div style="width: 90%;">
                        <table class="layui-table materialTable" style="margin: 0 10px 0 0;">
                            <thead>
                            <tr>
                                <th>序号</th>
                                <th>物料代码</th>
                                <th>物料名称</th>
                                <th>物料规格</th>
                                <th>物料型号</th>
                                <th>品牌</th>
                                <th>物料条码</th>
                            </tr>
                            </thead>
                            <tbody>
                            <c:forEach items="${zjList}" varStatus="vs" var="material">
                                <tr>
                                    <td>${vs.count}</td>
                                    <td>${material.columns.code}</td>
                                    <td>${material.columns.name}</td>
                                    <td>${material.columns.spec}</td>
                                    <td>${material.columns.material_model}</td>
                                    <td>${material.columns.brand}</td>
                                    <td>${material.columns.barcode}</td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                        <table class="layui-table materialTable layui-hide" style="margin: 0 10px 0 0;">
                            <thead>
                            <tr>
                                <th>序号</th>
                                <th>物料代码</th>
                                <th>物料名称</th>
                                <th>物料规格</th>
                                <th>物料型号</th>
                                <th>品牌</th>
                                <th>物料条码</th>
                                <th>SN码</th>
                                <th>通讯棒SN码</th>
                            </tr>
                            </thead>
                            <tbody>
                            <c:forEach items="${nbqList}" varStatus="vs" var="material">
                                <tr>
                                    <td>${vs.count}</td>
                                    <td>${material.columns.code}</td>
                                    <td>${material.columns.name}</td>
                                    <td>${material.columns.spec}</td>
                                    <td>${material.columns.material_model}</td>
                                    <td>${material.columns.brand}</td>
                                    <td>${material.columns.barcode}</td>
                                    <td>${material.columns.nbq_sn}</td>
                                    <td>${material.columns.sn}</td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                        <table class="layui-table materialTable layui-hide" style="margin: 0 10px 0 0;">
                            <thead>
                            <tr>
                                <th>序号</th>
                                <th>物料代码</th>
                                <th>物料名称</th>
                                <th>物料规格</th>
                                <th>物料型号</th>
                                <th>品牌</th>
                                <th>数量</th>
                            </tr>
                            </thead>
                            <tbody>
                            <c:forEach items="${otherList}" varStatus="vs" var="material">
                                <tr>
                                    <td>${vs.count}</td>
                                    <td>${material.columns.code}</td>
                                    <td>${material.columns.name}</td>
                                    <td>${material.columns.spec}</td>
                                    <td>${material.columns.material_model}</td>
                                    <td>${material.columns.brand}</td>
                                    <td>${material.columns.amount}</td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="layui-tab-content layui-hide">
                <c:set var="indexNum" value="1"/>
                <table class="layui-table" style="margin: 0 10px 0 0;">
                    <c:if test="${formSet.columns.filing_document_photo.status eq '1'}">
                        <tr style="height: 50px">
                            <td width="15%">${indexNum}、<c:if test="${customerEntry.filingType eq '2'}"><i class="mark">*</i></c:if>项目备案证(1-4张)</td>
                            <td width="80%">
                                <div class=" layui-col-lg3 layui-col-sm3  layui-input-inline img-box" style="margin-left: 20px;">
                                    <div style="display: flex">
                                        <div id="imgsDiv1">
                                            <div  id="uploader1" <c:if test="${filingDocumentPhotoCount >= 4}">style="display: none"</c:if>>
                                                <span style="color:blue;cursor: pointer" id="uploader1">上传</span>
                                            </div>
                                            <c:set var="filingDocumentPhotoCount" value="${filingDocumentPhotoCount}"/>
                                            <c:if test="${not empty surveyRecord.filingDocumentPhoto}">
                                                <c:forEach items="${surveyRecord.filingDocumentPhoto}" var="file" varStatus="vs">
                                                    <div>
                                                        <span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,'uploader1')"></span>
                                                        <a style="color:#2890ac;" href="${commonStaticImgPath}${file}" download="${file}" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                        <input type="hidden" name="filingDocumentPhoto" class="filingDocumentPhoto" value="${file}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                    </div>
                                </div>
                                <c:if test="${formSet.columns.filing_document_code.status eq '1'}">
                                    <div class="layui-col-lg3 layui-col-sm3 ">
                                        <label class="layui-form-label"><c:if test="${customerEntry.filingType eq '2'}"><i class="mark">*</i></c:if>备案代码：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="filingDocumentCode" id="filingDocumentCode" autocomplete="off"  value="${surveyRecord.filingDocumentCode}" class="layui-input">
                                        </div>
                                    </div>
                                </c:if>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${contractUrlFlag eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<i class="mark">*</i>合同</td>
                            <td width="80%">
                                <div class="layui-input-inline img-box" style="margin-left: 20px;">
                                    <div style="display: flex">
                                        <div id="imgsDiv66">
                                            <div  id="uploader66" <c:if test="${not empty report.contractUrl}">style="display: none"</c:if>>
                                                <span style="color:blue;cursor: pointer" id="uploader66">上传</span>
                                            </div>
                                            <c:if test="${not empty report.contractUrl}">
                                                <div>
                                                    <span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,'uploader66')"></span>
                                                    <a style="color:#2890ac;" href="${commonStaticImgPath}${report.contractUrl}" download="${report.contractUrl}" class="download-link">${fns:substringAfterLast(report.contractUrl, '/')}</a>
                                                    <input type="hidden" name="contractUrl" class="contractUrl" value="${report.contractUrl}">
                                                </div>
                                            </c:if>
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>


                    <c:if test="${formSet.columns.kg_condition_files.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.kg_condition_files.mustFillFlag eq '1'}"><i class="mark">*</i></c:if> 安全防护措施文件(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-inline img-box" style="margin-left: 20px;">
                                    <div style="display: flex">
                                        <div id="imgsDiv65">
                                            <div  id="uploader65" <c:if test="${kgConditionFilesCount >= 15}">style="display: none"</c:if>>
                                                <span style="color:blue;cursor: pointer" id="uploader65">上传</span>
                                            </div>
                                            <c:set var="kgConditionFilesCount" value="${kgConditionFilesCount}"/>
                                            <c:if test="${not empty report.kgConditionFiles}">
                                                <c:forEach items="${report.kgConditionFiles}" var="file" varStatus="vs">
                                                    <div>
                                                        <span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,'uploader65')"></span>
                                                        <a style="color:#2890ac;" href="${commonStaticImgPath}${file}" download="${file}" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                        <input type="hidden" name="kgConditionFiles" class="kgConditionFiles" value="${file}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>


                    <c:if test="${customerEntry.tenantType eq '2'}">
                        <c:if test="${formSet.columns.other_imgs1.status eq '1'}">
                            <tr style="height: 100px">
                                <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>银行印鉴留样(1-4张)</td>
                                <td width="80%">
                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                        <div style="display: flex;">
                                            <div id="imgsDiv2">
                                                <c:set var="otherImgs1Count" value="0"/>
                                                <c:if test="${not empty report.otherImgs1}">
                                                    <c:forEach var="img" items="${report.otherImgs1.split(',')}" varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader2')"></span>
                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                            <input type="hidden" name="otherImgs1" class="otherImgs1" value="${img}">
                                                        </div>
                                                        <c:set var="otherImgs1Count" value="${vs.count}"/>
                                                    </c:forEach>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${otherImgs1Count >=4}">hide</c:if>" id="uploader2">
                                                <img src="" alt="img placeholder" id="otherImgs1">
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <c:set var="indexNum" value="${indexNum+1}"/>
                            </tr>
                        </c:if>
                        <c:if test="${formSet.columns.other_imgs2.status eq '1'}">
                            <tr style="height: 100px">
                                <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>签约现场照片-法定代表人/负责人签字照(1-4张)</td>
                                <td width="80%">
                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                        <div style="display: flex">
                                            <div id="imgsDiv3">
                                                <c:set var="otherImgs2Count" value="0"/>
                                                <c:if test="${not empty report.otherImgs2}">
                                                    <c:forEach var="img" items="${report.otherImgs2.split(',')}" varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader3')"></span>
                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                            <input type="hidden" name="otherImgs2" class="otherImgs2" value="${img}">
                                                        </div>
                                                        <c:set var="otherImgs2Count" value="${vs.count}"/>
                                                    </c:forEach>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${otherImgs2Count >=4}">hide</c:if>" id="uploader3">
                                                <img src="" alt="img placeholder" id="otherImgs2">
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <c:set var="indexNum" value="${indexNum+1}"/>
                            </tr>
                        </c:if>
                        <c:if test="${formSet.columns.other_imgs3.status eq '1'}">
                            <tr style="height: 100px">
                                <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>签约现场照片-正脸、持笔/持印、合同签署页同框(1-4张)</td>
                                <td width="80%">
                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                        <div style="display: flex">
                                            <div id="imgsDiv4">
                                                <c:set var="otherImgs3Count" value="0"/>
                                                <c:if test="${not empty report.otherImgs3}">
                                                    <c:forEach var="img" items="${report.otherImgs3.split(',')}" varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader4')"></span>
                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                            <input type="hidden" name="otherImgs3" class="otherImgs3" value="${img}">
                                                        </div>
                                                        <c:set var="otherImgs3Count" value="${vs.count}"/>
                                                    </c:forEach>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${otherImgs3Count >=4}">hide</c:if>" id="uploader4">
                                                <img src="" alt="img placeholder" id="otherImgs3">
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <c:set var="indexNum" value="${indexNum+1}"/>
                            </tr>
                        </c:if>
                        <c:if test="${formSet.columns.other_imgs4.status eq '1'}">
                            <tr style="height: 100px">
                                <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>签署完成照片(1-4张)</td>
                                <td width="80%">
                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                        <div style="display: flex">
                                            <div id="imgsDiv5">
                                                <c:set var="otherImgs4Count" value="0"/>
                                                <c:if test="${not empty report.otherImgs4}">
                                                    <c:forEach var="img" items="${report.otherImgs4.split(',')}" varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader5')"></span>
                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                            <input type="hidden" name="otherImgs4" class="otherImgs4" value="${img}">
                                                        </div>
                                                        <c:set var="otherImgs4Count" value="${vs.count}"/>
                                                    </c:forEach>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${otherImgs4Count >=4}">hide</c:if>" id="uploader5">
                                                <img src="" alt="img placeholder" id="otherImgs4">
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <c:set var="indexNum" value="${indexNum+1}"/>
                            </tr>
                        </c:if>
                    </c:if>
                    <c:if test="${formSet.columns.dzjc1.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.dzjc1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>电站基础-主屋(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'dzjc1'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv6">
                                            <c:set var="dzjc1Count" value="0"/>
                                            <c:if test="${not empty report.dzjc1}">
                                                <c:forEach var="img" items="${report.dzjc1.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader6')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="dzjc1" class="dzjc1" value="${img}">
                                                    </div>
                                                    <c:set var="dzjc1Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${dzjc1Count >=15}">hide</c:if>" id="uploader6">
                                            <img src="" alt="img placeholder" id="dzjc1">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.dzjc2.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.dzjc2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>电站基础-副屋(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'dzjc2'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv7">
                                            <c:set var="dzjc2Count" value="0"/>
                                            <c:if test="${not empty report.dzjc2}">
                                                <c:forEach var="img" items="${report.dzjc2.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader7')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="dzjc2" class="dzjc2" value="${img}">
                                                    </div>
                                                    <c:set var="dzjc2Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${dzjc2Count >=15}">hide</c:if>" id="uploader7">
                                            <img src="" alt="img placeholder" id="dzjc2">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img1.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架正面照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img1'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv8">
                                            <c:set var="zjImg1Count" value="0"/>
                                            <c:if test="${not empty report.zjImg1}">
                                                <c:forEach var="img" items="${report.zjImg1.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader8')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg1" class="zjImg1" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg1Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg1Count >=15}">hide</c:if>" id="uploader8">
                                            <img src="" alt="img placeholder" id="zjImg1">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img2.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架侧视图(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img2'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv9">
                                            <c:set var="zjImg2Count" value="0"/>
                                            <c:if test="${not empty report.zjImg2}">
                                                <c:forEach var="img" items="${report.zjImg2.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader9')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg2" class="zjImg2" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg2Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg2Count >=15}">hide</c:if>" id="uploader9">
                                            <img src="" alt="img placeholder" id="zjImg2">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img3.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架北侧图(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img3'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv10">
                                            <c:set var="zjImg3Count" value="0"/>
                                            <c:if test="${not empty report.zjImg3}">
                                                <c:forEach var="img" items="${report.zjImg3.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader10')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg3" class="zjImg3" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg3Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg3Count >=15}">hide</c:if>" id="uploader10">
                                            <img src="" alt="img placeholder" id="zjImg3">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.component_img2.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.component_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件方位角照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'component_img2'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv14">
                                            <c:set var="componentImg2Count" value="0"/>
                                            <c:if test="${not empty report.componentImg2}">
                                                <c:forEach var="img" items="${report.componentImg2.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader14')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="componentImg2" class="componentImg2" value="${img}">
                                                    </div>
                                                    <c:set var="componentImg2Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${componentImg2Count >=15}">hide</c:if>" id="uploader14">
                                            <img src="" alt="img placeholder" id="componentImg2">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.dqsb_an_img_one.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.dqsb_an_img_one.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>逆变器注册截图照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'dqsb_an_img_one'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv21">
                                            <c:set var="dqsbAnImgOneCount" value="0"/>
                                            <c:if test="${not empty report.dqsbAnImgOne}">
                                                <c:forEach var="img" items="${report.dqsbAnImgOne.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader21')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="dqsbAnImgOne" class="dqsbAnImgOne" value="${img}">
                                                    </div>
                                                    <c:set var="dqsbAnImgOneCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${dqsbAnImgOneCount >=15}">hide</c:if>" id="uploader21">
                                            <img src="" alt="img placeholder" id="dqsbAnImgOne">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_plate_img.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_plate_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件铭牌照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_plate_img'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv23">
                                            <c:set var="zjPlateImgCount" value="0"/>
                                            <c:if test="${not empty report.zjPlateImg}">
                                                <c:forEach var="img" items="${report.zjPlateImg.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader23')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjPlateImg" class="zjPlateImg" value="${img}">
                                                    </div>
                                                    <c:set var="zjPlateImgCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjPlateImgCount >=15}">hide</c:if>" id="uploader23">
                                            <img src="" alt="img placeholder" id="zjPlateImg">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img1.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件与组件之间接地照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'jd_img1'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv25">
                                            <c:set var="jdImg1Count" value="0"/>
                                            <c:if test="${not empty report.jdImg1}">
                                                <c:forEach var="img" items="${report.jdImg1.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader25')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg1" class="jdImg1" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg1Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg1Count >=15}">hide</c:if>" id="uploader25">
                                            <img src="" alt="img placeholder" id="jdImg1">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img2.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件与支架接地照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'jd_img2'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv26">
                                            <c:set var="jdImg2Count" value="0"/>
                                            <c:if test="${not empty report.jdImg2}">
                                                <c:forEach var="img" items="${report.jdImg2.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader26')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg2" class="jdImg2" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg2Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg2Count >=15}">hide</c:if>" id="uploader26">
                                            <img src="" alt="img placeholder" id="jdImg2">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img3.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架与接地扁铁连接照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'jd_img3'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv27">
                                            <c:set var="jdImg3Count" value="0"/>
                                            <c:if test="${not empty report.jdImg3}">
                                                <c:forEach var="img" items="${report.jdImg3.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader27')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg3" class="jdImg3" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg3Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg3Count >=15}">hide</c:if>" id="uploader27">
                                            <img src="" alt="img placeholder" id="jdImg3">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.safety_warning_img2.status eq '1' || formSet.columns.safety_warning_img2_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.safety_warning_img2.mustFillFlag eq '1' || formSet.columns.safety_warning_img2_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.safety_warning_img2.status eq '1'}">
                                        三级安全教育登记卡(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.safety_warning_img2_03.status eq '1'}">
                                        施工安全图-三级安全教育(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'safety_warning_img2'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv33">
                                            <c:set var="safetyWarningImg2Count" value="0"/>
                                            <c:if test="${not empty report.safetyWarningImg2}">
                                                <c:forEach var="img" items="${report.safetyWarningImg2.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader33')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="safetyWarningImg2" class="safetyWarningImg2" value="${img}">
                                                    </div>
                                                    <c:set var="safetyWarningImg2Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${safetyWarningImg2Count >=15}">hide</c:if>" id="uploader33">
                                            <img src="" alt="img placeholder" id="safetyWarningImg2">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.safety_warning_img3.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.safety_warning_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>施工安全图-开工前站班会（施工安全用品：安全帽、安全绳、反光衣、工作鞋）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'safety_warning_img3'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv34">
                                            <c:set var="safetyWarningImg3Count" value="0"/>
                                            <c:if test="${not empty report.safetyWarningImg3}">
                                                <c:forEach var="img" items="${report.safetyWarningImg3.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader34')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="safetyWarningImg3" class="safetyWarningImg3" value="${img}">
                                                    </div>
                                                    <c:set var="safetyWarningImg3Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${safetyWarningImg3Count >=15}">hide</c:if>" id="uploader34">
                                            <img src="" alt="img placeholder" id="safetyWarningImg3">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.safety_warning_img.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.safety_warning_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>施工安全图-安全警示牌(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'safety_warning_img'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv35">
                                            <c:set var="safetyWarningImgCount" value="0"/>
                                            <c:if test="${not empty report.safetyWarningImg}">
                                                <c:forEach var="img" items="${report.safetyWarningImg.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader35')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="safetyWarningImg" class="safetyWarningImg" value="${img}">
                                                    </div>
                                                    <c:set var="safetyWarningImgCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${safetyWarningImgCount >=15}">hide</c:if>" id="uploader35">
                                            <img src="" alt="img placeholder" id="safetyWarningImg">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.safety_disclose_doc_img.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.safety_disclose_doc_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>施工安全图-安全技术交底书(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'safety_disclose_doc_img'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv36">
                                            <c:set var="safetyDiscloseDocImgCount" value="0"/>
                                            <c:if test="${not empty report.safetyDiscloseDocImg}">
                                                <c:forEach var="img" items="${report.safetyDiscloseDocImg.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader36')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="safetyDiscloseDocImg" class="safetyDiscloseDocImg" value="${img}">
                                                    </div>
                                                    <c:set var="safetyDiscloseDocImgCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${safetyDiscloseDocImgCount >=15}">hide</c:if>" id="uploader36">
                                            <img src="" alt="img placeholder" id="safetyDiscloseDocImg">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img10.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img10.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>基础安装-螺栓孔洞防水图(3-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img10'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv42">
                                            <c:set var="zjImg10Count" value="0"/>
                                            <c:if test="${not empty report.zjImg10}">
                                                <c:forEach var="img" items="${report.zjImg10.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader42')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg10" class="zjImg10" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg10Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg10Count >=15}">hide</c:if>" id="uploader42">
                                            <img src="" alt="img placeholder" id="zjImg10">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img11.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img11.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>基础安装-柱脚防水完工图(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img11'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv43">
                                            <c:set var="zjImg11Count" value="0"/>
                                            <c:if test="${not empty report.zjImg11}">
                                                <c:forEach var="img" items="${report.zjImg11.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader43')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg11" class="zjImg11" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg11Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg11Count >=15}">hide</c:if>" id="uploader43">
                                            <img src="" alt="img placeholder" id="zjImg11">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img5.status eq '1' || formSet.columns.zj_img5_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img5.mustFillFlag eq '1' || formSet.columns.zj_img5_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.zj_img5.status eq '1'}">
                                        航拍图照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.zj_img5_03.status eq '1'}">
                                        支架安装图-支架安装完成VR图(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.zj_img5.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img5'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.zj_img5_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img5_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv12">
                                            <c:set var="zjImg5Count" value="0"/>
                                            <c:if test="${not empty report.zjImg5}">
                                                <c:forEach var="img" items="${report.zjImg5.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader12')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg5" class="zjImg5" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg5Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg5Count >=15}">hide</c:if>" id="uploader12">
                                            <img src="" alt="img placeholder" id="zjImg5">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img8.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img8.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-支架方阵（东向西完工照）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img8'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv40">
                                            <c:set var="zjImg8Count" value="0"/>
                                            <c:if test="${not empty report.zjImg8}">
                                                <c:forEach var="img" items="${report.zjImg8.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader40')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg8" class="zjImg8" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg8Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg8Count >=15}">hide</c:if>" id="uploader40">
                                            <img src="" alt="img placeholder" id="zjImg8">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img9.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img9.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-支架方阵（北向南完工照）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img9'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv41">
                                            <c:set var="zjImg9Count" value="0"/>
                                            <c:if test="${not empty report.zjImg9}">
                                                <c:forEach var="img" items="${report.zjImg9.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader41')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg9" class="zjImg9" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg9Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg9Count >=15}">hide</c:if>" id="uploader41">
                                            <img src="" alt="img placeholder" id="zjImg9">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img4.status eq '1' || formSet.columns.zj_img4_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img4.mustFillFlag eq '1' || formSet.columns.zj_img4_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.zj_img4.status eq '1'}">
                                        支架型号照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.zj_img4_03.status eq '1'}">
                                        支架安装图-立柱东西间距、南北间距（带尺寸）(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.zj_img4.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img4'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.zj_img4_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img4_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv11">
                                            <c:set var="zjImg4Count" value="0"/>
                                            <c:if test="${not empty report.zjImg4}">
                                                <c:forEach var="img" items="${report.zjImg4.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader11')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg4" class="zjImg4" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg4Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg4Count >=15}">hide</c:if>" id="uploader11">
                                            <img src="" alt="img placeholder" id="zjImg4">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img12.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img12.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-斜梁悬挑（南）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img12'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv44">
                                            <c:set var="zjImg12Count" value="0"/>
                                            <c:if test="${not empty report.zjImg12}">
                                                <c:forEach var="img" items="${report.zjImg12.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader44')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg12" class="zjImg12" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg12Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg12Count >=15}">hide</c:if>" id="uploader44">
                                            <img src="" alt="img placeholder" id="zjImg12">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img13.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img13.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-斜梁悬挑（北）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img13'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv45">
                                            <c:set var="zjImg13Count" value="0"/>
                                            <c:if test="${not empty report.zjImg13}">
                                                <c:forEach var="img" items="${report.zjImg13.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader45')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg13" class="zjImg13" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg13Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg13Count >=15}">hide</c:if>" id="uploader45">
                                            <img src="" alt="img placeholder" id="zjImg13">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img14.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img14.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-檀条悬挑（东）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img14'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv46">
                                            <c:set var="zjImg14Count" value="0"/>
                                            <c:if test="${not empty report.zjImg14}">
                                                <c:forEach var="img" items="${report.zjImg14.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader46')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg14" class="zjImg14" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg14Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg14Count >=15}">hide</c:if>" id="uploader46">
                                            <img src="" alt="img placeholder" id="zjImg14">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img15.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img15.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-檀条悬挑（西）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'zj_img15'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv47">
                                            <c:set var="zjImg15Count" value="0"/>
                                            <c:if test="${not empty report.zjImg15}">
                                                <c:forEach var="img" items="${report.zjImg15.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader47')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjImg15" class="zjImg15" value="${img}">
                                                    </div>
                                                    <c:set var="zjImg15Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjImg15Count >=15}">hide</c:if>" id="uploader47">
                                            <img src="" alt="img placeholder" id="zjImg15">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img4.status eq '1' || formSet.columns.jd_img4_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img4.mustFillFlag eq '1' || formSet.columns.jd_img4_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.jd_img4.status eq '1'}">
                                        接地扁铁下墙照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.jd_img4_03.status eq '1'}">
                                        支架接地图-支架接地(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.jd_img4.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img4'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.jd_img4_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img4_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv28">
                                            <c:set var="jdImg4Count" value="0"/>
                                            <c:if test="${not empty report.jdImg4}">
                                                <c:forEach var="img" items="${report.jdImg4.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader28')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg4" class="jdImg4" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg4Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg4Count >=15}">hide</c:if>" id="uploader28">
                                            <img src="" alt="img placeholder" id="jdImg4">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.component_img3.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.component_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件航拍俯视照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'component_img3'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv37">
                                            <c:set var="componentImg3Count" value="0"/>
                                            <c:if test="${not empty report.componentImg3}">
                                                <c:forEach var="img" items="${report.componentImg3.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader37')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="componentImg3" class="componentImg3" value="${img}">
                                                    </div>
                                                    <c:set var="componentImg3Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${componentImg3Count >=15}">hide</c:if>" id="uploader37">
                                            <img src="" alt="img placeholder" id="componentImg3">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.component_img4.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.component_img4.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件安装完成VR视图(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'component_img4'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv60">
                                            <c:set var="componentImg4Count" value="0"/>
                                            <c:if test="${not empty report.componentImg4}">
                                                <c:forEach var="img" items="${report.componentImg4.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader60')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="componentImg4" class="componentImg4" value="${img}">
                                                    </div>
                                                    <c:set var="componentImg4Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${componentImg4Count >=15}">hide</c:if>" id="uploader60">
                                            <img src="" alt="img placeholder" id="componentImg4">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bk_img1.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.bk_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>边框接地图-边框与边框接地(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'bk_img1'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv48">
                                            <c:set var="bkImg1Count" value="0"/>
                                            <c:if test="${not empty report.bkImg1}">
                                                <c:forEach var="img" items="${report.bkImg1.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader48')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="bkImg1" class="bkImg1" value="${img}">
                                                    </div>
                                                    <c:set var="bkImg1Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${bkImg1Count >=15}">hide</c:if>" id="uploader48">
                                            <img src="" alt="img placeholder" id="bkImg1">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.component_img1.status eq '1' || formSet.columns.component_img1_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.component_img1.mustFillFlag eq '1' || formSet.columns.component_img1_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.component_img1.status eq '1'}">
                                        组件倾角照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.component_img1_03.status eq '1'}">
                                        边框接地图-组件安装倾角(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.component_img1.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'component_img1'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.component_img1_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'component_img1_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv13">
                                            <c:set var="componentImg1Count" value="0"/>
                                            <c:if test="${not empty report.componentImg1}">
                                                <c:forEach var="img" items="${report.componentImg1.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader13')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="componentImg1" class="componentImg1" value="${img}">
                                                    </div>
                                                    <c:set var="componentImg1Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${componentImg1Count >=15}">hide</c:if>" id="uploader13">
                                            <img src="" alt="img placeholder" id="componentImg1">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bk_img2.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.bk_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>边框接地图-边框与支架接地(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'bk_img2'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv49">
                                            <c:set var="bkImg2Count" value="0"/>
                                            <c:if test="${not empty report.bkImg2}">
                                                <c:forEach var="img" items="${report.bkImg2.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader49')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="bkImg2" class="bkImg2" value="${img}">
                                                    </div>
                                                    <c:set var="bkImg2Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${bkImg2Count >=15}">hide</c:if>" id="uploader49">
                                            <img src="" alt="img placeholder" id="bkImg2">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bk_img3.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.bk_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>边框接地图-其他图片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'bk_img3'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv50">
                                            <c:set var="bkImg3Count" value="0"/>
                                            <c:if test="${not empty report.bkImg3}">
                                                <c:forEach var="img" items="${report.bkImg3.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader50')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="bkImg3" class="bkImg3" value="${img}">
                                                    </div>
                                                    <c:set var="bkImg3Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${bkImg3Count >=15}">hide</c:if>" id="uploader50">
                                            <img src="" alt="img placeholder" id="bkImg3">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.yk_img1.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.yk_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>压块或背压板照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'yk_img1'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv51">
                                            <c:set var="ykImg1Count" value="0"/>
                                            <c:if test="${not empty report.ykImg1}">
                                                <c:forEach var="img" items="${report.ykImg1.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader51')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="ykImg1" class="ykImg1" value="${img}">
                                                    </div>
                                                    <c:set var="ykImg1Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${ykImg1Count >=15}">hide</c:if>" id="uploader51">
                                            <img src="" alt="img placeholder" id="ykImg1">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.dc_imgs.status eq '1' || formSet.columns.dc_imgs_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.dc_imgs.mustFillFlag eq '1' || formSet.columns.dc_imgs_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.dc_imgs.status eq '1'}">
                                        逆变器安装照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.dc_imgs_03.status eq '1'}">
                                        逆变器安装图-整体外观及走线及采集器（离地高度）（1-15张）
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.dc_imgs.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'dc_imgs'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.dc_imgs_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'dc_imgs_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv19">
                                            <c:set var="dcImgsCount" value="0"/>
                                            <c:if test="${not empty report.dcImgs}">
                                                <c:forEach var="img" items="${report.dcImgs.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader19')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="dcImgs" class="dcImgs" value="${img}">
                                                    </div>
                                                    <c:set var="dcImgsCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${dcImgsCount >=15}">hide</c:if>" id="uploader19">
                                            <img src="" alt="img placeholder" id="dcImgs">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.nbq_plate_img.status eq '1' || formSet.columns.nbq_plate_img_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.nbq_plate_img.mustFillFlag eq '1' || formSet.columns.nbq_plate_img_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.nbq_plate_img.status eq '1'}">
                                        逆变器铭牌照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.nbq_plate_img_03.status eq '1'}">
                                        逆变器安装图-铭牌(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.nbq_plate_img.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'nbq_plate_img'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.nbq_plate_img_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'nbq_plate_img_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv22">
                                            <c:set var="nbqPlateImgCount" value="0"/>
                                            <c:if test="${not empty report.nbqPlateImg}">
                                                <c:forEach var="img" items="${report.nbqPlateImg.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader22')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="nbqPlateImg" class="nbqPlateImg" value="${img}">
                                                    </div>
                                                    <c:set var="nbqPlateImgCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${nbqPlateImgCount >=15}">hide</c:if>" id="uploader22">
                                            <img src="" alt="img placeholder" id="nbqPlateImg">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.total_imgs.status eq '1' || formSet.columns.total_imgs_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.total_imgs.mustFillFlag eq '1' || formSet.columns.total_imgs_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.total_imgs.status eq '1'}">
                                        逆变器组串接入照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.total_imgs_03.status eq '1'}">
                                        逆变器安装图-接地情况(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.total_imgs.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'total_imgs'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.total_imgs_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'total_imgs_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv17">
                                            <c:set var="totalImgsCount" value="0"/>
                                            <c:if test="${not empty report.totalImgs}">
                                                <c:forEach var="img" items="${report.totalImgs.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader17')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="totalImgs" class="totalImgs" value="${img}">
                                                    </div>
                                                    <c:set var="totalImgsCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${totalImgsCount >=15}">hide</c:if>" id="uploader17">
                                            <img src="" alt="img placeholder" id="totalImgs">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.nbq_zlc_img.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.nbq_zlc_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>逆变器安装图-逆变器交流侧(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'nbq_zlc_img'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv38">
                                            <c:set var="nbqZlcImgCount" value="0"/>
                                            <c:if test="${not empty report.nbqZlcImg}">
                                                <c:forEach var="img" items="${report.nbqZlcImg.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader38')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="nbqZlcImg" class="nbqZlcImg" value="${img}">
                                                    </div>
                                                    <c:set var="nbqZlcImgCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${nbqZlcImgCount >=15}">hide</c:if>" id="uploader38">
                                            <img src="" alt="img placeholder" id="nbqZlcImg">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.open_way_voltage_imgs.status eq '1' || formSet.columns.open_way_voltage_imgs_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.open_way_voltage_imgs.mustFillFlag eq '1' || formSet.columns.open_way_voltage_imgs_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.open_way_voltage_imgs.status eq '1'}">
                                        开路电压图(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.open_way_voltage_imgs_03.status eq '1'}">
                                        逆变器安装图-组串开路电压照片(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.open_way_voltage_imgs.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'open_way_voltage_imgs'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.open_way_voltage_imgs_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'open_way_voltage_imgs_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv24">
                                            <c:set var="openWayVoltageImgsCount" value="0"/>
                                            <c:if test="${not empty report.openWayVoltageImgs}">
                                                <c:forEach var="img" items="${report.openWayVoltageImgs.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader24')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="openWayVoltageImgs" class="openWayVoltageImgs" value="${img}">
                                                    </div>
                                                    <c:set var="openWayVoltageImgsCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${openWayVoltageImgsCount >=15}">hide</c:if>" id="uploader24">
                                            <img src="" alt="img placeholder" id="openWayVoltageImgs">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.nbq_zb_img.status eq '1' || formSet.columns.nbq_zb_img_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.nbq_zb_img.mustFillFlag eq '1' || formSet.columns.nbq_zb_img_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.nbq_zb_img.status eq '1'}">
                                        并网箱逆变器整体照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.nbq_zb_img_03.status eq '1'}">
                                        并网箱安装图-外观及走线（离地高度）(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.nbq_zb_img.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'nbq_zb_img'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.nbq_zb_img_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'nbq_zb_img_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv20">
                                            <c:set var="nbqZbImgCount" value="0"/>
                                            <c:if test="${not empty report.nbqZbImg}">
                                                <c:forEach var="img" items="${report.nbqZbImg.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader20')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="nbqZbImg" class="nbqZbImg" value="${img}">
                                                    </div>
                                                    <c:set var="nbqZbImgCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${nbqZbImgCount >=15}">hide</c:if>" id="uploader20">
                                            <img src="" alt="img placeholder" id="nbqZbImg">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_imgs8.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_imgs8.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>并网箱逆变器防雨罩照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'other_imgs8'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv64">
                                            <c:set var="otherImgs8Count" value="0"/>
                                            <c:if test="${not empty report.otherImgs8}">
                                                <c:forEach var="img" items="${report.otherImgs8.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader64')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="otherImgs8" class="otherImgs8" value="${img}">
                                                    </div>
                                                    <c:set var="otherImgs8Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${otherImgs8Count >=15}">hide</c:if>" id="uploader64">
                                            <img src="" alt="img placeholder" id="otherImgs8">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bw_inner_img.status eq '1' || formSet.columns.bw_inner_img_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.bw_inner_img.mustFillFlag eq '1' || formSet.columns.bw_inner_img_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.bw_inner_img.status eq '1'}">
                                        并网箱内部照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.bw_inner_img_03.status eq '1'}">
                                        并网箱安装图-并网箱内部全景(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.bw_inner_img.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'bw_inner_img'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.bw_inner_img_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'bw_inner_img_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv18">
                                            <c:set var="bwInnerImgCount" value="0"/>
                                            <c:if test="${not empty report.bwInnerImg}">
                                                <c:forEach var="img" items="${report.bwInnerImg.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader18')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="bwInnerImg" class="bwInnerImg" value="${img}">
                                                    </div>
                                                    <c:set var="bwInnerImgCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${bwInnerImgCount >=15}">hide</c:if>" id="uploader18">
                                            <img src="" alt="img placeholder" id="bwInnerImg">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bw_jd_img.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.bw_jd_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>并网箱安装图-接地情况(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'bw_jd_img'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv39">
                                            <c:set var="bwJdImgCount" value="0"/>
                                            <c:if test="${not empty report.bwJdImg}">
                                                <c:forEach var="img" items="${report.bwJdImg.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader39')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="bwJdImg" class="bwJdImg" value="${img}">
                                                    </div>
                                                    <c:set var="bwJdImgCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${bwJdImgCount >=15}">hide</c:if>" id="uploader39">
                                            <img src="" alt="img placeholder" id="bwJdImg">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.fix_other_img.status eq '1' || formSet.columns.fix_other_img_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.fix_other_img.mustFillFlag eq '1' || formSet.columns.fix_other_img_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.fix_other_img.status eq '1'}">
                                        线缆下墙照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.fix_other_img_03.status eq '1'}">
                                        线缆走向（屋顶、下墙）、线缆保护管（或桥架）敷设及固定照片(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.fix_other_img.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'fix_other_img'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.fix_other_img_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'fix_other_img_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv16">
                                            <c:set var="fixOtherImgCount" value="0"/>
                                            <c:if test="${not empty report.fixOtherImg}">
                                                <c:forEach var="img" items="${report.fixOtherImg.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader16')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="fixOtherImg" class="fixOtherImg" value="${img}">
                                                    </div>
                                                    <c:set var="fixOtherImgCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${fixOtherImgCount >=15}">hide</c:if>" id="uploader16">
                                            <img src="" alt="img placeholder" id="fixOtherImg">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.size_measure_imgs.status eq '1' || formSet.columns.size_measure_imgs_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.size_measure_imgs.mustFillFlag eq '1' || formSet.columns.size_measure_imgs_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.size_measure_imgs.status eq '1'}">
                                        屋顶线缆安装照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.size_measure_imgs_03.status eq '1'}">
                                        电缆桥架内部电缆照片(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.size_measure_imgs.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'size_measure_imgs'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.size_measure_imgs_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'size_measure_imgs_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv15">
                                            <c:set var="sizeMeasureImgsCount" value="0"/>
                                            <c:if test="${not empty report.sizeMeasureImgs}">
                                                <c:forEach var="img" items="${report.sizeMeasureImgs.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader15')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="sizeMeasureImgs" class="sizeMeasureImgs" value="${img}">
                                                    </div>
                                                    <c:set var="sizeMeasureImgsCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${sizeMeasureImgsCount >=15}">hide</c:if>" id="uploader15">
                                            <img src="" alt="img placeholder" id="sizeMeasureImgs">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img8.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img8.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-并网箱、逆变器安装接地极(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'jd_img8'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv52">
                                            <c:set var="jdImg8Count" value="0"/>
                                            <c:if test="${not empty report.jdImg8}">
                                                <c:forEach var="img" items="${report.jdImg8.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader52')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg8" class="jdImg8" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg8Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg8Count >=15}">hide</c:if>" id="uploader52">
                                            <img src="" alt="img placeholder" id="jdImg8">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img5.status eq '1' || formSet.columns.jd_img5_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img5.mustFillFlag eq '1' || formSet.columns.jd_img5_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.jd_img5.status eq '1'}">
                                        支架接地电阻照片(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.jd_img5_03.status eq '1'}">
                                        接地极图-支架接地电阻阻值（近景）(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:choose>
                                            <c:when test="${formSet.columns.jd_img5.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img5'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                            <c:when test="${formSet.columns.jd_img5_03.status eq '1'}">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img5_03'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                            </c:when>
                                        </c:choose>
                                        <div id="imgsDiv29">
                                            <c:set var="jdImg5Count" value="0"/>
                                            <c:if test="${not empty report.jdImg5}">
                                                <c:forEach var="img" items="${report.jdImg5.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader29')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg5" class="jdImg5" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg5Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg5Count >=15}">hide</c:if>" id="uploader29">
                                            <img src="" alt="img placeholder" id="jdImg5">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img11.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img11.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-支架接地电阻测量照片（远景）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'jd_img11'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv55">
                                            <c:set var="jdImg11Count" value="0"/>
                                            <c:if test="${not empty report.jdImg11}">
                                                <c:forEach var="img" items="${report.jdImg11.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader55')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg11" class="jdImg11" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg11Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg11Count >=15}">hide</c:if>" id="uploader55">
                                            <img src="" alt="img placeholder" id="jdImg11">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img9.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img9.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-并网箱、逆变器安装接地电阻阻值（近景）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'jd_img9'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv53">
                                            <c:set var="jdImg9Count" value="0"/>
                                            <c:if test="${not empty report.jdImg9}">
                                                <c:forEach var="img" items="${report.jdImg9.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader53')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg9" class="jdImg9" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg9Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg9Count >=15}">hide</c:if>" id="uploader53">
                                            <img src="" alt="img placeholder" id="jdImg9">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img12.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img12.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-并网箱、逆变器安装接地电阻测量照片（远景）(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'jd_img12'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv56">
                                            <c:set var="jdImg12Count" value="0"/>
                                            <c:if test="${not empty report.jdImg12}">
                                                <c:forEach var="img" items="${report.jdImg12.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader56')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg12" class="jdImg12" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg12Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg12Count >=15}">hide</c:if>" id="uploader56">
                                            <img src="" alt="img placeholder" id="jdImg12">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img10.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img10.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-接地引下线警示做法(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'jd_img10'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv54">
                                            <c:set var="jdImg10Count" value="0"/>
                                            <c:if test="${not empty report.jdImg10}">
                                                <c:forEach var="img" items="${report.jdImg10.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader54')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg10" class="jdImg10" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg10Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg10Count >=15}">hide</c:if>" id="uploader54">
                                            <img src="" alt="img placeholder" id="jdImg10">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.fs_img1.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.fs_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>防水措施图-横竖向水槽(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'fs_img1'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv57">
                                            <c:set var="fsImg1Count" value="0"/>
                                            <c:if test="${not empty report.fsImg1}">
                                                <c:forEach var="img" items="${report.fsImg1.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader57')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="fsImg1" class="fsImg1" value="${img}">
                                                    </div>
                                                    <c:set var="fsImg1Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${fsImg1Count >=15}">hide</c:if>" id="uploader57">
                                            <img src="" alt="img placeholder" id="fsImg1">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.fs_img2.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.fs_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>防水措施图-落水管走向及其固定(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'fs_img2'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv58">
                                            <c:set var="fsImg2Count" value="0"/>
                                            <c:if test="${not empty report.fsImg2}">
                                                <c:forEach var="img" items="${report.fsImg2.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader58')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="fsImg2" class="fsImg2" value="${img}">
                                                    </div>
                                                    <c:set var="fsImg2Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${fsImg2Count >=15}">hide</c:if>" id="uploader58">
                                            <img src="" alt="img placeholder" id="fsImg2">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.fs_img3.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.fs_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>防水措施图-其他图片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'fs_img3'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv59">
                                            <c:set var="fsImg3Count" value="0"/>
                                            <c:if test="${not empty report.fsImg3}">
                                                <c:forEach var="img" items="${report.fsImg3.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader59')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="fsImg3" class="fsImg3" value="${img}">
                                                    </div>
                                                    <c:set var="fsImg3Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${fsImg3Count >=15}">hide</c:if>" id="uploader59">
                                            <img src="" alt="img placeholder" id="fsImg3">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img6.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img6.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>电气接地电阻照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'jd_img6'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv30">
                                            <c:set var="jdImg6Count" value="0"/>
                                            <c:if test="${not empty report.jdImg6}">
                                                <c:forEach var="img" items="${report.jdImg6.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader30')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="jdImg6" class="jdImg6" value="${img}">
                                                    </div>
                                                    <c:set var="jdImg6Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${jdImg6Count >=15}">hide</c:if>" id="uploader30">
                                            <img src="" alt="img placeholder" id="jdImg6">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_imgs5.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_imgs5.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>水槽细节照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'other_imgs5'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv61">
                                            <c:set var="otherImgs5Count" value="0"/>
                                            <c:if test="${not empty report.otherImgs5}">
                                                <c:forEach var="img" items="${report.otherImgs5.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader61')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="otherImgs5" class="otherImgs5" value="${img}">
                                                    </div>
                                                    <c:set var="otherImgs5Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${otherImgs5Count >=15}">hide</c:if>" id="uploader61">
                                            <img src="" alt="img placeholder" id="otherImgs5">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_imgs6.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_imgs6.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>落水管照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'other_imgs6'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv62">
                                            <c:set var="otherImgs6Count" value="0"/>
                                            <c:if test="${not empty report.otherImgs6}">
                                                <c:forEach var="img" items="${report.otherImgs6.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader62')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="otherImgs6" class="otherImgs6" value="${img}">
                                                    </div>
                                                    <c:set var="otherImgs6Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${otherImgs6Count >=15}">hide</c:if>" id="uploader62">
                                            <img src="" alt="img placeholder" id="otherImgs6">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_imgs7.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_imgs7.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>假梁-斜梁方向照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'other_imgs7'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv63">
                                            <c:set var="otherImgs7Count" value="0"/>
                                            <c:if test="${not empty report.otherImgs7}">
                                                <c:forEach var="img" items="${report.otherImgs7.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader63')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="otherImgs7" class="otherImgs7" value="${img}">
                                                    </div>
                                                    <c:set var="otherImgs7Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${otherImgs7Count >=15}">hide</c:if>" id="uploader63">
                                            <img src="" alt="img placeholder" id="otherImgs7">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.water_mud_clamp_imgs.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.water_mud_clamp_imgs.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>导水排泥夹照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'water_mud_clamp_imgs'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv69">
                                            <c:set var="waterMudClampImgsCount" value="0"/>
                                            <c:if test="${not empty report.waterMudClampImgs}">
                                                <c:forEach var="img" items="${report.waterMudClampImgs.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader69')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="waterMudClampImgs" class="waterMudClampImgs" value="${img}">
                                                    </div>
                                                    <c:set var="waterMudClampImgsCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${fsImg2Count >=15}">hide</c:if>" id="uploader69">
                                            <img src="" alt="img placeholder" id="waterMudClampImgs">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_report.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_report.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>自检记录报告(1张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex">
                                        <div id="imgsDiv31">
                                            <c:set var="zjReportCount" value="0"/>
                                            <c:if test="${not empty report.zjReport}">
                                                <c:forEach var="img" items="${report.zjReport.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader31')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="zjReport" class="zjReport" value="${img}">
                                                    </div>
                                                    <c:set var="zjReportCount" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${zjReportCount >=1}">hide</c:if>" id="uploader31">
                                            <img src="" alt="img placeholder" id="zjReport">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_files.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_files.mustFillFlag eq '1'}"><i class="mark">*</i></c:if> 其他资料(1-2张)</td>
                            <td width="80%">
                                <div class="layui-input-inline img-box" style="margin-left: 20px;">
                                    <div style="display: flex">
                                        <div id="imgsDiv32">
                                            <div  id="uploader32" <c:if test="${otherFilesCount >= 2}">style="display: none"</c:if>>
                                                <span style="color:blue;cursor: pointer" id="uploader1">上传</span>
                                            </div>
                                            <c:set var="otherFilesCount" value="${otherFilesCount}"/>
                                            <c:if test="${not empty report.otherFiles}">
                                                <c:forEach items="${report.otherFiles}" var="file" varStatus="vs">
                                                    <div>
                                                        <span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,'uploader32')"></span>
                                                        <a style="color:#2890ac;" href="${commonStaticImgPath}${file}" download="${file}" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                        <input type="hidden" name="otherFiles" class="otherFiles" value="${file}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.supplement_video_url.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if
                                    test="${formSet.columns.supplement_video_url.mustFillFlag eq '1'}"><i
                                    class="mark">*</i></c:if>补充视频（1~5）
                            </td>
                            <td width="80%">

                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <div id="imgsDiv67">
                                            <c:if test="${not empty report.supplementVideoUrl}">
                                                <c:forEach var="quaim" items="${report.supplementVideoUrl.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon"
                                                                      onclick="delVideoImg(this,'uploader67')"></span>
                                                        <video controls
                                                               src="${commonStaticImgPath}${quaim}"
                                                               height="80px" width="80px"></video>
                                                        <input type="hidden" name="supplementVideoUrl" class="supplementVideoUrl"
                                                               value="${quaim}">
                                                    </div>
                                                    <c:set var="videoCount"
                                                           value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${videoCount >= 5}">hide</c:if>"
                                             id="uploader67">
                                            <img src="" alt="img placeholder" id="supplementVideoUrl">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.complete_remark.status eq '1'}">
                        <tr style="height: 50px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.complete_remark.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>完工备注</td>
                            <td width="80%">
                                <c:if test="${formSet.columns.filing_document_code.status eq '1'}">
                                    <div class="layui-col-lg6 layui-col-sm6 ">
                                        <div class="layui-input-block">
                                            <input type="text" name="completeRemark" id="completeRemark" autocomplete="off"  value="${report.completeRemark}" class="layui-input">
                                        </div>
                                    </div>
                                </c:if>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                </table>
            </div>
        </div>
        </div>
    </div>
</div>
<div class="layui-form-item text-c operate-footer">
    <button type="button" class="layui-btn" id="tempSave">暂存</button>
    <button type="button" class="layui-btn" id="save">提交</button>
    <button class="layui-btn layui-btn-primary" onclick="closeSelf()">取消</button>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script>

    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'element', 'tableExt', 'jquery', 'layer', 'laypage', 'laydate', 'form','upload'], function () {
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;
        upload = layui.upload;
        table = tableExt.getLayTable();
        var element = layui.element;
        element.on('tab(docDemoTabBrief)', function (data) {
            $('.layui-tab-content').eq(data.index).removeClass('layui-hide').siblings('.layui-tab-content').addClass('layui-hide');
        });

        upload.render({
            elem: '#uploader1',
            url: '${ctx}/common/uploadFile3',
            multiple:true,
            accept: 'file',
            before: function (obj) {

            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#imgsDiv1").find(".filingDocumentPhoto").length;
                if ((imgCount + 1) >= 4) {
                    $("#uploader1").hide();
                }
                let html = '<div><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'uploader1\')"></span>';
                html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';
                html += '<input type="hidden" name="filingDocumentPhoto" class="filingDocumentPhoto" value="' + path + '"/> </div>';
                $("#imgsDiv1").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader2' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader2", "imgsDiv2", "otherImgs1",4);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader3' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader3", "imgsDiv3", "otherImgs2",4);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader4' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader4", "imgsDiv4", "otherImgs3",4);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader5' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader5", "imgsDiv5", "otherImgs4",4);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader6' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader6", "imgsDiv6", "dzjc1",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader7' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader7", "imgsDiv7", "dzjc2",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader8' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader8", "imgsDiv8", "zjImg1",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader9' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader9", "imgsDiv9", "zjImg2",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader10' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader10", "imgsDiv10", "zjImg3",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader11' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader11", "imgsDiv11", "zjImg4",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader12' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader12", "imgsDiv12", "zjImg5",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader13' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader13", "imgsDiv13", "componentImg1",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader14' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader14", "imgsDiv14", "componentImg2",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader15' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader15", "imgsDiv15", "sizeMeasureImgs",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader16' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader16", "imgsDiv16", "fixOtherImg",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader17' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader17", "imgsDiv17", "totalImgs",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader18' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader18", "imgsDiv18", "bwInnerImg",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader19' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader19", "imgsDiv19", "dcImgs",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader20' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader20", "imgsDiv20", "nbqZbImg",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader21' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader21", "imgsDiv21", "dqsbAnImgOne",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader22' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader22", "imgsDiv22", "nbqPlateImg",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader23' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader23", "imgsDiv23", "zjPlateImg",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader24' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader24", "imgsDiv24", "openWayVoltageImgs",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader25' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader25", "imgsDiv25", "jdImg1",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader26' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader26", "imgsDiv26", "jdImg2",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader27' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader27", "imgsDiv27", "jdImg3",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader28' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader28", "imgsDiv28", "jdImg4",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader29' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader29", "imgsDiv29", "jdImg5",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader30' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader30", "imgsDiv30", "jdImg6",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader33' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader33", "imgsDiv33", "safetyWarningImg2",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader34' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader34", "imgsDiv34", "safetyWarningImg3",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader35' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader35", "imgsDiv35", "safetyWarningImg",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader36' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader36", "imgsDiv36", "safetyDiscloseDocImg",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader37' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader37", "imgsDiv37", "componentImg3",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader38' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader38", "imgsDiv38", "nbqZlcImg",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader39' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader39", "imgsDiv39", "bwJdImg",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader40' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader40", "imgsDiv40", "zjImg8",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader41' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader41", "imgsDiv41", "zjImg9",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader42' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader42", "imgsDiv42", "zjImg10",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader43' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader43", "imgsDiv43", "zjImg11",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader44' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader44", "imgsDiv44", "zjImg12",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader45' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader45", "imgsDiv45", "zjImg13",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader46' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader46", "imgsDiv46", "zjImg14",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader47' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader47", "imgsDiv47", "zjImg15",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader48' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader48", "imgsDiv48", "bkImg1",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader49' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader49", "imgsDiv49", "bkImg2",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader50' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader50", "imgsDiv50", "bkImg3",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader51' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader51", "imgsDiv51", "ykImg1",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader52' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader52", "imgsDiv52", "jdImg8",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader53' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader53", "imgsDiv53", "jdImg9",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader54' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader54", "imgsDiv54", "jdImg10",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader55' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader55", "imgsDiv55", "jdImg11",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader56' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader56", "imgsDiv56", "jdImg12",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader57' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader57", "imgsDiv57", "fsImg1",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader58' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader58", "imgsDiv58", "fsImg2",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader59' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader59", "imgsDiv59", "fsImg3",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader60' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader60", "imgsDiv60", "componentImg4",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader61' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader61", "imgsDiv61", "otherImgs5",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader62' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader62", "imgsDiv62", "otherImgs6",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader63' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader63", "imgsDiv63", "otherImgs7",15);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader64' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader64", "imgsDiv64", "otherImgs8",15);
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader31' //绑定元素   整体照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , multiple:true
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader31", "imgsDiv31", "zjReport",1);
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader32',
            url: '${ctx}/common/uploadFile3',
            multiple:true,
            accept: 'file',
            before: function (obj) {

            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#imgsDiv32").find(".otherFiles").length;
                if ((imgCount + 1) >= 2) {
                    $("#uploader32").hide();
                }
                let html = '<div><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'uploader32\')"></span>';
                html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';
                html += '<input type="hidden" name="otherFiles" class="otherFiles" value="' + path + '"/> </div>';
                $("#imgsDiv32").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader65',
            multiple:true,
            url: '${ctx}/common/uploadFile3',
            accept: 'file',
            before: function (obj) {

            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#imgsDiv65").find(".kgConditionFiles").length;
                if ((imgCount + 1) >= 15) {
                    $("#uploader65").hide();
                }
                let html = '<div><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'uploader65\')"></span>';
                html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';
                html += '<input type="hidden" name="kgConditionFiles" class="kgConditionFiles" value="' + path + '"/> </div>';
                $("#imgsDiv65").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '#uploader66',
            url: '${ctx}/common/uploadFile3',
            multiple:true,
            accept: 'file',
            before: function (obj) {

            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#imgsDiv66").find(".contractUrl").length;
                $("#uploader66").hide();
                let html = '<div><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'uploader66\')"></span>';
                html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';
                html += '<input type="hidden" name="contractUrl" class="contractUrl" value="' + path + '"/> </div>';
                $("#imgsDiv66").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader67',
            url: '${ctx}/common/uploadFile',
            multiple:true,
            accept: 'video',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#imgsDiv67").find(".supplementVideoUrl").length;
                if ((imgCount + 1) >= 5) {
                    $("#uploader67").hide();
                }
                var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delVideoImg(this,\'uploader67\')"></span>';
                html += ' <video controls width="80px" height="80px" src="${commonStaticImgPath}' + path + '"></video>';
                html += '<input type="hidden" name="supplementVideoUrl" class="supplementVideoUrl" value="' + path + '"/> </div>';
                $("#imgsDiv67").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader69' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader69", "imgsDiv69", "waterMudClampImgs",15);
            }
            , error: function () {
                //请求异常回调
            }
        });

        $("#tempSave").click(function(){
            tempSave();
        })
        $("#save").click(function(){
            save();
        })

    })

    var opeRep = false;
    function tempSave() {
        if(opeRep){
            return;
        }
        var otherImgs1 = [];
        $("input[name='otherImgs1']").each(function(){
            otherImgs1.push($(this).val());
        })
        var otherImgs2 = [];
        $("input[name='otherImgs2']").each(function(){
            otherImgs2.push($(this).val());
        })
        var otherImgs3 = [];
        $("input[name='otherImgs3']").each(function(){
            otherImgs3.push($(this).val());
        })
        var otherImgs4 = [];
        $("input[name='otherImgs4']").each(function(){
            otherImgs4.push($(this).val());
        })
        var dzjc1 = [];
        $("input[name='dzjc1']").each(function(){
            dzjc1.push($(this).val());
        })
        var dzjc2 = [];
        $("input[name='dzjc2']").each(function(){
            dzjc2.push($(this).val());
        })
        var zjImg1 = [];
        $("input[name='zjImg1']").each(function(){
            zjImg1.push($(this).val());
        })
        var zjImg2 = [];
        $("input[name='zjImg2']").each(function(){
            zjImg2.push($(this).val());
        })
        var zjImg3 = [];
        $("input[name='zjImg3']").each(function(){
            zjImg3.push($(this).val());
        })
        var zjImg4 = [];
        $("input[name='zjImg4']").each(function(){
            zjImg4.push($(this).val());
        })
        var zjImg5 = [];
        $("input[name='zjImg5']").each(function(){
            zjImg5.push($(this).val());
        })
        var componentImg1 = [];
        $("input[name='componentImg1']").each(function(){
            componentImg1.push($(this).val());
        })
        var componentImg2 = [];
        $("input[name='componentImg2']").each(function(){
            componentImg2.push($(this).val());
        })
        var sizeMeasureImgs = [];
        $("input[name='sizeMeasureImgs']").each(function(){
            sizeMeasureImgs.push($(this).val());
        })
        var fixOtherImg = [];
        $("input[name='fixOtherImg']").each(function(){
            fixOtherImg.push($(this).val());
        })
        var totalImgs = [];
        $("input[name='totalImgs']").each(function(){
            totalImgs.push($(this).val());
        })
        var bwInnerImg = [];
        $("input[name='bwInnerImg']").each(function(){
            bwInnerImg.push($(this).val());
        })
        var dcImgs = [];
        $("input[name='dcImgs']").each(function(){
            dcImgs.push($(this).val());
        })
        var nbqZbImg = [];
        $("input[name='nbqZbImg']").each(function(){
            nbqZbImg.push($(this).val());
        })
        var dqsbAnImgOne = [];
        $("input[name='dqsbAnImgOne']").each(function(){
            dqsbAnImgOne.push($(this).val());
        })
        var nbqPlateImg = [];
        $("input[name='nbqPlateImg']").each(function(){
            nbqPlateImg.push($(this).val());
        })
        var zjPlateImg = [];
        $("input[name='zjPlateImg']").each(function(){
            zjPlateImg.push($(this).val());
        })
        var openWayVoltageImgs = [];
        $("input[name='openWayVoltageImgs']").each(function(){
            openWayVoltageImgs.push($(this).val());
        })
        var jdImg1 = [];
        $("input[name='jdImg1']").each(function(){
            jdImg1.push($(this).val());
        })
        var jdImg2 = [];
        $("input[name='jdImg2']").each(function(){
            jdImg2.push($(this).val());
        })
        var jdImg3 = [];
        $("input[name='jdImg3']").each(function(){
            jdImg3.push($(this).val());
        })
        var jdImg4 = [];
        $("input[name='jdImg4']").each(function(){
            jdImg4.push($(this).val());
        })
        var jdImg5 = [];
        $("input[name='jdImg5']").each(function(){
            jdImg5.push($(this).val());
        })
        var jdImg6 = [];
        $("input[name='jdImg6']").each(function(){
            jdImg6.push($(this).val());
        })
        var safetyWarningImg2 = [];
        $("input[name='safetyWarningImg2']").each(function(){
            safetyWarningImg2.push($(this).val());
        })
        var safetyWarningImg3 = [];
        $("input[name='safetyWarningImg3']").each(function(){
            safetyWarningImg3.push($(this).val());
        })
        var safetyWarningImg = [];
        $("input[name='safetyWarningImg']").each(function(){
            safetyWarningImg.push($(this).val());
        })
        var safetyDiscloseDocImg = [];
        $("input[name='safetyDiscloseDocImg']").each(function(){
            safetyDiscloseDocImg.push($(this).val());
        })
        var componentImg3 = [];
        $("input[name='componentImg3']").each(function(){
            componentImg3.push($(this).val());
        })
        var nbqZlcImg = [];
        $("input[name='nbqZlcImg']").each(function(){
            nbqZlcImg.push($(this).val());
        })
        var bwJdImg = [];
        $("input[name='bwJdImg']").each(function(){
            bwJdImg.push($(this).val());
        })
        var zjImg8 = [];
        $("input[name='zjImg8']").each(function(){
            zjImg8.push($(this).val());
        })
        var zjImg9 = [];
        $("input[name='zjImg9']").each(function(){
            zjImg9.push($(this).val());
        })
        var zjImg10 = [];
        $("input[name='zjImg10']").each(function(){
            zjImg10.push($(this).val());
        })
        var zjImg11 = [];
        $("input[name='zjImg11']").each(function(){
            zjImg11.push($(this).val());
        })
        var zjImg12 = [];
        $("input[name='zjImg12']").each(function(){
            zjImg12.push($(this).val());
        })
        var zjImg13 = [];
        $("input[name='zjImg13']").each(function(){
            zjImg13.push($(this).val());
        })
        var zjImg14 = [];
        $("input[name='zjImg14']").each(function(){
            zjImg14.push($(this).val());
        })
        var zjImg15 = [];
        $("input[name='zjImg15']").each(function(){
            zjImg15.push($(this).val());
        })
        var bkImg1 = [];
        $("input[name='bkImg1']").each(function(){
            bkImg1.push($(this).val());
        })
        var bkImg2 = [];
        $("input[name='bkImg2']").each(function(){
            bkImg2.push($(this).val());
        })
        var bkImg3 = [];
        $("input[name='bkImg3']").each(function(){
            bkImg3.push($(this).val());
        })
        var ykImg1 = [];
        $("input[name='ykImg1']").each(function(){
            ykImg1.push($(this).val());
        })
        var jdImg8 = [];
        $("input[name='jdImg8']").each(function(){
            jdImg8.push($(this).val());
        })
        var jdImg9 = [];
        $("input[name='jdImg9']").each(function(){
            jdImg9.push($(this).val());
        })
        var jdImg10 = [];
        $("input[name='jdImg10']").each(function(){
            jdImg10.push($(this).val());
        })
        var jdImg11 = [];
        $("input[name='jdImg11']").each(function(){
            jdImg11.push($(this).val());
        })
        var jdImg12 = [];
        $("input[name='jdImg12']").each(function(){
            jdImg12.push($(this).val());
        })
        var fsImg1 = [];
        $("input[name='fsImg1']").each(function(){
            fsImg1.push($(this).val());
        })
        var fsImg2 = [];
        $("input[name='fsImg2']").each(function(){
            fsImg2.push($(this).val());
        })
        var fsImg3 = [];
        $("input[name='fsImg3']").each(function(){
            fsImg3.push($(this).val());
        })
        var componentImg4 = [];
        $("input[name='componentImg4']").each(function(){
            componentImg4.push($(this).val());
        })
        var otherImgs5 = [];
        $("input[name='otherImgs5']").each(function(){
            otherImgs5.push($(this).val());
        })
        var otherImgs6 = [];
        $("input[name='otherImgs6']").each(function(){
            otherImgs6.push($(this).val());
        })
        var otherImgs7 = [];
        $("input[name='otherImgs7']").each(function(){
            otherImgs7.push($(this).val());
        })
        var otherImgs8 = [];
        $("input[name='otherImgs8']").each(function(){
            otherImgs8.push($(this).val());
        })

        var filingDocumentPhoto = [];
        $("input[name='filingDocumentPhoto']").each(function(){
            filingDocumentPhoto.push($(this).val());
        })
        var contractUrl = [];
        $("input[name='contractUrl']").each(function(){
            contractUrl.push($(this).val());
        })
        var zjReport = [];
        $("input[name='zjReport']").each(function(){
            zjReport.push($(this).val());
        })
        var otherFiles = [];
        if (${formSet.columns.other_files.status eq '1'}){
            $("input[name='otherFiles']").each(function(){
                otherFiles.push($(this).val());
            })
        }
        var kgConditionFiles = [];
        if (${formSet.columns.other_files.status eq '1'}){
            $("input[name='kgConditionFiles']").each(function(){
                kgConditionFiles.push($(this).val());
            })
        }
        var supplementVideoUrl = [];
        if (${formSet.columns.supplement_video_url.status eq '1'}){
            $("input[name='supplementVideoUrl']").each(function(){
                supplementVideoUrl.push($(this).val());
            })
        }
        var waterMudClampImgs = [];
        if (${formSet.columns.water_mud_clamp_imgs.status eq '1'}){
            $("input[name='waterMudClampImgs']").each(function(){
                waterMudClampImgs.push($(this).val());
            })
        }
        var completeRemark = "";
        if(${formSet.columns.complete_remark.status eq '1'}){
            completeRemark = $("#completeRemark").val();
        }
        var filingDocumentCode = $("#filingDocumentCode").val();
        var checkRe = true;
        if(!checkRe){
            return;
        }
        opeRep = true;
        $.ajax({
            type: 'post',
            url: '${ctx}/customerEntry/installZc',
            dataType: 'json',
            data: {
                entryId: '${customerEntry.id}',
                otherImgs1: otherImgs1.join(","),
                otherImgs2: otherImgs2.join(","),
                otherImgs3: otherImgs3.join(","),
                otherImgs4: otherImgs4.join(","),
                dzjc1: dzjc1.join(","),
                dzjc2: dzjc2.join(","),
                zjImg1: zjImg1.join(","),
                zjImg2: zjImg2.join(","),
                zjImg3: zjImg3.join(","),
                zjImg4: zjImg4.join(","),
                zjImg5: zjImg5.join(","),
                componentImg1: componentImg1.join(","),
                componentImg2: componentImg2.join(","),
                sizeMeasureImgs: sizeMeasureImgs.join(","),
                fixOtherImg: fixOtherImg.join(","),
                totalImgs: totalImgs.join(","),
                bwInnerImg: bwInnerImg.join(","),
                dcImgs: dcImgs.join(","),
                nbqZbImg: nbqZbImg.join(","),
                dqsbAnImgOne: dqsbAnImgOne.join(","),
                nbqPlateImg: nbqPlateImg.join(","),
                zjPlateImg: zjPlateImg.join(","),
                openWayVoltageImgs: openWayVoltageImgs.join(","),
                jdImg1: jdImg1.join(","),
                jdImg2: jdImg2.join(","),
                jdImg3: jdImg3.join(","),
                jdImg4: jdImg4.join(","),
                jdImg5: jdImg5.join(","),
                jdImg6: jdImg6.join(","),
                safetyWarningImg2: safetyWarningImg2.join(","),
                safetyWarningImg3: safetyWarningImg3.join(","),
                safetyWarningImg: safetyWarningImg.join(","),
                safetyDiscloseDocImg: safetyDiscloseDocImg.join(","),
                componentImg3: componentImg3.join(","),
                nbqZlcImg: nbqZlcImg.join(","),
                bwJdImg: bwJdImg.join(","),
                zjImg8: zjImg8.join(","),
                zjImg9: zjImg9.join(","),
                zjImg10: zjImg10.join(","),
                zjImg11: zjImg11.join(","),
                zjImg12: zjImg12.join(","),
                zjImg13: zjImg13.join(","),
                zjImg14: zjImg14.join(","),
                zjImg15: zjImg15.join(","),
                bkImg1: bkImg1.join(","),
                bkImg2: bkImg2.join(","),
                bkImg3: bkImg3.join(","),
                ykImg1: ykImg1.join(","),
                jdImg8: jdImg8.join(","),
                jdImg9: jdImg9.join(","),
                jdImg10: jdImg10.join(","),
                jdImg11: jdImg11.join(","),
                jdImg12: jdImg12.join(","),
                fsImg1: fsImg1.join(","),
                fsImg2: fsImg2.join(","),
                fsImg3: fsImg3.join(","),
                componentImg4: componentImg4.join(","),
                otherImgs5: otherImgs5.join(","),
                otherImgs6: otherImgs6.join(","),
                otherImgs7: otherImgs7.join(","),
                otherImgs8: otherImgs8.join(","),
                filingDocumentPhoto: filingDocumentPhoto.join(","),
                contractUrl: contractUrl.join(","),
                zjReport: zjReport.join(","),
                otherFiles: otherFiles.join(","),
                kgConditionFiles: kgConditionFiles.join(","),
                filingDocumentCode: filingDocumentCode,
                supplementVideoUrl:supplementVideoUrl.join(","),
                waterMudClampImgs:waterMudClampImgs.join(","),
                completeRemark:completeRemark
            },
            success: function(data){
                if (data.code == "200") {
                    top.layer.msg("操作成功");
                    closeSelf();
                    parent.location.reload();
                } else {
                    layer.msg(data.errMsg);
                }
            },
            complete: function(){
                opeRep = false;
            }
        });
    }

    var saveFlag = false;
    function save() {
        if(saveFlag){
            return;
        }
        <%--if(${customerEntry.materialFixFlag ne '1'}){--%>
        <%--    layer.msg("请先完成安装！");--%>
        <%--    return;--%>
        <%--}--%>

        var otherImgs1 = [];
        $("input[name='otherImgs1']").each(function(){
            otherImgs1.push($(this).val());
        })

        var dwflag = ${customerEntry.tenantType eq '2'};

        if (otherImgs1.length==0 && dwflag && ${formSet.columns.other_imgs1.mustFillFlag eq '1'}) {
            layer.msg("银行印鉴留样不能为空");
            return;
        }
        var otherImgs2 = [];
        $("input[name='otherImgs2']").each(function(){
            otherImgs2.push($(this).val());
        })
        if (otherImgs2.length==0 && dwflag && ${formSet.columns.other_imgs2.mustFillFlag eq '1'}) {
            layer.msg("签约现场照片-法定代表人/负责人签字照不能为空");
            return;
        }
        var otherImgs3 = [];
        $("input[name='otherImgs3']").each(function(){
            otherImgs3.push($(this).val());
        })
        if (otherImgs3.length==0 && dwflag && ${formSet.columns.other_imgs3.mustFillFlag eq '1'}) {
            layer.msg("签约现场照片-正脸、持笔/持印、合同签署页同框不能为空");
            return;
        }
        var otherImgs4 = [];
        $("input[name='otherImgs4']").each(function(){
            otherImgs4.push($(this).val());
        })
        if (otherImgs4.length==0 && dwflag && ${formSet.columns.other_imgs4.mustFillFlag eq '1'}) {
            layer.msg("签署完成照片不能为空");
            return;
        }
        var dzjc1 = [];
        $("input[name='dzjc1']").each(function(){
            dzjc1.push($(this).val());
        })
        if (dzjc1.length==0 && ${formSet.columns.dzjc1.mustFillFlag eq '1'}) {
            layer.msg("电站基础-主屋不能为空");
            return;
        }
        var dzjc2 = [];
        $("input[name='dzjc2']").each(function(){
            dzjc2.push($(this).val());
        })
        if (dzjc2.length==0 && ${formSet.columns.dzjc2.mustFillFlag eq '1'}) {
            layer.msg("电站基础-副屋不能为空");
            return;
        }
        var zjImg1 = [];
        $("input[name='zjImg1']").each(function(){
            zjImg1.push($(this).val());
        })
        if (zjImg1.length==0 && ${formSet.columns.zj_img1.mustFillFlag eq '1'}) {
            layer.msg("支架正面照片不能为空");
            return;
        }
        var zjImg2 = [];
        $("input[name='zjImg2']").each(function(){
            zjImg2.push($(this).val());
        })
        if (zjImg2.length==0 && ${formSet.columns.zj_img2.mustFillFlag eq '1'}) {
            layer.msg("支架侧视图不能为空");
            return;
        }
        var zjImg3 = [];
        $("input[name='zjImg3']").each(function(){
            zjImg3.push($(this).val());
        })
        if (zjImg3.length==0 && ${formSet.columns.zj_img3.mustFillFlag eq '1'}) {
            layer.msg("支架北侧图不能为空");
            return;
        }
        var zjImg4 = [];
        $("input[name='zjImg4']").each(function(){
            zjImg4.push($(this).val());
        })
        if (zjImg4.length==0) {
            if (${formSet.columns.zj_img4.mustFillFlag eq '1'}){
                layer.msg("支架型号照片不能为空");
                return;
            }
            if (${formSet.columns.zj_img4_03.mustFillFlag eq '1'}){
                layer.msg("支架安装图-立柱东西间距、南北间距（带尺寸）不能为空");
                return;
            }
        }
        var zjImg5 = [];
        $("input[name='zjImg5']").each(function(){
            zjImg5.push($(this).val());
        })
        if (zjImg5.length==0) {
            if (${formSet.columns.zj_img5.mustFillFlag eq '1'}){
                layer.msg("航拍图照片不能为空");
                return;
            }
            if (${formSet.columns.zj_img5_03.mustFillFlag eq '1'}){
                layer.msg("支架安装图-支架安装完成VR图不能为空");
                return;
            }
        }
        var componentImg1 = [];
        $("input[name='componentImg1']").each(function(){
            componentImg1.push($(this).val());
        })
        if (componentImg1.length==0) {
            if (${formSet.columns.component_img1.mustFillFlag eq '1'}){
                layer.msg("组件倾角照片不能为空");
                return;
            }
            if (${formSet.columns.component_img1_03.mustFillFlag eq '1'}){
                layer.msg("边框接地图-组件安装倾角不能为空");
                return;
            }
        }
        var componentImg2 = [];
        $("input[name='componentImg2']").each(function(){
            componentImg2.push($(this).val());
        })
        if (componentImg2.length==0 && ${formSet.columns.component_img2.mustFillFlag eq '1'}) {
            layer.msg("组件方位角照片不能为空");
            return;
        }
        var sizeMeasureImgs = [];
        $("input[name='sizeMeasureImgs']").each(function(){
            sizeMeasureImgs.push($(this).val());
        })
        if (sizeMeasureImgs.length==0) {
            if (${formSet.columns.size_measure_imgs.mustFillFlag eq '1'}){
                layer.msg("屋顶线缆安装照片不能为空");
                return;
            }
            if (${formSet.columns.size_measure_imgs_03.mustFillFlag eq '1'}){
                layer.msg("电缆桥架内部电缆照片不能为空");
                return;
            }
        }
        var fixOtherImg = [];
        $("input[name='fixOtherImg']").each(function(){
            fixOtherImg.push($(this).val());
        })
        if (fixOtherImg.length==0) {
            if (${formSet.columns.fix_other_img.mustFillFlag eq '1'}){
                layer.msg("线缆下墙照片不能为空");
                return;
            }
            if (${formSet.columns.fix_other_img_03.mustFillFlag eq '1'}){
                layer.msg("线缆走向（屋顶、下墙）、线缆保护管（或桥架）敷设及固定照片不能为空");
                return;
            }
        }
        var totalImgs = [];
        $("input[name='totalImgs']").each(function(){
            totalImgs.push($(this).val());
        })
        if (totalImgs.length==0) {
            if (${formSet.columns.total_imgs.mustFillFlag eq '1'}){
                layer.msg("逆变器组串接入照片不能为空");
                return;
            }
            if (${formSet.columns.total_imgs_03.mustFillFlag eq '1'}){
                layer.msg("逆变器安装图-接地情况不能为空");
                return;
            }
        }
        var bwInnerImg = [];
        $("input[name='bwInnerImg']").each(function(){
            bwInnerImg.push($(this).val());
        })
        if (bwInnerImg.length==0) {
            if (${formSet.columns.bw_inner_img.mustFillFlag eq '1'}){
                layer.msg("并网箱内部照片不能为空");
                return;
            }
            if (${formSet.columns.bw_inner_img_03.mustFillFlag eq '1'}){
                layer.msg("并网箱安装图-并网箱内部全景不能为空");
                return;
            }
        }
        var dcImgs = [];
        $("input[name='dcImgs']").each(function(){
            dcImgs.push($(this).val());
        })
        if (dcImgs.length==0) {
            if (${formSet.columns.dc_imgs.mustFillFlag eq '1'}){
                layer.msg("逆变器安装照片不能为空");
                return;
            }
            if (${formSet.columns.dc_imgs_03.mustFillFlag eq '1'}){
                layer.msg("逆变器安装图-整体外观及走线及采集器（离地高度）不能为空");
                return;
            }
        }
        var nbqZbImg = [];
        $("input[name='nbqZbImg']").each(function(){
            nbqZbImg.push($(this).val());
        })
        if (nbqZbImg.length==0) {
            if (${formSet.columns.nbq_zb_img.mustFillFlag eq '1'}){
                layer.msg("并网箱逆变器整体照片不能为空");
                return;
            }
            if (${formSet.columns.nbq_zb_img_03.mustFillFlag eq '1'}){
                layer.msg("并网箱安装图-外观及走线（离地高度）不能为空");
                return;
            }
        }
        var dqsbAnImgOne = [];
        $("input[name='dqsbAnImgOne']").each(function(){
            dqsbAnImgOne.push($(this).val());
        })
        if (dqsbAnImgOne.length==0 && ${formSet.columns.dqsb_an_img_one.mustFillFlag eq '1'}) {
            layer.msg("逆变器注册截图照片不能为空");
            return;
        }
        var nbqPlateImg = [];
        $("input[name='nbqPlateImg']").each(function(){
            nbqPlateImg.push($(this).val());
        })
        if (nbqPlateImg.length==0) {
            if (${formSet.columns.nbq_plate_img.mustFillFlag eq '1'}){
                layer.msg("逆变器铭牌照片不能为空");
                return;
            }
            if (${formSet.columns.nbq_plate_img_03.mustFillFlag eq '1'}){
                layer.msg("逆变器安装图-铭牌不能为空");
                return;
            }
        }
        var zjPlateImg = [];
        $("input[name='zjPlateImg']").each(function(){
            zjPlateImg.push($(this).val());
        })
        if (zjPlateImg.length==0 && ${formSet.columns.zj_plate_img.mustFillFlag eq '1'}) {
            layer.msg("组件铭牌照片不能为空");
            return;
        }
        var openWayVoltageImgs = [];
        $("input[name='openWayVoltageImgs']").each(function(){
            openWayVoltageImgs.push($(this).val());
        })
        if (openWayVoltageImgs.length==0 && ${formSet.columns.open_way_voltage_imgs.mustFillFlag eq '1'}) {
            layer.msg("开路电压图不能为空");
            return;
        }
        var jdImg1 = [];
        $("input[name='jdImg1']").each(function(){
            jdImg1.push($(this).val());
        })
        if (jdImg1.length==0 && ${formSet.columns.jd_img1.mustFillFlag eq '1'}) {
            layer.msg("组件与组件之间接地照片不能为空");
            return;
        }
        var jdImg2 = [];
        $("input[name='jdImg2']").each(function(){
            jdImg2.push($(this).val());
        })
        if (jdImg2.length==0 && ${formSet.columns.jd_img2.mustFillFlag eq '1'}) {
            layer.msg("组件与支架接地照片不能为空");
            return;
        }
        var jdImg3 = [];
        $("input[name='jdImg3']").each(function(){
            jdImg3.push($(this).val());
        })
        if (jdImg3.length==0 && ${formSet.columns.jd_img3.mustFillFlag eq '1'}) {
            layer.msg("支架与接地扁铁连接照片不能为空");
            return;
        }
        var jdImg4 = [];
        $("input[name='jdImg4']").each(function(){
            jdImg4.push($(this).val());
        })
        if (jdImg4.length==0) {
            if (${formSet.columns.jd_img4.mustFillFlag eq '1'}){
                layer.msg("接地扁铁下墙照片不能为空");
                return;
            }
            if (${formSet.columns.jd_img4_03.mustFillFlag eq '1'}){
                layer.msg("支架接地图-支架接地不能为空");
                return;
            }
        }
        var jdImg5 = [];
        $("input[name='jdImg5']").each(function(){
            jdImg5.push($(this).val());
        })
        if (jdImg5.length==0) {
            if (${formSet.columns.jd_img5.mustFillFlag eq '1'}){
                layer.msg("支架接地电阻照片不能为空");
                return;
            }
            if (${formSet.columns.jd_img5_03.mustFillFlag eq '1'}){
                layer.msg("接地极图-支架接地电阻阻值（近景）不能为空");
                return;
            }
        }
        var jdImg6 = [];
        $("input[name='jdImg6']").each(function(){
            jdImg6.push($(this).val());
        })
        if (jdImg6.length==0 && ${formSet.columns.jd_img6.mustFillFlag eq '1'}) {
            layer.msg("电气接地电阻照片不能为空");
            return;
        }
        var safetyWarningImg2 = [];
        $("input[name='safetyWarningImg2']").each(function(){
            safetyWarningImg2.push($(this).val());
        })
        if (safetyWarningImg2.length==0) {
            if(${formSet.columns.safety_warning_img2_03.mustFillFlag eq '1'}){
                layer.msg("施工安全图-三级安全教育不能为空");
                return;
            }
            if(${formSet.columns.safety_warning_img2.mustFillFlag eq '1'}){
                layer.msg("三级安全教育卡不能为空");
                return;
            }
        }
        var safetyWarningImg3 = [];
        $("input[name='safetyWarningImg3']").each(function(){
            safetyWarningImg3.push($(this).val());
        })
        if (safetyWarningImg3.length==0 && ${formSet.columns.safety_warning_img3.mustFillFlag eq '1'}) {
            layer.msg("施工安全图-开工前站班会（施工安全用品：安全帽、安全绳、反光衣、工作鞋）不能为空");
            return;
        }
        var safetyWarningImg = [];
        $("input[name='safetyWarningImg']").each(function(){
            safetyWarningImg.push($(this).val());
        })
        if (safetyWarningImg.length==0 && ${formSet.columns.safety_warning_img.mustFillFlag eq '1'}) {
            layer.msg("施工安全图-安全警示牌不能为空");
            return;
        }
        var safetyDiscloseDocImg = [];
        $("input[name='safetyDiscloseDocImg']").each(function(){
            safetyDiscloseDocImg.push($(this).val());
        })
        if (safetyDiscloseDocImg.length==0 && ${formSet.columns.safety_disclose_doc_img.mustFillFlag eq '1'}) {
            layer.msg("施工安全图-安全技术交底书不能为空");
            return;
        }
        var componentImg3 = [];
        $("input[name='componentImg3']").each(function(){
            componentImg3.push($(this).val());
        })
        if (componentImg3.length==0 && ${formSet.columns.component_img3.mustFillFlag eq '1'}) {
            layer.msg("组件航拍俯视照片不能为空");
            return;
        }
        var nbqZlcImg = [];
        $("input[name='nbqZlcImg']").each(function(){
            nbqZlcImg.push($(this).val());
        })
        if (nbqZlcImg.length==0 && ${formSet.columns.nbq_zlc_img.mustFillFlag eq '1'}) {
            layer.msg("逆变器安装图-逆变器交流侧不能为空");
            return;
        }
        var bwJdImg = [];
        $("input[name='bwJdImg']").each(function(){
            bwJdImg.push($(this).val());
        })
        if (bwJdImg.length==0 && ${formSet.columns.bw_jd_img.mustFillFlag eq '1'}) {
            layer.msg("并网箱安装图-接地情况不能为空");
            return;
        }
        var zjImg8 = [];
        $("input[name='zjImg8']").each(function(){
            zjImg8.push($(this).val());
        })
        if (zjImg8.length==0 && ${formSet.columns.zj_img8.mustFillFlag eq '1'}) {
            layer.msg("支架安装图-支架方阵（东向西完工照）不能为空");
            return;
        }
        var zjImg9 = [];
        $("input[name='zjImg9']").each(function(){
            zjImg9.push($(this).val());
        })
        if (zjImg9.length==0 && ${formSet.columns.zj_img9.mustFillFlag eq '1'}) {
            layer.msg("支架安装图-支架方阵（北向南完工照）不能为空");
            return;
        }
        var zjImg10 = [];
        $("input[name='zjImg10']").each(function(){
            zjImg10.push($(this).val());
        })
        if (zjImg10.length==0 && ${formSet.columns.zj_img10.mustFillFlag eq '1'}) {
            layer.msg("支架结构图-螺栓孔洞防水图不能为空");
            return;
        }
        var zjImg11 = [];
        $("input[name='zjImg11']").each(function(){
            zjImg11.push($(this).val());
        })
        if (zjImg11.length==0 && ${formSet.columns.zj_img11.mustFillFlag eq '1'}) {
            layer.msg("基础安装-柱脚防水完工图不能为空");
            return;
        }
        var zjImg12 = [];
        $("input[name='zjImg12']").each(function(){
            zjImg12.push($(this).val());
        })
        if (zjImg12.length==0 && ${formSet.columns.zj_img12.mustFillFlag eq '1'}) {
            layer.msg("支架安装图-斜梁悬挑（南）不能为空");
            return;
        }
        var zjImg13 = [];
        $("input[name='zjImg13']").each(function(){
            zjImg13.push($(this).val());
        })
        if (zjImg13.length==0 && ${formSet.columns.zj_img13.mustFillFlag eq '1'}) {
            layer.msg("支架安装图-斜梁悬挑（北）不能为空");
            return;
        }
        var zjImg14 = [];
        $("input[name='zjImg14']").each(function(){
            zjImg14.push($(this).val());
        })
        if (zjImg14.length==0 && ${formSet.columns.zj_img14.mustFillFlag eq '1'}) {
            layer.msg("支架安装图-檀条悬挑（东）不能为空");
            return;
        }
        var zjImg15 = [];
        $("input[name='zjImg15']").each(function(){
            zjImg15.push($(this).val());
        })
        if (zjImg15.length==0 && ${formSet.columns.zj_img15.mustFillFlag eq '1'}) {
            layer.msg("支架安装图-檀条悬挑（西）不能为空");
            return;
        }
        var bkImg1 = [];
        $("input[name='bkImg1']").each(function(){
            bkImg1.push($(this).val());
        })
        if (bkImg1.length==0 && ${formSet.columns.bk_img1.mustFillFlag eq '1'}) {
            layer.msg("边框接地图-边框与边框接地不能为空");
            return;
        }
        var bkImg2 = [];
        $("input[name='bkImg2']").each(function(){
            bkImg2.push($(this).val());
        })
        if (bkImg2.length==0 && ${formSet.columns.bk_img2.mustFillFlag eq '1'}) {
            layer.msg("边框接地图-边框与支架接地不能为空");
            return;
        }
        var bkImg3 = [];
        $("input[name='bkImg3']").each(function(){
            bkImg3.push($(this).val());
        })
        if (bkImg3.length==0 && ${formSet.columns.bk_img3.mustFillFlag eq '1'}) {
            layer.msg("边框接地图-其他图片不能为空");
            return;
        }
        var ykImg1 = [];
        $("input[name='ykImg1']").each(function(){
            ykImg1.push($(this).val());
        })
        if (ykImg1.length==0 && ${formSet.columns.yk_img1.mustFillFlag eq '1'}) {
            layer.msg("压块或背压板照片不能为空");
            return;
        }
        var jdImg8 = [];
        $("input[name='jdImg8']").each(function(){
            jdImg8.push($(this).val());
        })
        if (jdImg8.length==0 && ${formSet.columns.jd_img8.mustFillFlag eq '1'}) {
            layer.msg("接地极图-并网箱、逆变器安装接地极不能为空");
            return;
        }
        var jdImg9 = [];
        $("input[name='jdImg9']").each(function(){
            jdImg9.push($(this).val());
        })
        if (jdImg9.length==0 && ${formSet.columns.jd_img9.mustFillFlag eq '1'}) {
            layer.msg("接地极图-并网箱、逆变器安装接地电阻阻值（近景）不能为空");
            return;
        }
        var jdImg10 = [];
        $("input[name='jdImg10']").each(function(){
            jdImg10.push($(this).val());
        })
        if (jdImg10.length==0 && ${formSet.columns.jd_img10.mustFillFlag eq '1'}) {
            layer.msg("接地极图-接地引下线警示做法不能为空");
            return;
        }
        var jdImg11 = [];
        $("input[name='jdImg11']").each(function(){
            jdImg11.push($(this).val());
        })
        if (jdImg11.length==0 && ${formSet.columns.jd_img11.mustFillFlag eq '1'}) {
            layer.msg("接地极图-支架接地电阻测量照片（远景）不能为空");
            return;
        }
        var jdImg12 = [];
        $("input[name='jdImg12']").each(function(){
            jdImg12.push($(this).val());
        })
        if (jdImg12.length==0 && ${formSet.columns.jd_img12.mustFillFlag eq '1'}) {
            layer.msg("接地极图-并网箱、逆变器安装接地电阻测量照片（远景）不能为空");
            return;
        }
        var fsImg1 = [];
        $("input[name='fsImg1']").each(function(){
            fsImg1.push($(this).val());
        })
        if (fsImg1.length==0 && ${formSet.columns.fs_img1.mustFillFlag eq '1'}) {
            layer.msg("防水措施图-横竖向水槽不能为空");
            return;
        }
        var fsImg2 = [];
        $("input[name='fsImg2']").each(function(){
            fsImg2.push($(this).val());
        })
        if (fsImg2.length==0 && ${formSet.columns.fs_img2.mustFillFlag eq '1'}) {
            layer.msg("防水措施图-落水管走向及其固定不能为空");
            return;
        }
        var fsImg3 = [];
        $("input[name='fsImg3']").each(function(){
            fsImg3.push($(this).val());
        })
        if (fsImg3.length==0 && ${formSet.columns.fs_img3.mustFillFlag eq '1'}) {
            layer.msg("防水措施图-其他图片不能为空");
            return;
        }
        var componentImg4 = [];
        $("input[name='componentImg4']").each(function(){
            componentImg4.push($(this).val());
        })
        if (componentImg4.length==0 && ${formSet.columns.component_img4.mustFillFlag eq '1'}) {
            layer.msg("组件安装完成VR视图不能为空");
            return;
        }
        var otherImgs5 = [];
        $("input[name='otherImgs5']").each(function(){
            otherImgs5.push($(this).val());
        })
        if (otherImgs5.length==0 && ${formSet.columns.other_imgs5.mustFillFlag eq '1'}) {
            layer.msg("水槽细节照片不能为空");
            return;
        }
        var otherImgs6 = [];
        $("input[name='otherImgs6']").each(function(){
            otherImgs6.push($(this).val());
        })
        if (otherImgs6.length==0 && ${formSet.columns.other_imgs6.mustFillFlag eq '1'}) {
            layer.msg("落水管照片不能为空");
            return;
        }
        var otherImgs7 = [];
        $("input[name='otherImgs7']").each(function(){
            otherImgs7.push($(this).val());
        })
        if (otherImgs7.length==0 && ${formSet.columns.other_imgs7.mustFillFlag eq '1'}) {
            layer.msg("假梁-斜梁方向不能为空");
            return;
        }
        var otherImgs8 = [];
        $("input[name='otherImgs8']").each(function(){
            otherImgs8.push($(this).val());
        })
        if (otherImgs8.length==0 && ${formSet.columns.other_imgs8.mustFillFlag eq '1'}) {
            layer.msg("并网箱逆变器防雨罩照片不能为空");
            return;
        }

        var filingDocumentPhoto = [];
        $("input[name='filingDocumentPhoto']").each(function(){
            filingDocumentPhoto.push($(this).val());
        })
        var filingType = '${customerEntry.filingType}';
        if (filingType == '2' && filingDocumentPhoto.length==0 && ${formSet.columns.filing_document_photo.mustFillFlag eq '1'}) {
            layer.msg("备案文件照片不能为空");
            return;
        }
        var filingDocumentCode = $("#filingDocumentCode").val();
        if( filingType == '2' && isBlank(filingDocumentCode) && ${formSet.columns.filing_document_code.mustFillFlag eq '1'}){
            layer.msg("备案代码不能为空");
            return;
        }
        var contractUrl = [];
        $("input[name='contractUrl']").each(function(){
            contractUrl.push($(this).val());
        })
        if(${contractUrlFlag eq '1' && contractUrl.length==0}){
            layer.msg("合同不能为空");
            return;
        }
        var zjReport = [];
        $("input[name='zjReport']").each(function(){
            zjReport.push($(this).val());
        })
        if (zjReport.length==0 && ${formSet.columns.zj_report.mustFillFlag eq '1'}) {
            layer.msg("自检记录报告不能为空");
            return;
        }
        var otherFiles = [];
        if (${formSet.columns.other_files.status eq '1'}){
            $("input[name='otherFiles']").each(function(){
                otherFiles.push($(this).val());
            })
        }
        var kgConditionFiles = [];
        if (${formSet.columns.kg_condition_files.status eq '1'}){
            $("input[name='kgConditionFiles']").each(function(){
                kgConditionFiles.push($(this).val());
            })
        }

        var waterMudClampImgs = [];
        $("input[name='waterMudClampImgs']").each(function(){
            waterMudClampImgs.push($(this).val());
        })
        if (waterMudClampImgs.length==0 && dwflag && ${formSet.columns.water_mud_clamp_imgs.mustFillFlag eq '1'}) {
            layer.msg("导水排泥夹照片不能为空");
            return;
        }

        var supplementVideoUrl = [];
        $("input[name='supplementVideoUrl']").each(function(){
            supplementVideoUrl.push($(this).val());
        })
        if (zjReport.length==0 && ${formSet.columns.supplement_video_url.mustFillFlag eq '1'}){
            layer.msg("补充视频不能为空");
            return;
        }
        var completeRemark = $("#completeRemark").val();
        if (isBlank(completeRemark) && ${formSet.columns.complete_remark.mustFillFlag eq '1'}){
            layer.msg("完工备注不能为空");
            return;
        }

        var checkRe = true;
        var checkKg = true;

        if (${ formSet.columns.other_files.status eq '1' && formSet.columns.other_files.mustFillFlag eq '1'}){
            if (otherFiles.length==0){
                layer.msg("其他资料不能为空");
                checkRe = false;
                return;
            }
        };
        if (${ formSet.columns.kg_condition_files.status eq '1' && formSet.columns.kg_condition_files.mustFillFlag eq '1'}){
            if (kgConditionFiles.length==0){
                layer.msg("安全防护措施合照照片不能为空");
                checkKg = false;
                return;
            }
        };

        if(!checkRe){
            return;
        }
        if(!checkKg){
            return;
        }
        saveFlag = true;
        $.ajax({
            type: 'post',
            url: '${ctx}/customerEntry/install',
            dataType: 'json',
            data: {
                entryId: '${customerEntry.id}',
                otherImgs1: otherImgs1.join(","),
                otherImgs2: otherImgs2.join(","),
                otherImgs3: otherImgs3.join(","),
                otherImgs4: otherImgs4.join(","),
                dzjc1: dzjc1.join(","),
                dzjc2: dzjc2.join(","),
                zjImg1: zjImg1.join(","),
                zjImg2: zjImg2.join(","),
                zjImg3: zjImg3.join(","),
                zjImg4: zjImg4.join(","),
                zjImg5: zjImg5.join(","),
                componentImg1: componentImg1.join(","),
                componentImg2: componentImg2.join(","),
                sizeMeasureImgs: sizeMeasureImgs.join(","),
                fixOtherImg: fixOtherImg.join(","),
                totalImgs: totalImgs.join(","),
                bwInnerImg: bwInnerImg.join(","),
                dcImgs: dcImgs.join(","),
                nbqZbImg: nbqZbImg.join(","),
                dqsbAnImgOne: dqsbAnImgOne.join(","),
                nbqPlateImg: nbqPlateImg.join(","),
                zjPlateImg: zjPlateImg.join(","),
                openWayVoltageImgs: openWayVoltageImgs.join(","),
                jdImg1: jdImg1.join(","),
                jdImg2: jdImg2.join(","),
                jdImg3: jdImg3.join(","),
                jdImg4: jdImg4.join(","),
                jdImg5: jdImg5.join(","),
                jdImg6: jdImg6.join(","),
                safetyWarningImg2: safetyWarningImg2.join(","),
                safetyWarningImg3: safetyWarningImg3.join(","),
                safetyWarningImg: safetyWarningImg.join(","),
                safetyDiscloseDocImg: safetyDiscloseDocImg.join(","),
                componentImg3: componentImg3.join(","),
                nbqZlcImg: nbqZlcImg.join(","),
                bwJdImg: bwJdImg.join(","),
                zjImg8: zjImg8.join(","),
                zjImg9: zjImg9.join(","),
                zjImg10: zjImg10.join(","),
                zjImg11: zjImg11.join(","),
                zjImg12: zjImg12.join(","),
                zjImg13: zjImg13.join(","),
                zjImg14: zjImg14.join(","),
                zjImg15: zjImg15.join(","),
                bkImg1: bkImg1.join(","),
                bkImg2: bkImg2.join(","),
                bkImg3: bkImg3.join(","),
                ykImg1: ykImg1.join(","),
                jdImg8: jdImg8.join(","),
                jdImg9: jdImg9.join(","),
                jdImg10: jdImg10.join(","),
                jdImg11: jdImg11.join(","),
                jdImg12: jdImg12.join(","),
                fsImg1: fsImg1.join(","),
                fsImg2: fsImg2.join(","),
                fsImg3: fsImg3.join(","),
                componentImg4: componentImg4.join(","),
                otherImgs5: otherImgs5.join(","),
                otherImgs6: otherImgs6.join(","),
                otherImgs7: otherImgs7.join(","),
                otherImgs8: otherImgs8.join(","),
                filingDocumentPhoto: filingDocumentPhoto.join(","),
                contractUrl: contractUrl.join(","),
                zjReport: zjReport.join(","),
                otherFiles: otherFiles.join(","),
                kgConditionFiles: kgConditionFiles.join(","),
                filingDocumentCode: filingDocumentCode,
                supplementVideoUrl:supplementVideoUrl.join(","),
                waterMudClampImgs:waterMudClampImgs.join(","),
                completeRemark:completeRemark
            },
            success: function(data){
                if (data.code == "200") {
                    top.layer.msg("操作成功");
                    closeSelf();
                    parent.location.reload();
                } else {
                    layer.msg(data.errMsg);
                }
            },
            complete: function(){
                saveFlag = false;
            }
        });
    }

    function changeMaterialTab(type) {
        $('.materialTable').eq(type).removeClass('layui-hide').siblings('.materialTable').addClass('layui-hide');
    }

    function addImg(data, id, imgsDiv, classimg,count) {
        var imgCount=$("#" + imgsDiv).find(".imgSpan").length;
        if((imgCount+1)>=count){
            $("#" + id).hide();
        }
        var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
        html += '<img src="${commonStaticImgPath}' + data + '" height="700" width="1200"/>';
        html += '<input type="hidden" name="' + classimg + '"  class="' + classimg + '" value="' + data + '"/> </div>';
        $("#" + imgsDiv).append(html);
        //图片查看效果
        viewer.update();
    }

    function addVedio(data, id, imgsDiv, classimg,count) {
        var imgCount=$("#" + imgsDiv).find(".imgSpan").length;
        if((imgCount+1)>=count){
            $("#" + id).hide();
        }
        var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
        html += '<video src="${commonStaticImgPath}' + data + '" width="150px" height="78px"></video>';
        html += '<input type="hidden" name="' + classimg + '"  class="' + classimg + '" value="' + data + '"/> </div>';
        $("#" + imgsDiv).append(html);
        //图片查看效果
        viewer.update();
    }

    function delImg(that, id) {
        $("#" + id).show();
        $(that).parent().remove();
    }

    window.closeSelf = function () {
        var index = parent.layer.getFrameIndex(window.name);
        parent.layer.close(index);//关闭当前页
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function delVideoImg(that, id) {
        $("#" + id).show();
        $(that).parent().remove();

    }
</script>
</body>
</html>

