<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>完工信息</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html {
            background-color: #fff;
            padding-bottom: 50px;
        }
        .layui-tab-title{
            margin: 0 0 0 20px;
            border-color: #fff;
        }
        .layui-tab-content{
            margin: 0 0 0 20px;
        }
        .bj-img {
            margin-right: 0;
        }
        .array {
            margin-right: 5px;
        }
        .blank-img {
            background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
            width: 80px;
            height: 80px;
            display: inline-block;
        }

        .materialTable td, th {
            text-align: center !important;
        }

        .download-link {
            display: inline-block;
            padding: 8px 16px;
            color: #007bff;
            text-decoration: none;
            border-radius: 4px;
        }
        .sl-img{
            width: 80px;
            height: 80px;
            border: 1px solid #ddd;
            float: left;
            margin-right: 10px;
            margin-bottom: 10px;
            position: relative;
        }
        .sl-img > img {
            width: 100%;
            height: 100%;
        }
        .sl-img > span {
            position: absolute;
            right: 0;
            bottom: 0;
            background-color: #adacac;
            width: 100%;
            height: 20px;
            line-height: 20px;
            text-align: center;
            color: #fff;
            cursor: pointer;
            display: block;
        }

        .file-container {
            display: flex;
            align-items: center;
        }

        .img-wrapper {
            margin-right: 10px; /* 调整图片和文件名之间的间距 */
        }

        .bj-img > span{
            z-index: 1;
        }
    </style>
</head>
<body>
<div class="layui-fluid">
    <div class="order-win layui-form" id="LAY_app">
        <div class="layui-card-body pt-20 pb-40">
            <div class="layui-col-xs12 form-box">
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站编码：</label>
                    <div class="layui-input-block ">
                        <input type="text" autocomplete="off" disabled  name="stationCode" lay-verify="stationCode" class="layui-input" value="${customerEntry.powerStationCode}">
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站状态：</label>
                    <div class="layui-input-block ">
                        <input type="text" disabled class="layui-input layui-bg-gray"
                        <c:choose>
                        <c:when test="${customerEntry.status eq '4'}">
                               <c:if test="${customerEntry.installFlag eq '1'}">value="待派工"</c:if>
                               <c:if test="${customerEntry.installFlag eq '2'}">value="待安装"</c:if>
                               <c:if test="${customerEntry.installFlag eq '3'}">value="自审驳回"</c:if>
                               <c:if test="${customerEntry.installFlag eq '4'}">value="安装完成"</c:if>
                        </c:when>
                        </c:choose>
                        >
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">代理商：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="traderName" class="layui-input" value="${customerEntry.traderName}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label">业务员：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="creator" class="layui-input" value="${customerEntry.creator}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label">创建时间：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="creator" class="layui-input" value="<fmt:formatDate value="${customerEntry.createTime}" pattern="yyyy-MM-dd HH:mm:ss"/>" disabled>
                    </div>
                </div>

            </div>
        </div>
        <div class="clear-both">
            <p class="layui-elem-quote" style="margin: 0px 0px 0px 10px">产品信息</p>
            <div class="layui-card-body">
                <div class="layui-row layui-col-space12 layui-form-item">
                    <div class="layui-col-lg3 layui-col-sm3">
                        <label class="layui-form-label">项目公司：</label>
                        <div class="layui-input-block">
                            <input type="text" disabled class="layui-input " value="${customerEntry.projectCompanyName}">
                        </div>
                    </div>
                    <div class="layui-col-lg3 layui-col-sm3">
                        <label class="layui-form-label">备案类型：</label>
                        <div class="layui-input-block">
                            <input type="text" id="filingType" disabled class="layui-input"
                            <c:choose>
                            <c:when test="${customerEntry.filingType eq '1'}">
                                   value="农户备案"
                            </c:when>
                            <c:when test="${customerEntry.filingType eq '2'}">
                                   value="项目公司备案"
                            </c:when>
                            </c:choose>>
                        </div>
                    </div>
                    <div class="layui-col-sm12 layui-col-md12">
                        <table class="layui-table">
                            <colgroup>
                                <col width="25%">
                                <col width="25%">
                                <col width="25%">
                                <col width="25%">
                            </colgroup>
                            <thead>
                            <tr style="background: white">
                                <th style="text-align: center">序号</th>
                                <th style="text-align: center">产品编号</th>
                                <th style="text-align: center">产品名称</th>
                                <th style="text-align: center">屋顶类型</th>
                            </tr>
                            </thead>
                            <tbody id="projectList">
                            <c:forEach items="${projectList}" varStatus="vs" var="project">
                                <tr style="text-align: center" data-id="${project.columns.projectId}" class="projectTr" >
                                    <td>${vs.count}</td>
                                    <td>${project.columns.projectCode}</td>
                                    <td>${project.columns.projectName}</td>
                                    <td>${project.columns.roofType}</td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="clear-both">
            <p class="layui-elem-quote" style="margin: 0px 0px 0px 10px">完工信息</p>
            <div class="layui-tab layui-tab-brief " id="completeImgTab" lay-filter="completeDemoTabBrief">
                <table class="layui-table" style="margin: 10px 10px 10px 30px;">
                    <c:set var="indexNum" value="1"/>
                    <c:if test="${formSet.columns.filing_document_photo.status eq '1'}">
                        <tr style="height: 50px">
                            <td width="15%">${indexNum}、<c:if test="${customerEntry.filingType eq '2'}"><i class="mark">*</i></c:if>项目备案证(1-4张)</td>
                            <td width="80%">
                                <div class=" layui-col-lg3 layui-col-sm3  layui-input-inline img-box" style="margin-left: 20px;">
                                    <div style="display: flex">
                                        <div id="imgsDiv1">
                                            <div  id="uploader1" <c:if test="${filingDocumentPhotoCount >= 4}">style="display: none"</c:if>>
                                                <span style="color:blue;cursor: pointer" id="uploader1">上传</span>
                                            </div>
                                            <c:set var="filingDocumentPhotoCount" value="${filingDocumentPhotoCount}"/>
                                            <c:if test="${not empty surveyRecord.filingDocumentPhoto}">
                                                <c:forEach items="${surveyRecord.filingDocumentPhoto}" var="file" varStatus="vs">
                                                    <div>
                                                        <span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,'uploader1')"></span>
                                                        <a style="color:#2890ac;" href="${commonStaticImgPath}${file}" download="${file}" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                        <input type="hidden" name="filingDocumentPhoto" class="filingDocumentPhoto" value="${file}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                    </div>
                                </div>
                                <c:if test="${formSet.columns.filing_document_code.status eq '1'}">
                                    <div class="layui-col-lg3 layui-col-sm3 ">
                                        <label class="layui-form-label"><c:if test="${customerEntry.filingType eq '2'}"><i class="mark">*</i></c:if>备案代码：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="filingDocumentCode" id="filingDocumentCode" autocomplete="off"  value="${surveyRecord.filingDocumentCode}" class="layui-input">
                                        </div>
                                    </div>
                                </c:if>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.kg_condition_files.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>安全防护措施合照照片(1-15张)</td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex">
                                        <div id="imgsDiv65">
                                            <c:set var="kgConditionFilesCount" value="${kgConditionFilesCount}"/>
                                            <c:if test="${not empty projectList[0].columns.acceptReport.kgConditionFiles}">
                                                <c:forEach var="img" items="${projectList[0].columns.acceptReport.kgConditionFiles.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader33')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="kgConditionFiles" class="kgConditionFiles" value="${img}">
                                                    </div>
                                                    <c:set var="safetyWarningImg2Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container uploader65<c:if test="${otherImgs4Count >=4}">hide</c:if>" id="uploader65">
                                            <img src="" alt="img placeholder" id="kgConditionFiles">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                    <c:if test="${formSet.columns.safety_warning_img2.status eq '1' || formSet.columns.safety_warning_img2_03.status eq '1'}">
                        <tr style="height: 100px">
                            <td width="15%">${indexNum}、<c:if test="${formSet.columns.safety_warning_img2.mustFillFlag eq '1' || formSet.columns.safety_warning_img2_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                <c:choose>
                                    <c:when test="${formSet.columns.safety_warning_img2.status eq '1'}">
                                        三级安全教育登记卡(1-15张)
                                    </c:when>
                                    <c:when test="${formSet.columns.safety_warning_img2_03.status eq '1'}">
                                        施工安全图-三级安全教育(1-15张)
                                    </c:when>
                                </c:choose>
                            </td>
                            <td width="80%">
                                <div class="layui-input-block img-box" style="margin-left: 20px;">
                                    <div style="display: flex;flex-wrap: wrap;">
                                        <c:forEach items="${reflist}" var="ref">
                                            <c:choose>
                                                <c:when test="${ref.itemCode eq 'safety_warning_img2'}">
                                                    <c:forEach var="img" items="${ref.list}">
                                                        <div class="sl-img">
                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                            <span class="imgsDesc">示例图</span>
                                                        </div>
                                                    </c:forEach>
                                                </c:when>
                                            </c:choose>
                                        </c:forEach>
                                        <div id="imgsDiv33">
                                            <c:set var="safetyWarningImg2Count" value="0"/>
                                            <c:if test="${not empty projectList[0].columns.acceptReport.safetyWarningImg2}">
                                                <c:forEach var="img" items="${projectList[0].columns.acceptReport.safetyWarningImg2.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader33')"></span>
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                        <input type="hidden" name="safetyWarningImg2" class="safetyWarningImg2" value="${img}">
                                                    </div>
                                                    <c:set var="safetyWarningImg2Count" value="${vs.count}"/>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${safetyWarningImg2Count >=15}">hide</c:if>" id="uploader33">
                                            <img src="" alt="img placeholder" id="safetyWarningImg2">
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                    </c:if>
                </table>
                    <ul class="layui-tab-title" id="completeImgUl">
                        <c:forEach items="${projectList}" var="projectList" varStatus="vs">
                            <li class=" <c:if test="${vs.index eq 0}">layui-this</c:if>" id="${projectList.columns.projectCode}">
                                <c:choose>
                                    <c:when test="${not empty projectList.columns.roofType}">
                                        ${projectList.columns.roofType}
                                    </c:when>
                                    <c:otherwise>
                                        ${projectList.columns.projectName}
                                    </c:otherwise>
                                </c:choose>
                            </li>
                        </c:forEach>
                    </ul>

                <c:forEach items="${projectList}" var="projectList" varStatus="vsr">
                <div class="completeTabContent <c:if test="${vsr.index ne 0}">layui-hide</c:if>" id="completeImgDiv${vsr.index}">
                    <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief${vsr.index}">
                    <ul class="layui-tab-title">
                        <li class="layui-this">安装物料</li>
                        <li>完工资料</li>
                    </ul>
                    <div style="display: flex;">
                        <div style="margin-left: 170px">物料安装状态：<input type="checkbox" name="materialFixFlag" title="安装已完成" lay-skin="primary" <c:if test="${customerEntry.materialFixFlag eq '1'}">checked</c:if> disabled/></div>
<%--                            ${customerEntry.actualCapacity}--%>
                        <div style="margin-left: 20px">实际安装容量(W)：${projectList.columns.acceptReport.capacity}</div>
                    </div>
                    <div class="layui-tab-content tabContent${vsr.index}" id="completeImgDiv0${vsr.index}">
                        <div style="display: flex;">
                            <div style="width: 10%">
                                <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                                    <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                            onclick="changeMaterialTab${vsr.index}(0)">组件
                                    </button>
                                </div>
                                <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                                    <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                            onclick="changeMaterialTab${vsr.index}(1)">逆变器
                                    </button>
                                </div>
                                <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                                    <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                            onclick="changeMaterialTab${vsr.index}(2)">其它
                                    </button>
                                </div>
                            </div>
                            <div style="width: 90%;">
                                <table class="layui-table materialTable${vsr.index}" style="margin: 0 10px 0 0;">
                                    <thead>
                                    <tr>
                                        <th>序号</th>
                                        <th>物料代码</th>
                                        <th>物料名称</th>
                                        <th>物料规格</th>
                                        <th>物料型号</th>
                                        <th>品牌</th>
                                        <th>物料条码</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <c:forEach items="${projectList.columns.zjList}" varStatus="vs" var="material">
                                        <tr style="text-align: center">
                                            <td>${vs.count}</td>
                                            <td>${material.columns.code}</td>
                                            <td>${material.columns.name}</td>
                                            <td>${material.columns.spec}</td>
                                            <td>${material.columns.material_model}</td>
                                            <td>${material.columns.brand}</td>
                                            <td>${material.columns.barcode}</td>
                                        </tr>
                                    </c:forEach>
                                    </tbody>
                                </table>
                                <table class="layui-table materialTable${vsr.index} layui-hide" style="margin: 0 10px 0 0;">
                                    <thead>
                                    <tr style="text-align: center">
                                        <th>序号</th>
                                        <th>物料代码</th>
                                        <th>物料名称</th>
                                        <th>物料规格</th>
                                        <th>物料型号</th>
                                        <th>品牌</th>
                                        <th>物料条码</th>
                                        <th>SN码</th>
                                        <th>通讯棒SN码</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <c:forEach items="${projectList.columns.nbqList}" varStatus="vs" var="material">
                                        <tr style="text-align: center">
                                            <td>${vs.count}</td>
                                            <td>${material.columns.code}</td>
                                            <td>${material.columns.name}</td>
                                            <td>${material.columns.spec}</td>
                                            <td>${material.columns.material_model}</td>
                                            <td>${material.columns.brand}</td>
                                            <td>${material.columns.barcode}</td>
                                            <td>${material.columns.nbq_sn}</td>
                                            <td>${material.columns.sn}</td>
                                        </tr>
                                    </c:forEach>
                                    </tbody>
                                </table>
                                <table class="layui-table materialTable${vsr.index} layui-hide" style="margin: 0 10px 0 0;">
                                    <thead>
                                    <tr>
                                        <th>序号</th>
                                        <th>物料代码</th>
                                        <th>物料名称</th>
                                        <th>物料规格</th>
                                        <th>物料型号</th>
                                        <th>品牌</th>
                                        <th>数量</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <c:forEach items="${projectList.columns.otherList}" varStatus="vs" var="material">
                                        <tr style="text-align: center">
                                            <td>${vs.count}</td>
                                            <td>${material.columns.code}</td>
                                            <td>${material.columns.name}</td>
                                            <td>${material.columns.spec}</td>
                                            <td>${material.columns.material_model}</td>
                                            <td>${material.columns.brand}</td>
                                            <td>${material.columns.amount}</td>
                                        </tr>
                                    </c:forEach>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="layui-tab-content tabContent${vsr.index} layui-hide" id="completeImgDiv1${vsr.index}">
                        <input type="hidden" name="projectId" value="${projectList.columns.projectId}">
                        <input type="hidden" name="entryId" value="${projectList.columns.entryId}">
                        <c:set var="indexNum" value="1"/>
                        <table class="layui-table" style="margin: 0 10px 0 0;">
                            <c:if test="${customerEntry.tenantType eq '2'}">
                                <c:if test="${formSet.columns.other_imgs1.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>银行印鉴留样(1-4张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;">
                                                    <div id="imgsDiv2">
                                                        <c:set var="otherImgs1Count" value="0"/>
                                                        <c:if test="${not empty projectList.columns.acceptReport.otherImgs1}">
                                                            <c:forEach var="img" items="${projectList.columns.otherImgs1.split(',')}" varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader2')"></span>
                                                                    <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                    <input type="hidden" name="otherImgs1" class="otherImgs1" value="${img}">
                                                                </div>
                                                                <c:set var="otherImgs1Count" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container uploader2 <c:if test="${otherImgs1Count >=4}">hide</c:if>" id="uploader2">
                                                        <img src="" alt="img placeholder" id="otherImgs1">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${formSet.columns.other_imgs2.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>签约现场照片-法定代表人/负责人签字照(1-4张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex">
                                                    <div id="imgsDiv3">
                                                        <c:set var="otherImgs2Count" value="0"/>
                                                        <c:if test="${not empty projectList.columns.acceptReport.otherImgs2}">
                                                            <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs2.split(',')}" varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader3')"></span>
                                                                    <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                    <input type="hidden" name="otherImgs2" class="otherImgs2" value="${img}">
                                                                </div>
                                                                <c:set var="otherImgs2Count" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container uploader3 <c:if test="${otherImgs2Count >=4}">hide</c:if>" id="uploader3">
                                                        <img src="" alt="img placeholder" id="otherImgs2">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${formSet.columns.other_imgs3.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>签约现场照片-正脸、持笔/持印、合同签署页同框(1-4张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex">
                                                    <div id="imgsDiv4">
                                                        <c:set var="otherImgs3Count" value="0"/>
                                                        <c:if test="${not empty projectList.columns.acceptReport.otherImgs3}">
                                                            <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs3.split(',')}" varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader4')"></span>
                                                                    <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                    <input type="hidden" name="otherImgs3" class="otherImgs3" value="${img}">
                                                                </div>
                                                                <c:set var="otherImgs3Count" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container uploader4 <c:if test="${otherImgs3Count >=4}">hide</c:if>" id="uploader4">
                                                        <img src="" alt="img placeholder" id="otherImgs3">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${formSet.columns.other_imgs4.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>签署完成照片(1-4张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex">
                                                    <div id="imgsDiv5">
                                                        <c:set var="otherImgs4Count" value="0"/>
                                                        <c:if test="${not empty projectList.columns.acceptReport.otherImgs4}">
                                                            <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs4.split(',')}" varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader5')"></span>
                                                                    <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                    <input type="hidden" name="otherImgs4" class="otherImgs4" value="${img}">
                                                                </div>
                                                                <c:set var="otherImgs4Count" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container uploader5<c:if test="${otherImgs4Count >=4}">hide</c:if>" id="uploader5">
                                                        <img src="" alt="img placeholder" id="otherImgs4">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                            </c:if>
                            <c:if test="${formSet.columns.dzjc1.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.dzjc1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>电站基础-主屋(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'dzjc1'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv6">
                                                    <c:set var="dzjc1Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.dzjc1}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.dzjc1.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader6')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="dzjc1" class="dzjc1" value="${img}">
                                                            </div>
                                                            <c:set var="dzjc1Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader6 <c:if test="${dzjc1Count >=15}">hide</c:if>" id="uploader6">
                                                    <img src="" alt="img placeholder" id="dzjc1">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.dzjc2.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.dzjc2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>电站基础-副屋(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'dzjc2'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv7">
                                                    <c:set var="dzjc2Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.dzjc2}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.dzjc2.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader7')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="dzjc2" class="dzjc2" value="${img}">
                                                            </div>
                                                            <c:set var="dzjc2Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader7 <c:if test="${dzjc2Count >=15}">hide</c:if>" id="uploader7">
                                                    <img src="" alt="img placeholder" id="dzjc2">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img1.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架正面照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img1'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv8">
                                                    <c:set var="zjImg1Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg1}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg1.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader8')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg1" class="zjImg1" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg1Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader8 <c:if test="${zjImg1Count >=15}">hide</c:if>" id="uploader8">
                                                    <img src="" alt="img placeholder" id="zjImg1">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img2.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架侧视图(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img2'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv9">
                                                    <c:set var="zjImg2Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg2}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg2.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader9')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg2" class="zjImg2" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg2Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader9 <c:if test="${zjImg2Count >=15}">hide</c:if>" id="uploader9">
                                                    <img src="" alt="img placeholder" id="zjImg2">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img3.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架北侧图(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img3'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv10">
                                                    <c:set var="zjImg3Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg3}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg3.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader10')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg3" class="zjImg3" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg3Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader10 <c:if test="${zjImg3Count >=15}">hide</c:if>" id="uploader10">
                                                    <img src="" alt="img placeholder" id="zjImg3">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.component_img2.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.component_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件方位角照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'component_img2'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv14">
                                                    <c:set var="componentImg2Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.componentImg2}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.componentImg2.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader14')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="componentImg2" class="componentImg2" value="${img}">
                                                            </div>
                                                            <c:set var="componentImg2Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader14 <c:if test="${componentImg2Count >=15}">hide</c:if>" id="uploader14">
                                                    <img src="" alt="img placeholder" id="componentImg2">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.dqsb_an_img_one.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.dqsb_an_img_one.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>逆变器注册截图照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'dqsb_an_img_one'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv21">
                                                    <c:set var="dqsbAnImgOneCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.dqsbAnImgOne}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.dqsbAnImgOne.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader21')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="dqsbAnImgOne" class="dqsbAnImgOne" value="${img}">
                                                            </div>
                                                            <c:set var="dqsbAnImgOneCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader21 <c:if test="${dqsbAnImgOneCount >=15}">hide</c:if>" id="uploader21">
                                                    <img src="" alt="img placeholder" id="dqsbAnImgOne">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_plate_img.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_plate_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件铭牌照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_plate_img'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv23">
                                                    <c:set var="zjPlateImgCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjPlateImg}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjPlateImg.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader23')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjPlateImg" class="zjPlateImg" value="${img}">
                                                            </div>
                                                            <c:set var="zjPlateImgCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader23 <c:if test="${zjPlateImgCount >=15}">hide</c:if>" id="uploader23">
                                                    <img src="" alt="img placeholder" id="zjPlateImg">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img1.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件与组件之间接地照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img1'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv25">
                                                    <c:set var="jdImg1Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg1}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg1.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader25')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg1" class="jdImg1" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg1Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader25 <c:if test="${jdImg1Count >=15}">hide</c:if>" id="uploader25">
                                                    <img src="" alt="img placeholder" id="jdImg1">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img2.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件与支架接地照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img2'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv26">
                                                    <c:set var="jdImg2Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg2}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg2.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader26')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg2" class="jdImg2" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg2Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader26 <c:if test="${jdImg2Count >=15}">hide</c:if>" id="uploader26">
                                                    <img src="" alt="img placeholder" id="jdImg2">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img3.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架与接地扁铁连接照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img3'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv27">
                                                    <c:set var="jdImg3Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg3}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg3.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader27')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg3" class="jdImg3" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg3Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader27 <c:if test="${jdImg3Count >=15}">hide</c:if>" id="uploader27">
                                                    <img src="" alt="img placeholder" id="jdImg3">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.safety_warning_img3.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.safety_warning_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>施工安全图-开工前站班会（施工安全用品：安全帽、安全绳、反光衣、工作鞋）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'safety_warning_img3'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv34">
                                                    <c:set var="safetyWarningImg3Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.safetyWarningImg3}">
                                                        <c:forEach var="img" items="${projectList.columns.safetyWarningImg3.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader34')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="safetyWarningImg3" class="safetyWarningImg3" value="${img}">
                                                            </div>
                                                            <c:set var="safetyWarningImg3Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader34 <c:if test="${safetyWarningImg3Count >=15}">hide</c:if>" id="uploader34">
                                                    <img src="" alt="img placeholder" id="safetyWarningImg3">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.safety_warning_img.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.safety_warning_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>施工安全图-安全警示牌(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'safety_warning_img'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv35">
                                                    <c:set var="safetyWarningImgCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.safetyWarningImg}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.safetyWarningImg.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader35')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="safetyWarningImg" class="safetyWarningImg" value="${img}">
                                                            </div>
                                                            <c:set var="safetyWarningImgCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader35 <c:if test="${safetyWarningImgCount >=15}">hide</c:if>" id="uploader35">
                                                    <img src="" alt="img placeholder" id="safetyWarningImg">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.safety_disclose_doc_img.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.safety_disclose_doc_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>施工安全图-安全技术交底书(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'safety_disclose_doc_img'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv36">
                                                    <c:set var="safetyDiscloseDocImgCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.safetyDiscloseDocImg}">
                                                        <c:forEach var="img" items="${projectList.columns.safetyDiscloseDocImg.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader36')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="safetyDiscloseDocImg" class="safetyDiscloseDocImg" value="${img}">
                                                            </div>
                                                            <c:set var="safetyDiscloseDocImgCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader36 <c:if test="${safetyDiscloseDocImgCount >=15}">hide</c:if>" id="uploader36">
                                                    <img src="" alt="img placeholder" id="safetyDiscloseDocImg">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img10.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img10.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>基础安装-螺栓孔洞防水图(3-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img10'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv42">
                                                    <c:set var="zjImg10Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg10}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg10.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader42')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg10" class="zjImg10" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg10Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader42 <c:if test="${zjImg10Count >=15}">hide</c:if>" id="uploader42">
                                                    <img src="" alt="img placeholder" id="zjImg10">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img11.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img11.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>基础安装-柱脚防水完工图(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img11'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv43">
                                                    <c:set var="zjImg11Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg11}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg11.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader43')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg11" class="zjImg11" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg11Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader43 <c:if test="${zjImg11Count >=15}">hide</c:if>" id="uploader43">
                                                    <img src="" alt="img placeholder" id="zjImg11">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img5.status eq '1' || formSet.columns.zj_img5_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img5.mustFillFlag eq '1' || formSet.columns.zj_img5_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.zj_img5.status eq '1'}">
                                                航拍图照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.zj_img5_03.status eq '1'}">
                                                支架安装图-支架安装完成VR图(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.zj_img5.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'zj_img5'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.zj_img5_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'zj_img5_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv12">
                                                    <c:set var="zjImg5Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg5}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg5.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader12')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg5" class="zjImg5" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg5Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader12 <c:if test="${zjImg5Count >=15}">hide</c:if>" id="uploader12">
                                                    <img src="" alt="img placeholder" id="zjImg5">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img8.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img8.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-支架方阵（东向西完工照）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img8'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv40">
                                                    <c:set var="zjImg8Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg8}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg8.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader40')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg8" class="zjImg8" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg8Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader40<c:if test="${zjImg8Count >=15}">hide</c:if>" id="uploader40">
                                                    <img src="" alt="img placeholder" id="zjImg8">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img9.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img9.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-支架方阵（北向南完工照）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img9'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv41">
                                                    <c:set var="zjImg9Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg9}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg9.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader41')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg9" class="zjImg9" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg9Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader41 <c:if test="${zjImg9Count >=15}">hide</c:if>" id="uploader41">
                                                    <img src="" alt="img placeholder" id="zjImg9">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img4.status eq '1' || formSet.columns.zj_img4_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img4.mustFillFlag eq '1' || formSet.columns.zj_img4_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.zj_img4.status eq '1'}">
                                                支架型号照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.zj_img4_03.status eq '1'}">
                                                支架安装图-立柱东西间距、南北间距（带尺寸）(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.zj_img4.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'zj_img4'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.zj_img4_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'zj_img4_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv11">
                                                    <c:set var="zjImg4Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg4}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg4.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader11')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg4" class="zjImg4" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg4Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader11 <c:if test="${zjImg4Count >=15}">hide</c:if>" id="uploader11">
                                                    <img src="" alt="img placeholder" id="zjImg4">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img12.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img12.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-斜梁悬挑（南）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img12'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv44">
                                                    <c:set var="zjImg12Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg12}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg12.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader44')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg12" class="zjImg12" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg12Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader44 <c:if test="${zjImg12Count >=15}">hide</c:if>" id="uploader44">
                                                    <img src="" alt="img placeholder" id="zjImg12">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img13.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img13.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-斜梁悬挑（北）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img13'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv45">
                                                    <c:set var="zjImg13Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg13}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg13.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader45')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg13" class="zjImg13" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg13Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader45 <c:if test="${zjImg13Count >=15}">hide</c:if>" id="uploader45">
                                                    <img src="" alt="img placeholder" id="zjImg13">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img14.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img14.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-檀条悬挑（东）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img14'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv46">
                                                    <c:set var="zjImg14Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg14}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg14.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader46')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg14" class="zjImg14" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg14Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader46 <c:if test="${zjImg14Count >=15}">hide</c:if>" id="uploader46">
                                                    <img src="" alt="img placeholder" id="zjImg14">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.zj_img15.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_img15.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>支架安装图-檀条悬挑（西）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'zj_img15'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv47">
                                                    <c:set var="zjImg15Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjImg15}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg15.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader47')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjImg15" class="zjImg15" value="${img}">
                                                            </div>
                                                            <c:set var="zjImg15Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader47 <c:if test="${zjImg15Count >=15}">hide</c:if>" id="uploader47">
                                                    <img src="" alt="img placeholder" id="zjImg15">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img4.status eq '1' || formSet.columns.jd_img4_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img4.mustFillFlag eq '1' || formSet.columns.jd_img4_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.jd_img4.status eq '1'}">
                                                接地扁铁下墙照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.jd_img4_03.status eq '1'}">
                                                支架接地图-支架接地(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.jd_img4.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'jd_img4'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.jd_img4_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'jd_img4_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv28">
                                                    <c:set var="jdImg4Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg4}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg4.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader28')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg4" class="jdImg4" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg4Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader28 <c:if test="${jdImg4Count >=15}">hide</c:if>" id="uploader28">
                                                    <img src="" alt="img placeholder" id="jdImg4">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.component_img3.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.component_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件航拍俯视照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'component_img3'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv37">
                                                    <c:set var="componentImg3Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.componentImg3}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.componentImg3.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader37')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="componentImg3" class="componentImg3" value="${img}">
                                                            </div>
                                                            <c:set var="componentImg3Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader37 <c:if test="${componentImg3Count >=15}">hide</c:if>" id="uploader37">
                                                    <img src="" alt="img placeholder" id="componentImg3">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.component_img4.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.component_img4.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>组件安装完成VR视图(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'component_img4'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv60">
                                                    <c:set var="componentImg4Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.componentImg4}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.componentImg4.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader60')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="componentImg4" class="componentImg4" value="${img}">
                                                            </div>
                                                            <c:set var="componentImg4Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader60 <c:if test="${componentImg4Count >=15}">hide</c:if>" id="uploader60">
                                                    <img src="" alt="img placeholder" id="componentImg4">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.bk_img1.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.bk_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>边框接地图-边框与边框接地(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'bk_img1'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv48">
                                                    <c:set var="bkImg1Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.bkImg1}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.bkImg1.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader48')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="bkImg1" class="bkImg1" value="${img}">
                                                            </div>
                                                            <c:set var="bkImg1Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader48 <c:if test="${bkImg1Count >=15}">hide</c:if>" id="uploader48">
                                                    <img src="" alt="img placeholder" id="bkImg1">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.component_img1.status eq '1' || formSet.columns.component_img1_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.component_img1.mustFillFlag eq '1' || formSet.columns.component_img1_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.component_img1.status eq '1'}">
                                                组件倾角照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.component_img1_03.status eq '1'}">
                                                边框接地图-组件安装倾角(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.component_img1.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'component_img1'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.component_img1_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'component_img1_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv13">
                                                    <c:set var="componentImg1Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.componentImg1}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.componentImg1.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader13')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="componentImg1" class="componentImg1" value="${img}">
                                                            </div>
                                                            <c:set var="componentImg1Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader13 <c:if test="${componentImg1Count >=15}">hide</c:if>" id="uploader13">
                                                    <img src="" alt="img placeholder" id="componentImg1">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.bk_img2.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.bk_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>边框接地图-边框与支架接地(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'bk_img2'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv49">
                                                    <c:set var="bkImg2Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.bkImg2}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.bkImg2.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader49')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="bkImg2" class="bkImg2" value="${img}">
                                                            </div>
                                                            <c:set var="bkImg2Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader49 <c:if test="${bkImg2Count >=15}">hide</c:if>" id="uploader49">
                                                    <img src="" alt="img placeholder" id="bkImg2">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.bk_img3.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.bk_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>边框接地图-其他图片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'bk_img3'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv50">
                                                    <c:set var="bkImg3Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.bkImg3}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.bkImg3.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader50')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="bkImg3" class="bkImg3" value="${img}">
                                                            </div>
                                                            <c:set var="bkImg3Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader50 <c:if test="${bkImg3Count >=15}">hide</c:if>" id="uploader50">
                                                    <img src="" alt="img placeholder" id="bkImg3">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.yk_img1.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.yk_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>压块或背压板照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'yk_img1'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv51">
                                                    <c:set var="ykImg1Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.ykImg1}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.ykImg1.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader51')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="ykImg1" class="ykImg1" value="${img}">
                                                            </div>
                                                            <c:set var="ykImg1Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader51 <c:if test="${ykImg1Count >=15}">hide</c:if>" id="uploader51">
                                                    <img src="" alt="img placeholder" id="ykImg1">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.dc_imgs.status eq '1' || formSet.columns.dc_imgs_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.dc_imgs.mustFillFlag eq '1' || formSet.columns.dc_imgs_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.dc_imgs.status eq '1'}">
                                                逆变器安装照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.dc_imgs_03.status eq '1'}">
                                                逆变器安装图-整体外观及走线及采集器（离地高度）（1-15张）
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.dc_imgs.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'dc_imgs'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.dc_imgs_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'dc_imgs_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv19">
                                                    <c:set var="dcImgsCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.dcImgs}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.dcImgs.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader19')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="dcImgs" class="dcImgs" value="${img}">
                                                            </div>
                                                            <c:set var="dcImgsCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader19 <c:if test="${dcImgsCount >=15}">hide</c:if>" id="uploader19">
                                                    <img src="" alt="img placeholder" id="dcImgs">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.nbq_plate_img.status eq '1' || formSet.columns.nbq_plate_img_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.nbq_plate_img.mustFillFlag eq '1' || formSet.columns.nbq_plate_img_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.nbq_plate_img.status eq '1'}">
                                                逆变器铭牌照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.nbq_plate_img_03.status eq '1'}">
                                                逆变器安装图-铭牌(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.nbq_plate_img.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'nbq_plate_img'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.nbq_plate_img_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'nbq_plate_img_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv22">
                                                    <c:set var="nbqPlateImgCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.nbqPlateImg}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.nbqPlateImg.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader22')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="nbqPlateImg" class="nbqPlateImg" value="${img}">
                                                            </div>
                                                            <c:set var="nbqPlateImgCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader22 <c:if test="${nbqPlateImgCount >=15}">hide</c:if>" id="uploader22">
                                                    <img src="" alt="img placeholder" id="nbqPlateImg">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.total_imgs.status eq '1' || formSet.columns.total_imgs_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.total_imgs.mustFillFlag eq '1' || formSet.columns.total_imgs_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.total_imgs.status eq '1'}">
                                                逆变器组串接入照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.total_imgs_03.status eq '1'}">
                                                逆变器安装图-接地情况(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.total_imgs.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'total_imgs'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.total_imgs_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'total_imgs_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv17">
                                                    <c:set var="totalImgsCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.totalImgs}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.totalImgs.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader17')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="totalImgs" class="totalImgs" value="${img}">
                                                            </div>
                                                            <c:set var="totalImgsCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader17 <c:if test="${totalImgsCount >=15}">hide</c:if>" id="uploader17">
                                                    <img src="" alt="img placeholder" id="totalImgs">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.nbq_zlc_img.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.nbq_zlc_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>逆变器安装图-逆变器交流侧(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'nbq_zlc_img'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv38">
                                                    <c:set var="nbqZlcImgCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.nbqZlcImg}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.nbqZlcImg.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader38')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="nbqZlcImg" class="nbqZlcImg" value="${img}">
                                                            </div>
                                                            <c:set var="nbqZlcImgCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader38 <c:if test="${nbqZlcImgCount >=15}">hide</c:if>" id="uploader38">
                                                    <img src="" alt="img placeholder" id="nbqZlcImg">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.open_way_voltage_imgs.status eq '1' || formSet.columns.open_way_voltage_imgs_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.open_way_voltage_imgs.mustFillFlag eq '1' || formSet.columns.open_way_voltage_imgs_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.open_way_voltage_imgs.status eq '1'}">
                                                开路电压图(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.open_way_voltage_imgs_03.status eq '1'}">
                                                逆变器安装图-组串开路电压照片(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.open_way_voltage_imgs.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'open_way_voltage_imgs'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.open_way_voltage_imgs_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'open_way_voltage_imgs_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv24">
                                                    <c:set var="openWayVoltageImgsCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.openWayVoltageImgs}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.openWayVoltageImgs.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader24')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="openWayVoltageImgs" class="openWayVoltageImgs" value="${img}">
                                                            </div>
                                                            <c:set var="openWayVoltageImgsCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader24 <c:if test="${openWayVoltageImgsCount >=15}">hide</c:if>" id="uploader24">
                                                    <img src="" alt="img placeholder" id="openWayVoltageImgs">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.nbq_zb_img.status eq '1' || formSet.columns.nbq_zb_img_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.nbq_zb_img.mustFillFlag eq '1' || formSet.columns.nbq_zb_img_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.nbq_zb_img.status eq '1'}">
                                                并网箱逆变器整体照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.nbq_zb_img_03.status eq '1'}">
                                                并网箱安装图-外观及走线（离地高度）(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.nbq_zb_img.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'nbq_zb_img'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.nbq_zb_img_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'nbq_zb_img_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv20">
                                                    <c:set var="nbqZbImgCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.nbqZbImg}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.nbqZbImg.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader20')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="nbqZbImg" class="nbqZbImg" value="${img}">
                                                            </div>
                                                            <c:set var="nbqZbImgCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader20 <c:if test="${nbqZbImgCount >=15}">hide</c:if>" id="uploader20">
                                                    <img src="" alt="img placeholder" id="nbqZbImg">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.other_imgs8.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_imgs8.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>并网箱逆变器防雨罩照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'other_imgs8'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv64">
                                                    <c:set var="otherImgs8Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.otherImgs8}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs8.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader64')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="otherImgs8" class="otherImgs8" value="${img}">
                                                            </div>
                                                            <c:set var="otherImgs8Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader64 <c:if test="${otherImgs8Count >=15}">hide</c:if>" id="uploader64">
                                                    <img src="" alt="img placeholder" id="otherImgs8">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.bw_inner_img.status eq '1' || formSet.columns.bw_inner_img_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.bw_inner_img.mustFillFlag eq '1' || formSet.columns.bw_inner_img_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.bw_inner_img.status eq '1'}">
                                                并网箱内部照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.bw_inner_img_03.status eq '1'}">
                                                并网箱安装图-并网箱内部全景(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.bw_inner_img.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'bw_inner_img'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.bw_inner_img_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'bw_inner_img_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv18">
                                                    <c:set var="bwInnerImgCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.bwInnerImg}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.bwInnerImg.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader18')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="bwInnerImg" class="bwInnerImg" value="${img}">
                                                            </div>
                                                            <c:set var="bwInnerImgCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader18 <c:if test="${bwInnerImgCount >=15}">hide</c:if>" id="uploader18">
                                                    <img src="" alt="img placeholder" id="bwInnerImg">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.bw_jd_img.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.bw_jd_img.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>并网箱安装图-接地情况(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'bw_jd_img'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv39">
                                                    <c:set var="bwJdImgCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.bwJdImg}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.bwJdImg.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader39')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="bwJdImg" class="bwJdImg" value="${img}">
                                                            </div>
                                                            <c:set var="bwJdImgCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader39 <c:if test="${bwJdImgCount >=15}">hide</c:if>" id="uploader39">
                                                    <img src="" alt="img placeholder" id="bwJdImg">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.fix_other_img.status eq '1' || formSet.columns.fix_other_img_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.fix_other_img.mustFillFlag eq '1' || formSet.columns.fix_other_img_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.fix_other_img.status eq '1'}">
                                                线缆下墙照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.fix_other_img_03.status eq '1'}">
                                                线缆走向（屋顶、下墙）、线缆保护管（或桥架）敷设及固定照片(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.fix_other_img.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'fix_other_img'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.fix_other_img_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'fix_other_img_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv16">
                                                    <c:set var="fixOtherImgCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.fixOtherImg}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.fixOtherImg.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader16')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="fixOtherImg" class="fixOtherImg" value="${img}">
                                                            </div>
                                                            <c:set var="fixOtherImgCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader16 <c:if test="${fixOtherImgCount >=15}">hide</c:if>" id="uploader16">
                                                    <img src="" alt="img placeholder" id="fixOtherImg">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.size_measure_imgs.status eq '1' || formSet.columns.size_measure_imgs_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.size_measure_imgs.mustFillFlag eq '1' || formSet.columns.size_measure_imgs_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.size_measure_imgs.status eq '1'}">
                                                屋顶线缆安装照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.size_measure_imgs_03.status eq '1'}">
                                                电缆桥架内部电缆照片(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.size_measure_imgs.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'size_measure_imgs'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.size_measure_imgs_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'size_measure_imgs_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv15">
                                                    <c:set var="sizeMeasureImgsCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.sizeMeasureImgs}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.sizeMeasureImgs.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader15')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="sizeMeasureImgs" class="sizeMeasureImgs" value="${img}">
                                                            </div>
                                                            <c:set var="sizeMeasureImgsCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader15 <c:if test="${sizeMeasureImgsCount >=15}">hide</c:if>" id="uploader15">
                                                    <img src="" alt="img placeholder" id="sizeMeasureImgs">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img8.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img8.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-并网箱、逆变器安装接地极(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img8'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv52">
                                                    <c:set var="jdImg8Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg8}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg8.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader52')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg8" class="jdImg8" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg8Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader52 <c:if test="${jdImg8Count >=15}">hide</c:if>" id="uploader52">
                                                    <img src="" alt="img placeholder" id="jdImg8">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img5.status eq '1' || formSet.columns.jd_img5_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img5.mustFillFlag eq '1' || formSet.columns.jd_img5_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        <c:choose>
                                            <c:when test="${formSet.columns.jd_img5.status eq '1'}">
                                                支架接地电阻照片(1-15张)
                                            </c:when>
                                            <c:when test="${formSet.columns.jd_img5_03.status eq '1'}">
                                                接地极图-支架接地电阻阻值（近景）(1-15张)
                                            </c:when>
                                        </c:choose>
                                    </td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${formSet.columns.jd_img5.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'jd_img5'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                    <c:when test="${formSet.columns.jd_img5_03.status eq '1'}">
                                                        <c:forEach items="${reflist}" var="ref">
                                                            <c:choose>
                                                                <c:when test="${ref.itemCode eq 'jd_img5_03'}">
                                                                    <c:forEach var="img" items="${ref.list}">
                                                                        <div class="sl-img">
                                                                            <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                            <span class="imgsDesc">示例图</span>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                                <div id="imgsDiv29">
                                                    <c:set var="jdImg5Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg5}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg5.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader29')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg5" class="jdImg5" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg5Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader29 <c:if test="${jdImg5Count >=15}">hide</c:if>" id="uploader29">
                                                    <img src="" alt="img placeholder" id="jdImg5">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img11.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img11.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-支架接地电阻测量照片（远景）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img11'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv55">
                                                    <c:set var="jdImg11Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg11}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg11.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader55')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg11" class="jdImg11" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg11Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader55 <c:if test="${jdImg11Count >=15}">hide</c:if>" id="uploader55">
                                                    <img src="" alt="img placeholder" id="jdImg11">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img9.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img9.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-并网箱、逆变器安装接地电阻阻值（近景）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img9'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv53">
                                                    <c:set var="jdImg9Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg9}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg9.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader53')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg9" class="jdImg9" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg9Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader53 <c:if test="${jdImg9Count >=15}">hide</c:if>" id="uploader53">
                                                    <img src="" alt="img placeholder" id="jdImg9">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img12.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img12.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-并网箱、逆变器安装接地电阻测量照片（远景）(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img12'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv56">
                                                    <c:set var="jdImg12Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg12}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg12.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader56')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg12" class="jdImg12" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg12Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader56 <c:if test="${jdImg12Count >=15}">hide</c:if>" id="uploader56">
                                                    <img src="" alt="img placeholder" id="jdImg12">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img10.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img10.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>接地极图-接地引下线警示做法(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img10'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv54">
                                                    <c:set var="jdImg10Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg10}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg10.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader54')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg10" class="jdImg10" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg10Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader54 <c:if test="${jdImg10Count >=15}">hide</c:if>" id="uploader54">
                                                    <img src="" alt="img placeholder" id="jdImg10">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.fs_img1.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.fs_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>防水措施图-横竖向水槽(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'fs_img1'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv57">
                                                    <c:set var="fsImg1Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.fsImg1}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.fsImg1.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader57')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="fsImg1" class="fsImg1" value="${img}">
                                                            </div>
                                                            <c:set var="fsImg1Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader57 <c:if test="${fsImg1Count >=15}">hide</c:if>" id="uploader57">
                                                    <img src="" alt="img placeholder" id="fsImg1">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.fs_img2.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.fs_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>防水措施图-落水管走向及其固定(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'fs_img2'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv58">
                                                    <c:set var="fsImg2Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.fsImg2}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.fsImg2.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader58')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="fsImg2" class="fsImg2" value="${img}">
                                                            </div>
                                                            <c:set var="fsImg2Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader58 <c:if test="${fsImg2Count >=15}">hide</c:if>" id="uploader58">
                                                    <img src="" alt="img placeholder" id="fsImg2">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.fs_img3.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.fs_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>防水措施图-其他图片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'fs_img3'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv59">
                                                    <c:set var="fsImg3Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.fsImg3}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.fsImg3.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader59')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="fsImg3" class="fsImg3" value="${img}">
                                                            </div>
                                                            <c:set var="fsImg3Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader59 <c:if test="${fsImg3Count >=15}">hide</c:if>" id="uploader59">
                                                    <img src="" alt="img placeholder" id="fsImg3">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.jd_img6.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.jd_img6.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>电气接地电阻照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'jd_img6'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv30">
                                                    <c:set var="jdImg6Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.jdImg6}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg6.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader30')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="jdImg6" class="jdImg6" value="${img}">
                                                            </div>
                                                            <c:set var="jdImg6Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader30 <c:if test="${jdImg6Count >=15}">hide</c:if>" id="uploader30">
                                                    <img src="" alt="img placeholder" id="jdImg6">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.other_imgs5.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_imgs5.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>水槽细节照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'other_imgs5'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv61">
                                                    <c:set var="otherImgs5Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.otherImgs5}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs5.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader61')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="otherImgs5" class="otherImgs5" value="${img}">
                                                            </div>
                                                            <c:set var="otherImgs5Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader61 <c:if test="${otherImgs5Count >=15}">hide</c:if>" id="uploader61">
                                                    <img src="" alt="img placeholder" id="otherImgs5">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.other_imgs6.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_imgs6.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>落水管照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'other_imgs6'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv62">
                                                    <c:set var="otherImgs6Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.otherImgs6}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs6.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader62')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="otherImgs6" class="otherImgs6" value="${img}">
                                                            </div>
                                                            <c:set var="otherImgs6Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader62 <c:if test="${otherImgs6Count >=15}">hide</c:if>" id="uploader62">
                                                    <img src="" alt="img placeholder" id="otherImgs6">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.other_imgs7.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_imgs7.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>假梁-斜梁方向照片(1-15张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:forEach items="${reflist}" var="ref">
                                                    <c:choose>
                                                        <c:when test="${ref.itemCode eq 'other_imgs7'}">
                                                            <c:forEach var="img" items="${ref.list}">
                                                                <div class="sl-img">
                                                                    <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                    <span class="imgsDesc">示例图</span>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </c:forEach>
                                                <div id="imgsDiv63">
                                                    <c:set var="otherImgs7Count" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.otherImgs7}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs7.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader63')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="otherImgs7" class="otherImgs7" value="${img}">
                                                            </div>
                                                            <c:set var="otherImgs7Count" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader63 <c:if test="${otherImgs7Count >=15}">hide</c:if>" id="uploader63">
                                                    <img src="" alt="img placeholder" id="otherImgs7">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>

                            <c:if test="${formSet.columns.zj_report.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.zj_report.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>自检记录报告(1张)</td>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex">
                                                <div id="imgsDiv31">
                                                    <c:set var="zjReportCount" value="0"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.zjReport}">
                                                        <c:forEach var="img" items="${projectList.columns.acceptReport.zjReport.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader31')"></span>
                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                                                <input type="hidden" name="zjReport" class="zjReport" value="${img}">
                                                            </div>
                                                            <c:set var="zjReportCount" value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader31 <c:if test="${zjReportCount >=1}">hide</c:if>" id="uploader31">
                                                    <img src="" alt="img placeholder" id="zjReport">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.other_files.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.other_files.mustFillFlag eq '1'}"><i class="mark">*</i></c:if> 其他资料(1-2张)</td>
                                    <td width="80%">
                                        <div class="layui-input-inline img-box" style="margin-left: 20px;">
                                            <div style="display: flex">
                                                <div id="imgsDiv32">
                                                    <div  id="uploader32" class="uploader32" <c:if test="${otherFilesCount >= 2}">style="display: none"</c:if>>
                                                        <span style="color:blue;cursor: pointer" id="uploader32">上传</span>
                                                    </div>
                                                    <c:set var="otherFilesCount" value="${otherFilesCount}"/>
                                                    <c:if test="${not empty projectList.columns.acceptReport.otherFiles}">
                                                        <c:forEach items="${projectList.columns.acceptReport.otherFiles}" var="file" varStatus="vs">
                                                            <div>
                                                                <span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,'uploader32')"></span>
                                                                <a style="color:#2890ac;" href="${commonStaticImgPath}${file}" download="${file}" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                                <input type="hidden" name="otherFiles" class="otherFiles" value="${file}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.supplement_video_url.status eq '1'}">
                                <tr style="height: 100px">
                                    <td width="15%">${indexNum}、<c:if
                                            test="${formSet.columns.supplement_video_url.mustFillFlag eq '1'}"><i
                                            class="mark">*</i></c:if>补充视频（1~5）
                                    </td>
                                    <td width="80%">

                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <div id="imgsDiv67">
                                                    <c:if test="${not empty projectList.columns.acceptReport.supplementVideoUrl}">
                                                        <c:forEach var="quaim" items="${projectList.columns.acceptReport.supplementVideoUrl.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon"
                                                                          onclick="delVideoImg(this,'uploader67')"></span>
                                                                <video controls
                                                                       src="${commonStaticImgPath}${quaim}"
                                                                       height="80px" width="80px"></video>
                                                                <input type="hidden" name="supplementVideoUrl" class="supplementVideoUrl"
                                                                       value="${quaim}">
                                                            </div>
                                                            <c:set var="videoCount"
                                                                   value="${vs.count}"/>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container uploader67 <c:if test="${videoCount >= 5}">hide</c:if>"
                                                     id="uploader67">
                                                    <img src="" alt="img placeholder" id="supplementVideoUrl">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                            <c:if test="${formSet.columns.complete_remark.status eq '1'}">
                                <tr style="height: 50px">
                                    <td width="15%">${indexNum}、<c:if test="${formSet.columns.complete_remark.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>完工备注</td>
                                    <td width="80%">
                                        <c:if test="${formSet.columns.filing_document_code.status eq '1'}">
                                            <div class="layui-col-lg6 layui-col-sm6 ">
                                                <div class="layui-input-block">
                                                    <input type="text" name="completeRemark" id="completeRemark" autocomplete="off"  value="${projectList.columns.acceptReport.completeRemark}" class="layui-input">
                                                </div>
                                            </div>
                                        </c:if>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                            </c:if>
                        </table>
                    </div>

                    </div>
                </div>
                </c:forEach>
            </div>
        </div>
    </div>
</div>
<div class="layui-form-item text-c operate-footer">
    <button type="button" class="layui-btn" id="tempSave">暂存</button>
    <button type="button" class="layui-btn" id="save">提交</button>
    <button class="layui-btn layui-btn-primary" onclick="closeSelf()">取消</button>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script>

    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'element', 'tableExt', 'jquery', 'layer', 'laypage', 'laydate', 'form','upload'], function () {
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;
        upload = layui.upload;
        table = tableExt.getLayTable();
        var element = layui.element;



        element.on('tab(docDemoTabBrief0)', function (data) {
            $('.tabContent0').eq(data.index).removeClass('layui-hide').siblings('.tabContent0').addClass('layui-hide');
            console.log(data);
        });
        element.on('tab(docDemoTabBrief1)', function (data) {
            $('.tabContent1').eq(data.index).removeClass('layui-hide').siblings('.tabContent1').addClass('layui-hide');
            console.log(data);
        });

        element.on('tab(docDemoTabBrief2)', function (data) {
            $('.tabContent2').eq(data.index).removeClass('layui-hide').siblings('.tabContent2').addClass('layui-hide');
            console.log(data);
        });
        element.on('tab(docDemoTabBrief3)', function (data) {
            $('.tabContent3').eq(data.index).removeClass('layui-hide').siblings('.tabContent3').addClass('layui-hide');
            console.log(data);
        });
        element.on('tab(docDemoTabBrief4)', function (data) {
            $('.tabContent4').eq(data.index).removeClass('layui-hide').siblings('.tabContent4').addClass('layui-hide');
            console.log(data);
        });

        element.on('tab(completeDemoTabBrief)', function (data) {
            $('.completeTabContent').eq(data.index).removeClass('layui-hide').siblings('.completeTabContent').addClass('layui-hide');
        });

        upload.render({
            elem: '#uploader1',
            url: '${ctx}/common/uploadFile3',
            multiple:true,
            accept: 'file',
            before: function (obj) {

            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#imgsDiv1").find(".filingDocumentPhoto").length;
                if ((imgCount + 1) >= 4) {
                    $("#uploader1").hide();
                }
                let html = '<div><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'uploader1\')"></span>';
                html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';
                html += '<input type="hidden" name="filingDocumentPhoto" class="filingDocumentPhoto" value="' + path + '"/> </div>';
                $("#imgsDiv1").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader33' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader33", "imgsDiv33", "safetyWarningImg2",15);
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.uploader65' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader65", "imgsDiv65", "kgConditionFiles",15);
            }
            , error: function () {
                //请求异常回调
            }
        });


        upload.render({
            elem: '.uploader2' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader2", "imgsDiv2", "otherImgs1",4,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader3' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader3", "imgsDiv3", "otherImgs2",4,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader4' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader4", "imgsDiv4", "otherImgs3",4,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader5' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader5", "imgsDiv5", "otherImgs4",4,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader6' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader6", "imgsDiv6", "dzjc1",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader7' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader7", "imgsDiv7", "dzjc2",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader8' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader8", "imgsDiv8", "zjImg1",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader9' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader9", "imgsDiv9", "zjImg2",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader10' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader10", "imgsDiv10", "zjImg3",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader11' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader11", "imgsDiv11", "zjImg4",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader12' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader12", "imgsDiv12", "zjImg5",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader13' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader13", "imgsDiv13", "componentImg1",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader14' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader14", "imgsDiv14", "componentImg2",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader15' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader15", "imgsDiv15", "sizeMeasureImgs",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader16' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader16", "imgsDiv16", "fixOtherImg",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader17' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader17", "imgsDiv17", "totalImgs",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader18' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader18", "imgsDiv18", "bwInnerImg",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader19' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader19", "imgsDiv19", "dcImgs",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader20' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader20", "imgsDiv20", "nbqZbImg",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader21' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader21", "imgsDiv21", "dqsbAnImgOne",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader22' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader22", "imgsDiv22", "nbqPlateImg",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader23' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader23", "imgsDiv23", "zjPlateImg",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader24' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader24", "imgsDiv24", "openWayVoltageImgs",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader25' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader25", "imgsDiv25", "jdImg1",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader26' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader26", "imgsDiv26", "jdImg2",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader27' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader27", "imgsDiv27", "jdImg3",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader28' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader28", "imgsDiv28", "jdImg4",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader29' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader29", "imgsDiv29", "jdImg5",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader30' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader30", "imgsDiv30", "jdImg6",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.uploader34' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader34", "imgsDiv34", "safetyWarningImg3",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader35' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader35", "imgsDiv35", "safetyWarningImg",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader36' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader36", "imgsDiv36", "safetyDiscloseDocImg",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader37' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader37", "imgsDiv37", "componentImg3",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader38' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader38", "imgsDiv38", "nbqZlcImg",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader39' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader39", "imgsDiv39", "bwJdImg",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader40' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader40", "imgsDiv40", "zjImg8",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader41' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader41", "imgsDiv41", "zjImg9",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader42' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader42", "imgsDiv42", "zjImg10",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader43' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader43", "imgsDiv43", "zjImg11",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader44' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader44", "imgsDiv44", "zjImg12",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader45' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader45", "imgsDiv45", "zjImg13",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader46' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader46", "imgsDiv46", "zjImg14",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader47' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader47", "imgsDiv47", "zjImg15",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader48' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader48", "imgsDiv48", "bkImg1",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader49' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader49", "imgsDiv49", "bkImg2",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader50' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader50", "imgsDiv50", "bkImg3",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader51' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader51", "imgsDiv51", "ykImg1",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader52' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader52", "imgsDiv52", "jdImg8",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader53' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader53", "imgsDiv53", "jdImg9",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader54' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader54", "imgsDiv54", "jdImg10",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader55' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader55", "imgsDiv55", "jdImg11",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader56' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader56", "imgsDiv56", "jdImg12",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader57' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader57", "imgsDiv57", "fsImg1",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader58' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader58", "imgsDiv58", "fsImg2",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader59' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader59", "imgsDiv59", "fsImg3",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader60' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader60", "imgsDiv60", "componentImg4",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader61' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader61", "imgsDiv61", "otherImgs5",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader62' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader62", "imgsDiv62", "otherImgs6",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader63' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader63", "imgsDiv63", "otherImgs7",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader64' //绑定元素   整体照片
            , multiple:true
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader64", "imgsDiv64", "otherImgs8",15,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.uploader31' //绑定元素   整体照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , multiple:true
            , before: function (obj) {

            }
            , done: function (res) {
                //上传完毕回调
                addImgCopy(res.path, "uploader31", "imgsDiv31", "zjReport",1,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.uploader32',
            url: '${ctx}/common/uploadFile3',
            multiple:true,
            accept: 'file',
            before: function (obj) {

            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $(this.item).parent().find(".otherFiles").length;
                if ((imgCount + 1) >= 2) {
                    $(this.item).hide();
                }
                let html = '<div><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'uploader32\')"></span>';
                html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';
                html += '<input type="hidden" name="otherFiles" class="otherFiles" value="' + path + '"/> </div>';
                $(this.item).parent().append(html);
            },
            error: function () {
                //请求异常回调
            }
        });
        <%--upload.render({--%>
        <%--    elem: '.uploader65',--%>
        <%--    multiple:true,--%>
        <%--    url: '${ctx}/common/uploadFile3',--%>
        <%--    accept: 'file',--%>
        <%--    before: function (obj) {--%>

        <%--    },--%>
        <%--    done: function (res) {--%>
        <%--        //上传完毕回调--%>
        <%--        let path = res.path;--%>
        <%--        let index = path.lastIndexOf('/');--%>
        <%--        let name = path.substring(index + 1);--%>
        <%--        let imgCount = $(this.item).find(".kgConditionFiles").length;--%>
        <%--        if ((imgCount + 1) >= 15) {--%>
        <%--            $(this.item).hide();--%>
        <%--        }--%>
        <%--        let html = '<div><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'uploader65\')"></span>';--%>
        <%--        html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';--%>
        <%--        html += '<input type="hidden" name="kgConditionFiles" class="kgConditionFiles" value="' + path + '"/> </div>';--%>
        <%--        $(this.item).append(html);--%>
        <%--    },--%>
        <%--    error: function () {--%>
        <%--        //请求异常回调--%>
        <%--    }--%>
        <%--});--%>
        upload.render({
            elem: '.uploader66',
            url: '${ctx}/common/uploadFile3',
            multiple:true,
            accept: 'file',
            before: function (obj) {

            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $(this.item).find(".contractUrl").length;
                $(this.item).hide();
                let html = '<div><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'uploader66\')"></span>';
                html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';
                html += '<input type="hidden" name="contractUrl" class="contractUrl" value="' + path + '"/> </div>';
                $(this.item).append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.uploader67',
            url: '${ctx}/common/uploadFile',
            multiple:true,
            accept: 'video',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $(this.item).find(".supplementVideoUrl").length;
                if ((imgCount + 1) >= 5) {
                    $(this.item).hide();
                }
                var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delVideoImg(this,\'uploader67\')"></span>';
                html += ' <video controls width="80px" height="80px" src="${commonStaticImgPath}' + path + '"></video>';
                html += '<input type="hidden" name="supplementVideoUrl" class="supplementVideoUrl" value="' + path + '"/> </div>';
                $(this.item).append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        $("#tempSave").click(function(){
            tempSave();
        })
        $("#save").click(function(){
            save();
        })

    })


    function test() {
        $(".completeTabContent").each(function (index) {

            let imgTab = $("#completeImgTab").find("#completeImgDiv1" + index);

            var projectId = "";
            imgTab.find("input[name='projectId']").each(function (index) {
                projectId = $(this).val();
                console.log("第"+index+":"+projectId)
            });
            var entryId = "";
            imgTab.find("input[name='entryId']").each(function () {
                entryId = $(this).val();
            });
            console.log("1111111:"+projectId)
            console.log("2222222:"+entryId)
        });
    }

    var opeRep = false;
    function tempSave() {
        if(opeRep){
            return;
        }
        var completeList = [];

        $(".completeTabContent").each(function (index) {
            let imgTab = $("#completeImgTab").find("#completeImgDiv1"+index);
            var otherImgs1;
            imgTab.find(".otherImgs1").each(function () {
                if (isBlank(otherImgs1)) {
                    otherImgs1 = $(this).val();
                } else {
                    otherImgs1 = otherImgs1 + "," + $(this).val();
                }
            });

            var otherImgs2;
            imgTab.find(".otherImgs2").each(function () {
                if (isBlank(otherImgs2)) {
                    otherImgs2 = $(this).val();
                } else {
                    otherImgs2 = otherImgs2 + "," + $(this).val();
                }
            })
            var otherImgs3;
            imgTab.find(".otherImgs3").each(function () {
                if (isBlank(otherImgs3)) {
                    otherImgs3 = $(this).val();
                } else {
                    otherImgs3 = otherImgs3 + "," + $(this).val();
                }
            })
            var otherImgs4;
            imgTab.find(".otherImgs4").each(function () {
                if (isBlank(otherImgs4)) {
                    otherImgs4 = $(this).val();
                } else {
                    otherImgs4 = otherImgs4 + "," + $(this).val();
                }
            })
            var dzjc1;
            imgTab.find(".dzjc1").each(function () {
                if (isBlank(dzjc1)) {
                    dzjc1 = $(this).val();
                } else {
                    dzjc1 = dzjc1 + "," + $(this).val();
                }
            })
            var dzjc2;
            imgTab.find(".dzjc2").each(function () {
                if (isBlank(dzjc2)) {
                    dzjc2 = $(this).val();
                } else {
                    dzjc2 = dzjc2 + "," + $(this).val();
                }
            })
            var zjImg1;
            imgTab.find(".zjImg1").each(function () {
                if (isBlank(zjImg1)) {
                    zjImg1 = $(this).val();
                } else {
                    zjImg1 = zjImg1 + "," + $(this).val();
                }
            })
            var zjImg2;
            imgTab.find(".zjImg2").each(function () {
                if (isBlank(zjImg2)) {
                    zjImg2 = $(this).val();
                } else {
                    zjImg2 = zjImg2 + "," + $(this).val();
                }
            })
            var zjImg3;
            imgTab.find(".zjImg3").each(function () {
                if (isBlank(zjImg3)) {
                    zjImg3 = $(this).val();
                } else {
                    zjImg3 = zjImg3 + "," + $(this).val();
                }
            })
            var zjImg4;
            imgTab.find(".zjImg4").each(function () {
                if (isBlank(zjImg4)) {
                    zjImg4 = $(this).val();
                } else {
                    zjImg4 = zjImg4 + "," + $(this).val();
                }
            })
            var zjImg5;
            imgTab.find(".zjImg5").each(function () {
                if (isBlank(zjImg5)) {
                    zjImg5 = $(this).val();
                } else {
                    zjImg5 = zjImg5 + "," + $(this).val();
                }
            })
            var componentImg1;
            imgTab.find(".componentImg1").each(function () {
                if (isBlank(componentImg1)) {
                    componentImg1 = $(this).val();
                } else {
                    componentImg1 = componentImg1 + "," + $(this).val();
                }
            })
            var componentImg2;
            imgTab.find(".componentImg2").each(function () {
                if (isBlank(componentImg2)) {
                    componentImg2 = $(this).val();
                } else {
                    componentImg2 = componentImg2 + "," + $(this).val();
                }
            })
            var sizeMeasureImgs;
            imgTab.find(".sizeMeasureImgs").each(function () {
                if (isBlank(sizeMeasureImgs)) {
                    sizeMeasureImgs = $(this).val();
                } else {
                    sizeMeasureImgs = sizeMeasureImgs + "," + $(this).val();
                }
            })
            var fixOtherImg;
            imgTab.find(".fixOtherImg").each(function () {
                if (isBlank(fixOtherImg)) {
                    fixOtherImg = $(this).val();
                } else {
                    fixOtherImg = fixOtherImg + "," + $(this).val();
                }
            })
            var totalImgs;
            imgTab.find(".totalImgs").each(function () {
                if (isBlank(totalImgs)) {
                    totalImgs = $(this).val();
                } else {
                    totalImgs = totalImgs + "," + $(this).val();
                }
            })
            var bwInnerImg;
            imgTab.find(".bwInnerImg").each(function () {
                if (isBlank(bwInnerImg)) {
                    bwInnerImg = $(this).val();
                } else {
                    bwInnerImg = bwInnerImg + "," + $(this).val();
                }
            })
            var dcImgs;
            imgTab.find(".dcImgs").each(function () {
                if (isBlank(dcImgs)) {
                    dcImgs = $(this).val();
                } else {
                    dcImgs = dcImgs + "," + $(this).val();
                }
            })
            var nbqZbImg;
            imgTab.find(".nbqZbImg").each(function () {
                if (isBlank(nbqZbImg)) {
                    nbqZbImg = $(this).val();
                } else {
                    nbqZbImg = nbqZbImg + "," + $(this).val();
                }
            })
            var dqsbAnImgOne;
            imgTab.find(".dqsbAnImgOne").each(function () {
                if (isBlank(dqsbAnImgOne)) {
                    dqsbAnImgOne = $(this).val();
                } else {
                    dqsbAnImgOne = dqsbAnImgOne + "," + $(this).val();
                }
            })
            var nbqPlateImg;
            imgTab.find(".nbqPlateImg").each(function () {
                if (isBlank(nbqPlateImg)) {
                    nbqPlateImg = $(this).val();
                } else {
                    nbqPlateImg = nbqPlateImg + "," + $(this).val();
                }
            })
            var zjPlateImg;
            imgTab.find(".zjPlateImg").each(function () {
                if (isBlank(zjPlateImg)) {
                    zjPlateImg = $(this).val();
                } else {
                    zjPlateImg = zjPlateImg + "," + $(this).val();
                }
            })
            var openWayVoltageImgs;
            imgTab.find(".openWayVoltageImgs").each(function () {
                if (isBlank(openWayVoltageImgs)) {
                    openWayVoltageImgs = $(this).val();
                } else {
                    openWayVoltageImgs = openWayVoltageImgs + "," + $(this).val();
                }
            })
            var jdImg1;
            imgTab.find(".jdImg1").each(function () {
                if (isBlank(jdImg1)) {
                    jdImg1 = $(this).val();
                } else {
                    jdImg1 = jdImg1 + "," + $(this).val();
                }
            })
            var jdImg2;
            imgTab.find(".jdImg2").each(function () {
                if (isBlank(jdImg2)) {
                    jdImg2 = $(this).val();
                } else {
                    jdImg2 = jdImg2 + "," + $(this).val();
                }
            })
            var jdImg3;
            imgTab.find(".jdImg3").each(function () {
                if (isBlank(jdImg3)) {
                    jdImg3 = $(this).val();
                } else {
                    jdImg3 = jdImg3 + "," + $(this).val();
                }
            })
            var jdImg4;
            imgTab.find(".jdImg4").each(function () {
                if (isBlank(jdImg4)) {
                    jdImg4 = $(this).val();
                } else {
                    jdImg4 = jdImg4 + "," + $(this).val();
                }
            })
            var jdImg5;
            imgTab.find(".jdImg5").each(function () {
                if (isBlank(jdImg5)) {
                    jdImg5 = $(this).val();
                } else {
                    jdImg5 = jdImg5 + "," + $(this).val();
                }
            })
            var jdImg6;
            imgTab.find(".jdImg6").each(function () {
                if (isBlank(jdImg6)) {
                    jdImg6 = $(this).val();
                } else {
                    jdImg6 = jdImg6 + "," + $(this).val();
                }
            })
            var safetyWarningImg3;
            imgTab.find(".safetyWarningImg3").each(function () {
                if (isBlank(safetyWarningImg3)) {
                    safetyWarningImg3 = $(this).val();
                } else {
                    safetyWarningImg3 = safetyWarningImg3 + "," + $(this).val();
                }
            })
            var safetyWarningImg;
            imgTab.find(".safetyWarningImg").each(function () {
                if (isBlank(safetyWarningImg)) {
                    safetyWarningImg = $(this).val();
                } else {
                    safetyWarningImg = safetyWarningImg + "," + $(this).val();
                }
            })
            var safetyDiscloseDocImg;
            imgTab.find(".safetyDiscloseDocImg").each(function () {
                if (isBlank(safetyDiscloseDocImg)) {
                    safetyDiscloseDocImg = $(this).val();
                } else {
                    safetyDiscloseDocImg = safetyDiscloseDocImg + "," + $(this).val();
                }
            })
            var componentImg3;
            imgTab.find(".componentImg3").each(function () {
                if (isBlank(componentImg3)) {
                    componentImg3 = $(this).val();
                } else {
                    componentImg3 = componentImg3 + "," + $(this).val();
                }
            })
            var nbqZlcImg;
            imgTab.find(".nbqZlcImg").each(function () {
                if (isBlank(nbqZlcImg)) {
                    nbqZlcImg = $(this).val();
                } else {
                    nbqZlcImg = nbqZlcImg + "," + $(this).val();
                }
            })
            var bwJdImg;
            imgTab.find(".bwJdImg").each(function () {
                if (isBlank(bwJdImg)) {
                    bwJdImg = $(this).val();
                } else {
                    bwJdImg = bwJdImg + "," + $(this).val();
                }
            })
            var zjImg8;
            imgTab.find(".zjImg8").each(function () {
                if (isBlank(zjImg8)) {
                    zjImg8 = $(this).val();
                } else {
                    zjImg8 = zjImg8 + "," + $(this).val();
                }
            })
            var zjImg9;
            imgTab.find(".zjImg9").each(function () {
                if (isBlank(zjImg9)) {
                    zjImg9 = $(this).val();
                } else {
                    zjImg9 = zjImg9 + "," + $(this).val();
                }
            })
            var zjImg10;
            imgTab.find(".zjImg10").each(function () {
                if (isBlank(zjImg10)) {
                    zjImg10 = $(this).val();
                } else {
                    zjImg10 = zjImg10 + "," + $(this).val();
                }
            })
            var zjImg11;
            imgTab.find(".zjImg11").each(function () {
                if (isBlank(zjImg11)) {
                    zjImg11 = $(this).val();
                } else {
                    zjImg11 = zjImg11 + "," + $(this).val();
                }
            })
            var zjImg12;
            imgTab.find(".zjImg12").each(function () {
                if (isBlank(zjImg12)) {
                    zjImg12 = $(this).val();
                } else {
                    zjImg12 = zjImg12 + "," + $(this).val();
                }
            })
            var zjImg13;
            imgTab.find(".zjImg13").each(function () {
                if (isBlank(zjImg13)) {
                    zjImg13 = $(this).val();
                } else {
                    zjImg13 = zjImg13 + "," + $(this).val();
                }
            })
            var zjImg14;
            imgTab.find(".zjImg14").each(function () {
                if (isBlank(zjImg14)) {
                    zjImg14 = $(this).val();
                } else {
                    zjImg14 = zjImg14 + "," + $(this).val();
                }
            })
            var zjImg15;
            imgTab.find(".zjImg15").each(function () {
                if (isBlank(zjImg15)) {
                    zjImg15 = $(this).val();
                } else {
                    zjImg15 = zjImg15 + "," + $(this).val();
                }
            })
            var bkImg1;
            imgTab.find(".bkImg1").each(function () {
                if (isBlank(bkImg1)) {
                    bkImg1 = $(this).val();
                } else {
                    bkImg1 = bkImg1 + "," + $(this).val();
                }
            })
            var bkImg2;
            imgTab.find(".bkImg2").each(function () {
                if (isBlank(bkImg2)) {
                    bkImg2 = $(this).val();
                } else {
                    bkImg2 = bkImg2 + "," + $(this).val();
                }
            })
            var bkImg3;
            imgTab.find(".bkImg3").each(function () {
                if (isBlank(bkImg3)) {
                    bkImg3 = $(this).val();
                } else {
                    bkImg3 = bkImg3 + "," + $(this).val();
                }
            })
            var ykImg1;
            imgTab.find(".ykImg1").each(function () {
                if (isBlank(ykImg1)) {
                    ykImg1 = $(this).val();
                } else {
                    ykImg1 = ykImg1 + "," + $(this).val();
                }
            })
            var jdImg8;
            imgTab.find(".jdImg8").each(function () {
                if (isBlank(jdImg8)) {
                    jdImg8 = $(this).val();
                } else {
                    jdImg8 = jdImg8 + "," + $(this).val();
                }
            })
            var jdImg9;
            imgTab.find(".jdImg9").each(function () {
                if (isBlank(jdImg9)) {
                    jdImg9 = $(this).val();
                } else {
                    jdImg9 = jdImg9 + "," + $(this).val();
                }
            })
            var jdImg10;
            imgTab.find(".jdImg10").each(function () {
                if (isBlank(jdImg10)) {
                    jdImg10 = $(this).val();
                } else {
                    jdImg10 = jdImg10 + "," + $(this).val();
                }
            })
            var jdImg11;
            imgTab.find(".jdImg11").each(function () {
                if (isBlank(jdImg11)) {
                    jdImg11 = $(this).val();
                } else {
                    jdImg11 = jdImg11 + "," + $(this).val();
                }
            })
            var jdImg12;
            imgTab.find(".jdImg12").each(function () {
                if (isBlank(jdImg12)) {
                    jdImg12 = $(this).val();
                } else {
                    jdImg12 = jdImg12 + "," + $(this).val();
                }
            })
            var fsImg1;
            imgTab.find(".fsImg1").each(function () {
                if (isBlank(fsImg1)) {
                    fsImg1 = $(this).val();
                } else {
                    fsImg1 = fsImg1 + "," + $(this).val();
                }
            })
            var fsImg2;
            imgTab.find(".fsImg2").each(function () {
                if (isBlank(fsImg2)) {
                    fsImg2 = $(this).val();
                } else {
                    fsImg2 = fsImg2 + "," + $(this).val();
                }
            })
            var fsImg3;
            imgTab.find(".fsImg3").each(function () {
                if (isBlank(fsImg3)) {
                    fsImg3 = $(this).val();
                } else {
                    fsImg3 = fsImg3 + "," + $(this).val();
                }
            })
            var componentImg4;
            imgTab.find(".componentImg4").each(function () {
                if (isBlank(componentImg4)) {
                    componentImg4 = $(this).val();
                } else {
                    componentImg4 = componentImg4 + "," + $(this).val();
                }
            })
            var otherImgs5;
            imgTab.find(".otherImgs5").each(function () {
                if (isBlank(otherImgs5)) {
                    otherImgs5 = $(this).val();
                } else {
                    otherImgs5 = otherImgs5 + "," + $(this).val();
                }
            })
            var otherImgs6;
            imgTab.find(".otherImgs6").each(function () {
                if (isBlank(otherImgs6)) {
                    otherImgs6 = $(this).val();
                } else {
                    otherImgs6 = otherImgs6 + "," + $(this).val();
                }
            })
            var otherImgs7;
            imgTab.find(".otherImgs7").each(function () {
                if (isBlank(otherImgs7)) {
                    otherImgs7 = $(this).val();
                } else {
                    otherImgs7 = otherImgs7 + "," + $(this).val();
                }
            })
            var otherImgs8;
            imgTab.find(".otherImgs8").each(function () {
                if (isBlank(otherImgs8)) {
                    otherImgs8 = $(this).val();
                } else {
                    otherImgs8 = otherImgs8 + "," + $(this).val();
                }
            })
            var contractUrl;
            imgTab.find(".contractUrl").each(function () {
                if (isBlank(contractUrl)) {
                    contractUrl = $(this).val();
                } else {
                    contractUrl = contractUrl + "," + $(this).val();
                }
            })
            var zjReport;
            imgTab.find(".zjReport").each(function () {
                if (isBlank(zjReport)) {
                    zjReport = $(this).val();
                } else {
                    zjReport = zjReport + "," + $(this).val();
                }
            })
            var otherFiles;
            imgTab.find(".otherFiles").each(function () {
                if (isBlank(otherFiles)) {
                    otherFiles = $(this).val();
                } else {
                    otherFiles = otherFiles + "," + $(this).val();
                }
            })
            var supplementVideoUrl;
            imgTab.find(".supplementVideoUrl").each(function () {
                if (isBlank(supplementVideoUrl)) {
                    supplementVideoUrl = $(this).val();
                } else {
                    supplementVideoUrl = supplementVideoUrl + "," + $(this).val();
                }
            })
        var completeRemark = "";
        if(${formSet.columns.complete_remark.status eq '1'}){
            imgTab.find("input[name='completeRemark']").each(function () {
                completeRemark = $("#completeRemark").val();
            });

        }

        var projectId = "";
        imgTab.find("input[name='projectId']").each(function () {
            projectId = $(this).val();
        });



        let complete = {
            projectId,projectId,
            otherImgs1:otherImgs1,
            otherImgs2:otherImgs2,
            otherImgs3:otherImgs3,
            otherImgs4:otherImgs4,
            dzjc1:dzjc1,
            dzjc2:dzjc2,
            zjImg1:zjImg1,
            zjImg2:zjImg2,
            zjImg3:zjImg3,
            zjImg4:zjImg4,
            zjImg5:zjImg5,
            componentImg1:componentImg1,
            componentImg2:componentImg2,
            sizeMeasureImgs:sizeMeasureImgs,
            fixOtherImg:fixOtherImg,
            totalImgs:totalImgs,
            bwInnerImg:bwInnerImg,
            dcImgs:dcImgs,
            nbqZbImg:nbqZbImg,
            dqsbAnImgOne:dqsbAnImgOne,
            nbqPlateImg:nbqPlateImg,
            zjPlateImg:zjPlateImg,
            openWayVoltageImgs:openWayVoltageImgs,
            jdImg1:jdImg1,
            jdImg2:jdImg2,
            jdImg3:jdImg3,
            jdImg4:jdImg4,
            jdImg5:jdImg5,
            jdImg6:jdImg6,
            safetyWarningImg3:safetyWarningImg3,
            safetyWarningImg:safetyWarningImg,
            safetyDiscloseDocImg:safetyDiscloseDocImg,
            componentImg3:componentImg3,
            nbqZlcImg:nbqZlcImg,
            bwJdImg:bwJdImg,
            zjImg8:zjImg8,
            zjImg9:zjImg9,
            zjImg10:zjImg10,
            zjImg11:zjImg11,
            zjImg12:zjImg12,
            zjImg13:zjImg13,
            zjImg14:zjImg14,
            zjImg15:zjImg15,
            bkImg1:bkImg1,
            bkImg2:bkImg2,
            bkImg3:bkImg3,
            ykImg1:ykImg1,
            jdImg8:jdImg8,
            jdImg9:jdImg9,
            jdImg10:jdImg10,
            jdImg11:jdImg11,
            jdImg12:jdImg12,
            fsImg1:fsImg1,
            fsImg2:fsImg2,
            fsImg3:fsImg3,
            componentImg4:componentImg4,
            otherImgs5:otherImgs5,
            otherImgs6:otherImgs6,
            otherImgs7:otherImgs7,
            otherImgs8:otherImgs8,
            contractUrl:contractUrl,
            zjReport:zjReport,
            otherFiles:otherFiles,
            supplementVideoUrl:supplementVideoUrl,
            completeRemark:completeRemark,
        }
        completeList.push(complete);
        });
        var checkRe = true;
        if(!checkRe){
            return;
        }
        opeRep = true;
        var filingDocumentCode = $("#filingDocumentCode").val();
        var filingDocumentPhoto = [];
        $("input[name='filingDocumentPhoto']").each(function(){
            filingDocumentPhoto.push($(this).val());
        })
        var kgConditionFiles = [];
        if (${formSet.columns.other_files.status eq '1'}){
            $("input[name='kgConditionFiles']").each(function(){
                kgConditionFiles.push($(this).val());
            })
        }
        var safetyWarningImg2 = [];
        $("input[name='safetyWarningImg2']").each(function(){
            safetyWarningImg2.push($(this).val());
        })
        var entryId = $("input[name='entryId']").val();
        var order = {
            entryId:entryId,
            filingDocumentCode:filingDocumentCode,
            filingDocumentPhoto: filingDocumentPhoto.join(","),
            kgConditionFiles: kgConditionFiles.join(","),
            safetyWarningImg2: safetyWarningImg2.join(","),
            completeList:completeList
        }
        console.log("传参=========="+JSON.stringify(order));

        $.ajax({
            type: 'post',
            url: '${ctx}/customerEntry/installZcHr',
            contentType: "application/json;charsetset=UTF-8",
            data: JSON.stringify(order),
            success: function(data){
                if (data.code == "200") {
                    top.layer.msg("操作成功");
                    closeSelf();
                    parent.location.reload();
                } else {
                    layer.msg(data.errMsg);
                }
            },
            complete: function(){
                opeRep = false;
            }
        });
    }

    var saveFlag = false;
    function save() {
        if(saveFlag){
            return;
        }
        var completeList = [];

        var completeRemark = "";
        var filingDocumentCode = $("#filingDocumentCode").val();
        var filingDocumentPhoto = [];
        $("input[name='filingDocumentPhoto']").each(function(){
            filingDocumentPhoto.push($(this).val());
        })
        var kgConditionFiles = [];
        if (${formSet.columns.other_files.status eq '1'}){
            $("input[name='kgConditionFiles']").each(function(){
                kgConditionFiles.push($(this).val());
            })
        }
        var safetyWarningImg2 = [];
        $("input[name='safetyWarningImg2']").each(function(){
            safetyWarningImg2.push($(this).val());
        })
        var checkRe = true;
        var checkKg = true;
        $(".completeTabContent").each(function (index) {
            var otherImgs1;
            var otherImgs2;
            var otherImgs3;
            var otherImgs4;
            var dzjc1;
            var dzjc2;
            var zjImg1;
            var zjImg2;
            var zjImg3;
            var zjImg4;
            var zjImg5;
            var componentImg1;
            var componentImg2;
            var sizeMeasureImgs;
            var fixOtherImg;
            var totalImgs;
            var bwInnerImg;
            var dcImgs;
            var nbqZbImg;
            var dqsbAnImgOne;
            var nbqPlateImg;
            var zjPlateImg;
            var openWayVoltageImgs;
            var jdImg1;
            var jdImg2;
            var jdImg3;
            var jdImg4;
            var jdImg5;
            var jdImg6;
            var safetyWarningImg3;
            var safetyWarningImg;
            var safetyDiscloseDocImg;
            var componentImg3;
            var nbqZlcImg;
            var bwJdImg;
            var zjImg8;
            var zjImg9;
            var zjImg10;
            var zjImg11;
            var zjImg12;
            var zjImg13;
            var zjImg14;
            var zjImg15;
            var bkImg1;
            var bkImg2;
            var bkImg3;
            var ykImg1;
            var jdImg8;
            var jdImg9;
            var jdImg10;
            var jdImg11;
            var jdImg12;
            var fsImg1;
            var fsImg2;
            var fsImg3;
            var componentImg4;
            var otherImgs5;
            var otherImgs6;
            var otherImgs7;
            var otherImgs8;
            var contractUrl;
            var zjReport;
            var otherFiles;
            var supplementVideoUrl;

            let imgTab = $("#completeImgTab").find("#completeImgDiv1"+index);
            imgTab.find(".otherImgs1").each(function () {
                if (isBlank(otherImgs1)) {
                    otherImgs1 = $(this).val();
                } else {
                    otherImgs1 = otherImgs1 + "," + $(this).val();
                }
            });

            imgTab.find(".otherImgs2").each(function () {
                if (isBlank(otherImgs2)) {
                    otherImgs2 = $(this).val();
                } else {
                    otherImgs2 = otherImgs2 + "," + $(this).val();
                }
            })

            imgTab.find(".otherImgs3").each(function () {
                if (isBlank(otherImgs3)) {
                    otherImgs3 = $(this).val();
                } else {
                    otherImgs3 = otherImgs3 + "," + $(this).val();
                }
            })

            imgTab.find(".otherImgs4").each(function () {
                if (isBlank(otherImgs4)) {
                    otherImgs4 = $(this).val();
                } else {
                    otherImgs4 = otherImgs4 + "," + $(this).val();
                }
            })

            imgTab.find(".dzjc1").each(function () {
                if (isBlank(dzjc1)) {
                    dzjc1 = $(this).val();
                } else {
                    dzjc1 = dzjc1 + "," + $(this).val();
                }
            })
            console.log("dzjc1=========="+JSON.stringify(dzjc1));


            imgTab.find(".dzjc2").each(function () {
                if (isBlank(dzjc2)) {
                    dzjc2 = $(this).val();
                } else {
                    dzjc2 = dzjc2 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg1").each(function () {
                if (isBlank(zjImg1)) {
                    zjImg1 = $(this).val();
                } else {
                    zjImg1 = zjImg1 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg2").each(function () {
                if (isBlank(zjImg2)) {
                    zjImg2 = $(this).val();
                } else {
                    zjImg2 = zjImg2 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg3").each(function () {
                if (isBlank(zjImg3)) {
                    zjImg3 = $(this).val();
                } else {
                    zjImg3 = zjImg3 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg4").each(function () {
                if (isBlank(zjImg4)) {
                    zjImg4 = $(this).val();
                } else {
                    zjImg4 = zjImg4 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg5").each(function () {
                if (isBlank(zjImg5)) {
                    zjImg5 = $(this).val();
                } else {
                    zjImg5 = zjImg5 + "," + $(this).val();
                }
            })

            imgTab.find(".componentImg1").each(function () {
                if (isBlank(componentImg1)) {
                    componentImg1 = $(this).val();
                } else {
                    componentImg1 = componentImg1 + "," + $(this).val();
                }
            })

            imgTab.find(".componentImg2").each(function () {
                if (isBlank(componentImg2)) {
                    componentImg2 = $(this).val();
                } else {
                    componentImg2 = componentImg2 + "," + $(this).val();
                }
            })

            imgTab.find(".sizeMeasureImgs").each(function () {
                if (isBlank(sizeMeasureImgs)) {
                    sizeMeasureImgs = $(this).val();
                } else {
                    sizeMeasureImgs = sizeMeasureImgs + "," + $(this).val();
                }
            })

            imgTab.find(".fixOtherImg").each(function () {
                if (isBlank(fixOtherImg)) {
                    fixOtherImg = $(this).val();
                } else {
                    fixOtherImg = fixOtherImg + "," + $(this).val();
                }
            })

            imgTab.find(".totalImgs").each(function () {
                if (isBlank(totalImgs)) {
                    totalImgs = $(this).val();
                } else {
                    totalImgs = totalImgs + "," + $(this).val();
                }
            })

            imgTab.find(".bwInnerImg").each(function () {
                if (isBlank(bwInnerImg)) {
                    bwInnerImg = $(this).val();
                } else {
                    bwInnerImg = bwInnerImg + "," + $(this).val();
                }
            })

            imgTab.find(".dcImgs").each(function () {
                if (isBlank(dcImgs)) {
                    dcImgs = $(this).val();
                } else {
                    dcImgs = dcImgs + "," + $(this).val();
                }
            })

            imgTab.find(".nbqZbImg").each(function () {
                if (isBlank(nbqZbImg)) {
                    nbqZbImg = $(this).val();
                } else {
                    nbqZbImg = nbqZbImg + "," + $(this).val();
                }
            })

            imgTab.find(".dqsbAnImgOne").each(function () {
                if (isBlank(dqsbAnImgOne)) {
                    dqsbAnImgOne = $(this).val();
                } else {
                    dqsbAnImgOne = dqsbAnImgOne + "," + $(this).val();
                }
            })

            imgTab.find(".nbqPlateImg").each(function () {
                if (isBlank(nbqPlateImg)) {
                    nbqPlateImg = $(this).val();
                } else {
                    nbqPlateImg = nbqPlateImg + "," + $(this).val();
                }
            })

            imgTab.find(".zjPlateImg").each(function () {
                if (isBlank(zjPlateImg)) {
                    zjPlateImg = $(this).val();
                } else {
                    zjPlateImg = zjPlateImg + "," + $(this).val();
                }
            })

            imgTab.find(".openWayVoltageImgs").each(function () {
                if (isBlank(openWayVoltageImgs)) {
                    openWayVoltageImgs = $(this).val();
                } else {
                    openWayVoltageImgs = openWayVoltageImgs + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg1").each(function () {
                if (isBlank(jdImg1)) {
                    jdImg1 = $(this).val();
                } else {
                    jdImg1 = jdImg1 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg2").each(function () {
                if (isBlank(jdImg2)) {
                    jdImg2 = $(this).val();
                } else {
                    jdImg2 = jdImg2 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg3").each(function () {
                if (isBlank(jdImg3)) {
                    jdImg3 = $(this).val();
                } else {
                    jdImg3 = jdImg3 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg4").each(function () {
                if (isBlank(jdImg4)) {
                    jdImg4 = $(this).val();
                } else {
                    jdImg4 = jdImg4 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg5").each(function () {
                if (isBlank(jdImg5)) {
                    jdImg5 = $(this).val();
                } else {
                    jdImg5 = jdImg5 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg6").each(function () {
                if (isBlank(jdImg6)) {
                    jdImg6 = $(this).val();
                } else {
                    jdImg6 = jdImg6 + "," + $(this).val();
                }
            })

            imgTab.find(".safetyWarningImg3").each(function () {
                if (isBlank(safetyWarningImg3)) {
                    safetyWarningImg3 = $(this).val();
                } else {
                    safetyWarningImg3 = safetyWarningImg3 + "," + $(this).val();
                }
            })

            imgTab.find(".safetyWarningImg").each(function () {
                if (isBlank(safetyWarningImg)) {
                    safetyWarningImg = $(this).val();
                } else {
                    safetyWarningImg = safetyWarningImg + "," + $(this).val();
                }
            })

            imgTab.find(".safetyDiscloseDocImg").each(function () {
                if (isBlank(safetyDiscloseDocImg)) {
                    safetyDiscloseDocImg = $(this).val();
                } else {
                    safetyDiscloseDocImg = safetyDiscloseDocImg + "," + $(this).val();
                }
            })

            imgTab.find(".componentImg3").each(function () {
                if (isBlank(componentImg3)) {
                    componentImg3 = $(this).val();
                } else {
                    componentImg3 = componentImg3 + "," + $(this).val();
                }
            })

            imgTab.find(".nbqZlcImg").each(function () {
                if (isBlank(nbqZlcImg)) {
                    nbqZlcImg = $(this).val();
                } else {
                    nbqZlcImg = nbqZlcImg + "," + $(this).val();
                }
            })

            imgTab.find(".bwJdImg").each(function () {
                if (isBlank(bwJdImg)) {
                    bwJdImg = $(this).val();
                } else {
                    bwJdImg = bwJdImg + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg8").each(function () {
                if (isBlank(zjImg8)) {
                    zjImg8 = $(this).val();
                } else {
                    zjImg8 = zjImg8 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg9").each(function () {
                if (isBlank(zjImg9)) {
                    zjImg9 = $(this).val();
                } else {
                    zjImg9 = zjImg9 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg10").each(function () {
                if (isBlank(zjImg10)) {
                    zjImg10 = $(this).val();
                } else {
                    zjImg10 = zjImg10 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg11").each(function () {
                if (isBlank(zjImg11)) {
                    zjImg11 = $(this).val();
                } else {
                    zjImg11 = zjImg11 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg12").each(function () {
                if (isBlank(zjImg12)) {
                    zjImg12 = $(this).val();
                } else {
                    zjImg12 = zjImg12 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg13").each(function () {
                if (isBlank(zjImg13)) {
                    zjImg13 = $(this).val();
                } else {
                    zjImg13 = zjImg13 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg14").each(function () {
                if (isBlank(zjImg14)) {
                    zjImg14 = $(this).val();
                } else {
                    zjImg14 = zjImg14 + "," + $(this).val();
                }
            })

            imgTab.find(".zjImg15").each(function () {
                if (isBlank(zjImg15)) {
                    zjImg15 = $(this).val();
                } else {
                    zjImg15 = zjImg15 + "," + $(this).val();
                }
            })

            imgTab.find(".bkImg1").each(function () {
                if (isBlank(bkImg1)) {
                    bkImg1 = $(this).val();
                } else {
                    bkImg1 = bkImg1 + "," + $(this).val();
                }
            })

            imgTab.find(".bkImg2").each(function () {
                if (isBlank(bkImg2)) {
                    bkImg2 = $(this).val();
                } else {
                    bkImg2 = bkImg2 + "," + $(this).val();
                }
            })

            imgTab.find(".bkImg3").each(function () {
                if (isBlank(bkImg3)) {
                    bkImg3 = $(this).val();
                } else {
                    bkImg3 = bkImg3 + "," + $(this).val();
                }
            })

            imgTab.find(".ykImg1").each(function () {
                if (isBlank(ykImg1)) {
                    ykImg1 = $(this).val();
                } else {
                    ykImg1 = ykImg1 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg8").each(function () {
                if (isBlank(jdImg8)) {
                    jdImg8 = $(this).val();
                } else {
                    jdImg8 = jdImg8 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg9").each(function () {
                if (isBlank(jdImg9)) {
                    jdImg9 = $(this).val();
                } else {
                    jdImg9 = jdImg9 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg10").each(function () {
                if (isBlank(jdImg10)) {
                    jdImg10 = $(this).val();
                } else {
                    jdImg10 = jdImg10 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg11").each(function () {
                if (isBlank(jdImg11)) {
                    jdImg11 = $(this).val();
                } else {
                    jdImg11 = jdImg11 + "," + $(this).val();
                }
            })

            imgTab.find(".jdImg12").each(function () {
                if (isBlank(jdImg12)) {
                    jdImg12 = $(this).val();
                } else {
                    jdImg12 = jdImg12 + "," + $(this).val();
                }
            })

            imgTab.find(".fsImg1").each(function () {
                if (isBlank(fsImg1)) {
                    fsImg1 = $(this).val();
                } else {
                    fsImg1 = fsImg1 + "," + $(this).val();
                }
            })

            imgTab.find(".fsImg2").each(function () {
                if (isBlank(fsImg2)) {
                    fsImg2 = $(this).val();
                } else {
                    fsImg2 = fsImg2 + "," + $(this).val();
                }
            })

            imgTab.find(".fsImg3").each(function () {
                if (isBlank(fsImg3)) {
                    fsImg3 = $(this).val();
                } else {
                    fsImg3 = fsImg3 + "," + $(this).val();
                }
            })

            imgTab.find(".componentImg4").each(function () {
                if (isBlank(componentImg4)) {
                    componentImg4 = $(this).val();
                } else {
                    componentImg4 = componentImg4 + "," + $(this).val();
                }
            })

            imgTab.find(".otherImgs5").each(function () {
                if (isBlank(otherImgs5)) {
                    otherImgs5 = $(this).val();
                } else {
                    otherImgs5 = otherImgs5 + "," + $(this).val();
                }
            })

            imgTab.find(".otherImgs6").each(function () {
                if (isBlank(otherImgs6)) {
                    otherImgs6 = $(this).val();
                } else {
                    otherImgs6 = otherImgs6 + "," + $(this).val();
                }
            })

            imgTab.find(".otherImgs7").each(function () {
                if (isBlank(otherImgs7)) {
                    otherImgs7 = $(this).val();
                } else {
                    otherImgs7 = otherImgs7 + "," + $(this).val();
                }
            })

            imgTab.find(".otherImgs8").each(function () {
                if (isBlank(otherImgs8)) {
                    otherImgs8 = $(this).val();
                } else {
                    otherImgs8 = otherImgs8 + "," + $(this).val();
                }
            })

            imgTab.find(".contractUrl").each(function () {
                if (isBlank(contractUrl)) {
                    contractUrl = $(this).val();
                } else {
                    contractUrl = contractUrl + "," + $(this).val();
                }
            })

            imgTab.find(".zjReport").each(function () {
                if (isBlank(zjReport)) {
                    zjReport = $(this).val();
                } else {
                    zjReport = zjReport + "," + $(this).val();
                }
            })

            imgTab.find(".otherFiles").each(function () {
                if (isBlank(otherFiles)) {
                    otherFiles = $(this).val();
                } else {
                    otherFiles = otherFiles + "," + $(this).val();
                }
            })

            imgTab.find(".supplementVideoUrl").each(function () {
                if (isBlank(supplementVideoUrl)) {
                    supplementVideoUrl = $(this).val();
                } else {
                    supplementVideoUrl = supplementVideoUrl + "," + $(this).val();
                }
            })
            
            if(${formSet.columns.complete_remark.status eq '1'}){
                imgTab.find("input[name='completeRemark']").each(function () {
                    completeRemark = $("#completeRemark").val();
                });

            }

            var projectId = "";
            imgTab.find("input[name='projectId']").each(function () {
                projectId = $(this).val();
            });

            let complete = {
                projectId,projectId,
                otherImgs1:otherImgs1,
                otherImgs2:otherImgs2,
                otherImgs3:otherImgs3,
                otherImgs4:otherImgs4,
                dzjc1:dzjc1,
                dzjc2:dzjc2,
                zjImg1:zjImg1,
                zjImg2:zjImg2,
                zjImg3:zjImg3,
                zjImg4:zjImg4,
                zjImg5:zjImg5,
                componentImg1:componentImg1,
                componentImg2:componentImg2,
                sizeMeasureImgs:sizeMeasureImgs,
                fixOtherImg:fixOtherImg,
                totalImgs:totalImgs,
                bwInnerImg:bwInnerImg,
                dcImgs:dcImgs,
                nbqZbImg:nbqZbImg,
                dqsbAnImgOne:dqsbAnImgOne,
                nbqPlateImg:nbqPlateImg,
                zjPlateImg:zjPlateImg,
                openWayVoltageImgs:openWayVoltageImgs,
                jdImg1:jdImg1,
                jdImg2:jdImg2,
                jdImg3:jdImg3,
                jdImg4:jdImg4,
                jdImg5:jdImg5,
                jdImg6:jdImg6,
                safetyWarningImg3:safetyWarningImg3,
                safetyWarningImg:safetyWarningImg,
                safetyDiscloseDocImg:safetyDiscloseDocImg,
                componentImg3:componentImg3,
                nbqZlcImg:nbqZlcImg,
                bwJdImg:bwJdImg,
                zjImg8:zjImg8,
                zjImg9:zjImg9,
                zjImg10:zjImg10,
                zjImg11:zjImg11,
                zjImg12:zjImg12,
                zjImg13:zjImg13,
                zjImg14:zjImg14,
                zjImg15:zjImg15,
                bkImg1:bkImg1,
                bkImg2:bkImg2,
                bkImg3:bkImg3,
                ykImg1:ykImg1,
                jdImg8:jdImg8,
                jdImg9:jdImg9,
                jdImg10:jdImg10,
                jdImg11:jdImg11,
                jdImg12:jdImg12,
                fsImg1:fsImg1,
                fsImg2:fsImg2,
                fsImg3:fsImg3,
                componentImg4:componentImg4,
                otherImgs5:otherImgs5,
                otherImgs6:otherImgs6,
                otherImgs7:otherImgs7,
                otherImgs8:otherImgs8,
                contractUrl:contractUrl,
                zjReport:zjReport,
                otherFiles:otherFiles,
                supplementVideoUrl:supplementVideoUrl,
                completeRemark:completeRemark,
            }
            console.log("complete=========="+JSON.stringify(complete));
            completeList.push(complete);
        });
        console.log("completeList=========="+JSON.stringify(completeList));


        var entryId = $("input[name='entryId']").val();
        var order = {
            entryId:entryId,
            filingDocumentCode:filingDocumentCode,
            filingDocumentPhoto: filingDocumentPhoto.join(","),
            kgConditionFiles: kgConditionFiles.join(","),
            safetyWarningImg2: safetyWarningImg2.join(","),
            completeList:completeList
        }
        console.log("传参=========="+JSON.stringify(order));

        <%--var dwflag = ${customerEntry.tenantType eq '2'};--%>

        <%--if (isBlank(otherImgs1) && dwflag && ${formSet.columns.other_imgs1.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("银行印鉴留样不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(otherImgs2) && dwflag && ${formSet.columns.other_imgs2.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("签约现场照片-法定代表人/负责人签字照不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(otherImgs3) && dwflag && ${formSet.columns.other_imgs3.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("签约现场照片-正脸、持笔/持印、合同签署页同框不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(otherImgs4) && dwflag && ${formSet.columns.other_imgs4.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("签署完成照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(dzjc1) && ${formSet.columns.dzjc1.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("电站基础-主屋不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(dzjc2) && ${formSet.columns.dzjc2.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("电站基础-副屋不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(zjImg1) && ${formSet.columns.zj_img1.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架正面照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(zjImg2) && ${formSet.columns.zj_img2.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架侧视图不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(zjImg3) && ${formSet.columns.zj_img3.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架北侧图不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(zjImg4)) {--%>
        <%--    if (${formSet.columns.zj_img4.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("支架型号照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.zj_img4_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("支架安装图-立柱东西间距、南北间距（带尺寸）不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>
        <%--if (isBlank(zjImg5)) {--%>
        <%--    if (${formSet.columns.zj_img5.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("航拍图照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.zj_img5_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("支架安装图-支架安装完成VR图不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>
        <%--if (isBlank(componentImg1).length==0) {--%>
        <%--    if (${formSet.columns.component_img1.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("组件倾角照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.component_img1_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("边框接地图-组件安装倾角不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>
        <%--if (isBlank(componentImg2).length==0 && ${formSet.columns.component_img2.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("组件方位角照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--if (isBlank(sizeMeasureImgs)) {--%>
        <%--    if (${formSet.columns.size_measure_imgs.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("屋顶线缆安装照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.size_measure_imgs_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("电缆桥架内部电缆照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>
        <%--if (isBlank(fixOtherImg)) {--%>
        <%--    if (${formSet.columns.fix_other_img.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("线缆下墙照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.fix_other_img_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("线缆走向（屋顶、下墙）、线缆保护管（或桥架）敷设及固定照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>
        <%--if (isBlank(totalImgs)) {--%>
        <%--    if (${formSet.columns.total_imgs.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("逆变器组串接入照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.total_imgs_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("逆变器安装图-接地情况不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>
        <%--if (isBlank(bwInnerImg)) {--%>
        <%--    if (${formSet.columns.bw_inner_img.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("并网箱内部照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.bw_inner_img_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("并网箱安装图-并网箱内部全景不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>
        <%--if (isBlank(dcImgs)) {--%>
        <%--    if (${formSet.columns.dc_imgs.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("逆变器安装照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.dc_imgs_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("逆变器安装图-整体外观及走线及采集器（离地高度）不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>
        <%--if (isBlank(nbqZbImg)) {--%>
        <%--    if (${formSet.columns.nbq_zb_img.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("并网箱逆变器整体照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.nbq_zb_img_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("并网箱安装图-外观及走线（离地高度）不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>
        <%--if (isBlank(dqsbAnImgOne) && ${formSet.columns.dqsb_an_img_one.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("逆变器注册截图照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(nbqPlateImg)) {--%>
        <%--    if (${formSet.columns.nbq_plate_img.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("逆变器铭牌照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.nbq_plate_img_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("逆变器安装图-铭牌不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>

        <%--if (isBlank(zjPlateImg) && ${formSet.columns.zj_plate_img.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("组件铭牌照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(openWayVoltageImgs) && ${formSet.columns.open_way_voltage_imgs.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("开路电压图不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(jdImg1) && ${formSet.columns.jd_img1.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("组件与组件之间接地照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(jdImg2) && ${formSet.columns.jd_img2.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("组件与支架接地照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(jdImg3) && ${formSet.columns.jd_img3.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架与接地扁铁连接照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(jdImg4)) {--%>
        <%--    if (${formSet.columns.jd_img4.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("接地扁铁下墙照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.jd_img4_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("支架接地图-支架接地不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>

        <%--if (isBlank(jdImg5)) {--%>
        <%--    if (${formSet.columns.jd_img5.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("支架接地电阻照片不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if (${formSet.columns.jd_img5_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("接地极图-支架接地电阻阻值（近景）不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>

        <%--if (isBlank(jdImg6) && ${formSet.columns.jd_img6.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("电气接地电阻照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (safetyWarningImg2.length == 0) {--%>
        <%--    if(${formSet.columns.safety_warning_img2_03.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("施工安全图-三级安全教育不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--    if(${formSet.columns.safety_warning_img2.mustFillFlag eq '1'}){--%>
        <%--        layer.msg("三级安全教育卡不能为空");--%>
        <%--        return;--%>
        <%--    }--%>
        <%--}--%>

        <%--if (isBlank(safetyWarningImg3)&& ${formSet.columns.safety_warning_img3.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("施工安全图-开工前站班会（施工安全用品：安全帽、安全绳、反光衣、工作鞋）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(safetyWarningImg) && ${formSet.columns.safety_warning_img.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("施工安全图-安全警示牌不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(safetyDiscloseDocImg) && ${formSet.columns.safety_disclose_doc_img.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("施工安全图-安全技术交底书不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(componentImg3) && ${formSet.columns.component_img3.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("组件航拍俯视照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(nbqZlcImg) && ${formSet.columns.nbq_zlc_img.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("逆变器安装图-逆变器交流侧不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(bwJdImg) && ${formSet.columns.bw_jd_img.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("并网箱安装图-接地情况不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(zjImg8) && ${formSet.columns.zj_img8.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架安装图-支架方阵（东向西完工照）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(zjImg9) && ${formSet.columns.zj_img9.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架安装图-支架方阵（北向南完工照）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(zjImg9).length==0 && ${formSet.columns.zj_img10.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架结构图-螺栓孔洞防水图不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(zjImg11) && ${formSet.columns.zj_img11.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("基础安装-柱脚防水完工图不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(zjImg12) && ${formSet.columns.zj_img12.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架安装图-斜梁悬挑（南）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(zjImg13) && ${formSet.columns.zj_img13.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架安装图-斜梁悬挑（北）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(zjImg14) && ${formSet.columns.zj_img14.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架安装图-檀条悬挑（东）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(zjImg15) && ${formSet.columns.zj_img15.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("支架安装图-檀条悬挑（西）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(bkImg1) && ${formSet.columns.bk_img1.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("边框接地图-边框与边框接地不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(bkImg2) && ${formSet.columns.bk_img2.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("边框接地图-边框与支架接地不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(bkImg3) && ${formSet.columns.bk_img3.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("边框接地图-其他图片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(ykImg1) && ${formSet.columns.yk_img1.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("压块或背压板照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(jdImg8) && ${formSet.columns.jd_img8.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("接地极图-并网箱、逆变器安装接地极不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(jdImg9) && ${formSet.columns.jd_img9.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("接地极图-并网箱、逆变器安装接地电阻阻值（近景）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(jdImg10) && ${formSet.columns.jd_img10.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("接地极图-接地引下线警示做法不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(jdImg11) && ${formSet.columns.jd_img11.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("接地极图-支架接地电阻测量照片（远景）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(jdImg12) && ${formSet.columns.jd_img12.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("接地极图-并网箱、逆变器安装接地电阻测量照片（远景）不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(fsImg1) && ${formSet.columns.fs_img1.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("防水措施图-横竖向水槽不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(fsImg2) && ${formSet.columns.fs_img2.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("防水措施图-落水管走向及其固定不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(fsImg3) && ${formSet.columns.fs_img3.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("防水措施图-其他图片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(componentImg4) && ${formSet.columns.component_img4.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("组件安装完成VR视图不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(otherImgs5) && ${formSet.columns.other_imgs5.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("水槽细节照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(otherImgs6) && ${formSet.columns.other_imgs6.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("落水管照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(otherImgs6) && ${formSet.columns.other_imgs7.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("假梁-斜梁方向不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(otherImgs8) && ${formSet.columns.other_imgs8.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("并网箱逆变器防雨罩照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--var filingType = '${customerEntry.filingType}';--%>
        <%--if (filingType == '2' && isBlank(filingDocumentPhoto.length == 0) && ${formSet.columns.filing_document_photo.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("备案文件照片不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--var filingDocumentCode = $("#filingDocumentCode").val();--%>
        <%--if( filingType == '2' && isBlank(filingDocumentCode) && ${formSet.columns.filing_document_code.mustFillFlag eq '1'}){--%>
        <%--    layer.msg("备案代码不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if(${contractUrlFlag eq '1' && isBlank(contractUrl)}){--%>
        <%--    layer.msg("合同不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(zjReport) && ${formSet.columns.zj_report.mustFillFlag eq '1'}) {--%>
        <%--    layer.msg("自检记录报告不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--if (isBlank(supplementVideoUrl) && ${formSet.columns.supplement_video_url.mustFillFlag eq '1'}){--%>
        <%--    layer.msg("补充视频不能为空");--%>
        <%--    return;--%>
        <%--}--%>
        <%--var completeRemark = $("#completeRemark").val();--%>
        <%--if (isBlank(completeRemark) && ${formSet.columns.complete_remark.mustFillFlag eq '1'}){--%>
        <%--    layer.msg("完工备注不能为空");--%>
        <%--    return;--%>
        <%--}--%>

        <%--var checkRe = true;--%>
        <%--var checkKg = true;--%>

        <%--if (${ formSet.columns.other_files.status eq '1' && formSet.columns.other_files.mustFillFlag eq '1'}){--%>
        <%--    if (otherFiles.length==0){--%>
        <%--        layer.msg("其他资料不能为空");--%>
        <%--        checkRe = false;--%>
        <%--        return;--%>
        <%--    }--%>
        <%--};--%>
        <%--if (${ formSet.columns.kg_condition_files.status eq '1' && formSet.columns.kg_condition_files.mustFillFlag eq '1'}){--%>
        <%--    if (kgConditionFiles.length==0){--%>
        <%--        layer.msg("安全防护措施合照照片不能为空");--%>
        <%--        checkKg = false;--%>
        <%--        return;--%>
        <%--    }--%>
        <%--};--%>

        if(!checkRe){
            return;
        }
        if(!checkKg){
            return;
        }
        saveFlag = true;
        $.ajax({
            type: 'post',
            url: '${ctx}/customerEntry/installHr',
            contentType: "application/json;charsetset=UTF-8",
            data: JSON.stringify(order),
            success: function(data){
                if (data.code == "200") {
                    top.layer.msg("操作成功");
                    closeSelf();
                    parent.location.reload();
                } else {
                    layer.msg(data.errMsg);
                }
            },
            complete: function(){
                saveFlag = false;
            }
        });
    }

    function changeMaterialTab0(type) {
        $('.materialTable0').eq(type).removeClass('layui-hide').siblings('.materialTable0').addClass('layui-hide');
    }

    function changeMaterialTab1(type) {
        $('.materialTable1').eq(type).removeClass('layui-hide').siblings('.materialTable1').addClass('layui-hide');
    }

    function changeMaterialTab2(type) {
        $('.materialTable2').eq(type).removeClass('layui-hide').siblings('.materialTable2').addClass('layui-hide');
    }

    function changeMaterialTab3(type) {
        $('.materialTable3').eq(type).removeClass('layui-hide').siblings('.materialTable3').addClass('layui-hide');
    }

    function changeMaterialTab4(type) {
        $('.materialTable4').eq(type).removeClass('layui-hide').siblings('.materialTable4').addClass('layui-hide');
    }

    function addImg(data, id, imgsDiv, classimg, count) {
        var imgCount=$("#" + imgsDiv).find(".imgSpan").length;
        if((imgCount+1)>=count){
            $("#" + id).hide();
        }
        var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
        html += '<img src="${commonStaticImgPath}' + data + '" height="700" width="1200"/>';
        html += '<input type="hidden" name="' + classimg + '"  class="' + classimg + '" value="' + data + '"/> </div>';
        $("#" + imgsDiv).append(html);
        //图片查看效果
        viewer.update();
    }

    function addImgCopy(data, id, imgsDiv, classimg, count,item) {
        var imgCount = item.closest('td').find("#" + imgsDiv).find(".imgSpan").length;
        console.log(imgCount)
        if ((imgCount + 1) >= count) {
            item.closest('td').find("#" + id).hide();
        }
        var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
        html += '<img src="${commonStaticImgPath}' + data + '" height="700" width="1200"/>';
        html += '<input type="hidden" class="' + classimg + '" value="' + data + '"/> </div>';
        item.closest('td').find("#" + imgsDiv).append(html);
        //图片查看效果
        viewer.update();
    }

    function addVedio(data, id, imgsDiv, classimg,count) {
        var imgCount=$("#" + imgsDiv).find(".imgSpan").length;
        if((imgCount+1)>=count){
            $("#" + id).hide();
        }
        var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
        html += '<video src="${commonStaticImgPath}' + data + '" width="150px" height="78px"></video>';
        html += '<input type="hidden" name="' + classimg + '"  class="' + classimg + '" value="' + data + '"/> </div>';
        $("#" + imgsDiv).append(html);
        //图片查看效果
        viewer.update();
    }

    function delImg(that, id) {
        $("#" + id).show();
        $(that).parent().remove();
    }

    window.closeSelf = function () {
        var index = parent.layer.getFrameIndex(window.name);
        parent.layer.close(index);//关闭当前页
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function delVideoImg(that, id) {
        $("#" + id).show();
        $(that).parent().remove();

    }
</script>
</body>
</html>

