<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>设计自审</title>
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html {
            background-color: #fff;
            padding-bottom: 50px;
        }

        .bj-img > span{
            z-index: 1;
        }
        .lookBtn{
            color: #2890ac;
            width: 10px;
            padding: 11px;
        }

        input[type="radio"]:disabled, textarea:disabled, .layui-disabled {
             background-color: #ffffff;
        }

        .layui-select-title .layui-disabled{
            background-color: #eee !important;
        }
    </style>
</head>
<body>
<div class="layui-form">
    <div class="layui-card">
        <div class="layui-card-body layui-col-xs12" id="LAY_app">
            <div class="layui-card">
                <blockquote class="layui-elem-quote">项目信息</blockquote>
                <div class="layui-card-body">
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>电站编码：</label>
                            <div class="layui-input-block">
                                <input type="text" id="powerStationCode" class="layui-input layui-bg-gray" value="${entry.powerStationCode}" disabled>
                            </div>
                        </div>

                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label w-120"><i class="mark">*</i>代理商：</label>
                            <div class="layui-input-block ml-120">
                                <input type="text" disabled class="layui-input layui-bg-gray" value="${entry.traderName}">
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>项目公司：</label>
                            <div class="layui-input-block">
                                <select class="layui-input-block pos-r" name="projectCompany" id="projectCompany" lay-search>
                                    <c:forEach items="${companyList}" var="company">
                                        <option value="${company.columns.id}" title="${company.columns.id}" <c:if test="${company.columns.id==entry.projectCompanyId}">selected</c:if>>${company.columns.name}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>电站状态：</label>
                            <div class="layui-input-block">
                                <input type="text" disabled class="layui-input layui-bg-gray"
                                <c:choose>
                                <c:when test="${entry.status eq 'h'}">
                                       value="待自审"
                                </c:when>
                                <c:when test="${entry.status eq '2'}">
                                       value="审核不通过"
                                </c:when>
                                <c:otherwise>
                                       --
                                </c:otherwise>
                                </c:choose>
                                       >
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label w-120"><i class="mark">*</i>保险购买情况：</label>
                            <div class="layui-input-block ml-120">

                                <select name="insuranceFlag" id="insuranceFlag" disabled>
                                    <option value="">请选择</option>
                                    <option value="1" <c:if test="${entry.insuranceFlag eq '1'}">selected</c:if> >控制投放及续保</option>
                                    <option value="2" <c:if test="${entry.insuranceFlag eq '2'}">selected</c:if> >控制投放</option>
                                    <option value="3" <c:if test="${entry.insuranceFlag eq '3'}">selected</c:if> >其他</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>预计投放日：</label>
                            <div class="layui-input-block">
                                <input type="text" class="layui-input layui-bg-gray" disabled id="leaseDate" autocomplete="off"
                                       value="<fmt:formatDate value="${entry.leaseDate}" pattern="yyyy-MM-dd"/>">
                            </div>
                        </div>
                    </div>
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>业务员：</label>
                            <div class="layui-input-block">
                                <input type="text" disabled class="layui-input layui-bg-gray" value="${entry.creator}">
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>创建时间：</label>
                            <div class="layui-input-block">
                                <input type="text" disabled class="layui-input layui-bg-gray" value="<fmt:formatDate value="${entry.createTime}" pattern="yyyy-MM-dd HH:mm:ss"/>">
                            </div>
                        </div>
                    </div>

                </div>
                <blockquote class="layui-elem-quote">产品信息</blockquote>
                <div class="layui-card-body">
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <div class="layui-col-lg4 layui-col-sm4">
                            <label class="layui-form-label"><i class="mark">*</i>备案类型：</label>
                            <div class="layui-input-block">
                                <input type="text" id="filingType" disabled class="layui-input layui-bg-gray"
                                <c:choose>
                                <c:when test="${entry.filingType eq '1'}">
                                       value="农户备案"
                                </c:when>
                                <c:when test="${entry.filingType eq '2'}">
                                       value="项目公司备案"
                                </c:when>
                                </c:choose>
                                >
                            </div>
                        </div>
                        <div class="layui-col-lg4 layui-col-sm4">
                            <label class="layui-form-label"><i class="mark">*</i>项目公司：</label>
                            <div class="layui-input-block">
                                <select class="layui-input-block pos-r" name="projectCompany" id="projectCompany" lay-search>
                                    <option value="">请选择</option>
                                    <c:forEach items="${companyList}" var="company">
                                        <option value="${company.columns.id}" title="${company.columns.id}" <c:if test="${company.columns.id eq entry.projectCompanyId}">selected</c:if>>${company.columns.name}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                        <div class="layui-col-lg4 layui-col-sm4">
                            <label class="layui-form-label">业务属性：</label>
                            <span class="form-span">
                    <c:choose>
                        <c:when test="${entry.productLine eq '1'}">
                            纯租25年业务
                        </c:when>
                        <c:when test="${entry.productLine eq '2'}">
                            经营性租赁
                        </c:when>
                        <c:when test="${entry.productLine eq '3'}">
                            融资租赁
                        </c:when>
                        <c:when test="${entry.productLine eq '4'}">
                            光伏贷
                        </c:when>
                        <c:when test="${entry.productLine eq '5'}">
                            全款
                        </c:when>
                        <c:when test="${entry.productLine eq '6'}">
                            其他
                        </c:when>
                        <c:otherwise>
                            其他
                        </c:otherwise>
                    </c:choose>
                </span>
                        </div>
                        <table class="layui-table" id="projectTab" style="margin: 0 10px 0 0;">
                            <tr style="height: 50px">
                                <td width="5%" align="center">序号</td>
                                <td width="25%"  align="center">产品编号</td>
                                <td width="25%"  align="center">产品名称</td>
                                <td width="25%"  align="center">屋顶类型</td>
                                <td width="20%"  align="center">操作</td>
                            </tr>
                            <c:forEach items="${entryProject}" var="entryProject" varStatus="vs">
                                <c:if test="${not empty entryProject.columns.id}">
                                    <tr style="height: 50px">
                                        <td>${vs.index+1}</td>
                                        <td>
                                            <input type="text" id="projectCode" class="layui-input layui-bg-gray" value="${entryProject.columns.code}" disabled>
                                        </td>
                                        <td>
                                            <select name="projectId" id="projectId" lay-filter="projectId" class="layui-bg-gray"  lay-search>
                                                <option value="">请选择</option>
                                                <c:forEach items="${project}" var="ject">
                                                    <option value="${ject.columns.id}"
                                                            title="${ject.columns.code}"
                                                            <c:if test="${ject.columns.id eq entryProject.columns.id}"> selected</c:if>
                                                    >${ject.columns.name}</option>
                                                </c:forEach>
                                            </select>
                                        </td>

                                        <td>
                                            <select name="roofType" id="roofType"  class="roofType" lay-verify="required" lay-filter="roofType" >
                                                <option value="">请选择</option>
                                                <c:forEach items="${roofTypeList}" var="roofType">
                                                    <option value="${roofType.columns.dict_value}" <c:if test="${entryProject.columns.roof_type eq roofType.columns.dict_value}">selected</c:if>>${roofType.columns.dict_value}</option>
                                                </c:forEach>
                                            </select>
                                        </td>
                                        <td>
                                            <a class="layui-btn delProject <c:if test="${vs.index  ne entryProjectNum-1 || entryProjectNum eq 1}"> hide</c:if>" onclick="delProject(this)">删除</a>

                                            <a class="layui-btn addProject <c:if test="${vs.index ne 0}"> ml-20 </c:if> <c:if test="${vs.index ne entryProjectNum-1}"> hide</c:if>" onclick="addProject(this)">新增</a>

                                        </td>
                                    </tr>
                                </c:if>

                            </c:forEach>
                        </table>
                    </div>
                </div>
            </div>
            <div class="layui-card ">
                <blockquote class="layui-elem-quote">业主信息&nbsp; &nbsp;<span><c:if test="${entry.tenantType eq '1'}">(个人)</c:if><c:if test="${entry.tenantType eq '2'}">(单位)</c:if></span></blockquote>

                <div class="layui-card-body">
                    <c:if test="${empty entry.tenantType || ('1' eq entry.tenantType)}">
                        <div class="layui-row layui-col-space12 layui-form-item">

                            <c:if test="${info.columns.tenant_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><i class="mark">*</i>业主姓名：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="tenantName" class="layui-input layui-bg-gray" disabled value="${entry.tenantName}">
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.gender.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><i class="mark">*</i>性别：</label>
                                    <div class="layui-input-block">
                                        <input type="radio" name="gender" disabled title="男"
                                               value="MALE" ${entry.gender eq 'MALE' ? 'checked' : ''}/>
                                        <input type="radio" name="gender" disabled title="女"
                                               value="FEMALE" ${entry.gender eq 'FEMALE' ? 'checked' : ''}/>
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.age.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <div>
                                        <label class="layui-form-label"><i class="mark">*</i>年龄：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="age" id="age" class="layui-input layui-bg-gray" value="${entry.age}" disabled>
                                        </div>
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.mobile.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                    <div>
                                        <label class="layui-form-label"><i class="mark">*</i>联系电话：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="mobile"
                                                   disabled class="layui-input layui-bg-gray" value="${entry.mobile}">
                                        </div>
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.id_code.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><i class="mark">*</i>身份证号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="idCode"
                                               disabled class="layui-input layui-bg-gray" value="${entry.idCode}">
                                    </div>
                                </div>
                            </c:if>
                        <c:if test="${entry.tenantType eq '1'}">
                            <c:if test="${info.columns.birthday_date.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">出生日期：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="birthdayDate" name="birthdayDate" disabled class="layui-input"  value="<fmt:formatDate value="${entry.birthdayDate}" pattern="yyyy-MM-dd"/>">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.ic_validity_begin.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">身份证生效日：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="icValidityBegin" name="icValidityBegin" disabled class="layui-input" value="<fmt:formatDate value="${entry.icValidityBegin}" pattern="yyyy-MM-dd"/>">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.ic_validity_end.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">身份证到期日：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="icValidityEnd" name="icValidityEnd" disabled class="layui-input" value="<fmt:formatDate value="${entry.icValidityEnd}" pattern="yyyy-MM-dd"/>">
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                            <div class="layui-row layui-col-space12 layui-form-item">
                                <c:if test="${info.columns.id_card_front.status eq '1'}">
                                    <div class="layui-col-lg4 layui-col-sm4">
                                        <label class="layui-form-label"><i class="mark">*</i>身份证：</label>
                                        <div class="layui-input-block img-box">
                                            <div>
                                                <div id="imgsDiv1">
                                                    <c:if test="${not empty entry.idCardFront}">
                                                        <div class="bj-img imgSpan">
                                                            <%--<span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader1')"></span>--%>
                                                            <img src="${commonStaticImgPath}${entry.idCardFront}" height="700" width="1200"/>
                                                            <input type="hidden" class="idCardFront" value="${entry.idCardFront}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty entry.idCardFront}">hide</c:if>" id="uploader1">
                                                    <img src="" alt="img placeholder" id="imgsAdd1">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                            </div>
                                            <div>
                                                <div id="imgsDiv2">
                                                    <c:if test="${not empty entry.idCardBack}">
                                                        <div class="bj-img imgSpan">
                                                            <%--<span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader2')"></span>--%>
                                                            <img src="${commonStaticImgPath}${entry.idCardBack}" height="700" width="1200"/>
                                                            <input type="hidden" class="idCardBack" value="${entry.idCardBack}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty entry.idCardBack}">hide</c:if>" id="uploader2">
                                                    <img src="" alt="img placeholder" id="imgsAdd2">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                            </div>
                                        </div>
                                    </div>
                                </c:if>

                                <c:if test="${info.columns.residence_booklet.status eq '1'}">
                                    <div class="layui-col-lg4 layui-col-sm4">
                                        <label class="layui-form-label w-120"><c:if test="${info.columns.residence_booklet.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>户口本复印件：</label>
                                        <div class="layui-input-block img-box ml-120">
                                            <div>
                                                <div id="imgsDiv3">
                                                    <c:if test="${not empty entry.residenceBooklet}">
                                                        <c:forEach var="quaim" items="${entry.residenceBooklet.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                                                                <input type="hidden" class="residenceBooklet" value="${quaim}"/>
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty entry.residenceBooklet}">hide</c:if>" id="uploader3">
                                                    <img src="" alt="img placeholder" id="imgsAdd3">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </c:if>

                            </div>
                            <c:if test="${info.columns.house_ownership.status eq '1'}">
                                <div class="layui-row layui-col-space12 layui-form-item">
                                    <div class="layui-col-lg11 layui-col-sm11">
                                        <label class="layui-form-label">房产证明：</label>
                                        <div class="layui-input-block img-box">
                                            <c:if test="${not empty surveyRecord.houseOwnership}">
                                                <c:forEach items="${surveyRecord.houseOwnership.split(',')}" var="img" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                            <div class="upload-container <c:if test="${not empty surveyRecord.houseOwnership}">hide</c:if>" >
                                                <img src="" alt="img placeholder" >
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>

                            <div class="layui-row layui-col-space12 layui-form-item">
                                <c:if test="${info.columns.bank_card.status eq '1'}">
                                    <div class="layui-col-lg4 layui-col-sm4">
                                        <label class="layui-form-label"><c:if test="${info.columns.bank_card.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行卡照片：</label>
                                        <div class="layui-input-block img-box">
                                            <div>
                                                <div id="imgsDiv4">
                                                    <c:if test="${not empty entry.bankCard}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${entry.bankCard}" height="700" width="1200"/>
                                                            <input type="hidden" class="bankCard" value="${entry.bankCard}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty entry.bankCard}">hide</c:if>" id="uploader4">
                                                    <img src="" alt="img placeholder" id="imgsAdd4">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </c:if>
                                <c:if test="${info.columns.credit_certificate.status eq '1'}">
                                    <div class="layui-col-lg8 layui-col-sm8">
                                        <label class="layui-form-label"><c:if test="${info.columns.credit_certificate.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>信誉凭证：</label>
                                        <div class="layui-input-block img-box">
                                            <div style="display: flex">
                                                <div id="imgsDiv5">
                                                    <c:if test="${not empty orgFiles.creditCertificate}">
                                                        <c:forEach var="quaim" items="${orgFiles.creditCertificate.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                                                                <input type="hidden" class="creditCertificate" value="${quaim}"/>
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty orgFiles.creditCertificate}">hide</c:if>">
                                                    <img src="" alt="img placeholder" id="imgsAdd5">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </c:if>
                            </div>
                            <div class="layui-row layui-col-space12 layui-form-item">
                                <c:if test="${info.columns.exigence_name.status eq '1'}">
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label"><c:if test="${info.columns.exigence_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>紧急联系人：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="exigenceName" id="exigenceName" lay-verify="required" disabled
                                                   autocomplete="off" class="layui-input " value="${entry.exigenceName}">
                                        </div>
                                    </div>
                                </c:if>
                                <c:if test="${info.columns.exigence_phone.status eq '1'}">
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label"><c:if test="${info.columns.exigence_phone.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>联系方式：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="exigencePhone" id="exigencePhone" lay-verify="required" disabled
                                                   autocomplete="off" class="layui-input " value="${entry.exigencePhone}">
                                        </div>
                                    </div>
                                </c:if>
                            </div>
                            <c:if test="${info.columns.bank_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行账户名：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bankName" id="bankName" lay-verify="required" readonly
                                               class="layui-input layui-bg-gray" value="${entry.bankName}">
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.bank_code.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_code.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行账户：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bankCode" id="bankCode" lay-verify="required" readonly
                                               class="layui-input layui-bg-gray" value="${entry.bankCode}">
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.tss_bank_num_name.status eq '1'}">
                            <div class="layui-row layui-col-space12 layui-form-item"> </div>
                                <div class="layui-col-lg6 layui-col-sm6">
                                    <label class="layui-form-label"><c:if test="${info.columns.tss_bank_num_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>开户行：</label>
                                    <div class="layui-input-block">
                                        <select name="tssBankNum" id="tssBankNum" lay-verify="required" disabled>
                                            <option value="${entry.tssBankNum}" selected>${entry.tssBankNumName}</option>
                                        </select>
                                            <%--                                        <div id="tssBank"></div>--%>
                                    </div>
                                </div>
                            </c:if>

                            <div class="layui-row layui-col-space12 layui-form-item">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">划转方式：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="repaymentMethod" id="repaymentMethod" disabled class="layui-input layui-bg-gray"
                                            <c:if test="${surveyRecord.repaymentMethod eq '1'}">value="二类卡"</c:if>
                                               <c:if test="${surveyRecord.repaymentMethod eq '2'}">value="光E宝"</c:if>
                                               <c:if test="${surveyRecord.repaymentMethod eq '0'}">value="其他"</c:if>
                                              lay-data="${surveyRecord.repaymentMethod}" >
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm3" style="display: ${surveyRecord.repaymentMethod eq '0' ? 'none' : 'block'};">
                                    <label class="layui-form-label">账号名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" disabled class="layui-input layui-bg-gray" value="${card.name}">
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm3" style="display: ${surveyRecord.repaymentMethod eq '0' ? 'none' : 'block'};">
                                    <label class="layui-form-label">二类卡号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" disabled class="layui-input layui-bg-gray" value="${card.accountCode}">
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm3" style="display: ${surveyRecord.repaymentMethod eq '0' ? 'none' : 'block'};">
                                    <label class="layui-form-label">联行号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" disabled class="layui-input layui-bg-gray" value="${card.openBankNumber}">
                                    </div>
                                </div>

                            </div>

                        </div>
                    </c:if>

                    <c:if test="${entry.tenantType eq '2'}">

                        <c:if test="${info.columns.tenant_name.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>单位名称：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="tenantNameAnother" disabled class="layui-input layui-bg-gray" value="${entry.tenantName}">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info.columns.regno.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>信用代码：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="regno" id="regno" disabled class="layui-input layui-bg-gray" value="${entry.regno}">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info.columns.mobile.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                <div>
                                    <label class="layui-form-label"><i class="mark">*</i>联系方式：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="mobileAnother" disabled class="layui-input layui-bg-gray"  value="${entry.mobile}">
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info.columns.corp.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                <div>
                                    <label class="layui-form-label"><i class="mark">*</i>负责人姓名：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="corp" id="corp" disabled class="layui-input layui-bg-gray"  value="${entry.corp}">
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info.columns.id_code.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>身份证号：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="idCodeAnother" disabled class="layui-input layui-bg-gray" value="${entry.idCode}">
                                </div>
                            </div>
                        </c:if>

                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.id_card_front.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label w-120"><i class="mark">*</i>负责人身份证：</label>
                                    <div class="layui-input-block img-box ml-120">
                                        <div>
                                            <div id="imgsDiv33">
                                                <c:if test="${not empty entry.idCardFront}">
                                                    <div class="bj-img imgSpan">
                                                      <%--  <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader33')"></span>--%>
                                                        <img src="${commonStaticImgPath}${entry.idCardFront}" height="700" width="1200"/>
                                                        <input type="hidden" class="idCardFront" value="${entry.idCardFront}"/>
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${not empty entry.idCardFront}">hide</c:if>" id="uploader33">
                                                <img src="" alt="img placeholder" id="imgsAdd33">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div id="imgsDiv34">
                                                <c:if test="${not empty entry.idCardBack}">
                                                    <div class="bj-img imgSpan">
                                                      <%--  <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader34')"></span>--%>
                                                        <img src="${commonStaticImgPath}${entry.idCardBack}" height="700" width="1200"/>
                                                        <input type="hidden" class="idCardBack" value="${entry.idCardBack}"/>
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${not empty entry.idCardBack}">hide</c:if>" id="uploader34">
                                                <img src="" alt="img placeholder" id="imgsAdd34">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.regno_url.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label"><i class="mark">*</i>营业执照：</label>
                                    <div class="layui-input-block img-box">
                                        <div>
                                            <div>
                                                <div id="imgsDiv35">
                                                    <c:if test="${not empty tenant and not empty tenant.regnoUrl}">
                                                        <div class="bj-img imgSpan">
                                                            <%--<span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader35')"></span>--%>
                                                            <img src="${commonStaticImgPath}${tenant.regnoUrl}" height="700" width="1200"/>
                                                            <input type="hidden" class="regnoUrl" value="${tenant.regnoUrl}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty tenant || not empty tenant.regnoUrl}">hide</c:if>" id="uploader35">
                                                    <img src="" alt="img placeholder" id="imgsAdd35">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </div>
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.exigence_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.exigence_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>紧急联系人：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="exigenceName" id="exigenceName" lay-verify="required" disabled
                                               autocomplete="off" class="layui-input " value="${entry.exigenceName}">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.exigence_phone.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.exigence_phone.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>联系方式：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="exigencePhone" id="exigencePhone" lay-verify="required" disabled
                                               autocomplete="off" class="layui-input " value="${entry.exigencePhone}">
                                    </div>
                                </div>
                            </c:if>
                        </div>
                    </c:if>

                </div>
            </div>
            <c:if test="${entry.age >= 65}">
                <div class="layui-card">
                    <blockquote class="layui-elem-quote">补充信息</blockquote>
                    <div class="layui-card-body ">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.bp_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>共签人名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpName" id="bpName" lay-verify="required" readonly class="layui-input layui-bg-gray" value="${entry.bpName}" >
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_id_card.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_id_card.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>证件号码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpIdCard" id="bpIdCard" lay-verify="required" readonly  class="layui-input layui-bg-gray" value="${entry.bpIdCard}" >
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_mobile.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_mobile.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>手机号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpMobile" id="bpMobile" lay-verify="required" readonly class="layui-input layui-bg-gray" value="${entry.bpMobile}" >
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_relation.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_relation.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>共签人关系：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpRelation" id="bpRelation" disabled lay-verify="required" class="layui-input " value="${entry.bpRelation}" >
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_card_front.status eq '1' || info.columns.bp_card_back.status eq  '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_card_front.mustFillFlag eq '1' ||  info.columns.bp_card_back.mustFillFlag eq '1' }"><i class="mark">*</i></c:if>身份证：</label>
                                    <div class="layui-input-block img-box">
                                        <c:if test="${info.columns.bp_card_front.status eq '1'}">
                                            <div>
                                                <div id="imgsDiv30">
                                                    <c:if test="${not empty entry.bpCardFront}">
                                                        <div class="bj-img imgSpan">
                                                                <%--                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader30')"></span>--%>
                                                            <img src="${commonStaticImgPath}${entry.bpCardFront}" height="700" width="1200"/>
                                                            <input type="hidden" class="bpCardFront" value="${entry.bpCardFront}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty entry.bpCardFront}">hide</c:if>" id="uploader30">
                                                    <img src="" alt="img placeholder" id="imgsAdd30">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                            </div>
                                        </c:if>
                                        <c:if test="${info.columns.bp_card_back.status eq '1'}">
                                            <div>
                                                <div id="imgsDiv31">
                                                    <c:if test="${not empty entry.bpCardBack}">
                                                        <div class="bj-img imgSpan">
                                                                <%--                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader31')"></span>--%>
                                                            <img src="${commonStaticImgPath}${entry.bpCardBack}" height="700" width="1200"/>
                                                            <input type="hidden" class="bpCardBack" value="${entry.bpCardBack}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty entry.bpCardBack}">hide</c:if>" id="uploader31">
                                                    <img src="" alt="img placeholder" id="imgsAdd31">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                            </div>
                                        </c:if>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_file.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label w-120"><c:if test="${info.columns.bp_file.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>子女证明材料：</label>
                                    <div class="layui-input-block img-box ml-120">
                                        <div>
                                            <div id="imgsDiv32">
                                                <c:if test="${not empty entry.bpFile}">
                                                    <c:forEach var="quaim" items="${entry.bpFile.split(',')}" varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                                                            <input type="hidden" class="bpFile" value="${quaim}"/>
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${not empty entry.bpFile}">hide</c:if>" id="uploader32">
                                                <img src="" alt="img placeholder" id="imgsAdd32">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </div>
                    </div>
                </div>
            </c:if>


            <div class="layui-card">
                <blockquote class="layui-elem-quote">勘测基本信息</blockquote>
                <div class="layui-card-body ">

                    <c:if test="${info2.columns.box_group_set.status eq '1'}">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <div class="layui-col-lg12 layui-col-sm12">
                                <label class="layui-form-label"><i class="mark">*</i>并网方式：</label>
                                <div class="layui-input-block">

                                    <input type="radio" name="mergeType" title="单户并网" lay-filter="mergeTypeFilter" disabled value="0" <c:if test="${empty recordBox || '0' eq recordBox.columns.type}">checked</c:if>/>
                                    <input type="radio" name="mergeType" title="一户多站" lay-filter="mergeTypeFilter" disabled value="1" <c:if test="${'1' eq recordBox.columns.type}">checked</c:if>/>
                                    <input type="radio" name="mergeType" title="整村汇流" lay-filter="mergeTypeFilter" disabled value="2" <c:if test="${'2' eq recordBox.columns.type}">checked</c:if>/>
                                </div>
                            </div>

                            <div id="boxDiv" class="<c:if test="${empty recordBox || '0' eq recordBox.columns.type}">hide</c:if>">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">本组电站个数：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="boxTotalCount" class="layui-input layui-bg-gray" disabled value="${recordBox.columns.total_count}">
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">汇流组编号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="groupNumber" class="layui-input layui-bg-gray" disabled value="${recordBox.columns.group_number}">
                                        <input hidden id="boxGroupId" value="${recordBox.columns.box_group_id}">
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">汇流组名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="groupName" class="layui-input layui-bg-gray" disabled value="${recordBox.columns.group_name}">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    </c:if>
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <c:if test="${info.columns.pca_address.status eq '1'}">
                            <div class="layui-col-lg9 layui-col-sm9">
                                <label class="layui-form-label"><c:if test="${info.columns.pca_address.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>安装地址：</label>
                                <div class="layui-input-block">
                                    <div class="layui-col-lg2 layui-col-sm2 pr-10">
                                        <select name="province" id="province" lay-verify="required"
                                                lay-filter="province" lay-search>
                                            <option value="">请选择省</option>
                                            <c:forEach items="${pros}" var="pro">
                                                <option value="${pro.columns.ProvinceName}"
                                                        title="${pro.columns.ProvinceID }"
                                                        <c:if test="${entry.province eq pro.columns.ProvinceName}">selected</c:if>>${pro.columns.ProvinceName}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                    <div class="layui-col-lg2 layui-col-sm2 pr-10">
                                        <select name="city" id="city" lay-verify="required" lay-filter="city"
                                                lay-search>
                                            <option value="">请选择市</option>
                                            <c:forEach items="${faccitys}" var="cit">
                                                <option value="${cit.columns.CityName}"
                                                        title="${cit.columns.CityID}" rel="${cit.columns.traderId}"
                                                        <c:if test="${entry.city eq cit.columns.CityName}">selected</c:if>>${cit.columns.CityName}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                    <div class="layui-col-lg2 layui-col-sm2 pr-10">
                                        <select name="area" id="area" lay-verify="required" lay-filter="area"  lay-search>
                                            <option value="">请选择县/区</option>
                                            <c:forEach items="${areas}" var="ar">
                                                <option value="${ar.columns.DistrictName}"
                                                        title="${ar.columns.DistrictID}"
                                                        <c:if test="${entry.area eq ar.columns.DistrictName}">selected</c:if>>${ar.columns.DistrictName}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                    <div class="layui-col-lg6 layui-col-sm6">
                                        <div class="layui-inline">
                                            <input type="text" name="customerAddress" lay-verify="required"
                                                   autocomplete="off" class="layui-input layui-col-lg2 "
                                                   value="${entry.address}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">风压：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="windPressure" id="windPressure"  value="${entry.windPressure}"  class="layui-input" disabled >
                                    <span class="pos-a h-32 lh-32 layui-span-unit">kN/㎡</span>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">雪压：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="snowPressure" id="snowPressure" value="${entry.snowPressure}"  disabled class="layui-input">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">kN/㎡</span>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">风雪压等级：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="pressureLevel" id="pressureLevel" value="${entry.pressureLevel}"  disabled class="layui-input">
                                </div>
                            </div>
                        </c:if>


                        <c:if test="${info2.columns.seal_roof.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm4">
                                <label class="layui-form-label"><c:if test="${info2.columns.seal_roof.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>是否封屋顶：</label>
                                <div class="layui-input-block">
                                    <select name="sealRoof" id="sealRoof">
                                        <option value="">请选择</option>
                                        <option value="1" <c:if test="${surveyRecord.sealRoof eq '1'}">selected</c:if>>是</option>
                                        <option value="2" <c:if test="${surveyRecord.sealRoof eq '2'}">selected</c:if>>否</option>
                                    </select>
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.angle_azimuth.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                <div>
                                    <label class="layui-form-label"><c:if test="${info2.columns.angle_azimuth.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>方位角：</label>
                                    <div class="layui-inline" style="width: 120px;">
                                        <select name="azimuth" id="azimuth" lay-filter="azimuth">
                                            <option value="">请选择</option>
                                            <c:forEach items="${angleAzimuthList}" var="angleAzimuth" >
                                                <option value="${angleAzimuth.columns.dict_key}" <c:if test="${surveyRecord.azimuth eq angleAzimuth.columns.dict_key}">selected</c:if>>${angleAzimuth.columns.dict_value}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                    <c:if test="${partner.id ne '03'}">
                                    <div class="layui-inline" style="width: 112px">
                                        <c:if test="${surveyRecord.azimuth ne '1' && surveyRecord.azimuth ne '10' && surveyRecord.azimuth ne '11' && surveyRecord.azimuth ne '12' }">
                                            <input type="text" name="angle" id="angle" class="layui-input" maxlength="5"
                                                   value="${surveyRecord.angle}" onchange="checkAngle()" />
                                        </c:if>
                                        <c:if test="${surveyRecord.azimuth eq '1'  || surveyRecord.azimuth eq '10' || surveyRecord.azimuth eq '11' || surveyRecord.azimuth eq '12'}">
                                            <input type="text" name="angle" id="angle" class="layui-input layui-bg-gray" maxlength="5" readonly="readonly"
                                                   value="" onchange="checkAngle()" />
                                        </c:if>
                                        <span class="pos-a h-32 lh-32 layui-span-unit">度</span>
                                    </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.building_height.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.building_height.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>建筑高度：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="buildingHeight" id="buildingHeight"  class="layui-input" value="${surveyRecord.buildingHeight}">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.ew_length.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.ew_length.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>东西长：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="ewLength" id="ewLength"  class="layui-input" value="${surveyRecord.ewLength}">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.ns_wide.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.ns_wide.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>南北宽：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="nsWide" id="nsWide"  class="layui-input" value="${surveyRecord.nsWide}">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.roof_area.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.roof_area.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>屋顶面积：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="roofArea" id="roofArea"  class="layui-input" value="${surveyRecord.roofArea}">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">㎡</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.longitude.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.longitude.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>经度：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="longitude" id="longitude"  class="layui-input" value="${entry.longitude}">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.latitude.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.latitude.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>纬度：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="latitude" id="latitude"  class="layui-input" value="${entry.latitude}">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.completion_year.status eq '1'  || info2.columns.completion_year_03.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label w-120"><c:if test="${info2.columns.completion_year.mustFillFlag eq '1' || info2.columns.completion_year_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                    <c:choose>
                                        <c:when test="${info2.columns.completion_year.status eq '1'}">
                                            房屋建成年份：
                                        </c:when>
                                        <c:when test="${info2.columns.completion_year_03.status eq '1'}">
                                            建筑年限：
                                        </c:when>
                                    </c:choose>
                                </label>
                                <div class="layui-input-block ml-120">
                                 <%--   <input type="text" name="completionYear" id="completionYear"  class="layui-input " value="${surveyRecord.completionYear}">--%>
                                    <input type="text" class="layui-input" name="completionYear" id="completionYear"  autocomplete="off"
                                           value="${surveyRecord.completionYear}">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.slope_gradient.status eq '1'}">
                            <div id="wmpd" class="layui-col-lg3 layui-col-sm3  <c:if test="${surveyRecord.roofType ne '斜屋顶'}">layui-hide</c:if>">
                                <label class="layui-form-label"><c:if test="${info2.columns.slope_gradient.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>屋面坡度：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="slopeGradient" id="slopeGradient"  class="layui-input" value="${surveyRecord.slopeGradient}">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">度</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.purline_interval.status eq '1'}">
                            <div id="ltjj" class="layui-col-lg3 layui-col-sm3  <c:if test="${surveyRecord.roofType ne '斜屋顶'}">layui-hide</c:if>">
                                <label class="layui-form-label"><c:if test="${info2.columns.purline_interval.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>檩条间距：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="purlineInterval" id="purlineInterval"  class="layui-input" value="${surveyRecord.purlineInterval}">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.waterproof.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label w-120"><c:if test="${info2.columns.waterproof.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>屋顶防水情况：</label>
                                <div class="layui-input-block ml-120">
                                    <select name="waterproof" id="waterproof" lay-verify="required">
                                        <option value="">请选择</option>
                                        <option value="1" ${surveyRecord.waterproof eq '1' ? 'selected' : ''}>一般</option>
                                        <option value="2" ${surveyRecord.waterproof eq '2' ? 'selected' : ''}>良好</option>
                                    </select>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.source_pollution.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label w-120"><c:if test="${info2.columns.source_pollution.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>是否有污染源：</label>
                                <div class="layui-input-block ml-120">
                                    <select name="sourcePollution" id="sourcePollution" lay-verify="required">
                                        <option value="">请选择</option>
                                        <option value="1" ${surveyRecord.sourcePollution eq '1' ? 'selected' : ''}>有</option>
                                        <option value="2" ${surveyRecord.sourcePollution eq '2' ? 'selected' : ''}>没有</option>
                                    </select>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.ops_condition.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label" style="width: 140px"><c:if test="${info2.columns.ops_condition.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>是否具备运维空间：</label>
                                <div class="layui-input-block" style="margin-left: 140px">
                                    <select name="opsCondition" id="opsCondition" lay-verify="required">
                                        <option value="">请选择</option>
                                        <option value="1" ${surveyRecord.opsCondition eq '1' ? 'selected' : ''}>具备</option>
                                        <option value="2" ${surveyRecord.opsCondition eq '2' ? 'selected' : ''}>不具备</option>
                                    </select>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.voltage_classes.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label w-120"><c:if test="${info2.columns.voltage_classes.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>并网电压等级：</label>
                                <div class="layui-input-block ml-120">
                                    <input type="text" name="voltageClasses" id="voltageClasses"  class="layui-input" value="<fmt:formatNumber value="${surveyRecord.voltageClasses}"></fmt:formatNumber>">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">V</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.transformer_capacity.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.transformer_capacity.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>变压器容量：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="transformerCapacity" id="transformerCapacity"   class="layui-input" value="${surveyRecord.transformerCapacity}">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">kVA</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.restrict_flag.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label" style="width: 210px"><c:if test="${info2.columns.restrict_flag.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>是否符合变压器容量限制要求：</label>
                                <div class="layui-input-block" style="margin-left: 210px">
                                    <select name="restrictFlag" id="restrictFlag" lay-verify="required">
                                        <option value="">请选择</option>
                                        <option value="1" ${surveyRecord.restrictFlag eq '1' ? 'selected' : ''}>符合</option>
                                        <option value="2" ${surveyRecord.restrictFlag eq '2' ? 'selected' : ''}>不符合</option>
                                    </select>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.distance.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.distance.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>并网距离：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="distance" id="distance" class="layui-input" value="${surveyRecord.distance}">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                </div>
                            </div>
                        </c:if>
<%--                        <c:if test="${info2.columns.dip_angle.status eq '1' || info2.columns.dip_angle_03.status eq '1'}">--%>
<%--                            <div class="layui-col-lg3 layui-col-sm3">--%>
<%--                                <label class="layui-form-label"><c:if test="${info2.columns.dip_angle.mustFillFlag eq '1' || info2.columns.dip_angle_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>--%>
<%--                                    <c:choose>--%>
<%--                                        <c:when test="${info2.columns.dip_angle.status eq '1'}">--%>
<%--                                            组件倾角：--%>
<%--                                        </c:when>--%>
<%--                                        <c:when test="${info2.columns.dip_angle_03.status eq '1'}">--%>
<%--                                            倾角：--%>
<%--                                        </c:when>--%>
<%--                                    </c:choose>--%>
<%--                                </label>--%>
<%--                                <div class="layui-input-block">--%>
<%--                                    <input type="text" name="dipAngle" id="dipAngle" class="layui-input" value="${surveyRecord.dipAngle}">--%>
<%--                                    <span class="pos-a h-32 lh-32 layui-span-unit">度</span>--%>
<%--                                </div>--%>
<%--                            </div>--%>
<%--                        </c:if>--%>
                        <div class="layui-col-lg12 layui-col-sm12"></div>

                </div>
                <blockquote class="layui-elem-quote">勘测反馈信息</blockquote>
                <div class="layui-tab layui-tab-brief custom-tab" id="surveyImgTab" lay-filter="docDemoTabBrief">
                    <ul class="layui-tab-title" id="surveyImgUl">
                        <c:forEach items="${entryProject}" var="entryProject" varStatus="vs">
                            <li class=" <c:if test="${vs.index eq 0}">layui-this</c:if>" id="${entryProject.columns.code}">
                                <c:choose>
                                    <c:when test="${not empty entryProject.columns.roof_type}">
                                        ${entryProject.columns.roof_type}
                                    </c:when>
                                    <c:otherwise>
                                        ${entryProject.columns.name}
                                    </c:otherwise>
                                </c:choose>
                            </li>
                        </c:forEach>
                    </ul>
                    <c:forEach items="${entrySurveys}" var="entrySurvey" varStatus="vs">
                        <div class="layui-tab-content  surveyTabContent <c:if test="${vs.index ne 0}">layui-hide</c:if>" id="surveyImgDiv${vs.index}">
                            <c:set var="indexNum" value="1"/>
                            <table class="layui-table" style="margin: 0 10px 0 0;">
                                <tr style="height: 50px">
                                    <td width="15%" align="center">图片类型</td>
                                    <td width="80%" align="center">图片</td>
                                </tr>
                                <c:if test="${info2.columns.dip_angle.status eq '1' || info2.columns.dip_angle_03.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.dip_angle.mustFillFlag eq '1' || info2.columns.dip_angle_03.mustFillFlag eq '1'}">
                                            <i class="mark">*</i></c:if>
                                            <c:choose>
                                                <c:when test="${info2.columns.dip_angle.status eq '1'}">
                                                    组件倾角：
                                                </c:when>
                                                <c:when test="${info2.columns.dip_angle_03.status eq '1'}">
                                                    倾角：
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-inline">
                                                <div style="display: flex;flex-wrap: wrap;margin-left: 20px;">
                                                    <div class="layui-input-inline">
                                                        <input type="text" name="dipAngle" id="dipAngle" class="layui-input dipAngle" autocomplete="off"
                                                               value="${entrySurvey.dipAngle}">
                                                        <span class="pos-a h-32 lh-32 layui-span-unit">度</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fly_imgs.status eq '1' || info2.columns.fly_imgs_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.fly_imgs.mustFillFlag eq '1' || info2.columns.fly_imgs_04.mustFillFlag eq '1'}">
                                            <i class="mark">*</i></c:if>
                                            <c:choose>
                                                <c:when test="${info2.columns.fly_imgs.status eq '1'}">
                                                    无人机航拍图&nbsp;&nbsp;(3-9张)
                                                </c:when>
                                                <c:when test="${info2.columns.fly_imgs_04.status eq '1'}">
                                                    屋顶高空俯视照片(3-9张)
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'fly_imgs'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="flyImgsDiv">
                                                        <c:set var="flyImgsCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.flyImgs}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.flyImgs.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="flyImgs" value="${quaim}">
                                                                </div>
                                                                <c:set var="flyImgsCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${flyImgsCount >=9}">hide</c:if>" data-title="flyImgsDiv" data-value="flyImgs" data-count="9"
                                                         id="flyImgsUploader">
                                                        <img src="" alt="img placeholder" id="flyImgs">
                                                    </div>
                                                </div>
                                            </div>

                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.roof_photo_one.status eq '1' || info2.columns.roof_photo_one_03.status eq '1'  }">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.roof_photo_one.mustFillFlag eq '1' || info2.columns.roof_photo_one_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                            <c:choose>
                                                <c:when test="${info2.columns.roof_photo_one.status eq '1'}">
                                                    安装区域整体照片(2-9张)
                                                </c:when>
                                                <c:when test="${info2.columns.roof_photo_one_03.status eq '1'}">
                                                    房屋屋顶照片(2-9张)
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'roof_photo_one'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="roofPhotoOneDiv">
                                                        <c:set var="roofPhotoOneCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.roofPhotoOne}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoOne.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoOne"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="roofPhotoOneCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${roofPhotoOneCount >=9}">hide</c:if>" data-title="roofPhotoOneDiv" data-value="roofPhotoOne" data-count="9"
                                                         id="roofPhotoOneUploader">
                                                        <img src="" alt="img placeholder" id="roofPhotoOne">
                                                    </div>
                                                </div>
                                            </div>

                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.roof_photo_two.status eq '1' || info2.columns.roof_photo_two_03.status eq '1' || info2.columns.roof_photo_two_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.roof_photo_two.mustFillFlag eq '1' || info2.columns.roof_photo_two_03.mustFillFlag eq '1' || info2.columns.roof_photo_two_04.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                            <c:choose>
                                                <c:when test="${info2.columns.roof_photo_two.status eq '1'}">
                                                    安装区域东南角照片(1-9张)
                                                </c:when>
                                                <c:when test="${info2.columns.roof_photo_two_03.status eq '1'}">
                                                    房屋屋顶东侧图片(1-9张)
                                                </c:when>
                                                <c:when test="${info2.columns.roof_photo_two_04.status eq '1'}">
                                                    屋顶东南照片(1-9张)
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'roof_photo_two'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="roofPhotoTwoDiv">
                                                        <c:set var="roofPhotoTwoCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.roofPhotoTwo}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoTwo.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoTwo"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="roofPhotoTwoCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${roofPhotoTwoCount >=9}">hide</c:if>" data-title="roofPhotoTwoDiv" data-value="roofPhotoTwo" data-count="9"
                                                         id="roofPhotoTwoUploader">
                                                        <img src="" alt="img placeholder" id="roofPhotoTwo">
                                                    </div>
                                                </div>
                                            </div>

                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.roof_photo_four.status eq '1' || info2.columns.roof_photo_four_03.status eq '1' || info2.columns.roof_photo_four_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.roof_photo_four.mustFillFlag eq '1' || info2.columns.roof_photo_four_03.mustFillFlag eq '1' || info2.columns.roof_photo_four_04.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                            <c:choose>
                                                <c:when test="${info2.columns.roof_photo_four.status eq '1'}">
                                                    安装区域正南照片(1-9张)
                                                </c:when>
                                                <c:when test="${info2.columns.roof_photo_four_03.status eq '1'}">
                                                    房屋屋顶南侧图片(1-9张)
                                                </c:when>
                                                <c:when test="${info2.columns.roof_photo_four_04.status eq '1'}">
                                                    屋顶正南照片(1-9张)
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'roof_photo_four'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="roofPhotoFourDiv">
                                                        <c:set var="roofPhotoFourCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.roofPhotoFour}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoFour.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoFour"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="roofPhotoFourCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${roofPhotoFourCount >=9}">hide</c:if>" data-title="roofPhotoFourDiv" data-value="roofPhotoFour" data-count="9"
                                                         id="roofPhotoFourUploader">
                                                        <img src="" alt="img placeholder" id="roofPhotoFour">
                                                    </div>
                                                </div>
                                            </div>

                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.roof_photo_three.status eq '1' || info2.columns.roof_photo_three_03.status eq '1' || info2.columns.roof_photo_three_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.roof_photo_three.mustFillFlag eq '1' || info2.columns.roof_photo_three_03.mustFillFlag eq '1' || info2.columns.roof_photo_three_04.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                            <c:choose>
                                                <c:when test="${info2.columns.roof_photo_three.status eq '1'}">
                                                    安装区域西南角照片(1-9张)
                                                </c:when>
                                                <c:when test="${info2.columns.roof_photo_three_03.status eq '1'}">
                                                    房屋屋顶西侧图片(1-9张)
                                                </c:when>
                                                <c:when test="${info2.columns.roof_photo_three_04.status eq '1'}">
                                                    屋顶西南照片(1-9张)
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'roof_photo_three'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>

                                                    <div id="roofPhotoThreeDiv">
                                                        <c:set var="roofPhotoThreeCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.roofPhotoThree}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoThree.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoThree"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="roofPhotoThreeCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${roofPhotoThreeCount >=9}">hide</c:if>" data-title="roofPhotoThreeDiv" data-value="roofPhotoThree" data-count="9"
                                                         id="roofPhotoThreeUploader">
                                                        <img src="" alt="img placeholder" id="roofPhotoThree">
                                                    </div>
                                                </div>
                                            </div>

                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img3.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.fw_img3.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋屋顶东南侧照片(1-9张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'fw_img3'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="fwImg3Div">
                                                        <c:set var="fwImg3Count" value="0"/>
                                                        <c:if test="${not empty entrySurvey.fwImg3}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg3.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon"  onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"  height="700" width="1200">
                                                                    <input type="hidden" class="fwImg3" value="${quaim}">
                                                                </div>
                                                                <c:set var="fwImg3Count" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${fwImg3Count >=9}">hide</c:if>" data-title="fwImg3Div" data-value="fwImg3" data-count="9"
                                                         id="fwImg3Uploader">
                                                        <img src="" alt="img placeholder" id="fwImg3">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img4.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.fw_img4.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋屋顶西南侧照片(1-9张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'fw_img4'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="fwImg4Div">
                                                        <c:set var="fwImg4Count" value="0"/>
                                                        <c:if test="${not empty entrySurvey.fwImg4}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg4.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon"  onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"  height="700" width="1200">
                                                                    <input type="hidden" class="fwImg4" value="${quaim}">
                                                                </div>
                                                                <c:set var="fwImg4Count" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${fwImg4Count >=9}">hide</c:if>" data-title="fwImg4Div" data-value="fwImg4" data-count="9"
                                                         id="fwImg4Uploader">
                                                        <img src="" alt="img placeholder" id="fwImg4">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img5.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.fw_img5.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>遮阴物与房屋距离、高度(1-9张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'fw_img5'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="fwImg5Div">
                                                        <c:set var="fwImg5Count" value="0"/>
                                                        <c:if test="${not empty entrySurvey.fwImg5}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg5.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon"  onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"  height="700" width="1200">
                                                                    <input type="hidden" class="fwImg5" value="${quaim}">
                                                                </div>
                                                                <c:set var="fwImg5Count" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${fwImg5Count >=9}">hide</c:if>" data-title="fwImg5Div" data-value="fwImg5" data-count="9"
                                                         id="fwImg5Uploader">
                                                        <img src="" alt="img placeholder" id="fwImg5">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.roof_photo_five.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.roof_photo_five.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>安装区域细节照片(1-9张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'roof_photo_five'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="roofPhotoFiveDiv">
                                                        <c:set var="roofPhotoFiveCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.roofPhotoFive}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoFive.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoFive"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="roofPhotoFiveCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${roofPhotoFiveCount >=9}">hide</c:if>" data-title="roofPhotoFiveDiv" data-value="roofPhotoFive" data-count="9"
                                                         id="roofPhotoFiveUploader">
                                                        <img src="" alt="img placeholder" id="roofPhotoFive">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.roof_photo_interior.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.roof_photo_interior.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋内部环境照片(2-9张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'roof_photo_interior'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="roofPhotoInteriorDiv">
                                                        <c:set var="roofPhotoInteriorCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.roofPhotoInterior}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoInterior.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoInterior"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="roofPhotoInteriorCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${roofPhotoInteriorCount >=9}">hide</c:if>" data-title="roofPhotoInteriorDiv" data-value="roofPhotoInterior" data-count="9"
                                                         id="roofPhotoInteriorUploader">
                                                        <img src="" alt="img placeholder" id="roofPhotoInterior">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.roof_photo_facade.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.roof_photo_facade.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋内部结构照片(2-9张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'roof_photo_facade'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="roofPhotoFacadeDiv">
                                                        <c:set var="roofPhotoFacadeCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.roofPhotoFacade}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoFacade.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoFacade"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="roofPhotoFacadeCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${roofPhotoFacadeCount >=9}">hide</c:if>" data-title="roofPhotoFacadeDiv" data-value="roofPhotoFacade" data-count="9"
                                                         id="roofPhotoFacadeUploader">
                                                        <img src="" alt="img placeholder" id="roofPhotoFacade">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.detail_supplement_one.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.detail_supplement_one.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>逆变器、配电箱预安装位置照片(1-9张)
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'detail_supplement_one'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="detailSupplementOneDiv">
                                                        <c:set var="detailSupplementOneCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.detailSupplementOne}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.detailSupplementOne.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="detailSupplementOne"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="detailSupplementOneCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${detailSupplementOneCount >=9}">hide</c:if>" data-title="detailSupplementOneDiv" data-value="detailSupplementOne" data-count="9"
                                                         id="detailSupplementOneUploader">
                                                        <img src="" alt="img placeholder" id="detailSupplementOne">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.house_supplement_one.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.house_supplement_one.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>其他障碍物照片(最多九张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'house_supplement_one'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="houseSupplementOneDiv">
                                                        <c:set var="houseSupplementOneCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.houseSupplementOne}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.houseSupplementOne.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon"
                                                          onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"
                                                                         height="700" width="1200">
                                                                    <input type="hidden" class="houseSupplementOne"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="houseSupplementOneCount"
                                                                       value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${houseSupplementOneCount >=9}">hide</c:if>" data-title="houseSupplementOneDiv" data-value="houseSupplementOne" data-count="9"
                                                         id="houseSupplementOneUploader">
                                                        <img src="" alt="img placeholder" id="houseSupplementOne">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>


                                <c:if test="${info2.columns.house_outline_photo.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.house_outline_photo.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋轮廓照片(1-9张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'house_outline_photo'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="houseOutlinePhotoDiv">
                                                        <c:set var="houseOutlinePhotoCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.houseOutlinePhoto}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.houseOutlinePhoto.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon"
                                                          onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"
                                                                         height="700" width="1200">
                                                                    <input type="hidden" class="houseOutlinePhoto"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="houseOutlinePhotoCount"
                                                                       value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${houseOutlinePhotoCount >=9}">hide</c:if>" data-title="houseOutlinePhotoDiv" data-value="houseOutlinePhoto" data-count="9"
                                                         id="houseOutlinePhotoUploader">
                                                        <img src="" alt="img placeholder" id="houseOutlinePhoto">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.survey_video.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.survey_video.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>踏勘补充证明视频</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="surveyVideoDiv">
                                                        <c:set var="surveyVideoCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.surveyVideo}">
                                                            <c:forEach var="quaim" items="${entrySurvey.surveyVideo.split(',')}" varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                <span class="layui-icon-close layui-icon"
                                                      onclick="delImg(this,'surveyVideoUploader')"></span>
                                                                    <video controls
                                                                           src="${commonStaticImgPath}${quaim}"
                                                                           height="80px" width="80px"></video>
                                                                    <input type="hidden" class="surveyVideo"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="surveyVideoCount"
                                                                       value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container surveyVideoUploader <c:if test="${surveyVideoCount >= 8}">hide</c:if>" data-title="surveyVideoDiv" data-value="surveyVideo" data-count="9"
                                                         id="surveyVideoUploader">
                                                        <img src="" alt="img placeholder" id="surveyVideo">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.house_ownership.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.house_ownership.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房产证图片(1-8张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="houseOwnershipDiv">
                                                        <c:set var="houseOwnershipCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.houseOwnership}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.houseOwnership.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon"
                                                          onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"
                                                                         height="700" width="1200">
                                                                    <input type="hidden" class="houseOwnership"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="houseOwnershipCount"
                                                                       value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${houseOwnershipCount >=8}">hide</c:if>" data-title="houseOwnershipDiv" data-value="houseOwnership" data-count="9"
                                                         id="houseOwnershipUploader">
                                                        <img src="" alt="img placeholder" id="houseOwnership">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.survey_files.status eq '1' || info2.columns.survey_files_03.status eq '1' || info2.columns.survey_files_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.survey_files.mustFillFlag eq '1' || info2.columns.survey_files_03.mustFillFlag eq '1' || info2.columns.survey_files_04.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                            <c:choose>
                                                <c:when test="${info2.columns.survey_files.status eq '1'}">
                                                    踏勘记录表
                                                </c:when>
                                                <c:when test="${info2.columns.survey_files_03.status eq '1'}">
                                                    户用勘察记录表（1-9张）
                                                </c:when>
                                                <c:when test="${info2.columns.survey_files_04.status eq '1'}">
                                                    现场勘测表（1-4张）
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="surveyFilesDiv">
                                                        <div class="surveyFilesUploader"
                                                                <c:choose>
                                                                    <c:when test="${info2.columns.survey_files_03.status eq '1'}">
                                                                        <c:if test="${surveyFilesCount >= 9}">style="display: none"</c:if>
                                                                    </c:when>
                                                                    <c:otherwise>
                                                                        <c:if test="${surveyFilesCount >= 4}">style="display: none"</c:if>
                                                                    </c:otherwise>
                                                                </c:choose>>
                                            <span style="color:blue;cursor: pointer"
                                                  id="surveyFiles">上传</span>
                                                        </div>
                                                        <c:set var="surveyFilesCount" value="${surveyFilesCount}"/>
                                                        <c:if test="${not empty entrySurvey.surveyFiles}">
                                                            <c:forEach items="${entrySurvey.surveyFiles}" var="file"
                                                                       varStatus="vs">
                                                                <div style="margin-top: 5px" class = "fileSpan">
                                                    <span style="color: red"
                                                          class="layui-icon-close layui-icon"
                                                          onclick="delImg(this,'surveyFilesUploader')"></span>
                                                                    <a style="color:#2890ac;" target="_blank"
                                                                       onclick="previewUrl('${commonStaticImgPath}${file}')"
                                                                       class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                                    <input type="hidden" class="surveyFiles"
                                                                           value="${file}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>

                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img1.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.fw_img1.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋整体图(1-9张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'fw_img1'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="fwImg1Div">
                                                        <c:set var="fwImg1Count" value="0"/>
                                                        <c:if test="${not empty entrySurvey.fwImg1}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg1.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon"  onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"  height="700" width="1200">
                                                                    <input type="hidden" class="fwImg1" value="${quaim}">
                                                                </div>
                                                                <c:set var="fwImg1Count" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${fwImg1Count >=9}">hide</c:if>" data-title="fwImg1Div" data-value="fwImg1" data-count="9"
                                                         id="fwImg1Uploader">
                                                        <img src="" alt="img placeholder" id="fwImg1">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.vr_roof_one.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.vr_roof_one.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋整体图（VR全景）</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="vrRoofOneDiv">
                                                        <c:set var="vrRoofOneCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.vrRoofOne}">
                                                            <c:forEach var="quaim" items="${entrySurvey.vrRoofOne.split(',')}" varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"  height="700" width="1200">
                                                                    <input type="hidden" class="vrRoofOne" value="${quaim}">
                                                                </div>
                                                                <c:set var="vrRoofOneCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${vrRoofOneCount >=9}">hide</c:if>" data-title="vrRoofOneDiv" data-value="vrRoofOne" data-count="9"
                                                         id="vrRoofOneUploader">
                                                        <img src="" alt="img placeholder" id="vrRoofOne">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.vr_roof_two.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.vr_roof_two.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋整体俯视图（无人机）</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="vrRoofTwoDiv">
                                                        <c:set var="vrRoofTwoCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.vrRoofTwo}">
                                                            <c:forEach var="quaim" items="${entrySurvey.vrRoofTwo.split(',')}" varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"  height="700" width="1200">
                                                                    <input type="hidden" class="vrRoofTwo" value="${quaim}">
                                                                </div>
                                                                <c:set var="vrRoofTwoCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${vrRoofTwoCount >=9}">hide</c:if>" data-title="vrRoofTwoDiv" data-value="vrRoofTwo" data-count="9"
                                                         id="vrRoofTwoUploader">
                                                        <img src="" alt="img placeholder" id="vrRoofTwo">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.vr_roof_three.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.vr_roof_three.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋内部结构图（VR）</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="vrRoofThreeDiv">
                                                        <c:set var="vrRoofThreeCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.vrRoofThree}">
                                                            <c:forEach var="quaim" items="${entrySurvey.vrRoofThree.split(',')}" varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"  height="700" width="1200">
                                                                    <input type="hidden" class="vrRoofThree" value="${quaim}">
                                                                </div>
                                                                <c:set var="vrRoofThreeCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${vrRoofThreeCount >=9}">hide</c:if>" data-title="vrRoofThreeDiv" data-value="vrRoofThree" data-count="9"
                                                         id="vrRoofThreeUploader">
                                                        <img src="" alt="img placeholder" id="vrRoofThree">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img2.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.fw_img2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房屋内部结构图(1-9张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'fw_img2'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="fwImg2Div">
                                                        <c:set var="fwImg2Count" value="0"/>
                                                        <c:if test="${not empty entrySurvey.fwImg2}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg2.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon"  onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"  height="700" width="1200">
                                                                    <input type="hidden" class="fwImg2" value="${quaim}">
                                                                </div>
                                                                <c:set var="fwImg2Count" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader<c:if test="${fwImg2Count >=9}">hide</c:if>" data-title="fwImg2Div" data-value="fwImg2" data-count="9"
                                                         id="fwImg2Uploader">
                                                        <img src="" alt="img placeholder" id="fwImg2">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.vr_roof_four.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.vr_roof_four.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>入户全景照片(VR)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="vrRoofFourDiv">
                                                        <c:set var="vrRoofFourCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.vrRoofFour}">
                                                            <c:forEach var="quaim" items="${entrySurvey.vrRoofFour.split(',')}" varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}"  height="700" width="1200">
                                                                    <input type="hidden" class="vrRoofFour" value="${quaim}">
                                                                </div>
                                                                <c:set var="vrRoofFourCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${vrRoofFourCount >=9}">hide</c:if>" data-title="vrRoofFourDiv" data-value="vrRoofFour" data-count="9"
                                                         id="vrRoofFourUploader">
                                                        <img src="" alt="img placeholder" id="vrRoofFour">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.vr_roof_four_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}<c:if test="${info2.columns.vr_roof_four_04.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>入户全景照片（1-9张）</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:forEach items="${reflist}" var="ref">
                                                        <c:choose>
                                                            <c:when test="${ref.itemCode eq 'vr_roof_four_04'}">
                                                                <c:forEach var="img" items="${ref.list}">
                                                                    <div class="sl-img">
                                                                        <img src="${commonStaticImgPath}${img.imgsValue}">
                                                                        <span class="imgsDesc">示例图</span>
                                                                    </div>
                                                                </c:forEach>
                                                            </c:when>
                                                        </c:choose>
                                                    </c:forEach>
                                                    <div id="vrRoofFourHrDiv">
                                                        <c:set var="vrRoofFourCount" value="0"/>
                                                        <c:if test="${not empty entrySurvey.vrRoofFour}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.vrRoofFour.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                  <span class="layui-icon-close layui-icon"
                                                        onclick="delImg(this,'generalUploader')"></span>
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="vrRoofFour"
                                                                           value="${quaim}">
                                                                </div>
                                                                <c:set var="vrRoofFourCount" value="${vs.count}"/>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                    <div class="upload-container generalUploader <c:if test="${vrRoofFourCount >=9}">hide</c:if>" data-title="vrRoofFourHrDiv" data-value="vrRoofFour" data-count="9"
                                                         id="vrRoofFourHrUploader">
                                                        <img src="" alt="img placeholder" id="vrRoofFourHr">
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                            </table>
                        </div>
                    </c:forEach>
                </div>
                </div>
            </div>
            <div class="layui-card">
                    <blockquote class="layui-elem-quote">方案信息</blockquote>
                    <div class="layui-card-body">
                        <div class="layui-tab layui-tab-brief custom-tab" id="designInfoTab" lay-filter="docDemoTabBriefDesign">
                            <ul class="layui-tab-title" id="designInfoUl">
                                <c:forEach items="${entryProject}" var="entryProject" varStatus="vs">
                                    <li class=" <c:if test="${vs.index eq 0}">layui-this</c:if>" id="${entryProject.columns.code}">
                                        <c:choose>
                                            <c:when test="${not empty entryProject.columns.roof_type}">
                                                ${entryProject.columns.roof_type}
                                            </c:when>
                                            <c:otherwise>
                                                ${entryProject.columns.name}
                                            </c:otherwise>
                                        </c:choose>
                                    </li>
                                </c:forEach>
                            </ul>
                            <c:forEach items="${entryDesigns}" var="entryDesign" varStatus="vs">
                                <div class="layui-tab-content designTabContent <c:if test="${vs.index ne 0}">layui-hide</c:if>" id="designImgDiv${vs.index}">

                                    <div class="${entry.schemeType eq '2' ? 'layui-hide' : ''}" id="showSchemeId">
                                        <div class="layui-row planLie" data-scheme-type-name="${entryDesign.schemeTypeName}"
                                             data-plan-id="${entryDesign.schemeId}">
                                            <div class="planbiao">
                                                <div class="layui-col-lg3 layui-col-sm3">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>方案类型：</label>
                                                    <div class="layui-input-block">
                                                        <select lay-filter="planType" name="planType" class="planType"
                                                                lay-search>
                                                            <option value="">请选择</option>
                                                            <c:forEach items="${insta}" var="ins">
                                                                <option value="${ins.columns.id}"
                                                                        <c:if test="${fn:contains(entryDesign.schemeTypeId,ins.columns.id)}">selected</c:if>>${ins.columns.name}</option>
                                                            </c:forEach>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3 ">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>方案名称：</label>
                                                    <div class="layui-input-block pos-r">
                                                        <select lay-filter="planName" name="planName" class="planName"
                                                                lay-search>
                                                            <option value="${entryDesign.schemeName}"
                                                                    selected>${entryDesign.schemeName}</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3 ">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>参考图纸：</label>
                                                    <div class="layui-input-block pos-r view-attachment">
                                                        <c:if test="${not empty composeOneHr and not empty entryDesign.projectId}">
                                                            <c:forEach items="${composeOneHr}" var="composeOne">
                                                                <c:if test="${composeOne.columns.projectId eq entryDesign.projectId}">
                                                                    <a class="h-32 lh-32 ml-5 layui-span-unit" target="_blank"

                                                                       onclick="previewUrl('${commonStaticImgPath}${composeOne.columns.attach}')"
                                                                       style="color:#2890ac;"
                                                                    >查看</a>
                                                                </c:if>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3" style="text-align: center">
                                                    <input type="hidden" class="planId" value="${entryDesign.schemeId}">
                                                    <input type="hidden" class="planCode"
                                                           value="
                                         <c:forEach items="${composeOneHr}" var="composeOne">
                                        <c:if test="${composeOne.columns.projectId eq entryDesign.projectId}">${composeOne.columns.code} </c:if>"
                                                    </c:forEach> >
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="zuhefangan"
                                         class="zuhefangan ${entry.schemeType eq '1' ? 'layui-hide' : ''}">
                                        <c:if test="${entry.schemeType eq '2'}">
                                            <c:forEach varStatus="vs" items="${compose}" var="item">
                                                <c:if test="${item.columns.projectId eq entryDesign.projectId}">
                                                    <div class="layui-row planLie"
                                                         data-scheme-type-name="${item.columns.plan_type}"
                                                         data-plan-id="${item.columns.plan_type_id}">
                                                        <div class="planbiao">
                                                            <div class="layui-col-lg3 layui-col-sm3">
                                                                <label class="layui-form-label"><i class="mark">*</i>方案类型：</label>
                                                                <div class="layui-input-block">
                                                                    <select lay-filter="planType" name="planType"
                                                                            class="planType" lay-search>
                                                                        <option value="">请选择</option>
                                                                        <c:forEach items="${insta}" var="ins">
                                                                            <option value="${ins.columns.id}"
                                                                                    <c:if test="${item.columns.plan_type eq ins.columns.name}">selected</c:if>>${ins.columns.name}</option>
                                                                        </c:forEach>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <div class="layui-col-lg3 layui-col-sm3 ">
                                                                <label class="layui-form-label"><i class="mark">*</i>方案名称：</label>
                                                                <div class="layui-input-block pos-r">
                                                                    <select lay-filter="planName" name="planName"
                                                                            class="planName" lay-search>
                                                                        <option value="${item.columns.name}"
                                                                                selected>${item.columns.name}</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <div class="layui-col-lg3 layui-col-sm3 ">
                                                                <label class="layui-form-label"><i class="mark">*</i>参考图纸：</label>
                                                                <div class="layui-input-block pos-r view-attachment">
                                                                    <a class="h-32 lh-32 ml-5 layui-span-unit"
                                                                       target="_blank"
                                                                            <c:if test="${not empty item.columns.attach}">
                                                                                onclick="previewUrl('${commonStaticImgPath}${item.columns.attach}')"
                                                                                style="color:#2890ac;"
                                                                            </c:if>
                                                                    >查看</a>
                                                                </div>
                                                            </div>
                                                            <div class="layui-col-lg3 layui-col-sm3"
                                                                 style="text-align: center">
                                                                <input type="hidden" class="planId"
                                                                       value="${item.columns.plan_id}">
                                                                <input type="hidden" class="planCode"
                                                                       value="${item.columns.code}">
                                                                <button type="button"
                                                                        class="layui-btn savePlan ${vs.index+1 ne compose.size() && compose.size() ne '1' ? 'layui-hide' : ''}"
                                                                        onclick="savePlan(this)">
                                                                    新增方案
                                                                </button>
                                                                <button type="button"
                                                                        class="layui-btn layui-btn-primary deletePlan ${vs.index+1 eq compose.size() || compose.size() eq '1' ? 'layui-hide' : ''}"
                                                                        onclick="deletePlan(this)">删除
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </c:if>
                                            </c:forEach>
                                        </c:if>
                                        <c:if test="${empty compose}">
                                            <div class="layui-row planLie">
                                                <div class="planbiao">
                                                    <div class="layui-col-lg3 layui-col-sm3">
                                                        <label class="layui-form-label"><i
                                                                class="mark">*</i>方案类型：</label>
                                                        <div class="layui-input-block">
                                                            <select lay-filter="planType" name="planType"
                                                                    class="planType" lay-search>
                                                                <option value="">请选择</option>
                                                                <c:forEach items="${insta}" var="ins">
                                                                    <option value="${ins.columns.id}">${ins.columns.name}</option>
                                                                </c:forEach>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="layui-col-lg3 layui-col-sm3 ">
                                                        <label class="layui-form-label"><i
                                                                class="mark">*</i>方案名称：</label>
                                                        <div class="layui-input-block pos-r">
                                                            <select lay-filter="planName" name="planName"
                                                                    class="planName" lay-search>
                                                                <option value="">请选择</option>

                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="layui-col-lg3 layui-col-sm3 ">
                                                        <label class="layui-form-label"><i
                                                                class="mark">*</i>参考图纸：</label>
                                                        <div class="layui-input-block pos-r view-attachment">
                                                            <span class="h-32 lh-32 ml-5 layui-span-unit">查看</span>
                                                        </div>
                                                    </div>
                                                    <div class="layui-col-lg3 layui-col-sm3" style="text-align: center">
                                                        <input type="hidden" class="planId">
                                                        <input type="hidden" class="planCode">
                                                        <button type="button" class="layui-btn savePlan"
                                                                onclick="savePlan(this)">
                                                            新增方案
                                                        </button>
                                                        <button type="button"
                                                                class="layui-btn layui-btn-primary deletePlan layui-hide"
                                                                onclick="deletePlan(this)">删除
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </c:if>
                                    </div>
                                    <div class="layui-row">
                                        <div class="layui-col-lg9 layui-col-sm9 ">
                                            <label class="layui-form-label"><i class="mark">*</i>
                                                <c:choose>
                                                    <c:when test="${info2.columns.design_drawings.status eq '1'}">
                                                        设计图纸：
                                                    </c:when>
                                                    <c:when test="${info2.columns.design_drawings_03.status eq '1'}">
                                                        设计CAD文件：
                                                    </c:when>
                                                </c:choose>
                                            </label>
                                            <div class="layui-input-block img-box ml-120">
                                                <div style="display: flex">
                                                    <div id="attachFilesDiv">
                                                        <div class="attachFilesUploader"
                                                                <c:choose>
                                                                    <c:when test="${info2.columns.design_drawings.status eq '1'}">
                                                                        <c:if test="${fn:length(fn:split(entryDesign.designDrawings,',')) >= 4 }">style="display: none"</c:if>
                                                                    </c:when>
                                                                </c:choose>>
                                                <span style="color:blue;cursor: pointer"
                                                      id="attachFiles">上传</span>
                                                        </div>
                                                        <c:set var="attachFilesCount" value="${fn:length(fn:split(entryDesign.designDrawings,','))}"/>
                                                        <c:if test="${not empty entryDesign.designDrawings}">
                                                            <c:forEach items="${entryDesign.designDrawings}" var="file"
                                                                       varStatus="vs">
                                                                <div style="margin-top: 5px" class="fileSpan">
                                                        <span style="color: red"
                                                              class="layui-icon-close layui-icon"
                                                              onclick="delImg(this,'attachFilesUploader')"></span>
                                                                    <a style="color:#2890ac;" target="_blank"
                                                                       onclick="previewUrl('${commonStaticImgPath}${file}')"
                                                                       class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                                    <input type="hidden" class="attachFiles"
                                                                           value="${file}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="layui-input-block pos-r"
                                                 style="display: flex; align-items: center">
                                    <span style="color:#B0B0BEFF;cursor: pointer">
                                        <c:choose>
                                            <c:when test="${info2.columns.design_drawings.status eq '1'}">
                                                可上传1-4个附件，格式：pdf，要包含组件排布图、组件走线图、支架侧视图、支架后视图
                                            </c:when>
                                            <c:when test="${info2.columns.design_drawings_03.status eq '1'}">
                                                可上传1-6个附件，格式：pdf，dwg
                                            </c:when>
                                        </c:choose>
                                    </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="layui-col-lg3 layui-col-sm3 ">
                                        <label class="layui-form-label">设计容量：</label>
                                        <div class="layui-input-block pos-r">
                                            <input class="layui-input layui-bg-gray" name="designCapacity"
                                                   value="${entryDesign.designCapacity / 1000}" disabled>
                                            <span class="pos-a h-32 lh-32 layui-span-unit">kW</span>
                                        </div>
                                    </div>
                                    <c:if test="${info2.columns.component3.status eq '1'}">
                                        <div class="assembly">
                                            <c:set var="assemblyFlag" value="true" />
                                            <c:if test="${not empty assemblyList}">
                                                <c:forEach var="assembly" items="${assemblyList}" varStatus="vs">
                                                    <c:if test="${assembly.columns.project_id eq entryDesign.projectId}">
                                                        <c:set var="assemblyFlag" value="false" />
                                                        <div class="layui-row assemblyDiv">
                                                            <div class="layui-col-lg5 layui-col-sm7">
                                                                <label class="layui-form-label"><i
                                                                        class="mark">*</i>组件：</label>
                                                                <div class="layui-input-block">
                                                                    <div class="layui-inline layui-form-longwid">
                                                                        <select lay-filter="assembly" name="assembly"
                                                                                class="assembly">
                                                                                <%--                            <option value="">请选择</option>--%>
                                                                            <c:forEach varStatus=""
                                                                                       items="${sysAssemblyList}"
                                                                                       var="sysAssembly">
                                                                                <option value="${sysAssembly.columns.id}"
                                                                                        data-power="${sysAssembly.columns.model}" ${sysAssembly.columns.id eq assembly.columns.item_id ? 'selected' : ''}>${sysAssembly.columns.model}</option>
                                                                            </c:forEach>
                                                                        </select>
                                                                        <span class="pos-a h-32 lh-32 layui-span-unit"
                                                                              style="right: 30px">Wp</span>
                                                                    </div>
                                                                    <span class="layui-inline">X </span>
                                                                    <div class="layui-inline">
                                                                        <input type="text" class="layui-input"
                                                                               style="width: 85px;"
                                                                               placeholder="数量" name="optionVal"
                                                                               value="${assembly.columns.num}">
                                                                    </div>
                                                                        <%--                                    <i class="layui-icon layui-icon-add-circle" style="float: right;position: absolute;right: 0px;top: 3px;color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>--%>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </c:if>
                                                </c:forEach>
                                            </c:if>
                                            <c:if test="${empty assemblyList or assemblyFlag}">
                                                <div class="layui-row assemblyDiv">
                                                    <div class="layui-col-lg5 layui-col-sm7">
                                                        <label class="layui-form-label"><i
                                                                class="mark">*</i>组件：</label>
                                                        <div class="layui-input-block">
                                                            <div class="layui-inline  layui-form-longwid">
                                                                <select lay-filter="assembly" name="assembly"
                                                                        class="assembly">
                                                                        <%--                          <option value="">请选择</option>--%>
                                                                    <c:forEach varStatus="" items="${sysAssemblyList}"
                                                                               var="sysAssembly">
                                                                        <option value="${sysAssembly.columns.id}" data-power="${sysAssembly.columns.model}">${sysAssembly.columns.model}</option>
                                                                    </c:forEach>
                                                                </select>
                                                                <span class="pos-a h-32 lh-32 layui-span-unit"
                                                                      style="right: 30px">Wp</span>
                                                            </div>
                                                            <span class="layui-inline">X </span>
                                                            <div class="layui-inline">
                                                                <input type="text" class="layui-input"
                                                                       style="width: 85px;"
                                                                       placeholder="数量" name="optionVal">
                                                            </div>
                                                                <%--                                    <i class="layui-icon layui-icon-add-circle" style="float: right;position: absolute;right: 0px;top: 3px;color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>--%>
                                                        </div>
                                                    </div>
                                                </div>
                                            </c:if>
                                        </div>
                                    </c:if>
                                        <%-- 组件规格 --%>
                                    <c:if test="${info2.columns.component3_model.status eq '1'}">
                                        <div class="assembly">
                                            <c:set var="assemblyFlag" value="true" />
                                            <c:if test="${not empty assemblyList}">
                                                <c:forEach var="assembly" items="${assemblyList}" varStatus="vs">
                                                    <c:if test="${assembly.columns.project_id eq entryDesign.projectId}">
                                                        <c:set var="assemblyFlag" value="false" />
                                                        <div class="layui-row assemblyDiv">
                                                            <div class="layui-col-lg5 layui-col-sm7">
                                                                <label class="layui-form-label"><i
                                                                        class="mark">*</i>组件：</label>
                                                                <div class="layui-input-block">
                                                                    <div class="layui-inline layui-form-longwid">
                                                                        <select lay-filter="assembly" name="assembly"
                                                                                class="assembly">
                                                                                <%--                            <option value="">请选择</option>--%>
                                                                            <c:forEach varStatus=""
                                                                                       items="${sysAssemblyList}"
                                                                                       var="sysAssembly">
                                                                                <option value="${sysAssembly.columns.id}"
                                                                                        data-power="${sysAssembly.columns.model}" ${sysAssembly.columns.id eq assembly.columns.item_id ? 'selected' : ''}>${sysAssembly.columns.material_model}|${sysAssembly.columns.model}</option>
                                                                            </c:forEach>
                                                                        </select>
                                                                        <span class="pos-a h-32 lh-32 layui-span-unit"
                                                                              style="right: 30px">Wp</span>
                                                                    </div>
                                                                    <span class="layui-inline">X </span>
                                                                    <div class="layui-inline">
                                                                        <input type="text" class="layui-input"
                                                                               style="width: 85px;"
                                                                               placeholder="数量" name="optionVal"
                                                                               value="${assembly.columns.num}">
                                                                    </div>
                                                                        <%--                                    <i class="layui-icon layui-icon-add-circle" style="float: right;position: absolute;right: 0px;top: 3px;color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>--%>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </c:if>
                                                </c:forEach>
                                            </c:if>
                                            <c:if test="${empty assemblyList}">
                                                <div class="layui-row assemblyDiv">
                                                    <div class="layui-col-lg5 layui-col-sm7">
                                                        <label class="layui-form-label"><i
                                                                class="mark">*</i>组件：</label>
                                                        <div class="layui-input-block">
                                                            <div class="layui-inline  layui-form-longwid">
                                                                <select lay-filter="assembly" name="assembly"
                                                                        class="assembly">
                                                                        <%--                          <option value="">请选择</option>--%>
                                                                    <c:forEach varStatus="" items="${sysAssemblyList}"
                                                                               var="sysAssembly">
                                                                        <option  value="${sysAssembly.columns.id}" data-power="${sysAssembly.columns.model}" >${sysAssembly.columns.material_model}|${sysAssembly.columns.model}</option>
                                                                    </c:forEach>
                                                                </select>
                                                                <span class="pos-a h-32 lh-32 layui-span-unit"
                                                                      style="right: 30px">Wp</span>
                                                            </div>
                                                            <span class="layui-inline">X </span>
                                                            <div class="layui-inline">
                                                                <input type="text" class="layui-input"
                                                                       style="width: 85px;"
                                                                       placeholder="数量" name="optionVal">
                                                            </div>
                                                                <%--                                    <i class="layui-icon layui-icon-add-circle" style="float: right;position: absolute;right: 0px;top: 3px;color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>--%>
                                                        </div>
                                                    </div>
                                                </div>
                                            </c:if>
                                        </div>
                                    </c:if>

                                    <c:if test="${info2.columns.component1.status eq '1'}">
                                        <div class="inverter">
                                            <c:set var="inverterFlag" value="true" />
                                            <c:set var="inverterCount" value="0" />
                                            <c:if test="${not empty inverterList}">
                                                <c:forEach var="inverter" items="${inverterList}" varStatus="vs">
                                                    <c:if test="${inverter.columns.project_id eq entryDesign.projectId}">
                                                        <c:set var="inverterFlag" value="false" />
                                                        <c:set var="inverterCount" value="${inverterCount+1}" />
                                                        <div class="layui-row inverterDiv">
                                                            <div class="layui-col-lg5 layui-col-sm7">
                                                                <label class="layui-form-label"><i class="mark">*</i>逆变器：</label>
                                                                <div class="layui-input-block">
                                                                    <div class="layui-inline  layui-form-longwid">
                                                                        <select lay-filter="inverter" name="inverter"
                                                                                class="inverter" lay-search>
                                                                            <option value="">请选择</option>
                                                                            <c:forEach varStatus=""
                                                                                       items="${sysInverterList}"
                                                                                       var="sysInverter">
                                                                                <option value="${sysInverter.columns.id}" ${sysInverter.columns.id eq inverter.columns.item_id ? 'selected' : ''}>${sysInverter.columns.model}</option>
                                                                            </c:forEach>
                                                                        </select>
                                                                    </div>
                                                                    <span class="layui-inline">X </span>
                                                                    <div class="layui-inline">
                                                                        <input type="text" class="layui-input"
                                                                               style="width: 85px;"
                                                                               placeholder="数量" name="optionVal"
                                                                               value="${inverter.columns.num}">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="layui-col-lg3 layui-col-sm3">
                                                                <i class="layui-icon layui-icon-add-circle ${vs.index+1 ne inverterCount && inverterCount ne '1' ? 'layui-hide' : ''}"
                                                                   style="color: #1b6073;font-size: 25px;"
                                                                   onclick="add2(this)"></i>
                                                                <i class="layui-icon layui-icon-delete ${inverterCount eq '1' ? 'layui-hide' : ''}"
                                                                   style="color: #1b6073;font-size: 25px;"
                                                                   onclick="delete2(this)"></i>
                                                            </div>
                                                        </div>
                                                    </c:if>
                                                </c:forEach>
                                            </c:if>
                                            <c:if test="${empty inverterList or inverterFlag}">
                                                <div class="layui-row inverterDiv">
                                                    <div class="layui-col-lg5 layui-col-sm7">
                                                        <label class="layui-form-label"><i
                                                                class="mark">*</i>逆变器：</label>
                                                        <div class="layui-input-block">
                                                            <div class="layui-inline layui-form-longwid">
                                                                <select lay-filter="inverter" name="inverter"
                                                                        class="inverter" lay-search>
                                                                    <option value="">请选择</option>
                                                                    <c:forEach varStatus="" items="${sysInverterList}"
                                                                               var="sysInverter">
                                                                        <option value="${sysInverter.columns.id}" ${sysInverter.columns.id eq inverter.columns.item_id ? 'selected' : ''}>${sysInverter.columns.model}</option>
                                                                    </c:forEach>
                                                                </select>
                                                            </div>
                                                            <span class="layui-inline">X </span>
                                                            <div class="layui-inline">
                                                                <input type="text" class="layui-input"
                                                                       style="width: 85px;"
                                                                       placeholder="数量" name="optionVal">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="layui-col-lg3 layui-col-sm3">
                                                        <i class="layui-icon layui-icon-add-circle"
                                                           style="color: #1b6073;font-size: 25px;"
                                                           onclick="add2(this)"></i>
                                                        <i class="layui-icon layui-icon-delete layui-hide"
                                                           style="color: #1b6073;font-size: 25px;"
                                                           onclick="delete2(this)"></i>
                                                    </div>
                                                </div>
                                            </c:if>
                                        </div>
                                    </c:if>
                                    <c:if test="${info2.columns.component1_model.status eq '1'}">
                                        <div class="inverter">
                                            <c:set var="inverterFlag" value="true" />
                                            <c:set var="inverterCount" value="0" />
                                            <c:if test="${not empty inverterList}">
                                                <c:forEach var="inverter" items="${inverterList}" varStatus="vs">
                                                    <c:if test="${inverter.columns.project_id eq entryDesign.projectId}">
                                                        <c:set var="inverterFlag" value="false" />
                                                        <c:set var="inverterCount" value="${inverterCount+1}" />
                                                        <div class="layui-row inverterDiv">
                                                            <div class="layui-col-lg5 layui-col-sm7">
                                                                <label class="layui-form-label"><i class="mark">*</i>逆变器：</label>
                                                                <div class="layui-input-block">
                                                                    <div class="layui-inline  layui-form-longwid">
                                                                        <select lay-filter="inverter" name="inverter"
                                                                                class="inverter" lay-search>
                                                                            <option value="">请选择</option>
                                                                            <c:forEach varStatus=""
                                                                                       items="${sysInverterList}"
                                                                                       var="sysInverter">
                                                                                <option value="${sysInverter.columns.id}" ${sysInverter.columns.id eq inverter.columns.item_id ? 'selected' : ''}>${sysInverter.columns.material_model}|${sysInverter.columns.model}</option>
                                                                            </c:forEach>
                                                                        </select>
                                                                    </div>
                                                                    <span class="layui-inline">X </span>
                                                                    <div class="layui-inline">
                                                                        <input type="text" class="layui-input"
                                                                               style="width: 85px;"
                                                                               placeholder="数量" name="optionVal"
                                                                               value="${inverter.columns.num}">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="layui-col-lg3 layui-col-sm3">
                                                                <i class="layui-icon layui-icon-add-circle ${vs.index+1 ne inverterCount && inverterCount ne '1' ? 'layui-hide' : ''}"
                                                                   style="color: #1b6073;font-size: 25px;"
                                                                   onclick="add2(this)"></i>
                                                                <i class="layui-icon layui-icon-delete ${inverterCount eq '1' ? 'layui-hide' : ''}"
                                                                   style="color: #1b6073;font-size: 25px;"
                                                                   onclick="delete2(this)"></i>
                                                            </div>
                                                        </div>
                                                    </c:if>
                                                </c:forEach>
                                            </c:if>
                                            <c:if test="${empty inverterList or inverterFlag }">
                                                <div class="layui-row inverterDiv">
                                                    <div class="layui-col-lg5 layui-col-sm7">
                                                        <label class="layui-form-label"><i
                                                                class="mark">*</i>逆变器：</label>
                                                        <div class="layui-input-block">
                                                            <div class="layui-inline layui-form-longwid">
                                                                <select lay-filter="inverter" name="inverter"
                                                                        class="inverter" lay-search>
                                                                    <option value="">请选择</option>
                                                                    <c:forEach varStatus="" items="${sysInverterList}"
                                                                               var="sysInverter">
                                                                        <option value="${sysInverter.columns.id}" ${sysInverter.columns.id eq inverter.columns.item_id ? 'selected' : ''}>${sysInverter.columns.material_model}|${sysInverter.columns.model}</option>
                                                                    </c:forEach>
                                                                </select>
                                                            </div>
                                                            <span class="layui-inline">X </span>
                                                            <div class="layui-inline">
                                                                <input type="text" class="layui-input"
                                                                       style="width: 85px;"
                                                                       placeholder="数量" name="optionVal">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="layui-col-lg3 layui-col-sm3">
                                                        <i class="layui-icon layui-icon-add-circle"
                                                           style="color: #1b6073;font-size: 25px;"
                                                           onclick="add2(this)"></i>
                                                        <i class="layui-icon layui-icon-delete layui-hide"
                                                           style="color: #1b6073;font-size: 25px;"
                                                           onclick="delete2(this)"></i>
                                                    </div>
                                                </div>
                                            </c:if>
                                        </div>
                                    </c:if>
                                    <c:if test="${info2.columns.component2.status eq '1'}">
                                        <div class="grid-connection">
                                            <c:set var="gridConnectionFlag" value="true" />
                                            <c:set var="gridConnectionCount" value="0" />
                                            <c:if test="${not empty gridConnectionList}">
                                                <c:forEach var="gridConnection" items="${gridConnectionList}"
                                                           varStatus="vs">
                                                    <c:if test="${gridConnection.columns.project_id eq entryDesign.projectId}">
                                                        <c:set var="gridConnectionFlag" value="false" />
                                                        <c:set var="gridConnectionCount" value="${inverterCount+1}" />
                                                        <div class="layui-row connectionDiv">
                                                            <div class="layui-col-lg5 layui-col-sm7">
                                                                <label class="layui-form-label">并网箱：</label>
                                                                <div class="layui-input-block">
                                                                    <div class="layui-inline layui-form-longwid">
                                                                        <select lay-filter="grid-connection"
                                                                                name="gridConnection"
                                                                                class="grid-connection" lay-search>
                                                                            <option value="">请选择</option>
                                                                            <c:forEach varStatus=""
                                                                                       items="${sysGridConnectionList}"
                                                                                       var="sysGridConnection">
                                                                                <option value="${sysGridConnection.columns.id}" ${sysGridConnection.columns.id eq gridConnection.columns.item_id ? 'selected' : ''}>${sysGridConnection.columns.model}</option>
                                                                            </c:forEach>
                                                                        </select>
                                                                    </div>
                                                                    <span class="layui-inline">X </span>
                                                                    <div class="layui-inline">
                                                                        <input type="text" class="layui-input"
                                                                               style="width: 85px;" placeholder="数量"
                                                                               name="optionVal"
                                                                               value="${gridConnection.columns.num}">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="layui-col-lg3 layui-col-sm3">
                                                                <i class="layui-icon layui-icon-add-circle ${vs.index+1 ne gridConnectionCount && gridConnectionCount ne '1' ? 'layui-hide' : ''}"
                                                                   style="color: #1b6073;font-size: 25px;"
                                                                   onclick="add3(this)"></i>
                                                                <i class="layui-icon layui-icon-delete ${gridConnectionCount eq '1' ? 'layui-hide' : ''}"
                                                                   style="color: #1b6073;font-size: 25px;"
                                                                   onclick="delete3(this)"></i>
                                                            </div>
                                                        </div>
                                                    </c:if>
                                                </c:forEach>
                                            </c:if>
                                            <c:if test="${empty gridConnectionList or gridConnectionFlag}">
                                                <div class="layui-row connectionDiv">
                                                    <div class="layui-col-lg5 layui-col-sm7">
                                                        <label class="layui-form-label">并网箱：</label>
                                                        <div class="layui-input-block">
                                                            <div class="layui-inline layui-form-longwid">
                                                                <select lay-filter="grid-connection"
                                                                        name="gridConnection"
                                                                        class="grid-connection" lay-search>
                                                                    <option value="">请选择</option>
                                                                    <c:forEach varStatus=""
                                                                               items="${sysGridConnectionList}"
                                                                               var="sysGridConnection">
                                                                        <option value="${sysGridConnection.columns.id}" ${sysGridConnection.columns.id eq gridConnection.columns.item_id ? 'selected' : ''}>${sysGridConnection.columns.model}</option>
                                                                    </c:forEach>
                                                                </select>
                                                            </div>
                                                            <span class="layui-inline">X </span>
                                                            <div class="layui-inline">
                                                                <input type="text" class="layui-input"
                                                                       style="width: 85px;"
                                                                       placeholder="数量" name="optionVal">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="layui-col-lg3 layui-col-sm3">
                                                        <i class="layui-icon layui-icon-add-circle"
                                                           style="color: #1b6073;font-size: 25px;"
                                                           onclick="add3(this)"></i>
                                                        <i class="layui-icon layui-icon-delete layui-hide"
                                                           style="color: #1b6073;font-size: 25px;"
                                                           onclick="delete3(this)"></i>
                                                    </div>
                                                </div>
                                            </c:if>
                                        </div>
                                    </c:if>
                                    <c:if test="${info2.columns.component4.status eq '1'}">
                                        <div class="grid-support">
                                            <c:set var="gridSupportFlag" value="true" />
                                            <c:set var="gridSupportCount" value="0" />
                                            <c:if test="${not empty gridSupportList}">
                                                <c:forEach var="gridSupport" items="${gridSupportList}" varStatus="vs">
                                                    <c:if test="${gridSupport.columns.project_id eq entryDesign.projectId}">
                                                        <c:set var="gridSupportFlag" value="false" />
                                                        <c:set var="gridSupportCount" value="${gridSupportCount+1}" />
                                                        <div class="layui-row supportDiv">
                                                            <div class="layui-col-lg5 layui-col-sm7">
                                                                <label class="layui-form-label">支架：</label>
                                                                <div class="layui-input-block">
                                                                    <div class="layui-inline layui-form-longwid">
                                                                        <select lay-filter="grid-support" name="gridSupport"
                                                                                class="gridSupport" lay-search>
                                                                            <option value="">请选择</option>
                                                                            <c:forEach varStatus=""
                                                                                       items="${sysGridSupportList}"
                                                                                       var="sysGridSupport">
                                                                                <option value="${sysGridSupport.columns.id}" ${sysGridSupport.columns.id eq gridSupport.columns.item_id ? 'selected' : ''}>${sysGridSupport.columns.model}</option>
                                                                            </c:forEach>
                                                                        </select>
                                                                    </div>
                                                                    <span class="layui-inline">X </span>
                                                                    <div class="layui-inline">
                                                                        <input type="text" class="layui-input"
                                                                               style="width: 85px;" placeholder="数量"
                                                                               name="optionVal"
                                                                               value="${gridSupport.columns.num}">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="layui-col-lg3 layui-col-sm3">
                                                                <i class="layui-icon layui-icon-add-circle ${vs.index+1 ne gridSupportCount && gridSupportCount ne '1' ? 'layui-hide' : ''}"
                                                                   style="color: #1b6073;font-size: 25px;"
                                                                   onclick="add4(this)"></i>
                                                                <i class="layui-icon layui-icon-delete ${gridSupportCount eq '1' ? 'layui-hide' : ''}"
                                                                   style="color: #1b6073;font-size: 25px;"
                                                                   onclick="delete4(this)"></i>
                                                            </div>
                                                        </div>
                                                    </c:if>
                                                </c:forEach>
                                            </c:if>
                                            <c:if test="${empty gridSupportList or gridSupportFlag}">
                                                <div class="layui-row supportDiv">
                                                    <div class="layui-col-lg5 layui-col-sm7">
                                                        <label class="layui-form-label">支架：</label>
                                                        <div class="layui-input-block">
                                                            <div class="layui-inline layui-form-longwid">
                                                                <select lay-filter="grid-support" name="gridSupport"
                                                                        class="gridSupport" lay-search>
                                                                    <option value="">请选择</option>
                                                                    <c:forEach varStatus=""
                                                                               items="${sysGridSupportList}"
                                                                               var="sysGridSupport">
                                                                        <option value="${sysGridSupport.columns.id}"
                                                                                }>${sysGridSupport.columns.model}</option>
                                                                    </c:forEach>
                                                                </select>
                                                            </div>
                                                            <span class="layui-inline">X </span>
                                                            <div class="layui-inline">
                                                                <input type="text" class="layui-input"
                                                                       style="width: 85px;"
                                                                       placeholder="数量" name="optionVal">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="layui-col-lg3 layui-col-sm3">
                                                        <i class="layui-icon layui-icon-add-circle"
                                                           style="color: #1b6073;font-size: 25px;"
                                                           onclick="add4(this)"></i>
                                                        <i class="layui-icon layui-icon-delete layui-hide"
                                                           style="color: #1b6073;font-size: 25px;"
                                                           onclick="delete4(this)"></i>
                                                    </div>
                                                </div>
                                            </c:if>
                                        </div>
                                    </c:if>
                                </div>
                            </c:forEach>
                        </div>
                        <div class="layui-col-xs12" style="padding-bottom: 90px">
                            <label class="layui-form-label">方案备注：</label>
                            <div class="layui-input-block">
                                    <textarea name="schemeRemarks" id="schemeRemarks" placeholder=""
                                              class="layui-textarea"
                                              lay-verify="required">${entry.schemeRemarks}</textarea>
                            </div>
                        </div>
                    </div>

              <%--  </div>

            <div class="layui-card">--%>
            </div>
            <div class="layui-card">
                <blockquote class="layui-elem-quote" style="clear: both;">审核信息</blockquote>
                <div class="layui-card-body">
                    <div class="layui-col-lg3 layui-col-sm4 layui-form">
                        <label class="layui-form-label"><i class="mark">*</i>审核结果：</label>
                        <div class="layui-input-block">
                            <input type="radio" lay-filter="flag" name="flag" value="1" title="审核通过">
                            <input type="radio" lay-filter="flag" name="flag" value="2" title="审核驳回">
                        </div>
                    </div>
                    <div id="returnFlag" class="layui-col-lg3 layui-col-sm4 layui-form layui-hide">
                        <label class="layui-form-label"><i class="mark">*</i>驳回节点：</label>
                        <div class="layui-input-block">
                            <input type="radio" name="returnFlag" value="1" title="勘测">
                            <input type="radio" name="returnFlag" value="2" title="设计">
                        </div>
                    </div>
                    <div class="layui-col-xs12">
                        <label class="layui-form-label"><i class="mark">*</i>审核意见：</label>
                        <div class="layui-input-block">
                                    <textarea name="auditRemarks" id="auditRemarks" placeholder=""
                                              class="layui-textarea" lay-verify="required"></textarea>
                        </div>
                    </div>
                </div>
                </div>
        </div>
    </div>
    <div class="operate-footer">

        <button type="button" class="layui-btn saveOrder">提交</button>
        <button type="button" class="layui-btn layui-btn-primary" onclick="cancel()">关闭</button>
    </div>
</div>


<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script src="${ctxPlugin}/lib/base64.js"></script>
<script src="${ctxPlugin}/lib/xm-select.js"></script>
<script>
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    var number = /^[1-9]\d*$/;//非0正整数正则
    var number2 = /^[1-9]\d*(\.\d{1,2})?$/;
    var assemblyOptionHtml = '';// 组件下拉选html
    var inverterOptionHtml = '';// 逆变器下拉选html
    var gridConnectionOptionHtml = '';// 并网箱下拉选html
    var supportOptionHtml = '';// 支架下拉选html
    // 联行号
    var tssBankNum = '${entry.tssBankNum}';
    // 银行名称
    var tssBankNumName = '${entry.tssBankNumName}';
    var quaimgsCount = '${quaimgsCount}';
    var partnerId = '${partnerId}';
    var upload;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'layedit', 'laydate', 'jquery', 'upload', 'layer'], function () {
        $ = layui.$
            , element = layui.element
            , form = layui.form
            , layer = layui.layer
            , laydate = layui.laydate;
         upload = layui.upload;
        initInverter(partnerId)
        initElectricSelect();
      /*  if (${empty compose && empty composeOne}) {
            initSchemeData();
        }*/
        laydate.render({
            elem: '#completionYear'
            , trigger: 'click'
            , max: '0'
            , type: 'year'
        });

        element.on('tab(docDemoTabBrief)', function (data) {
            console.log(data);
            $('.surveyTabContent').eq(data.index).removeClass('layui-hide').siblings('.surveyTabContent').addClass('layui-hide');
        });
        element.on('tab(docDemoTabBriefDesign)', function (data) {
            console.log(data);
            $('.designTabContent').eq(data.index).removeClass('layui-hide').siblings('.designTabContent').addClass('layui-hide');
        });
        upload.render({
            elem: '.generalUploader' //绑定元素   无人机航拍图
            , url: '${ctx}/common/uploadFile' //上传接口
            , multiple:true
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {

                });
            }
            , done: function (res) {
                //上传完毕回调
                var title = $(this.item).attr("data-title");
                var value = $(this.item).attr("data-value");
                var count = $(this.item).attr("data-count");
                var type = $(this.item).attr("id");
                console.log(title);
                console.log(value);
                console.log(count);
                // addImg(res.path, "flyImgsUploader", title, "flyImgs", 9);
                addImg(res.path, 'generalUploader', title, value, count,$(this.item),type);
            }
            , error: function () {
                //请求异常回调
            }
        });
        //执行实例
        upload.render({
            elem: '#uploader1' //绑定元素  身份证
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader1", "imgsDiv1", "idCardFront", 1,$(this.item));
                console.log(res.name)
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader2' //绑定元素  身份证
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader2", "imgsDiv2", "idCardBack", 1,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });


        upload.render({
            elem: '.flyImgsUploader' //绑定元素   无人机航拍图
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "flyImgsUploader", "flyImgsDiv", "flyImgs", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.roofPhotoOneUploader' //绑定元素   整体照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "roofPhotoOneUploader", "roofPhotoOneDiv", "roofPhotoOne", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.roofPhotoTwoUploader' //绑定元素   东南角照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "roofPhotoTwoUploader", "roofPhotoTwoDiv", "roofPhotoTwo", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.roofPhotoFourUploader' //绑定元素  正南照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "roofPhotoFourUploader", "roofPhotoFourDiv", "roofPhotoFour", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.roofPhotoThreeUploader' //绑定元素  西南角照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "roofPhotoThreeUploader", "roofPhotoThreeDiv", "roofPhotoThree", 9,$(this.item));

            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.roofPhotoFiveUploader' //绑定元素  细节照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "roofPhotoFiveUploader", "roofPhotoFiveDiv", "roofPhotoFive", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.roofPhotoInteriorUploader' //绑定元素 内部环境照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "roofPhotoInteriorUploader", "roofPhotoInteriorDiv", "roofPhotoInterior", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.roofPhotoFacadeUploader' //内部结构照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "roofPhotoFacadeUploader", "roofPhotoFacadeDiv", "roofPhotoFacade", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.detailSupplementOneUploader' //绑定元素   逆变器、配电箱预安装位置照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "detailSupplementOneUploader", "detailSupplementOneDiv", "detailSupplementOne", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.houseOutlinePhotoUploader' //绑定元素   房屋轮廓照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "houseOutlinePhotoUploader", "houseOutlinePhotoDiv", "houseOutlinePhoto", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#houseOwnershipUploader' //绑定元素   房产证照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "houseOwnershipUploader", "houseOwnershipDiv", "houseOwnership", 8,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.vrRoofFourHrUploader' //绑定元素   入户全景照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "vrRoofFourHrUploader", "vrRoofFourHrDiv", "vrRoofFour", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.houseSupplementOneUploader' //绑定元素  其他障碍物照片
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "houseSupplementOneUploader", "houseSupplementOneDiv", "houseSupplementOne", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });


        upload.render({
            elem: '#uploader24' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader24", "imgsDiv24", "zjpbImg", 1,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader25' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader25", "imgsDiv25", "zjzxImg", 1,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader26' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader26", "imgsDiv26", "zjcsImg", 1,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader27' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader27", "imgsDiv27", "zjhsImg", 1,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader28' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader28", "imgsDiv28", "nbqwzImg", 1,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader29' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader29", "imgsDiv29", "pdxwzImg", 1,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });


        // 踏勘补充视频
        upload.render({
            elem: '.surveyVideoUploader',
            url: '${ctx}/common/uploadFile',
            accept: 'video',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount =  $(this.item).closest('td').find("#surveyVideoDiv").find(".surveyVideo").length;
                if ((imgCount + 1) >= 8) {
                    $(this.item).closest('td').find("#surveyVideoUploader").hide();
                }
                var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'surveyVideoUploader\')"></span>';
                html += ' <video controls width="80px" height="80px" src="${commonStaticImgPath}' + path + '"></video>';
                html += '<input type="hidden" class="surveyVideo" value="' + path + '"/> </div>';
                $(this.item).closest('td').find("#surveyVideoDiv").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        // 踏勘记录表
        upload.render({
            elem: '.surveyFilesUploader',
            url: '${ctx}/common/uploadFile3',
            accept: 'file',
            exts: 'jpg|png|gif|doc|docx|ppt|pdf|xls|xlsx',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $(this.item).closest('td').find("#surveyFilesDiv").find(".surveyFiles").length;
                    if ((imgCount + 1) >= 4) {
                        $(this.item).closest('td').find(".surveyFilesUploader").hide();
                    }
                let html = '<div style="margin-top: 5px" class = "fileSpan"><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'surveyFilesUploader\')"></span>';
                html += '<a style="color:#2890ac;"  target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + path + "\'" + ')"   class="download-link">' + name + '</a>';
                html += '<input type="hidden" class="surveyFiles" value="' + path + '"/> </div>';
                $(this.item).closest('td').find("#surveyFilesDiv").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        // 房屋整体图（VR全景）
        upload.render({
            elem: '.vrRoofOneUploader' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "vrRoofOneUploader", "vrRoofOneDiv", "vrRoofOne", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        // 房屋整体俯视图（无人机）
        upload.render({
            elem: '.vrRoofTwoUploader' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "vrRoofTwoUploader", "vrRoofTwoDiv", "vrRoofTwo", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        // 房屋内部结构图（VR）
        upload.render({
            elem: '.vrRoofThreeUploader' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "vrRoofThreeUploader", "vrRoofThreeDiv", "vrRoofThree", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        // 入户全景照片（VR）
        upload.render({
            elem: '.vrRoofFourUploader' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "vrRoofFourUploader", "vrRoofFourDiv", "vrRoofFour", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.fwImg1Uploader' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "fwImg1Uploader", "fwImg1Div", "fwImg1", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.fwImg2Uploader' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "fwImg2Uploader", "fwImg2Div", "fwImg2", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.fwImg3Uploader' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "fwImg3Uploader", "fwImg3Div", "fwImg3", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.fwImg4Uploader' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "fwImg4Uploader", "fwImg4Div", "fwImg4", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        upload.render({
            elem: '.fwImg5Uploader' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "fwImg5Uploader", "fwImg5Div", "fwImg5", 9,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
        // 设计图纸
        upload.render({
            elem: '.attachFilesUploader',
            url: '${ctx}/common/uploadFile3',
            accept: 'file',
            exts: 'pdf|jpg|png|jpeg|doc|docx|xls|xlsx',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount =$(this.item).parent().parent("div").find(".attachFiles").length;
                if (${info2.columns.design_drawings.status eq '1'}){
                    if ((imgCount + 1) >= 4) {
                        $(this.item).hide();
                    }
                }
                if (${info2.columns.design_drawings_03.status eq '1'}){
                    if ((imgCount + 1) >= 6) {
                        $(this.item).hide();
                    }
                }
                let html = '<div style="margin-top: 5px" class="fileSpan"><span style="color:red;" class="layui-icon-close layui-icon" onclick="delImg(this,\'attachFilesUploader\')"></span>';
                html += '<a style="color:#2890ac;" target="_blank"  onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + path + "\'" + ')"    class="download-link">' + name + '</a>';
                html += '<input type="hidden" class="attachFiles" value="' + path + '"/> </div>';
                $(this.item).parent().append(html);
            },
            error: function () {
                //请求异常回调
            }
        });


        function addImg(data, id, imgsDiv, classimg, count,item,type) {
            var imgCount = item.closest('td').find("#" + imgsDiv).find(".imgSpan").length;
            console.log(imgCount)
            if ((imgCount + 1) >= count) {
                if(isBlank(type)){
                    item.closest('td').find("#" + id).hide();
                }else {
                    item.closest('td').find("#" + type).hide();
                }
            }
            if ((imgCount + 1) > count) {
                return;
            }
            var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
            html += '<img src="${commonStaticImgPath}' + data + '" height="700" width="1200"/>';
            html += '<input type="hidden" class="' + classimg + '" value="' + data + '"/> </div>';
            item.closest('td').find("#" + imgsDiv).append(html);
            //图片查看效果
            viewer.update();
        }


        //日期
        laydate.render({
            elem: '#applianceBuyTime'
            , trigger: 'click'
        });
        //预约时间
        laydate.render({
            elem: '#promiseTime'
            , trigger: 'click'
        });
        laydate.render({
            elem: '#repairTime'
            , value: '${data}'
            , type: 'datetime'
            , trigger: 'click'
        });
        form.render(null, 'component-form-element');
        //自定义验证规则
        form.verify({
            title: function (value) {
                if (value.length < 5) {
                    return '标题至少得5个字符啊';
                }
            }
            , pass: [
                /^[\S]{6,12}$/
                , '密码必须6到12位，且不能出现空格'
            ]
            , recevierMobile: [/^((0\d{2,3}-\d{7,8})|([1][3,4,5,7,8,8,9][0-9]{9}))$/
                , '请输入正确格式的联系电话！'
            ]
            , content: function (value) {
                layedit.sync(editIndex);
            }
        });

        form.on('radio(shootType)', function (data) {
            var shootType = data.value;
            if (shootType === '1') {
                $('#wrjps').show();
                $('#sjps').hide();
                $('#jfwj').hide();
            } else {
                $('#wrjps').hide();
                $('#sjps').show();
                $('#jfwj').show();
            }
        });

        form.on('select(azimuth)', function (data) {
            var azimuth = data.value;
            if (azimuth === '1' ||  azimuth === '10'  ||  azimuth === '11'  ||  azimuth === '12' ) {
                $('input[name=angle]').val('').addClass('layui-bg-gray').prop('readonly', true);
            } else {
                $('input[name=angle]').removeClass('layui-bg-gray').prop('readonly', false);
            }
        });
        form.on('select(roofType)', function (data) {
            let value = data.value;
            var index = $(data.elem).parent('td').parent('tr').find('td').eq(0).text();
            if(isBlank(value)) {
                value = $(data.elem).parent('td').parent('tr').find('td').eq(2).find('option:selected').text();
            }
            $('#surveyImgUl').find('li').eq(index-1).text(value);
            $('#designInfoUl').find('li').eq(index-1).text(value);
            if (value == '斜屋顶') {
                document.querySelector('#wmpd').classList.remove('layui-hide');
                document.querySelector('#ltjj').classList.remove('layui-hide');
            } else {
                document.querySelector('#wmpd').classList.add('layui-hide');
                document.querySelector('#ltjj').classList.add('layui-hide');
            }
        })

        form.on('radio(schemeType)', function (data) {
            var type = data.value;
            if ('1' == type) {
                //标准
                $("#showSchemeId").removeClass("layui-hide");
                $("#zuhefangan").addClass("layui-hide");

            } else {
                $("#zuhefangan").removeClass("layui-hide");
                $("#showSchemeId").addClass("layui-hide");

            }
        });

        form.on('radio(flag)', function (data) {
            let value = data.value;
            if (value == '2') {
                document.querySelector('#returnFlag').classList.remove('layui-hide');
            } else {
                document.querySelector('#returnFlag').classList.add('layui-hide');
            }
        });

        // form.on('select(projectId)', function (data) {
        //
        //     form.render('select');
        //     $(data.elem).trigger('onchange', [data]);
        // })

        form.on('select(projectId)', function (data) {
            let value = $(data.elem).find("option:selected").val();
            let el = $(data.elem).parent("td").parent("tr");
            let index = el.find('td').eq(0).text();
            let rootType = el.find('td').eq(3).find("option:selected").val();
            console.log("value："+value+"  index："+index)
            // var projectCompanySelect = $("#projectCompany");
            // 清空下拉列表
            // projectCompanySelect.empty();
            if (isBlank(value)){
                // document.getElementById('projectCompany').disabled = true;
                el.find("#projectCode").val('');
                el.find("#payCycle").val('');
            }else {
                // document.getElementById('projectCompany').disabled = false;
                $.ajax({
                    type: "GET",
                    url: "${ctx}/customerEntry/getProjectInfoById",
                    data: {
                        projectId: value,
                    },
                    success: function (result) {
                        console.log(result);
                        var data = result.data;
                        // var filingType =  data.filingType;
                        // 将产品编号设置到目标元素中
                        el.find("#projectCode").val(data.code);
                        //添加备案类型
                        if(data.payCycle === '1'){
                            el.find("#payCycle").val("按月支付");
                        }else if(data.payCycle === '2'){
                            el.find("#payCycle").val("按季支付");
                        }else {
                            el.find("#payCycle").val("按年支付");
                        }
                        //替换对应的勘测图片tab页
                        $('#surveyImgUl').find('li').eq(index-1).attr("id",data.code);
                        $('#designInfoUl').find('li').eq(index-1).attr("id",data.code);
                        let name = data.name;
                        if(!isBlank(rootType)){
                            name = rootType;
                        }
                        $('#surveyImgUl').find('li').eq(index-1).text(name);
                        $('#designInfoUl').find('li').eq(index-1).text(name);
                    }
                });
            }
            form.render('select');
        })

        form.on('select(province)', function (data) {
            let traderId = $(data.elem).find("option:selected").attr("rel");
            let province = $(data.elem).find("option:selected").attr("title");
            provinceOrder(traderId, province);
        });
        form.on('select(city)', function (data) {
            let traderId = $(data.elem).find("option:selected").attr("rel");
            let city = $(data.elem).find("option:selected").attr("title");
            cityOrder(traderId, city);
        });

        form.on('select(area)', function (data) {
            var area = $(data.elem).find("option:selected").attr("title");
            console.log(area);
            areaOrder();
            getPressureLevel();
        });


        form.on('select(planType)', function (data) {

            var value = $(data.elem).find("option:selected").val();
            if (isBlank(value)) {
                return
            }
            var that_ = $(this);
            var va = $("#componentSpec").val();
            /*   var planName = $(this).parents(".planbiao").find(".planName").find("option:selected").val();
               if(isBlank(planName)){*/
            //获取当前类型下的方案名称
            $.ajax({
                url: "${ctx}/planManage/findPlanByAssembly",
                type: "POST",
                data: {
                    planType: value
                }
                , success: function (result) {
                    that_.parents(".planbiao").find(".planName").empty();
                    var length = result.length;
                    var plan_name_html = "<option value=''>请选择</option>";
                    for (var i = 0; i < length; i++) {
                        plan_name_html += "<option value='" + result[i].columns.id + "' title='" + result[i].columns.assembly_count + "' date='" + result[i].columns.code + "' data-attach='" + result[i].columns.attach + "' data-attach2='" + result[i].columns.attach2 + "'>" + result[i].columns.name + "</option>";
                    }
                    that_.parents(".planbiao").find(".planName").append(plan_name_html);
                    form.render('select');
                }
            })

        })


        form.on('select(planName)', function (data) {

            //   var value = data.value;
            var value = $(data.elem).find("option:selected").text();
            if (isBlank(value)) {
                return
            }
            var that_ = $(this);

            //名称已选，获取块数
            var num = $(data.elem).find("option:selected").attr("title");
            var code = $(data.elem).find("option:selected").attr("date");
            var id = data.value;
            $(this).parents(".planbiao").find(".planId").val(id);
            $(this).parents(".planbiao").find(".componentNum").val(num);
            $(this).parents(".planbiao").find(".yuanshiNum").val(num);
            $(this).parents(".planbiao").find(".planCode").val(code);
            componentNum();
            var attach = $(data.elem).find("option:selected").data('attach');
            var attach2 = $(data.elem).find("option:selected").data('attach2');
            var viewAttachHtml = '';
            if (!isBlank(attach)) {
                viewAttachHtml += '<a class="h-32 lh-32 ml-5 layui-span-unit" target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + attach + '\'' + ')"   style="color:#2890ac;">查看</a>';
            }
            if (!isBlank(attach2)) {
                viewAttachHtml += '<a class="h-32 lh-32 ml-5 layui-span-unit" target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + attach2 + '\'' + ')"  style="color:#2890ac;">查看</a>';
            }
            that_.closest('.layui-row').find('.view-attachment').empty().append(viewAttachHtml);
            //  }

        })


        //重新计算组件块数
        function componentNum() {
            var numco = 0;
            $(".componentNum").each(function () {
                if (!isBlank($(this).val())) {
                    numco = numco + parseInt($(this).val());
                }
            });
            $("#componentCount").val(parseInt(numco));
        }

        // 组件数量输入框值改变事件
        $(document).on('change', '.assembly input[name=optionVal]', function () {
            if (isBlank($(this).val())) {
                return;
            }
            statisticsCapacity();
        });

        // 组件下拉选切换事件
        form.on('select(assembly)', function (data) {
            if (isBlank(data.value)) {
                return;
            }
            statisticsCapacity();
        });

        // 统计设计容量
        function statisticsCapacity() {
            var capacity = 0;
            $('.assembly').find('.layui-row').each(function (index, that) {
                var value = $(that).find('select[name=assembly]').val();
                if (isBlank(value)) {

                    return;
                }
                var power = $(that).find('select[name=assembly] option:selected').attr("data-power");
                // console.log(power);
                var num = $(that).find('input[name=optionVal]').val();
                if (isBlank(that)) {

                    return;
                }
                if (!number.test(num)) {
                    return;
                }
                capacity = capacity + parseInt(power) * parseInt(num) / 1000;
            });
            $('input[name=designCapacity]').val(capacity);
        }

        function provinceOrder(traderId, province) {
            clearPressureLevel();
            $("#city").empty();
            $("#area").empty();
            $("#projectCompany").empty()
            $("#projectId").empty()
            if (isBlank(province)) {
                $("#city").append("<option value=''>请选择</option>");
                return "";
            }
            $.ajax({
                type: "POST",
                url: "${ctx}/main/redirect/getCityListByTraderId",
                data: {
                    traderId: traderId,
                    province: province
                },
                success: function (result) {

                    if (result == "205") {
                        layer.msg("暂无数据!")
                        return
                    }
                    var html = " <option value=''>请选择</option>";
                    for (var i = 0; i < result.length; i++) {
                        var city = result[i];
                        html = html + '<option value="' + city.columns.CityName + '" title="' + city.columns.CityID + '" rel="' + city.columns.traderId + '">' + city.columns.CityName + '</option>';
                    }
                    $("#city").append(html);
                    form.render('select');
                }
            });

        }

        function cityOrder(traderId, city) {
            clearPressureLevel();
            $("#area").empty()
            $("#projectCompany").empty()
            $("#projectId").empty()
            if (isBlank(city)) {
                $("#area").append("<option value=''>请选择</option>");
                return "";
            }
            $.ajax({
                type: "POST",
                url: "${ctx}/main/redirect/getAreaListByTraderId",
                data: {
                    traderId: traderId,
                    city: city
                },
                success: function (result) {
                    if (result == "205") {
                        layer.msg("暂无数据!")
                        return
                    }
                    var html = "<option value=''>请选择</option>";
                    for (var i = 0; i < result.length; i++) {
                        var area = result[i];
                        html = html + '<option value="' + area.columns.DistrictName + '" title="' + area.columns.DistrictID + '">' + area.columns.DistrictName + '</option>';
                    }
                    $("#area").append(html);
                    // if (!isBlank(arean)) {
                    //     $("#area").val(arean)
                    // }

                    form.render('select');
                }
            });

        }
        function clearPressureLevel(){
            $("input[name=windPressure]").val("");
            $("input[name=snowPressure]").val("");
            $("input[name=pressureLevel]").val("");
        }
        function getPressureLevel(){
            let province = $("#province").find("option:selected").val();//省
            let city = $("#city").find("option:selected").val();//市
            let area = $("#area").find("option:selected").val();//区
            $("input[name=windPressure]").val("");
            $("input[name=snowPressure]").val("");
            $("input[name=pressureLevel]").val("");
            $.ajax({
                type: "POST",
                url: "${ctx}/customerEntry/getPressureLevel",
                data: {
                    province:province,
                    city:city,
                    area:area
                },
                success: function (result) {
                    if (typeof result.data !== 'undefined') {
                        var data = result.data
                        let windPressure = data.columns.wind_pressure;
                        let snowPressure = data.columns.snow_pressure;
                        let pressureLevel = data.columns.pressure_level;
                        if (isBlank(windPressure)){
                            windPressure = "\\";
                        }
                        if (isBlank(snowPressure)){
                            snowPressure = "\\";
                        }
                        if (isBlank(pressureLevel)){
                            pressureLevel = "\\";
                        }
                        $("#windPressure").val(windPressure);
                        $("#snowPressure").val(snowPressure);
                        $("#pressureLevel").val(pressureLevel);
                    }
                }
            });
        }
        function areaOrder() {
            let province = $("#province").find("option:selected").val();//省
            let city = $("#city").find("option:selected").val();//市
            let area = $("#area").find("option:selected").val();//区
            $.ajax({
                type: "POST",
                url: "${ctx}/customerEntry/getProjectByArea2",
                data: {
                    traderId: `${traderId}`,
                    filingType: '${entry.filingType}',
                    management: '${pro.management}',
                    province: province,
                    city: city,
                    area: area,
                    partner: `${partner.id}`
                },
                success: function (result) {
                    var projectList = $("#projectId");
                    projectList.empty();
                    if (typeof result.data !== 'undefined') {
                        var data = result.data
                        projectList.append('<option value="">请选择产品:</option>');
                        for (var i = 0; i < data.length; i++) {
                            var city = data[i];
                            projectList.append('<option value="' + city.columns.id + '" title="' + city.columns.name + '" rel="' + city.columns.id + '">' + city.columns.name + '</option>');
                        }
                    }
                    form.render('select');
                }
            });
            //添加项目公司
            $.ajax({
                type: "GET",
                url: "${ctx}/customerEntry/getCompanyByArea",
                data: {
                    province: province,
                    city: city,
                    area: area,
                    partner: `${partner.id}`
                },
                success: function (result1) {
                    var companies = result1.data
                    var projectCompanySelect = $("#projectCompany");

                    // 清空下拉列表
                    projectCompanySelect.empty();

                    // 添加默认选项
                    projectCompanySelect.append('<option value="">请选择项目公司:</option>');
                    if (companies.length > 0) {
                        // 遍历公司信息并添加到下拉列表中
                        for (var i = 0; i < companies.length; i++) {
                            var company = companies[i];
                            projectCompanySelect.append('<option value="' + company.columns.id + '">' + company.columns.name + '</option>');
                        }
                    }
                    // 重新渲染 layui form
                    form.render('select');
                }
            })

        }


        //提交审核
        var saveFlag = false;
        $(".saveOrder").click(function () {
            if (saveFlag) {
                return;
            }
            var flag = $("input[name='flag']:checked").val();
            if (isBlank(flag)) {
                layer.msg("请选择审核结果", {icon: 2})
                return false;
            }
            if (flag == '2') {
                //审核驳回
                var returnFlag = $("input[name='returnFlag']:checked").val();
                if (isBlank(returnFlag)) {
                    layer.msg("请选择驳回节点", {icon: 2})
                    return false;
                }
                console.log("returnFlag:" + returnFlag);
                var auditRemarks = $("#auditRemarks").val();//自审备注
                if (isBlank(auditRemarks)) {
                    layer.msg("请填写审核意见", {icon: 2});
                    return false;
                }
                saveFlag = true;
                var order = {
                    id: '${entry.id}',
                    type: returnFlag,
                    auditRemarks: auditRemarks
                };
                $.ajax({
                    url: "${ctx}/customerEntry/auditBack",
                    type: "POST",
                    contentType: 'application/json;charsetset=UTF-8',
                    data: JSON.stringify(order)
                    , success: function (result) {
                        if (result.code === "2001") {
                            layer.msg("当前账号已禁用或已删除，不可操作！", {icon: 2});
                        }
                        if (result.code === '200') {
                            var index = parent.layer.getFrameIndex(window.name);
                            layer.msg("操作成功", {icon: 1, time: 1000}, function () {
                                parent.layer.close(index);
                                parent.table.reload('test');
                            })
                        } else {
                            layer.msg("提交失败" + result.errMsg, {icon: 2});
                        }
                        saveFlag = false;
                    }, error: function () {
                        layer.msg("操作失败", {icon: 2});
                        saveFlag = false;
                    }
                })
            } else {
                //审核通过
                var checkFlag = true;
                var projectList = [];
                var addEntryReqSurveyDetails = [];
                var composePlanLists = [];
                var addEntryReqDesignDetails = [];
                var electricArray = [];
                var projectTrs =$("#projectTab").find("tbody").find('tr').slice(1);
                projectTrs.each(function (index) {
                    let projectCode = $(this).find("td").eq(1).find("input").val();
                    let projectName = $(this).find("td").eq(2).find("option:selected").text();
                    let projectId = $(this).find("td").eq(2).find("option:selected").val();
                    let roofType = $(this).find("td").eq(3).find("option:selected").val();
                    if (isBlank(projectCode)) {
                        layer.msg("第" + (index+1) + "行请选择产品名称!", {icon: 2});
                        checkFlag = false;
                        return checkFlag;
                    }
                    if (isBlank(roofType)) {
                        layer.msg("第" + (index+1) + "行请选择屋顶类型!", {icon: 2});
                        checkFlag = false;
                        return checkFlag;
                    }
                    let project = {
                        projectId: projectId,
                        projectName: projectName,
                        projectCode: projectCode,
                        roofType: roofType
                    }
                    projectList.push(project);

                    let imgTab = $("#surveyImgTab").find("#surveyImgDiv"+index);

                    var dipAngle;//组件倾角
                    imgTab.find(".dipAngle").each(function () {
                        if (isBlank(dipAngle)) {
                            dipAngle = $(this).val();
                        } else {
                            dipAngle = $(this).val();
                        }
                        if (!isBlank(dipAngle) && !isNumber($.trim(dipAngle))) {
                            layer.msg("组件倾角格式不正确", {icon: 2});
                            checkFlag = false;
                            return checkFlag;
                        }
                    });
                    var flyImgs;   // 无人机航拍图
                    imgTab.find(".flyImgs").each(function () {
                        if (isBlank(flyImgs)) {
                            flyImgs = $(this).val();
                        } else {
                            flyImgs = flyImgs + "," + $(this).val();
                        }
                    });
                    console.log(index);
                    console.log(flyImgs);
                    var roofPhotoOne;   // 整体照片
                    imgTab.find(".roofPhotoOne").each(function () {
                        if (isBlank(roofPhotoOne)) {
                            roofPhotoOne = $(this).val();
                        } else {
                            roofPhotoOne = roofPhotoOne + "," + $(this).val();
                        }
                    });

                    var roofPhotoTwo;   // 东南角照片
                    imgTab.find(".roofPhotoTwo").each(function () {
                        if (isBlank(roofPhotoTwo)) {
                            roofPhotoTwo = $(this).val();
                        } else {
                            roofPhotoTwo = roofPhotoTwo + "," + $(this).val();
                        }
                    });

                    var roofPhotoFour; // 正南照片
                    imgTab.find(".roofPhotoFour").each(function () {
                        if (isBlank(roofPhotoFour)) {
                            roofPhotoFour = $(this).val();
                        } else {
                            roofPhotoFour = roofPhotoFour + "," + $(this).val();
                        }
                    });

                    var roofPhotoThree;  // 西南角照片
                    imgTab.find(".roofPhotoThree").each(function () {
                        if (isBlank(roofPhotoThree)) {
                            roofPhotoThree = $(this).val();
                        } else {
                            roofPhotoThree = roofPhotoThree + "," + $(this).val();
                        }
                    });

                    var roofPhotoFive;  //细节照片
                    imgTab.find(".roofPhotoFive").each(function () {
                        if (isBlank(roofPhotoFive)) {
                            roofPhotoFive = $(this).val();
                        } else {
                            roofPhotoFive = roofPhotoFive + "," + $(this).val();
                        }
                    });

                    var roofPhotoInterior; //内部环境照片
                    imgTab.find(".roofPhotoInterior").each(function () {
                        if (isBlank(roofPhotoInterior)) {
                            roofPhotoInterior = $(this).val();
                        } else {
                            roofPhotoInterior = roofPhotoInterior + "," + $(this).val();
                        }
                    });

                    var roofPhotoFacade;  //内部结构照片
                    imgTab.find(".roofPhotoFacade").each(function () {
                        if (isBlank(roofPhotoFacade)) {
                            roofPhotoFacade = $(this).val();
                        } else {
                            roofPhotoFacade = roofPhotoFacade + "," + $(this).val();
                        }
                    });

                    var detailSupplementOne; //逆变器、配电箱预安装位置照片
                    imgTab.find(".detailSupplementOne").each(function () {
                        if (isBlank(detailSupplementOne)) {
                            detailSupplementOne = $(this).val();
                        } else {
                            detailSupplementOne = detailSupplementOne + "," + $(this).val();
                        }
                    });

                    var houseOutlinePhoto; //房屋轮廓照片
                    imgTab.find(".houseOutlinePhoto").each(function () {
                        if (isBlank(houseOutlinePhoto)) {
                            houseOutlinePhoto = $(this).val();
                        } else {
                            houseOutlinePhoto = houseOutlinePhoto + "," + $(this).val();
                        }
                    });


                    var houseSupplementOne; //其他障碍物照片
                    imgTab.find(".houseSupplementOne").each(function () {
                        if (isBlank(houseSupplementOne)) {
                            houseSupplementOne = $(this).val();
                        } else {
                            houseSupplementOne = houseSupplementOne + "," + $(this).val();
                        }
                    });

                    // 补充视频
                    let surveyVideo =  "";
                    imgTab.find(".surveyVideo").each(function () {
                        if (isBlank(surveyVideo)) {
                            surveyVideo = $(this).val();
                        } else {
                            surveyVideo = surveyVideo + "," + $(this).val();
                        }
                    });

                    // 踏勘记录表
                    let surveyFiles = "";
                    imgTab.find(".surveyFiles").each(function () {
                        if (isBlank(surveyFiles)) {
                            surveyFiles = $(this).val();
                        } else {
                            surveyFiles = surveyFiles + "," + $(this).val();
                        }
                    });
                    // 房屋整体图（VR全景）
                    let vrRoofOne = "";
                    imgTab.find(".vrRoofOne").each(function () {
                        if (isBlank(vrRoofOne)) {
                            vrRoofOne = $(this).val();
                        } else {
                            vrRoofOne = vrRoofOne + "," + $(this).val();
                        }
                    });
                    // 房屋整体俯视图（VR）
                    let vrRoofTwo = "";
                    imgTab.find(".vrRoofTwo").each(function () {
                        if (isBlank(vrRoofTwo)) {
                            vrRoofTwo = $(this).val();
                        } else {
                            vrRoofTwo = vrRoofTwo + "," + $(this).val();
                        }
                    });
                    // 房屋内部结构图（VR）
                    let vrRoofThree = "";
                    imgTab.find(".vrRoofThree").each(function () {
                        if (isBlank(vrRoofThree)) {
                            vrRoofThree = $(this).val();
                        } else {
                            vrRoofThree = vrRoofThree + "," + $(this).val();
                        }
                    });
                    // 入户全景照片（VR）
                    let vrRoofFour = "";
                    imgTab.find(".vrRoofFour").each(function () {
                        if (isBlank(vrRoofFour)) {
                            vrRoofFour = $(this).val();
                        } else {
                            vrRoofFour = vrRoofFour + "," + $(this).val();
                        }
                    });
                    //房屋整体图
                    let fwImg1 = "";
                    imgTab.find(".fwImg1").each(function () {
                        if (isBlank(fwImg1)) {
                            fwImg1 = $(this).val();
                        } else {
                            fwImg1 = fwImg1 + "," + $(this).val();
                        }
                    });
                    //房屋内部结构图
                    let fwImg2 = "";
                    imgTab.find(".fwImg2").each(function () {
                        if (isBlank(fwImg2)) {
                            fwImg2 = $(this).val();
                        } else {
                            fwImg2 = fwImg2 + "," + $(this).val();
                        }
                    });
                    //房屋屋顶东南侧图片
                    let fwImg3 = "";
                    imgTab.find(".fwImg3").each(function () {
                        if (isBlank(fwImg3)) {
                            fwImg3 = $(this).val();
                        } else {
                            fwImg3 = fwImg3 + "," + $(this).val();
                        }
                    });
                    //房屋屋顶西南侧图片
                    let fwImg4 = "";
                    imgTab.find(".fwImg4").each(function () {
                        if (isBlank(fwImg4)) {
                            fwImg4 = $(this).val();
                        } else {
                            fwImg4 = fwImg4 + "," + $(this).val();
                        }
                    });
                    //遮阴物与房屋距离、高度
                    let fwImg5 = "";
                    imgTab.find(".fwImg5").each(function () {
                        if (isBlank(fwImg5)) {
                            fwImg5 = $(this).val();
                        } else {
                            fwImg5 = fwImg5 + "," + $(this).val();
                        }
                    });

                    let addEntryReqSurveyDetail = {
                        projectId:projectId,
                        flyImgs: flyImgs,
                        dipAngle:dipAngle,
                        roofPhotoOne: roofPhotoOne,
                        roofPhotoTwo: roofPhotoTwo,
                        roofPhotoThree: roofPhotoThree,
                        roofPhotoFour: roofPhotoFour,
                        roofPhotoFive: roofPhotoFive,
                        roofPhotoInterior: roofPhotoInterior,
                        roofPhotoFacade: roofPhotoFacade,
                        detailSupplementOne: detailSupplementOne,
                        houseSupplementOne: houseSupplementOne,
                        surveyVideo: surveyVideo,
                        surveyFiles: surveyFiles,
                        vrRoofOne: vrRoofOne,
                        vrRoofTwo: vrRoofTwo,
                        vrRoofThree: vrRoofThree,
                        vrRoofFour: vrRoofFour,
                        fwImg1: fwImg1,
                        fwImg2: fwImg2,
                        fwImg3: fwImg3,
                        fwImg4: fwImg4,
                        fwImg5: fwImg5,
                        houseOutlinePhoto:houseOutlinePhoto,
                    }
                    addEntryReqSurveyDetails.push(addEntryReqSurveyDetail);

                    let designInfoTab = $("#designInfoTab").find("#designImgDiv"+index);
                    var schemeId = "";
                    var schemeTypeId = '';
                    if (schemeType === '2') {
                        // 组合方案
                        var componentPlanFlag = false;
                        designInfoTab.find('#zuhefangan').find('.layui-row').each(function (index, that) {

                            var planType = $(that).find('.planType').find("option:selected").text();
                            var planTypeId = $(that).find('select[name=planType]').val();
                            if (isBlank(planTypeId)) {
                                layer.msg(roofType+'请选择第' + (index + 1) + '行方案类型');
                                componentPlanFlag = true;
                                return false;
                            }
                            var planId = $(that).find(".planId").val();
                            if (isBlank(planId)) {
                                layer.msg(roofType+'请选择第' + (index + 1) + '行方案名称');
                                componentPlanFlag = true;
                                return false;
                            }
                            var name = $(that).find(".planName").find("option:selected").text();
                            var code = $(that).find(".planCode").val();
                            var componentPlan = {
                                projectId: projectId,
                                planTypeId: planTypeId,
                                planType: planType,
                                planId: planId,
                                name: name,
                                code: code
                            }
                            composePlanLists.push(componentPlan);
                        });
                        if (componentPlanFlag) {
                            checkFlag  =false;
                            return checkFlag;
                        }
                    } else {
                        // 标准方案
                        schemeId = designInfoTab.find('#showSchemeId').find('.planId').val();
                        if (isBlank(schemeId)) {
                            layer.msg(roofType+'请选择方案类型', {icon: 2});
                            checkFlag  =false;
                            return checkFlag;
                        }
                        schemeTypeId = designInfoTab.find('#showSchemeId').find('select[name=planType]').val();
                        if (isBlank(schemeTypeId)) {
                            layer.msg(roofType+'请选择方案名称', {icon: 2});
                            checkFlag  =false;
                            return checkFlag;
                        }
                    }
                    // 设计图纸
                    let attachFiles = "";
                    designInfoTab.find(".attachFiles").each(function () {
                        if (isBlank(attachFiles)) {
                            attachFiles = $(this).val();
                        } else {
                            attachFiles = attachFiles + "," + $(this).val();
                        }
                    });
                    var designDrawings = attachFiles;
                    if (isBlank(designDrawings)) {
                        layer.msg(roofType+'请上传设计图纸', {icon: 2});
                        checkFlag  =false;
                        return checkFlag;
                    }
                    var designDrawings = attachFiles;
                    addEntryReqDesignDetails.push({
                        projectId: projectId,
                        schemeId: schemeId,
                        schemeTypeId: schemeTypeId,
                        designDrawings: designDrawings
                    });
                    // 电器材料
                    // 组件
                    var assemblyFlag = false;
                    designInfoTab.find('.assembly').find('.layui-row').each(function (index, that) {
                        var itemId = $(that).find('select[name=assembly]').val();
                        if (isBlank(itemId)) {
                            layer.msg(roofType+'请选择第' + (index + 1) + '个组件');
                            assemblyFlag = true;
                            checkFlag  =false;
                            return checkFlag;
                        }
                        var itemType = '3';
                        var num = $(that).find('input[name=optionVal]').val();
                        if (isBlank(num)) {
                            layer.msg(roofType+'请输入第' + (index + 1) + '个组件的数量');
                            assemblyFlag = true;
                            checkFlag  =false;
                            return checkFlag;
                        }
                        if (!number.test(num)) {
                            layer.msg(roofType+'第' + (index + 1) + '个组件的数量格式不正确');
                            assemblyFlag = true;
                            checkFlag  =false;
                            return checkFlag;
                        }
                        var item = {
                            projectId: projectId,
                            itemId: itemId,
                            itemType: itemType,
                            num: num
                        }
                        electricArray.push(item);
                    });
                    if (assemblyFlag) {
                        return;
                    }
                    // 逆变器
                    var inverterFlag = false;
                    designInfoTab.find('.inverter').find('.layui-row').each(function (index, that) {
                        var itemId = $(that).find('select[name=inverter]').val();
                        if (isBlank(itemId)) {
                            layer.msg(roofType+'请选择第' + (index + 1) + '个逆变器');
                            inverterFlag = true;
                            return false;
                        }
                        var itemType = '1';
                        var num = $(that).find('input[name=optionVal]').val();
                        if (isBlank(num)) {
                            layer.msg(roofType+'请输入第' + (index + 1) + '个逆变器的数量');
                            inverterFlag = true;
                            return false;
                        }
                        if (!number.test(num)) {
                            layer.msg(roofType+'第' + (index + 1) + '个逆变器的数量格式不正确');
                            inverterFlag = true;
                            return false;
                        }
                        var item = {
                            projectId: projectId,
                            itemId: itemId,
                            itemType: itemType,
                            num: num
                        }
                        electricArray.push(item);
                    });
                    if (inverterFlag) {
                        checkFlag  =false;
                        return checkFlag;
                    }
                    // 并网箱
                    var gridConnectionFlag = false;
                    designInfoTab.find('.grid-connection').find('.layui-row').each(function (index, that) {
                        var itemId = $(that).find('select[name=gridConnection]').val();
                        if (!isBlank(itemId)) {
                            var itemType = '2';
                            var num = $(that).find('input[name=optionVal]').val();
                            if (isBlank(num)) {
                                layer.msg(roofType+'请输入第' + (index + 1) + '个并网箱的数量');
                                gridConnectionFlag = true;
                                return false;
                            }
                            if (!number.test(num)) {
                                layer.msg(roofType+'第' + (index + 1) + '个并网箱的数量格式不正确');
                                gridConnectionFlag = true;
                                return false;
                            }
                            var item = {
                                projectId: projectId,
                                itemId: itemId,
                                itemType: itemType,
                                num: num
                            }
                            electricArray.push(item);
                        }
                    });
                    if (gridConnectionFlag) {
                        checkFlag  =false;
                        return checkFlag;
                    }
                    // 支架
                    var gridSupportFlag = false;
                    designInfoTab.find('.grid-support').find('.layui-row').each(function (index, that) {
                        var itemId = $(that).find('select[name=gridSupport]').val();
                        if (!isBlank(itemId)) {
                            var itemType = '4';
                            var num = $(that).find('input[name=optionVal]').val();
                            if (isBlank(num)) {
                                layer.msg(roofType+'请输入第' + (index + 1) + '个支架的数量');
                                gridSupportFlag = true;
                                return false;
                            }
                            if (!number.test(num)) {
                                layer.msg(roofType+'第' + (index + 1) + '个支架的数量格式不正确');
                                gridSupportFlag = true;
                                return false;
                            }
                            var item = {
                                projectId: projectId,
                                itemId: itemId,
                                itemType: itemType,
                                num: num
                            }
                            electricArray.push(item);
                        }
                    });
                    if (gridSupportFlag) {
                        checkFlag  =false;
                        return checkFlag;
                    }
                })
                if(!checkFlag){
                    return ;
                }
                var insuranceFlag = $("#insuranceFlag").val(); //保险购买情况
                var leaseDate = $("#leaseDate").val(); //预计投放日
                if (isBlank(leaseDate)) {
                    leaseDate = getLeaseDate();
                }
                var bankName = $("#bankName").val(); //账户名称
                if ((${'1' eq entry.tenantType && info.columns.bank_name.mustFillFlag eq '1'}) && isBlank(bankName)) {
                    layer.msg("账户名称不能为空!", {icon: 2});
                    return;
                }
                var bankCode = $("#bankCode").val(); //银行账号
                if ((${'1' eq entry.tenantType && info.columns.bank_code.mustFillFlag eq '1'}) && isBlank(bankCode)) {
                    layer.msg("银行账号不能为空!", {icon: 2});
                    return;
                }
                var idCardFront = $('.idCardFront').val();//身份证正面
                var idCardBack = $('.idCardBack').val();//身份证反面
                /* var residenceBooklet = $('.residenceBooklet').val();//户口本复印件*/
                var residenceBooklet;//户口本复印件
                $(".residenceBooklet").each(function () {
                    if (isBlank(residenceBooklet)) {
                        residenceBooklet = $(this).val();
                    } else {
                        residenceBooklet = residenceBooklet + "," + $(this).val();
                    }
                });
                if ((${'1' eq entry.tenantType && info.columns.residence_booklet.mustFillFlag eq '1'}) && isBlank(residenceBooklet)) {
                    layer.msg("户口本复印件不能为空!", {icon: 2});
                    return;
                }
                var bankCard = $('.bankCard').val();//银行卡照片
                if ((${'1' eq entry.tenantType && info.columns.bank_card.mustFillFlag eq '1'}) && isBlank(bankCard)) {
                    layer.msg("银行卡照片不能为空!", {icon: 2});
                    return;
                }
                var bpName = $('#bpName').val();//共签人名称
                var bpIdCard = $('#bpIdCard').val();//共签人证件号码
                var bpMobile = $('#bpMobile').val();//共签人手机号
                var bpCardFront = $('.bpCardFront').val();//共签人身份证正面
                var bpCardBack = $('.bpCardBack').val();//共签人身份证反面
                var bpFile;//共签人子女证明材料
                $(".bpFile").each(function () {
                    if (isBlank(bpFile)) {
                        bpFile = $(this).val();
                    } else {
                        bpFile = bpFile + "," + $(this).val();
                    }
                });

                var age = $("#age").val();


                var province = $("#province").find("option:selected").val();//省
                var city = $("#city").find("option:selected").val();//市
                var area = $("#area").find("option:selected").val();//区
                var address = $("input[name=customerAddress]").val();//用户地址
                let windPressure = $("#windPressure").val();
                let snowPressure = $("#snowPressure").val();
                let pressureLevel = $("#pressureLevel").val();
                if (isBlank(province) && isBlank(city) && isBlank(area) && isBlank(address)) {
                    layer.msg("请填写完整的安装地址", {icon: 2});
                    return;
                }
                if (isBlank(city)) {
                    layer.msg("请填写完整的安装地址", {icon: 2});
                    return;
                }
                if (isBlank(area)) {
                    layer.msg("请填写完整的安装地址", {icon: 2});
                    return;
                }
                if (isBlank(address)) {
                    layer.msg("请填写完整的安装地址", {icon: 2});
                    return;
                }


                var sealRoof = $("#sealRoof").val();  //是否封屋顶
                var azimuth = $("#azimuth").val(); //方位角
                var angle = $('input[name=angle]').val();
                if ('1' != azimuth && ${partner.id != '03'}) {
                    if (isBlank(angle)) {
                        layer.msg("角度不能为空", {icon: 2});
                        return;
                    }
                    if (!number2.test(angle)) {
                        layer.msg("角度格式不正确", {icon: 2});
                        return;
                    }
                    if (parseInt(angle) >= 90) {
                        layer.msg("方位角角度,限制输入0-90", {icon: 2});
                        return;
                    }
                }
                var completionYear = $('#completionYear').val();  //房屋建成年份
                var buildingHeight = $("#buildingHeight").val();  //建筑高度
                if (!isBlank(buildingHeight) && !isNumber($.trim(buildingHeight))) {
                    layer.msg("建筑高度格式不正确", {icon: 2});
                    return;
                }
                var ewLength = $("#ewLength").val(); //东西长
                if (!isBlank(ewLength) && !isNumber($.trim(ewLength))){
                    layer.msg("东西长格式不正确", {icon: 2});
                    return;
                }
                var nsWide = $("#nsWide").val(); //南北宽
                if (!isBlank(nsWide) && !isNumber($.trim(nsWide))){
                    layer.msg("南北宽格式不正确", {icon: 2});
                    return;
                }
                var roofArea = $("#roofArea").val(); //屋顶面积
                if (!isBlank(roofArea) && !isNumber($.trim(roofArea))){
                    layer.msg("屋顶面积格式不正确", {icon: 2});
                    return;
                }
                var longitude = $("#longitude").val(); //经度
                if (!isBlank(longitude) && !isNumber($.trim(longitude))){
                    layer.msg("经度格式不正确", {icon: 2});
                    return;
                }
                var latitude = $("#latitude").val(); //纬度
                if (!isBlank(latitude) && !isNumber($.trim(latitude))){
                    layer.msg("纬度格式不正确", {icon: 2});
                    return;
                }

                var slopeGradient = $("#slopeGradient").val();  //屋面坡度
                var purlineInterval = $("#purlineInterval").val();  //檩条间距
                var waterproof = $("#waterproof").val(); //屋顶防水情况
                var sourcePollution = $("#sourcePollution").val(); //是否有污染源
                var opsCondition = $("#opsCondition").val();  //是否具备运维空间
                var voltageClasses = $("#voltageClasses").val();  //并网电压等级
                var transformerCapacity = $("#transformerCapacity").val();  //变压器容量
                var restrictFlag = $("#restrictFlag").val();  //是否符合变压器容量限制要求
                let company = $("#projectCompany").find("option:selected").val(); //项目公司
                let birthdayDate = $('#birthdayDate').val(); //出生日期
                let icValidityBegin = $('#icValidityBegin').val(); //身份证生效日
                let icValidityEnd = $('#icValidityEnd').val(); //身份证到期日
                var distance = $("#distance").val(); // 并网距离
                if (!isBlank(distance) && !isNumber($.trim(distance))) {
                    layer.msg("并网距离格式不正确", {icon: 2});
                    return;
                }

                var dipAngle = $("#dipAngle").val(); // 组件倾角
                if (!isBlank(dipAngle) && !isNumber($.trim(dipAngle))) {
                    layer.msg("组件倾角格式不正确", {icon: 2});
                    return;
                }

                var repaymentMethod = $("#repaymentMethod").attr('lay-data'); //划转方式

                var houseOwnership;  // 房产证明
                $(".houseOwnership").each(function () {
                    if (isBlank(houseOwnership)){
                        houseOwnership = $(this).val();
                    }else {
                        houseOwnership = houseOwnership + "," + $(this).val();
                    }
                });


                // 方案信息
                var schemeType = $("input[name=schemeType]:checked").val();//匹配方式
                var schemeRemarks = $("#schemeRemarks").val();//方案备注

                var mergeType = $("input[name='mergeType']:checked").val(); //并网方式
                var boxTotalCount='';
                var boxGroupId='';
                if(mergeType==1 || mergeType==2){
                    boxTotalCount=$("#boxTotalCount").val();
                    boxGroupId=$("#boxGroupId").val();
                }
                var schemeRemarks = $("#schemeRemarks").val();//方案备注
                var auditRemarks = $("#auditRemarks").val();//审核备注
                var order = {
                    id: '${entry.id}',
                    schemeRemarks: schemeRemarks,
                    auditRemarks: auditRemarks,
                    insuranceFlag: insuranceFlag,
                    leaseDate: leaseDate,
                    bankName: bankName,
                    bankCode: bankCode,
                    tssBankNum: tssBankNum,
                    tssBankNumName: tssBankNumName,
                    idCardFront: idCardFront,
                    idCardBack: idCardBack,
                    residenceBooklet: residenceBooklet,
                    bankCard: bankCard,
                    province: province,
                    city: city,
                    area: area,
                    address: address,
                    sealRoof: sealRoof,
                    azimuth: azimuth,
                    angle: angle,
                    completionYear: completionYear,
                    buildingHeight: buildingHeight,
                    ewLength: ewLength,
                    nsWide: nsWide,
                    roofArea: roofArea,
                    longitude: longitude,
                    latitude: latitude,
                    slopeGradient: slopeGradient,
                    purlineInterval: purlineInterval,
                    waterproof: waterproof,
                    sourcePollution: sourcePollution,
                    opsCondition: opsCondition,
                    voltageClasses: voltageClasses,
                    transformerCapacity: transformerCapacity,
                    restrictFlag: restrictFlag,
                    distance: distance,
                    dipAngle: dipAngle,
                    houseOwnership: houseOwnership,
                    repaymentMethod: repaymentMethod,
                    schemeType: schemeType,
                    bpName: bpName,
                    bpIdCard: bpIdCard,
                    bpMobile: bpMobile,
                    bpCardFront: bpCardFront,
                    bpCardBack: bpCardBack,
                    bpFile: bpFile,
                    type: '1',
                    company: company,

                    birthdayDate:birthdayDate,//出生日期
                    icValidityBegin:icValidityBegin,//身份证生效日
                    icValidityEnd:icValidityEnd,//身份证到期日


                    mergeType:mergeType,
                    boxTotalCount:boxTotalCount,
                    boxGroupId:boxGroupId,
                    projectList:projectList,
                    addEntryReqSurveyDetails:addEntryReqSurveyDetails,
                    addEntryReqDesignDetails:addEntryReqDesignDetails,
                    composePlanLists:composePlanLists,
                    itemList:electricArray,
                    windPressure :windPressure,//风压
                    snowPressure:snowPressure,//雪压
                    pressureLevel :pressureLevel,//风雪压等级
                };
                saveFlag = true;
                savetemFlag = true;
                console.log(JSON.stringify(order))
                $.ajax({
                    url: "${ctx}/customerEntry/updateCustomerEntry",
                    type: "POST",
                    contentType: "application/json;charsetset=UTF-8",
                    data: JSON.stringify(order)
                    , success: function (result) {
                        if (result.code === '200') {
                            var index = parent.layer.getFrameIndex(window.name);
                            layer.msg("提交成功", {icon: 1, time: 1000}, function () {
                                parent.layer.close(index);
                                parent.table.reload('test');
                            })
                        } else {
                            layer.msg(result.errMsg, {icon: 2});
                        }
                        saveFlag = false;
                        savetemFlag = false;

                    }, error: function () {
                        layer.msg("提交失败", {icon: 2});
                        saveFlag = false;
                        savetemFlag = false;
                    }
                })
            }
        })


        //取消
        $(".cancelorder").click(function () {
            parent.layer.closeAll();
            parent.searchOrder();

        })


        // 验证手机号
        function isPhoneNo(phone) {
            // var tel = /(^1\d{10}$)|(^(\d{3,4}\-)?\d{5,9}$)/;包含座机号
            var tel = /^1[3|4|5|6|7|8|9][0-9]{9}$/;
            return tel.test($.trim(phone));
        }

        function IsCard(str) {
            var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
            return reg.test(str);
        }

        function isNumber(value) {
            var z_reg = /^(([0-9])|([1-9]([0-9]+)))(.[0-9]+)?$/;
            return z_reg.test(value);
        };

        let initBankData = [];
        if (!isBlank(tssBankNumName) && !isBlank(tssBankNum)) {
            initBankData = [{name: tssBankNumName, value: tssBankNum, selected: true}];
        }

        <%--var tssBankXm = xmSelect.render({--%>
        <%--    el: '#tssBank',--%>
        <%--    name: 'tssBank',--%>
        <%--    radio: true,--%>
        <%--    tips: '请输入查询',--%>
        <%--    size: 'mini',--%>
        <%--    style: {--%>
        <%--        height: '30px',--%>
        <%--    },--%>
        <%--    paging: true,--%>
        <%--    pageSize: 6,--%>
        <%--    data: initBankData,--%>
        <%--    clickClose: true,--%>
        <%--    filterable: true,--%>
        <%--    remoteSearch: true,--%>
        <%--    remoteMethod: function (val, cb, show) {--%>
        <%--        searchVal(val, cb, {--%>
        <%--            name: val--%>
        <%--        }, 'name');--%>
        <%--    },--%>
        <%--    on: function (data) {--%>
        <%--        if (data.isAdd && data.arr.length > 0) {--%>
        <%--            let d = data.arr[0];--%>
        <%--            tssBankNumName = d.name;--%>
        <%--            tssBankNum = d.value;--%>
        <%--        } else {--%>
        <%--            tssBankNumName = "";--%>
        <%--            tssBankNum = "";--%>
        <%--        }--%>
        <%--    }--%>
        <%--});--%>

        <%--function searchVal(val, cb, searchData, filed) {--%>
        <%--    if (!isBlank(val)) {--%>
        <%--        $.ajax({--%>
        <%--            type: 'post',--%>
        <%--            url: '${ctx}/sysSettings/linkNumber/findLinkNumberList',--%>
        <%--            data: searchData,--%>
        <%--            async: false,--%>
        <%--            dataType: 'json',--%>
        <%--            success: function (d) {--%>
        <%--                let arr = [];--%>
        <%--                for (let i = 0; i < d.length; i++) {--%>
        <%--                    let data = {};--%>
        <%--                    data.name = d[i].columns.bank_name;--%>
        <%--                    data.value = d[i].columns.number;--%>
        <%--                    data.origin = d[i];--%>
        <%--                    arr.push(data);--%>
        <%--                }--%>
        <%--                cb(arr);--%>
        <%--            }--%>
        <%--        });--%>
        <%--    } else {--%>
        <%--        cb([]);--%>
        <%--    }--%>
        <%--}--%>
    });

    function deletePlan(that) {
        $(that).closest(".layui-row").remove();
        var numco = 0;
        $(".componentNum").each(function () {
            if (!isBlank($(this).val())) {
                numco = numco + parseInt($(this).val());
            }
        });
        $("#componentCount").val(parseInt(numco));
    }

    function savePlan(that) {
        // var componentSpec = $("#componentSpec").val();
        // if (isBlank(componentSpec)) {
        //     layer.msg("请输入组件规格", {icon: 2});
        //     return
        // }
        var planType = $(that).parents(".planbiao").find(".planType").val();
        var planName = $(that).parents(".planbiao").find(".planName").val();
        // var componentNum = $(that).parents(".planbiao").find(".componentNum").val();
        if (isBlank(planType)) {
            layer.msg("请选择方案类型", {icon: 2});
            return
        }
        if (isBlank(planName)) {
            layer.msg("请选择方案名称", {icon: 2});
            return
        }
        // if (isBlank(componentNum)) {
        //     layer.msg("请输入组件块数", {icon: 2});
        //     return
        // }
        $(that).hide();
        $(that).next().removeClass("layui-hide").show();

        var html = '';
        html += '<div class="layui-row addplan">';
        html += '<div class="planbiao">';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += ' <label class="layui-form-label"><i class="mark">*</i>方案类型：</label>';
        html += '<div class="layui-input-block">';
        html += '<select lay-filter="planType" name="planType" class="planType" lay-search>';
        html += '<option value="">请选择</option>';
        <c:forEach items="${insta}" var="ins">
        html += '<option value="${ins.columns.id}">${ins.columns.name}</option>';
        </c:forEach>

        html += '</select>';
        html += '</div> </div>';
        html += '<div class="layui-col-lg3 layui-col-sm3 " >';
        html += '<label class="layui-form-label"><i class="mark">*</i>方案名称：</label>';
        html += '<div class="layui-input-block pos-r">';
        html += '<select  lay-filter="planName" name="planName" class="planName" lay-search>';
        html += '<option value="">请选择</option>';
        html += '</select>';
        html += '</div> </div>';
        html += ' <div class="layui-col-lg3 layui-col-sm3 " >';
        html += '<label class="layui-form-label"><i class="mark">*</i>参考图纸：</label>';
        html += '<div class="layui-input-block pos-r view-attachment">';
        html += '<span class="h-32 lh-32 layui-span-unit" >查看</span>';
        html += '</div> </div>';
        html += '<div class="layui-col-lg3 layui-col-sm3" style="text-align: center" >';
        html += '<input type="hidden" class="planId">';
        html += '<input type="hidden" class="planCode">';
        html += '<button type="button" class="layui-btn savePlan" onclick="savePlan(this)">新增方案</button>';
        html += '<button type="button" class="layui-btn layui-btn-primary deletePlan layui-hide" onclick="deletePlan(this)">删除</button>';
        html += '</div> </div></div>';
        $(that).parents(".zuhefangan").append(html);
        form.render('select');
    }

    // 新增组件
    function add1(that) {
        $(that).addClass('layui-hide');
        $(that).next().removeClass('layui-hide');
        var html = '';
        html += '<div class="layui-row assemblyDiv">';
        html += '<div class="layui-col-lg5 layui-col-sm7">';
        html += '<label class="layui-form-label"><i class="mark">*</i>组件：</label>';
        html += '<div class="layui-input-block">';
        html += '<div class="layui-inline">';
        html += '<select lay-filter="assembly" name="assembly" class="assembly" lay-search>';
        html += assemblyOptionHtml;
        html += '</select>';
        html += '<span class="pos-a h-32 lh-32 layui-span-unit" style="right: 30px">W</span>';
        html += '</div>';
        html += '<span class="layui-inline">X </span>';
        html += '<div class="layui-inline">';
        html += '<input type="text" class="layui-input" style="width: 85px;" placeholder="数量" name="optionVal">';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += '<i class="layui-icon layui-icon-add-circle" style="color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>';
        html += '<i class="layui-icon layui-icon-delete " style="color: #1b6073;font-size: 25px;" onclick="delete1(this)"></i>';
        html += '</div>';
        html += '</div>';
        $(that).closest('.assembly').append(html);
        form.render('select');
    }

    // 新增逆变器
    function add2(that) {
        $(that).addClass('layui-hide');
        $(that).next().removeClass('layui-hide');
        var html = '';
        html += '<div class="layui-row inverterDiv">';
        html += '<div class="layui-col-lg5 layui-col-sm7">';
        html += '<label class="layui-form-label"><i class="mark">*</i>逆变器：</label>';
        html += '<div class="layui-input-block">';
        html += '<div class="layui-inline">';
        html += '<select lay-filter="inverter" name="inverter" class="inverter" lay-search>';
        html += inverterOptionHtml;
        html += '</select>';
        html += '</div>';
        html += '<span class="layui-inline">X </span>';
        html += '<div class="layui-inline">';
        html += '<input type="text" class="layui-input" style="width: 85px;" placeholder="数量" name="optionVal">';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += '<i class="layui-icon layui-icon-add-circle" style="color: #1b6073;font-size: 25px;" onclick="add2(this)"></i>';
        html += '<i class="layui-icon layui-icon-delete " style="color: #1b6073;font-size: 25px;" onclick="delete2(this)"></i>';
        html += '</div>';
        html += '</div>';
        $(that).closest('.inverter').append(html);
        form.render('select');
    }

    // 新增并网箱
    function add3(that) {
        $(that).addClass('layui-hide');
        $(that).next().removeClass('layui-hide');
        var html = '';
        html += '<div class="layui-row connectionDiv">';
        html += '<div class="layui-col-lg5 layui-col-sm7">';
        html += '<label class="layui-form-label">并网箱：</label>';
        html += '<div class="layui-input-block">';
        html += '<div class="layui-inline">';
        html += '<select lay-filter="grid-connection" name="gridConnection" class="grid-connection" lay-search>';
        html += gridConnectionOptionHtml;
        html += '</select>';
        html += '</div>';
        html += '<span class="layui-inline">X </span>';
        html += '<div class="layui-inline">';
        html += '<input type="text" class="layui-input" style="width: 85px;" placeholder="数量" name="optionVal">';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += '<i class="layui-icon layui-icon-add-circle" style="color: #1b6073;font-size: 25px;" onclick="add3(this)"></i>';
        html += '<i class="layui-icon layui-icon-delete " style="color: #1b6073;font-size: 25px;" onclick="delete3(this)"></i>';
        html += '</div>';
        html += '</div>';
        $(that).closest('.grid-connection').append(html);
        form.render('select');
    }

    function add4(that) {
        $(that).addClass('layui-hide');
        $(that).next().removeClass('layui-hide');
        var html = '';
        html += '<div class="layui-row supportDiv">';
        html += '<div class="layui-col-lg5 layui-col-sm7">';
        html += '<label class="layui-form-label">支架：</label>';
        html += '<div class="layui-input-block">';
        html += '<div class="layui-inline">';
        html += '<select lay-filter="grid-support" name="gridSupport" class="gridSupport" lay-search>';
        html += supportOptionHtml;
        html += '</select>';
        html += '</div>';
        html += '<span class="layui-inline">X </span>';
        html += '<div class="layui-inline">';
        html += '<input type="text" class="layui-input" style="width: 85px;" placeholder="数量" name="optionVal">';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += '<i class="layui-icon layui-icon-add-circle" style="color: #1b6073;font-size: 25px;" onclick="add4(this)"></i>';
        html += '<i class="layui-icon layui-icon-delete " style="color: #1b6073;font-size: 25px;" onclick="delete4(this)"></i>';
        html += '</div>';
        html += '</div>';
        $(that).closest('.grid-support').append(html);
        form.render('select');
    }


    // 删除组件、逆变器、并网箱
    function delete1(that) {
        if (!$(that).parents(".assemblyDiv").next().hasClass("assemblyDiv")) {
            $(that).parents(".assemblyDiv").prev().find(".layui-icon-add-circle").removeClass("layui-hide");
        }
        $(that).closest(".layui-row").remove();
        if ($('.assembly').find('.layui-row').length < 2) {
            $('.assembly').find(".layui-icon-add-circle").removeClass("layui-hide");
            $('.assembly').find(".layui-icon-delete").addClass("layui-hide");
        }

    }

    function delete2(that) {
        if (!$(that).parents(".inverterDiv").next().hasClass("inverterDiv")) {
            $(that).parents(".inverterDiv").prev().find(".layui-icon-add-circle").removeClass("layui-hide");
        }
        let length = $(that).closest('.inverter').find('.inverterDiv').length;
        console.log(length)
        if (length < 3) {
            $(that).closest('.inverter').find(".layui-icon-add-circle").removeClass("layui-hide");
            $(that).closest('.inverter').find(".layui-icon-delete").addClass("layui-hide");
        }
        $(that).closest(".layui-row").remove();

    }

    function delete3(that) {
        if (!$(that).parents(".connectionDiv").next().hasClass("connectionDiv")) {
            $(that).parents(".connectionDiv").prev().find(".layui-icon-add-circle").removeClass("layui-hide");
        }
        $(that).closest(".layui-row").remove();
        if ($('.grid-connection').find('.layui-row').length < 2) {
            $('.grid-connection').find(".layui-icon-add-circle").removeClass("layui-hide");
            $('.grid-connection').find(".layui-icon-delete").addClass("layui-hide");
        }

    }

    function delete4(that) {
        if (!$(that).parents(".supportDiv").next().hasClass("supportDiv")) {
            $(that).parents(".supportDiv").prev().find(".layui-icon-add-circle").removeClass("layui-hide");
        }
        $(that).closest(".layui-row").remove();
        if ($('.grid-support').find('.layui-row').length < 2) {
            $('.grid-support').find(".layui-icon-add-circle").removeClass("layui-hide");
            $('.grid-support').find(".layui-icon-delete").addClass("layui-hide");
        }

    }
    function initInverter(partnerId){
        $.get('${ctx}/planManage/findInverterSet?partnerId='+partnerId, function (result) {
            if (result.code === '200') {
                var electricArray = result.data;
                inverterOptionHtml += '<option value="">请选择</option>';
                for (var i = 0; i < electricArray.length; i++) {
                    var electric = electricArray[i];
                    var id = electric.columns.id;
                    var model = electric.columns.model;
                    var material_model = electric.columns.material_model;
                    if (${info2.columns.component1_model.status eq '1'}){
                        inverterOptionHtml += '<option value="' + id + '">' + (material_model+'|'+model) + '</option>';
                    }else {
                        inverterOptionHtml += '<option value="' + id + '">' + (model) + '</option>';
                    }
                }
            }
        });
    }
    // 初始化电器材料下拉选
    function initElectricSelect() {
        $.get('${ctx}/planManage/findAllElectric', function (result) {
            if (result.code === '200') {
                var electricArray = result.data;
                console.info(electricArray)
                assemblyOptionHtml += '<option value="">请选择</option>';
                // inverterOptionHtml += '<option value="">请选择</option>';
                gridConnectionOptionHtml += '<option value="">请选择</option>';
                supportOptionHtml += '<option value="">请选择</option>';
                for (var i = 0; i < electricArray.length; i++) {
                    var electric = electricArray[i];
                    var type = electric.columns.type;
                    var id = electric.columns.id;
                    var model = electric.columns.model;
                    <%--var material_model = electric.columns.material_model;--%>
                    <%--if (type === '1') {--%>
                    <%--    if (${info2.columns.component1_model.status eq '1'}){--%>
                    <%--        inverterOptionHtml += '<option value="' + id + '">' + (material_model+'|'+model) + '</option>';--%>
                    <%--    }else {--%>
                    <%--        inverterOptionHtml += '<option value="' + id + '">' + (model) + '</option>';--%>
                    <%--    }--%>
                    <%--} else --%>
                    if (type === '2') {
                        gridConnectionOptionHtml += '<option value="' + id + '">' + model + '</option>';
                    } else if (type === '4') {
                        supportOptionHtml += '<option value="' + id + '">' + model + '</option>';
                    } else {
                        assemblyOptionHtml += '<option value="' + id + '" data-power="' + model + '">' + model + '</option>';
                    }
                }
                // $('select[name=assembly]').empty().append(assemblyOptionHtml);
                // $('select[name=inverter]').empty().append(inverterOptionHtml);
                // $('select[name=gridConnection]').empty().append(gridConnectionOptionHtml);
                // form.render('select');
            }
        });

    }

    // 初始化方案类型下拉选
    function initSchemeTypeSelectData(selectedId, optionData) {
        var html = '<option>请选择</option>';
        for (var j = 0; j < optionData.length; j++) {
            var data = optionData[j];
            var selectedFlag = data.name === selectedId ? 'selected' : '';
            html += '<option value="' + data.id + '" ' + selectedFlag + '>' + data.name + '</option>';
        }
        return html;
    }

    // 初始化方案数据，下拉选回显
    function initSchemeData() {
        var schemeType = '${entry.schemeType}';

        var $rowNode;
        if (schemeType === '1') {
            // 标准方案
            $rowNode = $('#showSchemeId');
            // $('#zuhefangan').find('.layui-row').each(function (index, that) {
            //     var html = initSchemeTypeSelectData('', planTypeData);
            //     $(that).find('select[name=planType]').empty().append(html);
            // });
        } else {
            // 组合方案
            $rowNode = $('#zuhefangan').find('.layui-row');
            // $('#showSchemeId').find('.layui-row').each(function (index, that) {
            //     var html = initSchemeTypeSelectData('', planTypeData);
            //     $(that).find('select[name=planType]').empty().append(html);
            // });
        }
        $($rowNode).each(function (index, that) {
            var selectedPlanTypeName = $(that).data('scheme-type-name');
            if ('1' == '${entry.schemeType}') {
                selectedPlanTypeName = $(that).find(".planType").find("option:selected").val();
            }
            var selectedPlanId = $(that).data('plan-id');
            // var html = initSchemeTypeSelectData(selectedPlanTypeName, planTypeData);
            // $(that).find('select[name=planType]').empty().append(html);
            if (!isBlank(selectedPlanTypeName)) {
                $.ajax({
                    url: "${ctx}/planManage/findPlanByAssembly",
                    type: "POST",
                    data: {
                        planType: selectedPlanTypeName
                    }
                    , success: function (result) {
                        $(that).find(".planName").empty();
                        var plan_name_html = "<option value=''>请选择</option>";
                        var viewAttachHtml = '';
                        for (var k = 0; k < result.length; k++) {

                            var selectedFlag = result[k].columns.id === selectedPlanId ? 'selected' : '';
                            if (result[k].columns.id === selectedPlanId) {
                                if (!isBlank(result[k].columns.attach)) {
                                    viewAttachHtml += '<a class="h-32 lh-32 ml-5 layui-span-unit" target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + result[k].columns.attach + '\'' + ')"     style="color:#2890ac;">查看</a>';
                                }
                                if (!isBlank(result[k].columns.attach2)) {
                                    viewAttachHtml += '<a class="h-32 lh-32 ml-5 layui-span-unit" target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + result[k].columns.attach2 + '\'' + ')"      style="color:#2890ac;">查看</a>';
                                }
                            }
                            plan_name_html += "<option value='" + result[k].columns.id + "' title='" + result[k].columns.assembly_count + "' date='" + result[k].columns.code + "' " + selectedFlag + ">" + result[k].columns.name + "</option>";
                        }
                        $(that).find('.planId').val(selectedPlanId)
                        $(that).find(".planName").append(plan_name_html);
                        $(that).closest('.layui-row').find('.view-attachment').empty().append(viewAttachHtml);
                        form.render('select');
                        var code = $(that).find(".planName").find("option:selected").attr("date");
                        $(that).find(".planCode").val(code);
                    }
                })
            }
        });
        form.render('select');
    }

    function previewUrl(_url) {
        if (!checkUrl(_url)) {
            return false;
        }
        var base = new Base64();
        var b64Encoded = base.encode(_url);
        if(_url.endsWith('pdf')){
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded)+'&officePreviewType=pdf');
        }else{
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded));
        }
    }

    function checkUrl(url) {
        //url= 协议://(ftp的登录信息)[IP|域名](:端口号)(/或?请求参数)
        var strRegex = '^((https|http|ftp)://)'//(https或http或ftp)
            + '(([\\w_!~*\'()\\.&=+$%-]+: )?[\\w_!~*\'()\\.&=+$%-]+@)?' //ftp的user@  可有可无
            + '(([0-9]{1,3}\\.){3}[0-9]{1,3}' // IP形式的URL- 3位数字.3位数字.3位数字.3位数字
            + '|' // 允许IP和DOMAIN（域名）
            + '(localhost)|'	//匹配localhost
            + '([\\w_!~*\'()-]+\\.)*' // 域名- 至少一个[英文或数字_!~*\'()-]加上.
            + '\\w+\\.' // 一级域名 -英文或数字  加上.
            + '[a-zA-Z]{1,6})' // 顶级域名- 1-6位英文
            + '(:[0-9]{1,5})?' // 端口- :80 ,1-5位数字
            + '((/?)|' // url无参数结尾 - 斜杆或这没有
            + '(/[\\w_!~*\'()\\.;?:@&=+$,%#-]+)+/?)$';//请求参数结尾- 英文或数字和[]内的各种字符
        var re = new RegExp(strRegex, 'i');//i不区分大小写
        //将url做uri转码后再匹配，解除请求参数中的中文和空字符影响
        if (re.test(encodeURI(url))) {
            return (true);
        } else {
            return (false);
        }
    }

    function componentCountq() {
        var numco = 0;
        $(".componentNum").each(function () {
            if (!isBlank($(this).val())) {
                numco = numco + parseInt($(this).val());
            }
            //  numco = numco+parseInt($(this).val());
        });
        $("#componentCount").val(parseInt(numco));
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function delImg(that, id) {
        $(that).parent().parent().parent().find("."+id).show();
        $(that).parent().remove();
        /*if('uploader20'==id){
quaimgsCount--;
$("#uploader20").show();
}*/
    }

    // 关闭弹框
    function cancel() {
        var index = parent.layer.getFrameIndex(window.name);//先得到当前iframe层的索引
        parent.layer.close(index); //再执行关闭
    }

    function checkAngle() {
        var angle = $('#angle').val();
        if (isBlank(angle)) {
            return;
        }
        if (parseInt(angle) > 90) {
            layer.msg("方位角不能超过90度");
            $('#angle').val('');

            return;
        }
    }
    function delProject(tar){
        var tbody = $(tar).parent("td").parent("tr").parents('tbody');
        if (tbody.find('tr').length == 3) {
            tbody.find("tr").eq(1).find('td').eq(4).find('.delProject').addClass('hide');
        }else{
        $(tar).parent("td").parent("tr").prev('tr').find('td').eq(4).find('.delProject').removeClass('hide');
        }
        $(tar).parent("td").parent("tr").prev('tr').find('td').eq(4).find('.addProject').removeClass('hide');
        $(tar).parent().parent().remove();
        initRowNums($('#projectTab'));
        //删除勘测图片tab页
        let index = $(tar).closest('tr').find("td").eq(0).text();
        let surveyImgUl = $('#surveyImgUl').find('li').eq(index-1);
            // 清空图片
        let surveyImgTab = $("#surveyImgTab").find("#surveyImgDiv"+(index-1));
        surveyImgUl.remove();
        surveyImgTab.remove();
        $('#surveyImgUl').find('li').eq(0).addClass('layui-this')
        $('.surveyTabContent').eq(0).removeClass('layui-hide').siblings('.surveyTabContent').addClass('layui-hide');

            let designInfoTab = $("#designInfoTab").find("#designImgDiv"+(index-1));
            designInfoTab.find(".planType").val('');
            designInfoTab.find(".planName").val('');
            designInfoTab.find(".fileSpan").remove();
            designInfoTab.find(".assembly").val('');
            designInfoTab.find(".inverter").val('');
            designInfoTab.find(".optionVal").val('');
            designInfoTab.find("input[name=designCapacity]").val('');
        $('#designInfoUl').find('li').eq(index-1).remove();

    }
    function addProject(tar){
        var tbody = $(tar).parent("td").parent("tr").parents('tbody');
        if (tbody.find('tr').length > 5) {
            layer.msg('最多选择五个产品');
            return ;
        }
        let target = $(tar).closest('tr');
        const nextRow = target.clone();
        function _resetRow(nextRow) {
            let tds = nextRow.find('td');
            tds.eq(1).find('input').val('');
            tds.eq(2).find('select').val('');
            tds.eq(3).find('select').val('');
            tds.eq(4).find('.delProject').removeClass('hide');
        }
        target.find('td').eq(4).find('.addProject').addClass('hide');
        target.find('td').eq(4).find('.delProject').addClass('hide');
        _resetRow(nextRow);
        nextRow.insertAfter(target);
        initRowNums($('#projectTab'));
        //新增勘测图片/设计方案tab页
        let index = target.find("td").eq(0).text();
        console.log("index="+index)
        let tabUl=$('#surveyImgUl').find('li').eq(index-1);
        let tabUl1=$('#designInfoUl').find('li').eq(index-1);
        const nextUl = tabUl.clone();
        const nextUl1 = tabUl1.clone();
        function _resetRow1(nextUl) {
            nextUl.text('');
            nextUl.attr('id', '');
            nextUl.removeClass('layui-this');
        }
        _resetRow1(nextUl);
        _resetRow1(nextUl1);
        nextUl.insertAfter(tabUl);
        nextUl1.insertAfter(tabUl1);

        let tabDiv=$('#surveyImgDiv'+(index-1));
        const nextDiv = tabDiv.clone();
        function _resetRow2(nextDiv) {
            let trTar = nextDiv.find('table').find('tbody').find('tr').slice(1);
            trTar.each(function(el) {
                $("td:eq(1)", $(this)).find(".imgSpan").remove();
                $("td:eq(1)", $(this)).find(".fileSpan").remove();
                $("td:eq(1)", $(this)).find(".generalUploader").removeClass('hide');
                $("td:eq(1)", $(this)).find(".generalUploader").removeClass('generalUploader'+(index-1));
                $("td:eq(1)", $(this)).find(".surveyVideoUploader").removeClass('surveyVideoUploader'+(index-1));
                $("td:eq(1)", $(this)).find(".surveyFilesUploader").removeClass('surveyFilesUploader'+(index-1));
                $("td:eq(1)", $(this)).find(".generalUploader").addClass('generalUploader'+index);
                $("td:eq(1)", $(this)).find(".surveyVideoUploader").addClass('surveyVideoUploader'+index);
                $("td:eq(1)", $(this)).find(".surveyFilesUploader").addClass('surveyFilesUploader'+index);
            });
        }
        nextDiv.attr('id', 'surveyImgDiv'+index);
        nextDiv.addClass('layui-hide')
        _resetRow2(nextDiv);
        nextDiv.insertAfter(tabDiv);
        form.render();
        renderUpload('generalUploader'+index)
        renderUploadVideo('surveyVideoUploader'+index)
        renderUploadFile('surveyFilesUploader'+index)
    }
    function initRowNums(table) {
        let trs = table.find('tr').slice(1);
        trs.each(function(index, el) {
            $("td:first", $(this)).text(index+1);
        });
    }
    function renderUpload(e) {
        upload.render({
            elem:'.'+ e //绑定元素   无人机航拍图
            , url: '${ctx}/common/uploadFile' //上传接口
            , multiple:true
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {

                });
            }
            , done: function (res) {
                //上传完毕回调
                var title = $(this.item).attr("data-title");
                var value = $(this.item).attr("data-value");
                var count = $(this.item).attr("data-count");
                var type = $(this.item).attr("id");
                console.log(title);
                console.log(value);
                console.log(count);
                // addImg(res.path, "flyImgsUploader", title, "flyImgs", 9);
                addImg(res.path, e, title, value, count,type,$(this.item));
            }
            , error: function () {
                //请求异常回调
            }
        });
    }
    function renderUploadVideo(e) {
        upload.render({
            elem: '.'+e,
            url: '${ctx}/common/uploadFile',
            multiple:true,
            accept: 'video',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $(this.item).closest('td').find("#surveyVideoDiv").find(".surveyVideo").length;
                if ((imgCount + 1) >= 8) {
                    $(this.item).closest('td').find('.'+e).hide();
                }
                var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\''+e+'\')"></span>';
                html += ' <video controls width="80px" height="80px" src="${commonStaticImgPath}' + path + '"></video>';
                html += '<input type="hidden" class="surveyVideo" value="' + path + '"/> </div>';
                $(this.item).closest('td').find("#surveyVideoDiv").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });
    }
    function renderUploadFile(e) {
        upload.render({
            elem: '.'+e,
            url: '${ctx}/common/uploadFile3',
            multiple:true,
            accept: 'file',
            exts: 'jpg|png|gif|doc|docx|ppt|pdf|xls|xlsx',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount =  $(this.item).closest('td').find("#surveyFilesDiv").find(".surveyFiles").length;
                if ((imgCount + 1) >= 4) {
                    $(this.item).closest('td').find("."+e).hide();
                }


                let html = '<div style="margin-top: 5px" calss="fileSpan"><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\''+e+'\')"></span>';
                html += '<a style="color:#2890ac;"  target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + path + "\'" + ')"    class="download-link">' + name + '</a>';
                html += '<input type="hidden" class="surveyFiles" value="' + path + '"/> </div>';
                $(this.item).closest('td').find("#surveyFilesDiv").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

    }
    function addImg(data, id, imgsDiv, classimg, count,type,item) {
        var imgCount = item.closest('td').find("#" + imgsDiv).find(".imgSpan").length;
        console.log(imgCount)
        if ((imgCount + 1) >= count) {
            item.closest('td').find("#" + type).hide();
        }
        if ((imgCount + 1) > count) {
            return;
        }
        var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
        html += '<img src="${commonStaticImgPath}' + data + '" height="700" width="1200"/>';
        html += '<input type="hidden" class="' + classimg + '" value="' + data + '"/> </div>';
        item.closest('td').find("#" + imgsDiv).append(html);
        //图片查看效果
        viewer.update();
    }
</script>
</body>
</html>
