<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>电站详情</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html {
            background-color: #fff;
            padding-bottom: 50px;
        }
        .form-span {
            display: block;
            padding: 8px 0;
            margin-left: 110px;
        }

        .page-iframe {
            border: none;
            width: 100%;
            min-height: calc(100vh - 250px);
        }
        .mb-10{
            margin-bottom: 10px !important;
        }
        .pd-10{
            padding: 10px;
        }
        .idea-text{
            width: 320px; height: 100px;outline: none; padding: 3px
        }
        .msg-title{
            text-align: center;
            margin: 10px 0;
            font-size: 16px;
        }
        .title1 {
            border-left: 4px solid #1b6073;
            padding-left: 20px;
            font-size: 14px;
            margin: 10px auto;
            font-weight: 600;
            height: 34px;
            line-height: 34px;
            background-color: #f4f6f9;
            color: #666666;
        }
        .layui-input-block {
            margin-left: 110px;
        }

        .layui-form-label {
            width: 110px;
        }
        .clearfix{*zoom:1;}
        .clearfix:before,.clearfix:after{display:table; line-height:0; content:"";}
        .clearfix:after{clear:both;}

        .layui-tab-title{
            margin: 0 0 0 20px;
        }
        .layui-tab-content{
            margin: 0 0 0 20px;
        }
        .layui-tab-content1{
            margin: 0 0 0 20px;
        }

        .blank-img {
            background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
            width: 80px;
            height: 80px;
            display: inline-block;
        }

        .link-blue{ color: #1b6073; cursor: pointer;}

        .download-link {
            display: inline-block;
            padding: 8px 16px;
            color: #007bff;
            text-decoration: none;
            border-radius: 4px;
        }

        .download-link:hover {
            color: #0056b3;
        }
        input[disabled]{
            color: white !important;
            background-color: rgb(188, 188, 188) !important;
        }
        .disabled-radio {
            background-color: transparent; !important; /* 设置背景颜色为透明 */
        }

        .layui-form-item .layui-input-inline {
            float: left;
            width: 300px;
            margin-right: 10px;
        }
        .kcDiv>div{min-height: 36px}
    </style>
</head>
<script>
</script>
<body>
<div class="layui-fluid pd-10">
    <div class="order-win layui-form" id="LAY_app">
        <button class="layui-btn" style="margin-left: 94.5%;" onclick="approvalRecord()">审批记录</button>
        <blockquote class="layui-elem-quote">项目信息</blockquote>

        <div class="layui-form-item layui-row">
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">电站编码：</label>
                <span class="form-span">
                    ${customerEntry.powerStationCode}
                </span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">电站名称：</label>
                <span class="form-span" >${stationName}</span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">产品名称：</label>
                <span class="form-span">
                    ${project.name}
                </span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">代理商：</label>
                <span class="form-span">${customerEntry.createTraderName}</span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">项目公司：</label>
                <span class="form-span"> ${customerEntry.projectCompanyName}</span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">电站状态：</label>
                <span class="form-span">
                    <c:choose>
                        <c:when test="${customerEntry.status eq '0'}">
                            <c:if test="${customerEntry.credit eq '0'}">暂存</c:if>
                            <c:if test="${customerEntry.credit eq '1'}">待预审</c:if>
                            <c:if test="${customerEntry.credit eq '2'}">预审待审批</c:if>
                            <c:if test="${customerEntry.credit eq '3'}">预审审批中</c:if>
                            <c:if test="${customerEntry.credit eq '4' && customerEntry.designAuditFlag eq '3'}">自审驳回</c:if>
                            <c:if test="${customerEntry.credit eq '4' && customerEntry.designAuditFlag eq 'a'}">待设计</c:if>
                            <c:if test="${customerEntry.credit eq '4' && customerEntry.designAuditFlag ne '3' && customerEntry.designAuditFlag ne 'a'}">待踏勘</c:if>
                            <c:if test="${customerEntry.credit eq '5'}">预审拒绝</c:if>
                        </c:when>
                        <c:when test="${customerEntry.status eq '1'}">
                            <c:if test="${customerEntry.designAuditFlag eq '1'}">待踏勘</c:if>
                            <c:if test="${customerEntry.designAuditFlag eq 'a'}">待设计</c:if>
                            <c:if test="${customerEntry.designAuditFlag eq '2'}">待自审</c:if>
                            <c:if test="${customerEntry.designAuditFlag eq '3'}">自审驳回</c:if>
                            <c:if test="${customerEntry.designAuditFlag eq '4'}">自审通过</c:if>
                            <c:if test="${customerEntry.designAuditFlag eq '5'}">设计审核驳回</c:if>
                            <c:if test="${customerEntry.designAuditFlag eq '6'}">设计审核通过</c:if>
                            <c:if test="${customerEntry.designAuditFlag eq '7'}">进件审核驳回</c:if>
                            <c:if test="${customerEntry.designAuditFlag eq '8'}">进件审核中</c:if>
                            <c:if test="${customerEntry.designAuditFlag eq '9'}">进件审核通过</c:if>
                        </c:when>
                        <c:when test="${customerEntry.status eq '2'}">
                            审核驳回
                        </c:when>
                        <c:when test="${customerEntry.status eq '3'}">
                            待下单
                        </c:when>
                        <c:when test="${customerEntry.status eq '4'}">
                            <c:if test="${customerEntry.installFlag eq '1'}">待派工</c:if>
                            <c:if test="${customerEntry.installFlag eq '2'}">待安装</c:if>
                            <c:if test="${customerEntry.installFlag eq '3'}">自审驳回</c:if>
                            <c:if test="${customerEntry.installFlag eq '4'}">安装完成</c:if>
                        </c:when>
                        <c:when test="${customerEntry.status eq '5'}">
                            待安装验收
                        </c:when>
                        <c:when test="${customerEntry.status eq 'f'}">
                            安装验收驳回
                        </c:when>
                        <c:when test="${customerEntry.status eq '6'}">
                            待并网
                        </c:when>
                        <c:when test="${customerEntry.status eq '7'}">
                            待并网验收
                        </c:when>
                        <c:when test="${customerEntry.status eq '8'}">
                            待交付
                        </c:when>
                        <c:when test="${customerEntry.status eq '9'}">
                            待归档
                        </c:when>
                        <c:when test="${customerEntry.status eq '10'}">
                            验收驳回
                        </c:when>
                        <c:when test="${customerEntry.status eq '11'}">
                            归档驳回
                        </c:when>
                        <c:when test="${customerEntry.status eq 'a'}">
                            已完成
                        </c:when>
                        <c:when test="${customerEntry.status eq 'c'}">
                            待代理商确认
                        </c:when>
                        <c:when test="${customerEntry.status eq 'e'}">
                            待签署合同
                        </c:when>
                        <c:when test="${customerEntry.status eq 'w'}">
                            信息登记
                        </c:when>
                        <c:when test="${customerEntry.status eq 'g'}">
                            设计审核
                        </c:when>
                        <c:when test="${customerEntry.status eq 'AN'}">
                            待安装确认
                        </c:when>
                        <c:when test="${customerEntry.status eq 'AT'}">
                            安装确认驳回
                        </c:when>
                        <c:when test="${customerEntry.status eq 'BW'}">
                            待并网确认
                        </c:when>
                        <c:when test="${customerEntry.status eq 'BN'}">
                            并网确认驳回
                        </c:when>
                        <c:when test="${customerEntry.status eq 'h'}">
                            勘测设计自审
                        </c:when>
                        <c:when test="${customerEntry.status eq 'i'}">
                            安装自审
                        </c:when>
                        <c:otherwise>
                            --
                        </c:otherwise>
                    </c:choose>
                </span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">备案类型：</label>
                <span class="form-span">
                    <c:choose>
                        <c:when test="${customerEntry.filingType eq '1'}">
                            农户备案
                        </c:when>
                        <c:when test="${customerEntry.filingType eq '2'}">
                            项目公司备案
                        </c:when>
                    </c:choose>
                </span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">保险购买情况：</label>
                <span class="form-span">
                    <c:choose>
                        <c:when test="${customerEntry.insuranceFlag eq '1'}">
                            控制投放及续保
                        </c:when>
                        <c:when test="${customerEntry.insuranceFlag eq '2'}">
                            控制投放
                        </c:when>
                        <c:when test="${customerEntry.insuranceFlag eq '3'}">
                            其他
                        </c:when>
                    </c:choose>
                </span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">预计投放日：</label>
                <span class="form-span"><fmt:formatDate value="${customerEntry.leaseDate}" pattern="yyyy-MM-dd"/></span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">业务员：</label>
                <span class="form-span">${customerEntry.creator}</span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
                <label class="layui-form-label">创建时间：</label>
                <span class="form-span"><fmt:formatDate value="${customerEntry.createTime}" pattern="yyyy-MM-dd HH:mm:ss"/></span>
            </div>



        </div>
        <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
            <ul class="layui-tab-title">
                <li class="layui-this">业主信息</li>
                <%--<c:if test="${!fn:contains('0w', customerEntry.status)}">--%>
                <c:if test="${not empty customerEntry.designAuditFlag && '0' ne customerEntry.designAuditFlag}">
                    <li>勘测信息</li>
                </c:if>

                <c:if test="${customerEntry.schemeType eq '2' || not empty customerEntry.schemeId}">
                    <li>设计方案</li>
                    <%-- </c:if>--%>
                </c:if>
                <c:if test="${!fn:contains('0123wh', customerEntry.status)}">
                    <li>完工信息</li>
                </c:if>
                <c:if test="${!fn:contains('012345fwhi', customerEntry.status)}">
                    <li>并网信息</li>
                </c:if>
                <c:if test="${partner.id eq '03' && !fn:contains('012345fwhi7', customerEntry.status)}">
                    <li>竣工信息</li>
                </c:if>
                <li>过程信息</li>
            </ul>
            <div class="layui-tab-content">
                <c:if test="${empty customerEntry.tenantType or customerEntry.tenantType eq '1'}">
                    <div class="layui-form-item layui-row ">
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">业主姓名：</label>
                            <span class="form-span">
                                    ${customerEntry.tenantName}
                            </span>
                        </div>
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">性别：</label>
                            <span class="form-span">
                             <c:choose>
                                 <c:when test="${customerEntry.gender eq 'MALE'}">
                                     男
                                 </c:when>
                                 <c:when test="${customerEntry.gender eq 'FEMALE'}">
                                     女
                                 </c:when>
                                 <c:when test="${customerEntry.gender eq 'UNKNOW'}">
                                     未知
                                 </c:when>
                             </c:choose>
                        </span>
                        </div>
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">年龄：</label>
                            <span class="form-span">
                                    ${customerEntry.age}
                            </span>
                        </div>
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">联系方式：</label>
                            <span class="form-span">
                                    ${mobile}
                            </span>
                        </div>
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">身份证号：</label>
                            <span class="form-span">
                                    ${idCode}
                            </span>
                        </div>
                    <c:if test="${customerEntry.tenantType eq '1'}">
                    <c:if test="${info1.columns.birthday_date.status eq '1'}">
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">出生日期：</label>
                            <span class="form-span">
                                <fmt:formatDate value="${customerEntry.birthdayDate}" pattern="yyyy-MM-dd"/>
                            </span>
                        </div>
                    </c:if>
                    <c:if test="${info1.columns.ic_validity_begin.status eq '1'}">
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">身份证生效日：</label>
                            <span class="form-span">
                                <fmt:formatDate value="${customerEntry.icValidityBegin}" pattern="yyyy-MM-dd"/>
                            </span>
                        </div>
                    </c:if>
                    <c:if test="${info1.columns.ic_validity_end.status eq '1'}">
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">身份证到期日：</label>
                            <span class="form-span">
                                <fmt:formatDate value="${customerEntry.icValidityEnd}" pattern="yyyy-MM-dd"/>
                            </span>
                        </div>
                    </c:if>
                    </c:if>
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">风压：</label>
                            <span class="form-span">
                                    ${customerEntry.windPressure}<c:if test="${not empty  customerEntry.windPressure}" >kN/㎡</c:if>
                            </span>
                        </div>
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">雪压：</label>
                            <span class="form-span">
                                    ${customerEntry.snowPressure}<c:if test="${not empty  customerEntry.snowPressure}" >kN/㎡</c:if>
                            </span>
                        </div>
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">风雪压等级：</label>
                            <span class="form-span">
                                    ${customerEntry.pressureLevel}
                            </span>
                        </div>
                        <div class="layui-col-sm9 layui-col-md9">
                            <label class="layui-form-label">安装地址：</label>
                            <span class="form-span">
                               <c:choose>
                                   <c:when test="${customerEntry.province eq customerEntry.city}">
                                       ${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                   </c:when>
                                   <c:otherwise>
                                       ${customerEntry.province}${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                   </c:otherwise>
                               </c:choose>
                            </span>
                        </div>
                        <div class="layui-col-xs12"></div>

                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label">身份证：</label>
                            <div class="layui-input-block img-box">
                                <div>
                                    <div id="imgsDiv14">
                                        <c:if test="${not empty customerEntry.idCardFront}">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${customerEntry.idCardFront}" height="700" width="1200"/>
                                                <input type="hidden" class="id-card-front" value="${customerEntry.idCardFront}"/>
                                            </div>
                                        </c:if>
                                    </div>
                                    <c:if test="${empty customerEntry.idCardFront}">
                                        <i class="blank-img"></i>
                                    </c:if>
                                    <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                </div>
                                <div>
                                    <div id="imgsDiv15">
                                        <c:if test="${not empty customerEntry.idCardBack}">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${customerEntry.idCardBack}" height="700" width="1200"/>
                                                <input type="hidden" class="id-card-back" value="${customerEntry.idCardBack}"/>
                                            </div>
                                        </c:if>
                                    </div>
                                    <c:if test="${empty customerEntry.idCardBack}">
                                        <i class="blank-img"></i>
                                    </c:if>

                                    <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                </div>
                            </div>
                        </div>
                    <c:if test="${info1.columns.residence_booklet.status eq '1'}">
                        <div class="layui-col-lg4 layui-col-sm4">
                            <label class="layui-form-label w-120">户口本复印件：</label>
                            <div class="layui-input-block img-box ml-120">
                                <div>
                                    <div>
                                        <c:if test="${not empty customerEntry.residenceBooklet}">
                                            <c:forEach var="quaim" items="${customerEntry.residenceBooklet.split(',')}" varStatus="vs">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                                                    <input type="hidden" class="residenceBooklet" value="${quaim}"/>
                                                </div>
                                            </c:forEach>
                                        </c:if>
                                        <c:if test="${empty customerEntry.residenceBooklet}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </c:if>
                    <c:if test="${info1.columns.house_ownership.status eq '1'}">
                        <div class="layui-row layui-col-space12 layui-form-item" style="margin-bottom: 24px">
                            <label class="layui-form-label">房产证明：</label>
                            <div class="layui-input-block img-box">
                                <div>
                                    <div>
                                        <c:if test="${not empty surveyRecord.houseOwnership}">
                                            <c:forEach items="${surveyRecord.houseOwnership}" var="img">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                </div>
                                            </c:forEach>
                                        </c:if>
                                    </div>
                                    <c:if test="${empty surveyRecord.houseOwnership}">
                                        <i class="blank-img"></i>
                                    </c:if>
                                </div>
                            </div>
                        </div>
                    </c:if>
                        <div class="layui-col-xs12"></div>
                    <c:if test="${info1.columns.credit_certificate.status eq '1'}">
                        <div class="layui-col-lg3 layui-col-sm3" style="margin-bottom: 24px">
                            <label class="layui-form-label">信誉凭证：</label>
                            <div class="layui-input-block img-box">
                                <div>
                                    <div>
                                        <c:if test="${not empty orgFiles and not empty orgFiles.creditCertificate}">
                                            <c:forEach items="${orgFiles.creditCertificate}" var="img">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                </div>
                                            </c:forEach>
                                        </c:if>
                                    </div>
                                    <c:if test="${empty orgFiles.creditCertificate}">
                                        <i class="blank-img"></i>
                                    </c:if>
                                </div>
                            </div>
                        </div>
                    </c:if>
                        <div class="layui-col-xs12"></div>
                        <c:if test="${ not empty  customerEntry.exigenceName}">
                            <c:if test="${info1.columns.exigence_name.status eq '1'}">
                                <div class="layui-col-sm3 layui-col-md3">
                                    <label class="layui-form-label">紧急联系人：</label>
                                    <span class="form-span">
                                            ${customerEntry.exigenceName}
                                    </span>
                                </div>
                            </c:if>
                            <c:if test="${info1.columns.exigence_phone.status eq '1'}">
                                <div class="layui-col-sm3 layui-col-md3">
                                    <label class="layui-form-label">联系方式：</label>
                                    <span class="form-span">
                                            ${customerEntry.exigencePhone}
                                    </span>
                                </div>
                            </c:if>
                        </c:if>
                        <div class="layui-col-xs12"></div>
                        <c:if test="${info1.columns.bank_card.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3" style="margin-bottom: 24px">
                                <label class="layui-form-label">银行卡照片：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div>
                                            <c:if test="${not empty customerEntry.bankCard}">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${customerEntry.bankCard}" height="700" width="1200"/>
                                                    <input type="hidden" class="bankCard" value="${customerEntry.bankCard}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty customerEntry.bankCard}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <div class="layui-col-xs12"></div>
                    <c:if test="${info1.columns.bank_name.status eq '1'}">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label">银行账户名：</label>
                            <span class="form-span">
                                    ${customerEntry.bankName}
                            </span>
                        </div>
                    </c:if>
                    <c:if test="${info1.columns.bank_code.status eq '1'}">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label">银行账户：</label>
                            <span class="form-span">
                                    ${customerEntry.bankCode}
                            </span>
                        </div>
                    </c:if>
                        <div class="layui-col-xs12"></div>
                    <c:if test="${info1.columns.tss_bank_num_name.status eq '1'}">
                        <div class="layui-col-lg6 layui-col-sm6">
                            <label class="layui-form-label">开户行：</label>
                            <span class="form-span">
                                    ${customerEntry.tssBankNumName}
                            </span>
                        </div>
                    </c:if>

                        <div class="layui-col-xs12"></div>
                    <c:if test="${info5.columns.repayment_method.status eq '1'}">
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">划转方式：</label>
                            <span class="form-span">
                    <c:choose>
                        <c:when test="${not empty  surveyRecord.repaymentMethod}">
                            <c:if test="${surveyRecord.repaymentMethod eq '1'}">二类卡</c:if>
                            <c:if test="${surveyRecord.repaymentMethod eq '2'}">光E宝</c:if>
                            <c:if test="${surveyRecord.repaymentMethod eq '0'}">其他</c:if>
                        </c:when>
                        <c:when test="${empty  surveyRecord.repaymentMethod}">
                            <c:choose>
                                <c:when test="${customerEntry.filingType eq '1'}">
                                    二类卡
                                </c:when>
                                <c:when test="${customerEntry.filingType eq '2'}">
                                    其他
                                </c:when>
                            </c:choose>
                        </c:when>
                      </c:choose>


                        </span>
                        </div>
                    </c:if>


                        <c:if test="${surveyRecord.repaymentMethod ne '0'}">
                            <c:if test="${info5.columns.name.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">账号名称：</label>
                                <span class="form-span">
                                <c:if test="${not empty card}">${card.name}</c:if>
                            </span>
                            </div>
                            </c:if>
                            <c:if test="${surveyRecord.repaymentMethod ne '0'}">
                                <c:if test="${info5.columns.account_code.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">二类卡号：</label>
                                    <span class="form-span">
                                <c:if test="${not empty card}">${card.accountCode}</c:if>
                            </span>

                                </div>
                                </c:if>
                            </c:if>

                            <c:if test="${info1.columns.open_bank_number.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">联行号：</label>
                                <span class="form-span"><c:if test="${not empty card}">${card.openBankNumber}</c:if></span>
                            </div>
                            </c:if>

                        </c:if>
                        <c:if test="${surveyRecord.repaymentMethod ne '0'}">
                            <c:if test="${surveyRecord.repaymentMethod eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label">二类卡照片：</label>
                                <div class="layui-input-block img-box">
                            <c:if test="${info5.columns.front_img.status eq '1'}">
                                    <div>
                                        <div>
                                            <c:if test="${not empty card.frontImg}">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${card.frontImg}" height="700" width="1200"/>
                                                    <input type="hidden" value="${card.frontImg}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty card.frontImg}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                        <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                    </div>
                            </c:if>
                            <c:if test="${info5.columns.back_img.status eq '1'}">
                                    <div>
                                        <div>
                                            <c:if test="${not empty card.backImg}">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${card.backImg}" height="700" width="1200"/>
                                                    <input type="hidden" value="${card.backImg}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty card.backImg}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                        <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                    </div>
                            </c:if>
                                </div>
                            </div>
                            </c:if>
                        </c:if>


                        <div class="layui-col-xs12"></div>
                        <c:if test="${customerEntry.age>=65}">
                            <c:if test="${info1.columns.bp_name.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">共签人名称：</label>
                                <span class="form-span">
                                        ${customerEntry.bpName}
                                </span>
                            </div>
                            </c:if>
                            <c:if test="${info1.columns.bp_id_card.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">证件号码：</label>
                                <span class="form-span">
                                        ${customerEntry.bpIdCard}
                                </span>
                            </div>
                            </c:if>
                            <c:if test="${info1.columns.bp_mobile.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">手机号：</label>
                                <span class="form-span">
                                        ${customerEntry.bpMobile}
                                </span>
                            </div>
                            </c:if>
                        </c:if>

                        <c:if test="${customerEntry.age>=65}">
                            <c:if test="${info1.columns.bp_id_card.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label">共签人身份证：</label>
                                <div class="layui-input-block img-box">
                                <c:if test="${info1.columns.bp_card_front.status eq '1'}">
                                    <div>
                                        <div>
                                            <c:if test="${not empty customerEntry.bpCardFront}">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${customerEntry.bpCardFront}" height="700" width="1200"/>
                                                    <input type="hidden" value="${customerEntry.bpCardFront}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty customerEntry.bpCardFront}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                        <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                    </div>
                                </c:if>
                                <c:if test="${info1.columns.bp_card_back.status eq '1'}">
                                    <div>
                                        <div>
                                            <c:if test="${not empty customerEntry.bpCardBack}">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${customerEntry.bpCardBack}" height="700" width="1200"/>
                                                    <input type="hidden" value="${customerEntry.bpCardBack}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty customerEntry.bpCardBack}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                        <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                    </div>
                                </c:if>
                                </div>
                            </div>
                            </c:if>
                            <c:if test="${info1.columns.bp_file.status eq '1'}">
                            <div class="layui-col-lg5 layui-col-sm5">
                                <label class="layui-form-label" style="width: 140px">共签人子女证明材料：</label>
                                <div class="layui-input-block img-box" style="margin-left: 140px">
                                    <div>
                                        <div>

                                            <c:if test="${not empty customerEntry.bpFile}">
                                                <c:forEach var="quaim" items="${customerEntry.bpFile.split(',')}" varStatus="vs">
                                                    <div class="bj-img imgSpan">
                                                            <%--                          <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader32')"></span>--%>
                                                        <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                                                        <input type="hidden" class="bpFile" value="${quaim}"/>
                                                    </div>
                                                </c:forEach>
                                            </c:if>

                                        </div>
                                        <c:if test="${empty customerEntry.bpFile}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                            </c:if>
                        </c:if>

                    </div>
                </c:if>
                <c:if test="${customerEntry.tenantType eq '2'}">
                    <div class="layui-form-item layui-row">
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label">单位名称：</label>
                            <span class="form-span">
                                    ${customerEntry.tenantName}
                            </span>
                        </div>
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label">信用代码：</label>
                            <span class="form-span">
                                    ${customerEntry.regno}
                            </span>
                        </div>
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label">联系方式：</label>
                            <span class="form-span">
                                    ${mobile}
                            </span>
                        </div>
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label">负责人姓名：</label>
                            <span class="form-span">
                                    ${customerEntry.corp}
                            </span>
                        </div>
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label">证件号码：</label>
                            <span class="form-span">
                                    ${idCode}
                            </span>
                        </div>
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label">安装地址：</label>
                            <span class="form-span">
                                <c:choose>
                                    <c:when test="${customerEntry.province eq customerEntry.city}">
                                        ${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                    </c:when>
                                    <c:otherwise>
                                        ${customerEntry.province}${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                    </c:otherwise>
                                </c:choose>
                            </span>
                        </div>
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label">风压：</label>
                            <span class="form-span">
                                    ${customerEntry.windPressure}<c:if test="${not empty  customerEntry.windPressure}" >kN/㎡</c:if>
                            </span>
                        </div>
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label">雪压：</label>
                            <span class="form-span">
                                    ${customerEntry.snowPressure}<c:if test="${not empty  customerEntry.snowPressure}" >kN/㎡</c:if>
                            </span>
                        </div>
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label">风雪压等级：</label>
                            <span class="form-span">
                                    ${customerEntry.pressureLevel}
                            </span>
                        </div>
                        <c:if test="${info1.columns.bank_name.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label">银行账户名：</label>
                                <span class="form-span">
                                        ${customerEntry.bankName}
                                </span>
                            </div>
                        </c:if>
                        <c:if test="${info1.columns.bank_code.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label">银行账户：</label>
                                <span class="form-span">
                                        ${customerEntry.bankCode}
                                </span>
                            </div>
                        </c:if>
                        <c:if test="${info1.columns.tss_bank_num_name.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label">开户行：</label>
                                <span class="form-span">
                                        ${customerEntry.tssBankNumName}
                                </span>
                            </div>
                        </c:if>

                        <div class="layui-col-lg12 layui-col-sm12"></div>
                        <div class="layui-col-lg4 layui-col-sm4">
                            <label class="layui-form-label w-120">负责人身份证：</label>
                            <div class="layui-input-block img-box ml-120">
                                <div>
                                    <div>
                                        <c:if test="${not empty customerEntry.idCardFront}">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${customerEntry.idCardFront}" height="700" width="1200"/>
                                            </div>
                                        </c:if>
                                    </div>
                                    <c:if test="${empty customerEntry.idCardFront}">
                                        <i class="blank-img"></i>
                                    </c:if>
                                    <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                </div>
                                <div>
                                    <div>
                                        <c:if test="${not empty customerEntry.idCardBack}">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${customerEntry.idCardBack}" height="700" width="1200"/>
                                            </div>
                                        </c:if>
                                    </div>
                                    <c:if test="${empty customerEntry.idCardBack}">
                                        <i class="blank-img"></i>
                                    </c:if>
                                    <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                </div>
                            </div>
                        </div>
                        <div class="layui-col-lg4 layui-col-sm4" style="margin-bottom: 24px">
                            <label class="layui-form-label" style="width: 140px">营业执照：</label>
                            <div class="layui-input-block img-box" style="margin-left: 140px">
                                <div>
                                    <div>
                                        <c:if test="${not empty orgFiles and not empty orgFiles.regnoUrl}">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${orgFiles.regnoUrl}" height="700" width="1200"/>
                                            </div>
                                        </c:if>
                                    </div>
                                    <c:if test="${empty orgFiles.regnoUrl}">
                                        <i class="blank-img"></i>
                                    </c:if>
                                </div>
                            </div>
                        </div>
                        <c:if test="${not empty customerEntry.bankCard}">
                        <div class="layui-col-lg4 layui-col-sm4" style="margin-bottom: 24px">
                            <label class="layui-form-label">银行卡照片：</label>
                            <div class="layui-input-block img-box">
                                <div>
                                    <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${customerEntry.bankCard}" height="700" width="1200"/>
                                                <input type="hidden" class="id-card-front" value="${customerEntry.bankCard}"/>
                                            </div>

                                    </div>
                                    <c:if test="${empty customerEntry.bankCard}">
                                        <i class="blank-img"></i>
                                    </c:if>
                                </div>
                            </div>
                        </div>
                        </c:if>
                        <c:if test="${info1.columns.house_ownership.status eq '1'}">
                            <div class="layui-row layui-col-space12 layui-form-item" style="margin-bottom: 24px">
                                <label class="layui-form-label">房产证明：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div>
                                            <c:if test="${not empty surveyRecord.houseOwnership}">
                                                <c:forEach items="${surveyRecord.houseOwnership}" var="img">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty surveyRecord.houseOwnership}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                    </div>
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <c:if test="${info5.columns.resolution_paper_url.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label"><c:if test="${info5.columns.resolution_paper_url.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>村民代表大会决议书：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div id="imgsDiv7">
                                            <c:if test="${not empty orgFiles.resolutionPaperUrl}">
                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader7')"></span>
                                                    <img src="${commonStaticImgPath}${orgFiles.resolutionPaperUrl}" height="700" width="1200"/>
                                                    <input type="hidden" class="resolutionPaperUrl" value="${orgFiles.resolutionPaperUrl}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty orgFiles.resolutionPaperUrl}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info5.columns.yszc_url.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label"><c:if test="${info5.columns.yszc_url.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>村委议事章程：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div  id="imgsDiv8">
                                            <c:if test="${not empty orgFiles.yszcUrl}">
                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader8')"></span>
                                                    <img src="${commonStaticImgPath}${orgFiles.yszcUrl}" height="700" width="1200"/>
                                                    <input type="hidden" class="yszcUrl" value="${orgFiles.yszcUrl}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty orgFiles.yszcUrl}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info5.columns.account_info_url.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label"><c:if test="${info5.columns.account_info_url.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>对公账户信息：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div id="imgsDiv9">
                                            <c:if test="${not empty orgFiles.accountInfoUrl}">
                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader9')"></span>
                                                    <img src="${commonStaticImgPath}${orgFiles.accountInfoUrl}" height="700" width="1200"/>
                                                    <input type="hidden" class="accountInfoUrl" value="${orgFiles.accountInfoUrl}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty orgFiles.accountInfoUrl}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                    </div>
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <c:if test="${info5.columns.ownership_certificate_url.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label"><c:if test="${info5.columns.ownership_certificate_url.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>产权证明-集体土地使用证：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div id="imgsDiv10">
                                            <c:if test="${not empty orgFiles.ownershipCertificateUrl}">
                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader10')"></span>
                                                    <img src="${commonStaticImgPath}${orgFiles.ownershipCertificateUrl}" height="700" width="1200"/>
                                                    <input type="hidden" class="ownershipCertificateUrl" value="${orgFiles.ownershipCertificateUrl}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty orgFiles.ownershipCertificateUrl}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info5.columns.other_ownership_certificate_url.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label"><c:if test="${info5.columns.other_ownership_certificate_url.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>产权证明-不动产证书/查册证明/相关确权文件：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div id="imgsDiv11">
                                            <c:if test="${not empty orgFiles.otherOwnershipCertificateUrl}">
                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader11')"></span>
                                                    <img src="${commonStaticImgPath}${orgFiles.otherOwnershipCertificateUrl}" height="700" width="1200"/>
                                                    <input type="hidden" class="otherOwnershipCertificateUrl" value="${orgFiles.otherOwnershipCertificateUrl}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty orgFiles.otherOwnershipCertificateUrl}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                    </div>
                </c:if>


                <div class="layui-row layui-col-space12 layui-form-item">
                    <c:if test="${info5.columns.contract_url.status eq '1'}">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label">农户合同：</label>
                            <div class="layui-input-block pos-r view-attachment">
                                <c:if test="${not empty report.contractUrl && customerEntry.isHistory eq '1' &&  partner.id eq '03' }">
                                    <a target="_blank" onclick="previewUrl('${commonStaticImgPath}${report.contractUrl}')" class="download-link">查看</a>
                                    <a target="_blank" href="${commonStaticImgPath}${report.contractUrl}" class="download-link">下载</a>
                                </c:if>
                                <c:if test="${not empty contractManagement && customerEntry.isHistory ne '1'  && (customerEntry.tenantType == '1' || partner.id eq '03') }">
                                    <c:choose>
                                        <c:when test="${partner.id eq '04'}">
                                            <c:if test="${contractManagement.status eq 'g' || contractManagement.status eq '5'}">
                                                <a class="h-32 lh-32 layui-span-unit lookBtn"
                                                   onclick="viewContract('${customerEntry.id}')" target="_blank"  style="color: #2890ac;">下载</a>
                                            </c:if>
                                        </c:when>
                                        <c:when test="${partner.id eq '03'}">
                                            <c:if test="${contractManagement.status eq 'e'}">
                                                <a class="h-32 lh-32 layui-span-unit lookBtn"
                                                   onclick="viewContract('${customerEntry.id}')" target="_blank"  style="color: #2890ac;">下载</a>
                                            </c:if>
                                        </c:when>
                                        <c:otherwise>
                                            <c:choose>
                                                <c:when test="${contractManagement.status eq '2' || contractManagement.status eq '3'  || contractManagement.status eq '5' }">
                                                    <a class="h-32 lh-32 layui-span-unit lookBtn"
                                                       onclick="viewContract('${customerEntry.id}')" target="_blank"  style="color: #2890ac;">查看</a>
                                                </c:when>
                                                <c:otherwise>
                                                    <a class="h-32 lh-32 layui-span-unit lookBtn"
                                                       onclick="viewContractDetail( '${customerEntry.id}' ,'00')" target="_blank"  style="color: #2890ac;">签约链接</a>
                                                    <c:if test="${contractManagement.ifClickSign == 1 && customerEntry.age >= 65}">
                                                        <a class="h-32 lh-32 ml-10 layui-span-unit lookBtn"
                                                           onclick="viewContractDetail( '${customerEntry.id}','01')" target="_blank"  style="color: #2890ac;">共签链接</a>
                                                    </c:if>
                                                </c:otherwise>
                                            </c:choose>
                                        </c:otherwise>
                                    </c:choose>
                                </c:if>
                            </div>
                        </div>
                    </c:if>
                    <%--<c:if test="${not empty contractManagement && customerEntry.tenantType == '1' }">
                        <c:if test="${info5.columns.contract_url.status eq '1'}">
                            <c:choose>
                                <c:when test="${partner.id eq '04'}">
                                    <c:if test="${contractManagement.status eq 'g'}">
                                        <div class="layui-col-lg4 layui-col-sm4">
                                            <label class="layui-form-label">农户合同：</label>
                                            <span class="form-span" style="color: blue;cursor: pointer"
                                                  onclick="viewContract2('${customerEntry.id}')">下载</span>
                                        </div>
                                    </c:if>
                                </c:when>
                                <c:when test="${partner.id eq '03'}">
                                    <c:if test="${contractManagement.status eq 'e'}">
                                        <div class="layui-col-lg4 layui-col-sm4">
                                            <label class="layui-form-label">农户合同：</label>
                                            <span class="form-span" style="color: blue;cursor: pointer"
                                                  onclick="viewContract('${customerEntry.id}')">下载</span>
                                        </div>
                                    </c:if>
                                </c:when>
                                <c:otherwise>
                                    <div class="layui-col-lg4 layui-col-sm4">
                                        <label class="layui-form-label">农户合同：</label>
                                        <c:choose>
                                            <c:when test="${contractManagement.status eq '2' || contractManagement.status eq '3'  || contractManagement.status eq '5' }">
                                                <span class="form-span" style="color: blue;cursor: pointer"
                                                      onclick="viewContract('${customerEntry.id}')">下载</span>
                                            </c:when>
                                            <c:otherwise>
                                                <span class="form-span" style="color: blue;cursor: pointer"
                                                      onclick="viewContractDetail( '${customerEntry.id}' ,'00')">签约链接</span>
                                                <c:if test="${contractManagement.ifClickSign == 1 && customerEntry.age >= 65}">
                                                    <span class="form-span" style="color: blue;cursor: pointer"
                                                          onclick="viewContractDetail( '${customerEntry.id}','01')">共签链接</span>
                                                </c:if>
                                            </c:otherwise>
                                        </c:choose>
                                    </div>
                                </c:otherwise>
                            </c:choose>
                        </c:if>
                    </c:if>--%>
                    <div class="layui-col-lg3 layui-col-sm3">
                        <label class="layui-form-label">信息授权书：</label>
                        <div class="layui-input-block pos-r view-attachment">
                            <c:if test="${not empty authorizationUrl && ('1' eq customerEntry.tenantType)}">
                                <a class="h-32 lh-32 layui-span-unit lookBtn" target="_blank" href="${commonStaticImgPath}${authorizationUrl}" style="color: #2890ac;">下载</a>
                                <a class="h-32 lh-32 ml-10 layui-span-unit lookBtn" onclick="previewUrl('${commonStaticImgPath}${authorizationUrl}')"target="_blank"  style="color: #2890ac;">查看</a>
                            </c:if>
                        </div>
                    </div>
                </div>

            </div>
            <%--            <c:if test="${!fn:contains('0w', customerEntry.status)}">--%>

            <c:if test="${not empty customerEntry.designAuditFlag  && '0' ne customerEntry.designAuditFlag}">
                <div class="layui-tab-content layui-hide ">
                    <c:if test="${info2.columns.box_group_set.status eq '1'}">
                       <div class="layui-form-item layui-row">
                           <div class="layui-col-sm3 layui-col-md3">
                               <label class="layui-form-label">并网方式：</label>
                               <span class="form-span">
                               <c:choose>
                                  <c:when test="${'1' eq recordBox.columns.type}">一户多站</c:when>
                                   <c:when test="${'2' eq recordBox.columns.type}">整村汇流</c:when>
                                   <c:otherwise>单户并网</c:otherwise>
                               </c:choose>
                               </span>
                           </div>

                           <c:if test="${'1' eq recordBox.columns.type || '2' eq recordBox.columns.type}">
                               <div class="layui-col-sm3 layui-col-md3">
                                   <label class="layui-form-label">本组电站个数：</label>
                                   <span class="form-span">${recordBox.columns.total_count}</span>
                               </div>
                               <div class="layui-col-sm3 layui-col-md3">
                                   <label class="layui-form-label">汇流组编号：</label>
                                   <span class="form-span">${recordBox.columns.group_number}</span>
                               </div>
                               <div class="layui-col-sm3 layui-col-md3">
                                   <label class="layui-form-label">汇流组名称：</label>
                                   <span class="form-span">${recordBox.columns.group_name}</span>
                               </div>
                           </c:if>
                       </div>
                    </c:if>
                    <div class="layui-form-item layui-row kcDiv">
                        <div class="layui-col-sm6 layui-col-md6">
                            <label class="layui-form-label">安装地址：</label>
                            <span class="form-span">
                                <c:choose>
                                    <c:when test="${customerEntry.province eq customerEntry.city}">
                                        ${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                    </c:when>
                                    <c:otherwise>
                                        ${customerEntry.province}${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                    </c:otherwise>
                                </c:choose>
                            </span>
                        </div>

                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">屋顶类型：</label>
                            <span class="form-span">${surveyRecord.roofType}</span>
                        </div>

                        <c:if test="${info2.columns.seal_roof.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">是否封屋顶：</label>
                                <span class="form-span">${'1' eq surveyRecord.sealRoof ?'是':'否'}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.angle_azimuth.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="angle_azimuth">
                                <label class="layui-form-label">方位角：</label>
                                <div class="form-span" style="display: flex">
                                  <c:forEach items="${angleAzimuthList}" var="angleAzimuth" >
                                      <option value="${angleAzimuth.columns.dict_key}"><c:if test="${surveyRecord.azimuth eq angleAzimuth.columns.dict_key}">${angleAzimuth.columns.dict_value}</c:if></option>
                                  </c:forEach>
                                  <c:if test="${not empty surveyRecord.angle}">
                                      <div style="flex: 1" >&nbsp;&nbsp;${surveyRecord.angle}度</div>
                                  </c:if>
                                </div>
                            </div>
                        </c:if>

                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="completion_year">
                                <c:choose>
                                    <c:when test="${info2.columns.completion_year_03.status eq '1'}">
                                        <label class="layui-form-label">建筑年限：</label>
                                    </c:when>
                                    <c:when test="${info2.columns.completion_year.status eq '1'}">
                                        <label class="layui-form-label">房屋建成年份：</label>
                                    </c:when>
                                </c:choose>
                                <span class="form-span">${surveyRecord.completionYear}</span>
                            </div>

                        <div class="layui-col-sm3 layui-col-md3 rfType" data-value="building_height">
                            <label class="layui-form-label">建筑高度：</label>
                            <span class="form-span">
                                ${surveyRecord.buildingHeight} ${empty surveyRecord.buildingHeight ? "" : "米"}
                            </span>
                        </div>

                        <c:if test="${surveyRecord.roofType eq '斜屋顶'}">
                            <c:if test="${info2.columns.slope_gradient.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">屋面坡度：</label>
                                    <span class="form-span">${surveyRecord.slopeGradient}${empty surveyRecord.slopeGradient ? "" : "度"}</span>
                                </div>
                            </c:if>

                            <c:if test="${info2.columns.purline_interval.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">檩条间距：</label>
                                    <span class="form-span">${surveyRecord.purlineInterval}${empty surveyRecord.purlineInterval ? "" : "米"}</span>
                                </div>
                            </c:if>
                        </c:if>

                            <c:if test="${info2.columns.waterproof.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">屋顶防水情况：</label>
                                    <span class="form-span">${'1' eq surveyRecord.waterproof ?'一般':'良好'}</span>
                                </div>
                            </c:if>

                            <c:if test="${info2.columns.source_pollution.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">是否有污染源：</label>
                                    <span class="form-span">${'1' eq surveyRecord.sourcePollution ?'有':'没有'}</span>
                                </div>
                            </c:if>

                            <c:if test="${info2.columns.ops_condition.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label" style="width: 140px">是否具备运维空间：</label>
                                    <span class="form-span">${'1' eq surveyRecord.opsCondition ?'具备':'不具备'}</span>
                                </div>
                            </c:if>

                            <c:if test="${info2.columns.voltage_classes.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">并网电压等级：</label>
                                    <span class="form-span"><fmt:formatNumber value="${surveyRecord.voltageClasses}"></fmt:formatNumber>${empty surveyRecord.voltageClasses?'':'V'}</span>
                                </div>
                            </c:if>

                            <c:if test="${info2.columns.transformer_capacity.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">变压器容量：</label>
                                    <span class="form-span">${surveyRecord.transformerCapacity}${empty surveyRecord.transformerCapacity?'':'kVA'}</span>
                                </div>
                            </c:if>

                            <c:if test="${info2.columns.restrict_flag.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label" style="width: 210px">是否符合变压器容量限制要求：</label>
                                    <span class="form-span">${'1' eq surveyRecord.restrictFlag?'符合':'不符合'}</span>
                                </div>
                            </c:if>

                            <c:if test="${info2.columns.distance.status eq '1'}">
                                <div class="layui-col-sm3 layui-col-md3">
                                    <label class="layui-form-label">并网距离：</label>
                                    <span class="form-span">${surveyRecord.distance} ${empty surveyRecord.distance ? "" : "米"}</span>
                                </div>
                            </c:if>

                        <div class="layui-col-lg3 layui-col-sm3 rfType" data-value="dip_angle">
                            <c:choose>
                                <c:when test="${info2.columns.dip_angle.status eq '1'}">
                                    <label class="layui-form-label">组件倾角：</label>
                                </c:when>
                                <c:when test="${info2.columns.dip_angle_03.status eq '1'}">
                                    <label class="layui-form-label">倾角：</label>
                                </c:when>
                            </c:choose>
                            <span class="form-span">${surveyRecord.dipAngle} ${empty surveyRecord.dipAngle ? "" : "度"}</span>
                        </div>

                        <c:if test="${info2.columns.remarks.status eq '1'}">
                            <div class="layui-col-xs12">
                                <label class="layui-form-label">备注：</label>
                                <span class="form-span">
                                        ${customerEntry.remarks}
                                </span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.ew_length.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="ew_length">
                                <label class="layui-form-label">东西长：</label>
                                <span class="form-span">${surveyRecord.ewLength} ${empty surveyRecord.ewLength ? "" : "米"}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.ns_wide.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="ns_wide">
                                <label class="layui-form-label">南北宽：</label>
                                <span class="form-span">${surveyRecord.nsWide} ${empty surveyRecord.nsWide ? "" : "米"}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.roof_area.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="roof_area">
                                <label class="layui-form-label">屋顶面积：</label>
                                <span class="form-span">${surveyRecord.roofArea} ${empty surveyRecord.roofArea ? "" : "㎡"}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.roof_face_thickness.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="roof_face_thickness">
                                <label class="layui-form-label">屋面板厚度：</label>
                                <span class="form-span">${surveyRecord.roofFaceThickness} ${empty surveyRecord.roofFaceThickness ? "" : "mm"}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.structure_type.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="structure_type">
                                <label class="layui-form-label">结构类型：</label>
                                <span class="form-span">${surveyRecord.structureType}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.site_slope.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="site_slope">
                                <label class="layui-form-label">场地坡度：</label>
                                <span class="form-span">${surveyRecord.siteSlope}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.ground_type.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="ground_type">
                                <label class="layui-form-label">地面类型：</label>
                                <span class="form-span">${surveyRecord.groundType}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.geological_condition.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="geological_condition">
                                <label class="layui-form-label">地质情况：</label>
                                <span class="form-span">${surveyRecord.geologicalCondition}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.fence_height.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3 rfType" data-value="fence_height">
                                <label class="layui-form-label">围墙高度：</label>
                                <span class="form-span">${surveyRecord.fenceHeight} ${empty surveyRecord.fenceHeight ? "" : "m"}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.longitude.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3">
                                <label class="layui-form-label">经度：</label>
                                <span class="form-span">${customerEntry.longitude}</span>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.latitude.status eq '1'}">
                            <div class="layui-col-sm3 layui-col-md3">
                                <label class="layui-form-label">纬度：</label>
                                <span class="form-span">${customerEntry.latitude}</span>
                            </div>
                        </c:if>


                        <div class="layui-col-lg12 ">
                            <c:set var="indexNum" value="1"/>
                            <table class="layui-table" style="margin: 0 10px 0 0;">
                                <c:if test="${info2.columns.fly_imgs.status eq '1' || info2.columns.fly_imgs_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、
                                            <c:choose>
                                                <c:when test="${info2.columns.fly_imgs.status eq '1'}">
                                                    无人机航拍图
                                                </c:when>
                                                <c:when test="${info2.columns.fly_imgs_04.status eq '1'}">
                                                    屋顶高空俯视照片
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="flyImgsDiv">
                                                        <c:if test="${not empty surveyRecord.flyImgs}">
                                                            <c:forEach var="quaim" items="${surveyRecord.flyImgs.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="flyImgs" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.flyImgs}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_one.status eq '1' || info2.columns.roof_photo_one_03.status eq '1'}">
                                <tr style="height: 100px">
                                    <c:choose>
                                        <c:when test="${info2.columns.roof_photo_one.status eq '1'}">
                                            <td width="15%">${indexNum}、整体照片</td>
                                        </c:when>
                                        <c:when test="${info2.columns.roof_photo_one_03.status eq '1'}">
                                            <td width="15%">${indexNum}、房屋屋顶照片</td>
                                        </c:when>
                                    </c:choose>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <div id="roofPhotoOneDiv">
                                                    <c:if test="${not empty surveyRecord.roofPhotoOne}">
                                                        <c:forEach var="quaim"
                                                                   items="${surveyRecord.roofPhotoOne.split(',')}"
                                                                   varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                     width="1200">
                                                                <input type="hidden" class="roofPhotoOne" value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty surveyRecord.roofPhotoOne}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_two.status eq '1' || info2.columns.roof_photo_two_03.status eq '1' || info2.columns.roof_photo_two_04.status eq '1'}">
                                <tr style="height: 100px">
                                    <c:choose>
                                        <c:when test="${info2.columns.roof_photo_two.status eq '1'}">
                                            <td width="15%">${indexNum}、东南角照片</td>
                                        </c:when>
                                        <c:when test="${info2.columns.roof_photo_two_03.status eq '1'}">
                                            <td width="15%">${indexNum}、房屋屋顶东侧图片</td>
                                        </c:when>
                                        <c:when test="${info2.columns.roof_photo_two_04.status eq '1'}">
                                            <td width="15%">${indexNum}、屋顶东南照片</td>
                                        </c:when>
                                    </c:choose>
                                    <td width="80%">

                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <div id="roofPhotoTwoDiv">
                                                    <c:if test="${not empty surveyRecord.roofPhotoTwo}">
                                                        <c:forEach var="quaim"
                                                                   items="${surveyRecord.roofPhotoTwo.split(',')}"
                                                                   varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                     width="1200">
                                                                <input type="hidden" class="roofPhotoTwo" value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty surveyRecord.roofPhotoTwo}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>

                                </c:if>

                                <c:if test="${info2.columns.roof_photo_four.status eq '1' || info2.columns.roof_photo_four_03.status eq '1' || info2.columns.roof_photo_four_04.status eq '1'}">
                                <tr style="height: 100px">
                                    <c:choose>
                                        <c:when test="${info2.columns.roof_photo_four.status eq '1'}">
                                            <td width="15%">${indexNum}、正南照片</td>
                                        </c:when>
                                        <c:when test="${info2.columns.roof_photo_four_03.status eq '1'}">
                                            <td width="15%">${indexNum}、房屋屋顶南侧图片</td>
                                        </c:when>
                                        <c:when test="${info2.columns.roof_photo_four_04.status eq '1'}">
                                            <td width="15%">${indexNum}、屋顶正南照片</td>
                                        </c:when>
                                    </c:choose>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <div id="roofPhotoFourDiv">
                                                    <c:if test="${not empty surveyRecord.roofPhotoFour}">
                                                        <c:forEach var="quaim"
                                                                   items="${surveyRecord.roofPhotoFour.split(',')}"
                                                                   varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                     width="1200">
                                                                <input type="hidden" class="roofPhotoFour" value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty surveyRecord.roofPhotoFour}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_three.status eq '1' || info2.columns.roof_photo_three_03.status eq '1' || info2.columns.roof_photo_three_04.status eq '1'}">
                                <tr style="height: 100px">
                                    <c:choose>
                                        <c:when test="${info2.columns.roof_photo_three.status eq '1'}">
                                            <td width="15%">${indexNum}、西南角照片</td>
                                        </c:when>
                                        <c:when test="${info2.columns.roof_photo_three_03.status eq '1'}">
                                            <td width="15%">${indexNum}、房屋屋顶西侧图片</td>
                                        </c:when>
                                        <c:when test="${info2.columns.roof_photo_three_04.status eq '1'}">
                                            <td width="15%">${indexNum}、屋顶西南照片</td>
                                        </c:when>
                                    </c:choose>
                                    <td width="80%">
                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <div id="roofPhotoThreeDiv">
                                                    <c:if test="${not empty surveyRecord.roofPhotoThree}">
                                                        <c:forEach var="quaim"
                                                                   items="${surveyRecord.roofPhotoThree.split(',')}"
                                                                   varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                     width="1200">
                                                                <input type="hidden" class="roofPhotoThree"
                                                                       value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty surveyRecord.roofPhotoThree}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img3.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋屋顶东南侧照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg3Div">
                                                        <c:if test="${not empty surveyRecord.fwImg3}">
                                                            <c:forEach var="quaim"  items="${surveyRecord.fwImg3.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg3" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.fwImg3}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img4.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋屋顶西南侧照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg4Div">
                                                        <c:if test="${not empty surveyRecord.fwImg4}">
                                                            <c:forEach var="quaim"  items="${surveyRecord.fwImg4.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg4" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.fwImg4}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img5.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、遮阴物与房屋距离、高度</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg5Div">
                                                        <c:if test="${not empty surveyRecord.fwImg5}">
                                                            <c:forEach var="quaim"  items="${surveyRecord.fwImg5.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg5" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.fwImg5}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.roof_photo_five.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、细节照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoFiveDiv">
                                                        <c:if test="${not empty surveyRecord.roofPhotoFive}">
                                                            <c:forEach var="quaim"
                                                                       items="${surveyRecord.roofPhotoFive.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoFive" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.roofPhotoFive}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_interior.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、内部环境照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoInteriorDiv">
                                                        <c:if test="${not empty surveyRecord.roofPhotoInterior}">
                                                            <c:forEach var="quaim"
                                                                       items="${surveyRecord.roofPhotoInterior.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoInterior"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.roofPhotoInterior}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_facade.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、内部结构照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoFacadeDiv">
                                                        <c:if test="${not empty surveyRecord.roofPhotoFacade}">
                                                            <c:forEach var="quaim"
                                                                       items="${surveyRecord.roofPhotoFacade.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoFacade"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.roofPhotoFacade}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.detail_supplement_one.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、逆变器、配电箱预安装位置照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="detailSupplementOneDiv">
                                                        <c:if test="${not empty surveyRecord.detailSupplementOne}">
                                                            <c:forEach var="quaim"
                                                                       items="${surveyRecord.detailSupplementOne.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="detailSupplementOne"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.detailSupplementOne}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.house_supplement_one.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、其他障碍物照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="houseSupplementOneDiv">
                                                        <c:if test="${not empty surveyRecord.houseSupplementOne}">
                                                            <c:forEach var="quaim"
                                                                       items="${surveyRecord.houseSupplementOne.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="houseSupplementOne"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.houseSupplementOne}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>


                                <c:if test="${info2.columns.house_outline_photo.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋轮廓照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="houseOutlinePhotoDiv">
                                                        <c:if test="${not empty surveyRecord.houseOutlinePhoto}">
                                                            <c:forEach var="quaim"
                                                                       items="${surveyRecord.houseOutlinePhoto.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="houseOutlinePhoto"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.houseOutlinePhoto}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.survey_video.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、踏勘补充证明视频</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div>
                                                        <c:if test="${not empty surveyRecord.surveyVideo}">
                                                            <c:forEach var="quaim" items="${surveyRecord.surveyVideo.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <video controls
                                                                           src="${commonStaticImgPath}${quaim}"
                                                                           height="80px" width="80px"></video>
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.house_ownership.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、<c:if test="${info2.columns.house_ownership.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房产证图片(1-8张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="houseOwnershipDiv">
                                                        <c:if test="${not empty surveyRecord.houseOwnership}">
                                                            <c:forEach var="quaim"
                                                                       items="${surveyRecord.houseOwnership.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="houseOwnership"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.houseOwnership}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.survey_files.status eq '1' || info2.columns.survey_files_03.status eq '1' || info2.columns.survey_files_04.status eq '1'}">
                                <tr style="height: 100px">
                                    <c:choose>
                                        <c:when test="${info2.columns.survey_files.status eq '1'}">
                                            <td width="15%">${indexNum}、踏勘记录表</td>
                                        </c:when>
                                        <c:when test="${info2.columns.survey_files_03.status eq '1'}">
                                            <td width="15%">${indexNum}、户用勘察记录表（附平面草图）</td>
                                        </c:when>
                                        <c:when test="${info2.columns.survey_files_04.status eq '1'}">
                                            <td width="15%">${indexNum}、现场勘测表</td>
                                        </c:when>
                                    </c:choose>
                                    <td width="80%">
                                        <div class="layui-input-inline img-box" style="margin-left: 20px;">
                                            <div style="display: flex;flex-wrap: wrap;">
                                                <c:choose>
                                                    <c:when test="${not empty surveyRecord.surveyFiles}">
                                                        <c:forEach items="${surveyRecord.surveyFiles}" var="file"
                                                                   varStatus="vs">
                                                            <div <c:if test="${vs.count eq 0}">style="margin-top: 5px"</c:if>>
                                                                <a href="${commonStaticImgPath}${file}" download="${file}"
                                                                   class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                                <a onclick="previewUrl('${commonStaticImgPath}${file}')"
                                                                   class="download-link">查看</a>
                                                            </div>
                                                        </c:forEach>
                                                    </c:when>
                                                </c:choose>
                                            </div>
                                        </div>
                                    </td>
                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img1.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋整体图</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg1Div">
                                                        <c:if test="${not empty surveyRecord.fwImg1}">
                                                            <c:forEach var="quaim"  items="${surveyRecord.fwImg1.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg1" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.fwImg1}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.vr_roof_one.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋整体图（VR全景）</td>
                                        <td width="80%">
                                            <div style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:if test="${not empty surveyRecord.vrRoofOne}">
                                                        <c:forEach var="quaim"  items="${surveyRecord.vrRoofOne.split(',')}"  varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                                                <input type="hidden" class="vrRoofOne"  value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty surveyRecord.vrRoofOne}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.vr_roof_two.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋整体俯视图（无人机）</td>
                                        <td width="80%">
                                            <div style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:if test="${not empty surveyRecord.vrRoofTwo}">
                                                        <c:forEach var="quaim"  items="${surveyRecord.vrRoofTwo.split(',')}"  varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                                                <input type="hidden" class="vrRoofTwo"  value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty surveyRecord.vrRoofTwo}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.vr_roof_three.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋内部结构图（VR）</td>
                                        <td width="80%">
                                            <div  style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:if test="${not empty surveyRecord.vrRoofThree}">
                                                        <c:forEach var="quaim"  items="${surveyRecord.vrRoofThree.split(',')}"  varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                                                <input type="hidden" class="vrRoofThree"  value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty surveyRecord.vrRoofThree}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img2.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋内部结构图</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg2Div">
                                                        <c:if test="${not empty surveyRecord.fwImg2}">
                                                            <c:forEach var="quaim"  items="${surveyRecord.fwImg2.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg2" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.fwImg2}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.vr_roof_four.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、 入户全景照片（VR）</td>
                                        <td width="80%">
                                            <div  style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:if test="${not empty surveyRecord.vrRoofFour}">
                                                        <c:forEach var="quaim"  items="${surveyRecord.vrRoofFour.split(',')}"  varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                                                <input type="hidden" class="vrRoofFour"  value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty surveyRecord.vrRoofFour}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.vr_roof_four_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、入户全景照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="vrRoofFourDiv">
                                                        <c:if test="${not empty surveyRecord.vrRoofFour}">
                                                            <c:forEach var="quaim"
                                                                       items="${surveyRecord.vrRoofFour.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="vrRoofFour"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty surveyRecord.vrRoofFour}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                            </table>
                        </div>


                    </div>
                </div>
            </c:if>

            <c:if test="${customerEntry.schemeType eq '2' || not empty customerEntry.schemeId}">
                <div class="layui-tab-content layui-hide">
                    <iframe class="page-iframe"
                            src="${ctx}/planManage/viewMatchedPlan?&readOnly=1&entryId=${customerEntry.id}"></iframe>
                </div>
                <%-- </c:if>--%>
            </c:if>
            <c:if test="${!fn:contains('0123wh', customerEntry.status)}">
                <div class="layui-tab-content layui-hide">
<%--                    <iframe class="page-iframe" src="${ctx}/customerEntry/toCompleteInfoPage?id=${customerEntry.id}"></iframe>--%>
                            <div class="layui-tab layui-tab-brief">
                                <ul class="layui-tab-title">
                                    <li class="layui-this" onclick="openFinish('1')">安装物料</li>
                                    <li onclick="openFinish('2')">完工资料</li>
                                </ul>
                                <div style="display: flex;padding: 20px 0">
                                    <div style="margin-left: 170px">物料安装状态：<input type="checkbox" name="materialFixFlag" title="安装已完成"
                                                                                        lay-skin="primary" <c:if test="${customerEntry.materialFixFlag eq '1'}">checked</c:if> disabled/>
                                    </div>
                                    <div style="margin-left: 20px">实际安装容量(W)：${customerEntry.actualCapacity}</div>
                                </div>
                                <div class="layui-tab-content1 anzwl">
                                    <div style="display: flex;">
                                        <div style="width: 10%">
                                            <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                                                <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                                        onclick="changeMaterialTab(0)">组件
                                                </button>
                                            </div>
                                            <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                                                <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                                        onclick="changeMaterialTab(1)">逆变器
                                                </button>
                                            </div>
                                            <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                                                <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                                        onclick="changeMaterialTab(2)">其它
                                                </button>
                                            </div>
                                        </div>
                                        <div style="width: 90%;">
                                            <table class="layui-table materialTable" style="margin: 0 10px 0 0;">
                                                <thead>
                                                <tr style="text-align: center">
                                                    <th style="text-align: center">序号</th>
                                                    <th style="text-align: center">物料代码</th>
                                                    <th style="text-align: center">物料名称</th>
                                                    <th style="text-align: center">物料规格</th>
                                                    <th style="text-align: center">物料型号</th>
                                                    <th style="text-align: center">品牌</th>
                                                    <th style="text-align: center">物料条码</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <c:forEach items="${zjList}" varStatus="vs" var="material">
                                                    <tr style="text-align: center">
                                                        <td>${vs.count}</td>
                                                        <td>${material.columns.code}</td>
                                                        <td>${material.columns.name}</td>
                                                        <td>${material.columns.spec}</td>
                                                        <td>
                                                            <c:choose>
                                                                <c:when test="${not empty material.columns.model}">
                                                                    ${material.columns.model}
                                                                </c:when>
                                                                <c:otherwise>
                                                                    ${material.columns.material_model}
                                                                </c:otherwise>
                                                            </c:choose>
                                                        </td>
                                                        <td>${material.columns.brand}</td>
                                                        <td>${material.columns.barcode}</td>
                                                    </tr>
                                                </c:forEach>
                                                </tbody>
                                            </table>
                                            <table class="layui-table materialTable layui-hide" style="margin: 0 10px 0 0;">
                                                <thead>
                                                <tr style="text-align: center">
                                                    <th style="text-align: center">序号</th>
                                                    <th style="text-align: center">物料代码</th>
                                                    <th style="text-align: center">物料名称</th>
                                                    <th style="text-align: center">物料规格</th>
                                                    <th style="text-align: center">物料型号</th>
                                                    <th style="text-align: center">品牌</th>
                                                    <th style="text-align: center">物料条码</th>
                                                    <th style="text-align: center">SN码</th>
                                                    <th style="text-align: center">通讯棒SN码</th>
                                                    <th style="text-align: center">验证码</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <c:forEach items="${nbqList}" varStatus="vs" var="material">
                                                    <tr style="text-align: center">
                                                        <td>${vs.count}</td>
                                                        <td>${material.columns.code}</td>
                                                        <td>${material.columns.name}</td>
                                                        <td>${material.columns.spec}</td>
                                                        <td>
                                                            <c:choose>
                                                                <c:when test="${not empty material.columns.model}">
                                                                    ${material.columns.model}
                                                                </c:when>
                                                                <c:otherwise>
                                                                    ${material.columns.material_model}
                                                                </c:otherwise>
                                                            </c:choose>
                                                        </td>
                                                        <td>${material.columns.brand}</td>
                                                        <td>${material.columns.barcode}</td>
                                                        <td>${material.columns.nbq_sn}</td>
                                                        <td>${material.columns.sn}</td>
                                                        <c:choose>
                                                            <c:when test="${material.columns.brand eq '固德威' || material.columns.brand eq '爱士惟'}">
                                                                <td>${material.columns.yz_code}</td>
                                                            </c:when>
                                                            <c:otherwise>
                                                                <td>--</td>
                                                            </c:otherwise>
                                                        </c:choose>
                                                    </tr>
                                                </c:forEach>
                                                </tbody>
                                            </table>
                                            <table class="layui-table materialTable layui-hide" style="margin: 0 10px 0 0;">
                                                <thead>
                                                <tr>
                                                    <th>序号</th>
                                                    <th>物料代码</th>
                                                    <th>物料名称</th>
                                                    <th>物料规格</th>
                                                    <th>物料型号</th>
                                                    <th>品牌</th>
                                                    <th>数量</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <c:forEach items="${otherList}" varStatus="vs" var="material">
                                                    <tr>
                                                        <td>${vs.count}</td>
                                                        <td>${material.columns.code}</td>
                                                        <td>${material.columns.name}</td>
                                                        <td>${material.columns.spec}</td>
                                                        <td>${material.columns.material_model}</td>
                                                        <td>${material.columns.brand}</td>
                                                        <td>${material.columns.amount}</td>
                                                    </tr>
                                                </c:forEach>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="layui-tab-content1 wgzl layui-hide">
                                    <c:set var="indexNum" value="1"/>
                                    <table class="layui-table" style="margin: 0 10px 0 0;">
                                        <c:if test="${info3.columns.filing_document_photo.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、项目备案证</td>
                                                <td width="80%">
                                                    <div class="layui-input-inline img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty surveyRecord.filingDocumentPhoto}">
                                                                    <c:forEach items="${surveyRecord.filingDocumentPhoto}" var="file">
                                                                        <div class="file-name" style="display: flex">
                                                                            <a href="${commonStaticImgPath}${file}" download="${file}" class="download-link" >${file.substring(file.lastIndexOf('/') + 1)}</a>
                                                                            <a  target="_blank" onclick="previewUrl('${commonStaticImgPath}${file}')"  class="download-link" >查看</a>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <c:if test="${info3.columns.filing_document_code.status eq '1'}">
                                                        <span>备案代码：${surveyRecord.filingDocumentCode}</span>
                                                    </c:if>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${contractUrlFlag eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、合同</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <c:choose>
                                                                <c:when test="${not empty report.contractUrl}">
                                                                    <c:forEach items="${report.contractUrl}" var="file">
                                                                        <div class="file-name" style="display: flex">
                                                                            <a href="${commonStaticImgPath}${file}" download="${file}"
                                                                               class="download-link">${file.substring(file.lastIndexOf('/') + 1)}</a>
                                                                            <a target="_blank"
                                                                               onclick="previewUrl('${commonStaticImgPath}${file}')"
                                                                               class="download-link">查看</a>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${customerEntry.tenantType eq '2'}">
                                            <c:if test="${info3.columns.other_imgs1.status eq '1'}">
                                                <tr style="height: 100px">
                                                    <td width="15%">${indexNum}、银行印鉴留样</td>
                                                    <td width="80%">
                                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                            <div>
                                                                <div>
                                                                    <c:if test="${not empty report.otherImgs1}">
                                                                        <c:forEach items="${report.otherImgs1}" var="img">
                                                                            <div class="bj-img imgSpan array">
                                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                            </div>
                                                                        </c:forEach>
                                                                    </c:if>
                                                                    <c:if test="${empty report.otherImgs1}">
                                                                        <div class="bj-img imgSpan">
                                                                            <i class="blank-img"></i>
                                                                        </div>
                                                                    </c:if>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                                </tr>
                                            </c:if>
                                            <c:if test="${info3.columns.other_imgs2.status eq '1'}">
                                                <tr style="height: 100px">
                                                    <td width="15%">${indexNum}、签约现场照片-法定代表人/负责人签字照</td>
                                                    <td width="80%">
                                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                            <div>
                                                                <div>
                                                                    <c:if test="${not empty report.otherImgs2}">
                                                                        <c:forEach items="${report.otherImgs2}" var="img">
                                                                            <div class="bj-img imgSpan array">
                                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                            </div>
                                                                        </c:forEach>
                                                                    </c:if>
                                                                    <c:if test="${empty report.otherImgs2}">
                                                                        <div class="bj-img imgSpan">
                                                                            <i class="blank-img"></i>
                                                                        </div>
                                                                    </c:if>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                                </tr>
                                            </c:if>
                                            <c:if test="${info3.columns.other_imgs3.status eq '1'}">
                                                <tr style="height: 100px">
                                                    <td width="15%">${indexNum}、签约现场照片-正脸、持笔/持印、合同签署页同框</td>
                                                    <td width="80%">
                                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                            <div>
                                                                <div>
                                                                    <c:if test="${not empty report.otherImgs3}">
                                                                        <c:forEach items="${report.otherImgs3}" var="img">
                                                                            <div class="bj-img imgSpan array">
                                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                            </div>
                                                                        </c:forEach>
                                                                    </c:if>
                                                                    <c:if test="${empty report.otherImgs3}">
                                                                        <div class="bj-img imgSpan">
                                                                            <i class="blank-img"></i>
                                                                        </div>
                                                                    </c:if>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                                </tr>
                                            </c:if>
                                            <c:if test="${info3.columns.other_imgs4.status eq '1'}">
                                                <tr style="height: 100px">
                                                    <td width="15%">${indexNum}、签署完成照片</td>
                                                    <td width="80%">
                                                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                            <div>
                                                                <div>
                                                                    <c:if test="${not empty report.otherImgs4}">
                                                                        <c:forEach items="${report.otherImgs4}" var="img">
                                                                            <div class="bj-img imgSpan array">
                                                                                <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                            </div>
                                                                        </c:forEach>
                                                                    </c:if>
                                                                    <c:if test="${empty report.otherImgs4}">
                                                                        <div class="bj-img imgSpan">
                                                                            <i class="blank-img"></i>
                                                                        </div>
                                                                    </c:if>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <c:set var="indexNum" value="${indexNum+1}"/>
                                                </tr>
                                            </c:if>
                                        </c:if>
                                        <c:if test="${info3.columns.dzjc1.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、电站基础-主屋</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.dzjc1}">
                                                                    <c:forEach items="${report.dzjc1}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.dzjc1}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.dzjc2.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、电站基础-副屋</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.dzjc2}">
                                                                    <c:forEach items="${report.dzjc2}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.dzjc2}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img1.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架正面照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg1}">
                                                                    <c:forEach items="${report.zjImg1}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg1}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img2.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架侧视图</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg2}">
                                                                    <c:forEach items="${report.zjImg2}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg2}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img3.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架北侧图</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg3}">
                                                                    <c:forEach items="${report.zjImg3}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg3}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img4.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架型号照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg4}">
                                                                    <c:forEach items="${report.zjImg4}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg4}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img5.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、航拍图照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg5}">
                                                                    <c:forEach items="${report.zjImg5}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg5}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.component_img1.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、组件倾角照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.componentImg1}">
                                                                    <c:forEach items="${report.componentImg1}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.componentImg1}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.component_img2.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、组件方位角照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.componentImg2}">
                                                                    <c:forEach items="${report.componentImg2}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.componentImg2}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.size_measure_imgs.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、屋顶线缆安装照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.sizeMeasureImgs}">
                                                                    <c:forEach items="${report.sizeMeasureImgs}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.sizeMeasureImgs}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.fix_other_img.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、线缆下墙照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.fixOtherImg}">
                                                                    <c:forEach items="${report.fixOtherImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.fixOtherImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.total_imgs.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、逆变器组串接入照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.totalImgs}">
                                                                    <c:forEach items="${report.totalImgs}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.totalImgs}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.bw_inner_img.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、并网箱内部照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.bwInnerImg}">
                                                                    <c:forEach items="${report.bwInnerImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.bwInnerImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.dc_imgs.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、逆变器安装照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.dcImgs}">
                                                                    <c:forEach items="${report.dcImgs}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.dcImgs}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.nbq_zb_img.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、并网箱逆变器整体照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.nbqZbImg}">
                                                                    <c:forEach items="${report.nbqZbImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.nbqZbImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.other_imgs8.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、并网箱逆变器防雨罩照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.otherImgs8}">
                                                                    <c:forEach items="${report.otherImgs8}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.otherImgs8}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.dqsb_an_img_one.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、逆变器注册截图照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.dqsbAnImgOne}">
                                                                    <c:forEach items="${report.dqsbAnImgOne}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.dqsbAnImgOne}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.nbq_plate_img.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、逆变器铭牌照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.nbqPlateImg}">
                                                                    <c:forEach items="${report.nbqPlateImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.nbqPlateImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_plate_img.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、组件铭牌照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjPlateImg}">
                                                                    <c:forEach items="${report.zjPlateImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjPlateImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.open_way_voltage_imgs.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、开路电压图</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.openWayVoltageImgs}">
                                                                    <c:forEach items="${report.openWayVoltageImgs}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.openWayVoltageImgs}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img1.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、组件与组件之间接地照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg1}">
                                                                    <c:forEach items="${report.jdImg1}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg1}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img2.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、组件与支架接地照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg2}">
                                                                    <c:forEach items="${report.jdImg2}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg2}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img3.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架与接地扁铁连接照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg3}">
                                                                    <c:forEach items="${report.jdImg3}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg3}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img4.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、接地扁铁下墙照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg4}">
                                                                    <c:forEach items="${report.jdImg4}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg4}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img5.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架接地电阻照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg5}">
                                                                    <c:forEach items="${report.jdImg5}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg5}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img6.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、电气接地电阻照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg6}">
                                                                    <c:forEach items="${report.jdImg6}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg6}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_report.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、自检记录报告</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjReport}">
                                                                    <c:forEach items="${report.zjReport}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjReport}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <%-- 广发新增字段 --%>
                                        <c:if test="${info3.columns.safety_warning_img2.status eq '1' || info3.columns.safety_warning_img2_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <c:choose>
                                                    <c:when test="${info3.columns.safety_warning_img2.status eq '1'}">
                                                        <td width="15%">${indexNum}、三级安全教育卡</td>
                                                    </c:when>
                                                    <c:when test="${info3.columns.safety_warning_img2_03.status eq '1'}">
                                                        <td width="15%">${indexNum}、施工安全图-三级安全教育</td>
                                                    </c:when>
                                                </c:choose>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.safetyWarningImg2}">
                                                                    <c:forEach items="${report.safetyWarningImg2}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.safetyWarningImg2}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.safety_warning_img3.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、施工安全图-开工前站班会（施工安全用品：安全帽、安全绳、反光衣、工作鞋）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.safetyWarningImg3}">
                                                                    <c:forEach items="${report.safetyWarningImg3}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.safetyWarningImg3}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.safety_warning_img.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、施工安全图-安全警示牌</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.safetyWarningImg}">
                                                                    <c:forEach items="${report.safetyWarningImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.safetyWarningImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.safety_disclose_doc_img.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、施工安全图-安全技术交底书</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.safetyDiscloseDocImg}">
                                                                    <c:forEach items="${report.safetyDiscloseDocImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.safetyDiscloseDocImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img10.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、基础安装-螺栓孔洞防水图(不少于3张)</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg10}">
                                                                    <c:forEach items="${report.zjImg10}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg10}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img11.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、基础安装-柱脚防水完工图</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg11}">
                                                                    <c:forEach items="${report.zjImg11}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg11}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img5_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架安装图-支架安装完成VR图</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg5}">
                                                                    <c:forEach items="${report.zjImg5}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg5}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img8.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架安装图-支架方阵（东向西完工照）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg8}">
                                                                    <c:forEach items="${report.zjImg8}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg8}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img9.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架安装图-支架方阵（北向南完工照）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg9}">
                                                                    <c:forEach items="${report.zjImg9}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg9}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img4_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架安装图-立柱东西间距、南北间距（带尺寸）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg4}">
                                                                    <c:forEach items="${report.zjImg4}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg4}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img12.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架安装图-斜梁悬挑（南）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg12}">
                                                                    <c:forEach items="${report.zjImg12}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg12}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img13.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架安装图-斜梁悬挑（北）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg13}">
                                                                    <c:forEach items="${report.zjImg13}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg13}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img14.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架安装图-檀条悬挑（东）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg14}">
                                                                    <c:forEach items="${report.zjImg14}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg14}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.zj_img15.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架安装图-檀条悬挑（西）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.zjImg15}">
                                                                    <c:forEach items="${report.zjImg15}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.zjImg15}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img4_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、支架接地图-支架接地</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg4}">
                                                                    <c:forEach items="${report.jdImg4}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg4}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.component_img3.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、组件航拍俯视照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.componentImg3}">
                                                                    <c:forEach items="${report.componentImg3}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.componentImg3}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.component_img4.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、组件安装完成VR视图</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.componentImg4}">
                                                                    <c:forEach items="${report.componentImg4}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.componentImg4}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.bk_img1.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、边框接地图-边框与边框接地</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.bkImg1}">
                                                                    <c:forEach items="${report.bkImg1}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.bkImg1}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.component_img1_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、边框接地图-组件安装倾角</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.componentImg1}">
                                                                    <c:forEach items="${report.componentImg1}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.componentImg1}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.bk_img2.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、边框接地图-边框与支架接地</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.bkImg2}">
                                                                    <c:forEach items="${report.bkImg2}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.bkImg2}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.bk_img3.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、边框接地图-其他图片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.bkImg3}">
                                                                    <c:forEach items="${report.bkImg3}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.bkImg3}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.yk_img1.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、压块或背压板照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.ykImg1}">
                                                                    <c:forEach items="${report.ykImg1}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.ykImg1}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.dc_imgs_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、逆变器安装图-整体外观及走线及采集器（离地高度）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.dcImgs}">
                                                                    <c:forEach items="${report.dcImgs}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.dcImgs}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.nbq_plate_img_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、逆变器安装图-铭牌</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.nbqPlateImg}">
                                                                    <c:forEach items="${report.nbqPlateImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.nbqPlateImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.total_imgs_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、逆变器安装图-接地情况</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.totalImgs}">
                                                                    <c:forEach items="${report.totalImgs}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.totalImgs}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.nbq_zlc_img.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、逆变器安装图-逆变器交流侧</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.nbqZlcImg}">
                                                                    <c:forEach items="${report.nbqZlcImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.nbqZlcImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.open_way_voltage_imgs_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、逆变器安装图-组串开路电压照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.openWayVoltageImgs}">
                                                                    <c:forEach items="${report.openWayVoltageImgs}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.openWayVoltageImgs}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.nbq_zb_img_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、并网箱安装图-外观及走线（离地高度）</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.nbqZbImg}">
                                                                    <c:forEach items="${report.nbqZbImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.nbqZbImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.bw_inner_img_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、并网箱安装图-并网箱内部全景</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.bwInnerImg}">
                                                                    <c:forEach items="${report.bwInnerImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.bwInnerImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.bw_jd_img.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、并网箱安装图-接地情况</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.bwJdImg}">
                                                                    <c:forEach items="${report.bwJdImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.bwJdImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.fix_other_img_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、线缆走向（屋顶、下墙）、线缆保护管（或桥架）敷设及固定照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.fixOtherImg}">
                                                                    <c:forEach items="${report.fixOtherImg}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.fixOtherImg}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.size_measure_imgs_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、电缆桥架内部电缆照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.sizeMeasureImgs}">
                                                                    <c:forEach items="${report.sizeMeasureImgs}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.sizeMeasureImgs}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img8.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、接地极图-并网箱、逆变器安装接地极</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg8}">
                                                                    <c:forEach items="${report.jdImg8}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg8}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img5_03.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、接地极图-支架接地电阻阻值(近景)</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg5}">
                                                                    <c:forEach items="${report.jdImg5}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg5}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img11.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、接地极图-支架接地电阻测量照片(远景)</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg11}">
                                                                    <c:forEach items="${report.jdImg11}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg11}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img9.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、接地极图-并网箱、逆变器安装接地电阻阻值(近景)</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg9}">
                                                                    <c:forEach items="${report.jdImg9}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg9}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img12.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、接地极图-并网箱、逆变器安装接地电阻测量照片 (远景)</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg12}">
                                                                    <c:forEach items="${report.jdImg12}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg12}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.jd_img10.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、接地极图-接地引下线警示做法</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.jdImg10}">
                                                                    <c:forEach items="${report.jdImg10}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.jdImg10}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.fs_img1.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、防水措施图-横竖向水槽</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.fsImg1}">
                                                                    <c:forEach items="${report.fsImg1}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.fsImg1}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.fs_img2.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、防水措施图-落水管走向及其固定</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.fsImg2}">
                                                                    <c:forEach items="${report.fsImg2}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.fsImg2}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.fs_img3.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、防水措施图-其他图片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.fsImg3}">
                                                                    <c:forEach items="${report.fsImg3}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.fsImg3}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.other_imgs5.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、水槽细节照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.otherImgs5}">
                                                                    <c:forEach items="${report.otherImgs5}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.otherImgs5}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.other_imgs6.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、落水管照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.otherImgs6}">
                                                                    <c:forEach items="${report.otherImgs6}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.otherImgs6}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.other_imgs7.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、假梁-斜梁方向</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.otherImgs7}">
                                                                    <c:forEach items="${report.otherImgs7}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.otherImgs7}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.water_mud_clamp_imgs.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、导水排泥夹照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <div>
                                                                <c:if test="${not empty report.waterMudClampImgs}">
                                                                    <c:forEach items="${report.waterMudClampImgs}" var="img">
                                                                        <div class="bj-img imgSpan array">
                                                                            <img src="${commonStaticImgPath}${img}" height="700"
                                                                                 width="1200"/>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:if>
                                                                <c:if test="${empty report.waterMudClampImgs}">
                                                                    <div class="bj-img imgSpan">
                                                                        <i class="blank-img"></i>
                                                                    </div>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.kg_condition_files.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、安全防护措施合照照片</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <c:choose>
                                                                <c:when test="${not empty report.kgConditionFiles}">
                                                                    <c:forEach items="${report.kgConditionFiles}" var="file">
                                                                        <div class="file-name" style="display: flex">
                                                                            <a href="${commonStaticImgPath}${file}" download="${file}" class="download-link" >${file.substring(file.lastIndexOf('/') + 1)}</a>
                                                                            <a  target="_blank" onclick="previewUrl('${commonStaticImgPath}${file}')" class="download-link" >查看</a>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.other_files.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、其他资料</td>
                                                <td width="80%">
                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div>
                                                            <c:choose>
                                                                <c:when test="${not empty report.otherFiles}">
                                                                    <c:forEach items="${report.otherFiles}" var="file">
                                                                        <div class="file-name" style="display: flex">
                                                                            <a href="${commonStaticImgPath}${file}" download="${file}" class="download-link" >${file.substring(file.lastIndexOf('/') + 1)}</a>
                                                                            <a  target="_blank" onclick="previewUrl('${commonStaticImgPath}${file}')" class="download-link" >查看</a>
                                                                        </div>
                                                                    </c:forEach>
                                                                </c:when>
                                                            </c:choose>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>

                                        <c:if test="${info3.columns.supplement_video_url.status eq '1'}">
                                            <tr style="height: 100px">
                                                <td width="15%">${indexNum}、补充视频
                                                </td>
                                                <td width="80%">

                                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                        <div style="display: flex;flex-wrap: wrap;">
                                                            <div id="imgsDiv66">
                                                                <c:if test="${not empty report.supplementVideoUrl}">
                                                                    <c:forEach var="quaim" items="${report.supplementVideoUrl.split(',')}" varStatus="vs">
                                                                        <div class="bj-img imgSpan">
                                                                            <video controls
                                                                                   src="${commonStaticImgPath}${quaim}"
                                                                                   height="80px" width="80px"></video>
                                                                            <input type="hidden" name="supplementVideoUrl"
                                                                                   value="${quaim}">
                                                                        </div>
                                                                        <c:set var="videoCount"
                                                                               value="${vs.count}"/>
                                                                    </c:forEach>
                                                                </c:if>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                        <c:if test="${info3.columns.complete_remark.status eq '1'}">
                                            <tr style="height: 50px">
                                                <td width="15%">${indexNum}、完工备注</td>
                                                <td width="80%">
                                                    <c:if test="${info3.columns.filing_document_code.status eq '1'}">
                                                        <span style="margin-left: 2%;">${report.completeRemark}</span>
                                                    </c:if>
                                                </td>
                                                <c:set var="indexNum" value="${indexNum+1}"/>
                                            </tr>
                                        </c:if>
                                    </table>
                                </div>
                            </div>
                </div>
            </c:if>
            <c:if test="${!fn:contains('012345fwhi', customerEntry.status)}">
                <div class="layui-tab-content layui-hide">
                    <div class="layui-form-item layui-row">
                        <div  class="layui-col-sm12 layui-col-md12">
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label" style="width: 140px">发电户号：</label>
                            <span class="form-span">${customerEntry.generatorNo}</span>
                        </div>
                        <c:if test="${info4.columns.province_code.status eq '1'}">
                            <c:if test="${customerEntry.gridInstitution eq '0'}">
                        <div class="layui-col-sm4 layui-col-md4">
                            <label class="layui-form-label" style="width: 140px">电力公司：</label>
                            <span class="form-span">${powerCompany}</span>
                        </div>
                            </c:if>
                        </c:if>
                        <c:if test="${info4.columns.province_code_hand.status eq '1'}">
                            <c:if test="${customerEntry.gridInstitution eq '1'}">
                                <div class="layui-col-sm6 layui-col-md4">
                                    <label class="layui-form-label" style="width: 140px">电力公司：</label>
                                    <span class="form-span">${customerEntry.provinceCodeHand}</span>
                                </div>
                            </c:if>
                        </c:if>
                        <div class="layui-col-sm2 layui-col-md2">
                            <span class="link-blue" onclick="viewPowerGeneration()">查看发电量</span>
                        </div>
                        <div class="layui-col-sm2 layui-col-md2">
                            <span class="link-blue" onclick="viewMonitor()">查看监控信息</span>
                        </div>
                        </div>

                        <div  class="layui-col-sm12 layui-col-md12">
                        <c:if test="${info4.columns.grid_institution.status eq '1'}">
                            <div class="layui-col-sm4 layui-col-md4">
                                <label class="layui-form-label" style="width: 140px">并网机构：</label>
                                <span class="form-span">
                            <c:if test="${customerEntry.gridInstitution eq '0'}">
                                国网
                            </c:if>
                            <c:if test="${customerEntry.gridInstitution eq '1'}">
                                南网
                            </c:if>
                        </span>
                            </div>
                        </c:if>
                        <c:if test="${customerEntry.gridInstitution eq '1'}">
                            <c:if test="${info4.columns.power_plant_code.status eq '1'}">
                                <div class="layui-col-sm4 layui-col-md4">
                                    <label class="layui-form-label" style="width: 140px">电厂编码：</label>
                                    <span class="form-span">${customerEntry.powerPlantCode}</span>
                                </div>
                            </c:if>
                            <c:if test="${info4.columns.archives_img.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm5">
                                    <label class="layui-form-label" style="width: 48%;">南网营销系统档案截图（三户）：</label>
                                    <div class="layui-input-block img-box" style="margin-left: 140px">
                                        <c:if test="${not empty report}">
                                            <div>
                                                <div>
                                                    <c:if test="${not empty report.archivesImg}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${report.archivesImg}" height="700" width="1200"/>
                                                            <input type="hidden" value="${report.archivesImg}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </c:if>
                                    </div>
                                </div>

                            </c:if>
                        </c:if>
                        </div>

                         <c:if test="${info4.columns.yx_img.status eq '1'}">
                        <div class="layui-col-lg4 layui-col-sm4">
                            <label class="layui-form-label" style="width: 140px">发电并网照片：</label>
                                <%--                        yx_img 近3天发电量 geb_img 补充--%>
                            <div class="layui-input-block img-box" style="margin-left: 140px">
                                <c:if test="${not empty report}">
                                    <div>
                                        <div>
                                            <c:if test="${not empty report.yxImg}">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${report.yxImg}" height="700" width="1200"/>
                                                    <input type="hidden" value="${report.yxImg}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty report.yxImg}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                        <div style="width: 85px; text-align: center;">近3天发电量</div>
                                    </div>
                                        <div>
                                            <div>
                                                <c:if test="${not empty report.gebImg}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${report.gebImg}" height="700" width="1200"/>
                                                        <input type="hidden" value="${report.gebImg}"/>
                                                    </div>
                                                </c:if>
                                                <c:if test="${empty report.gebImg}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                            <div style="width: 80px; text-align: center;">补充信息</div>
                                        </div>
                                        <div>
                                            <div>
                                                <c:if test="${not empty report.gebImg2}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${report.gebImg2}"
                                                             height="700"
                                                             width="1200"/>
                                                        <input type="hidden" value="${report.gebImg2}"/>
                                                    </div>
                                                </c:if>
                                                <c:if test="${empty report.gebImg2}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                            <div style="width: 80px; text-align: center;">补充信息2</div>
                                        </div>
                                </c:if>
                            </div>
                        </div>
                        </c:if>
                        <c:if test="${info4.columns.power_capacity_url.status eq '1'}">
                        <div class="layui-col-lg4 layui-col-sm4">
                            <label class="layui-form-label" style="width: 200px">发电并网照片：</label>
                            <div class="layui-input-block img-box" style="margin-left: 140px">
                                <c:if test="${not empty report}">
                                    <div>
                                        <div>
                                            <c:if test="${not empty report.powerCapacityUrl}">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${report.powerCapacityUrl}" height="700" width="1200"/>
                                                    <input type="hidden" value="${report.powerCapacityUrl}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <div style="width: 98px; text-align: center;">三天发电量截图</div>
                                    </div>
                                        <div>
                                            <div>
                                                <c:if test="${not empty report.gebImg}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${report.gebImg}" height="700" width="1200"/>
                                                        <input type="hidden" value="${report.gebImg}"/>
                                                    </div>
                                                </c:if>
                                                <c:if test="${empty report.gebImg}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                            <div style="width: 80px; text-align: center;">补充信息</div>
                                        </div>
                                        <div>
                                            <div>
                                                <c:if test="${not empty report.gebImg2}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${report.gebImg2}" height="700" width="1200"/>
                                                        <input type="hidden" value="${report.gebImg2}"/>
                                                    </div>
                                                </c:if>
                                                <c:if test="${empty report.gebImg2}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                            <div style="width: 80px; text-align: center;">补充信息2</div>
                                        </div>
                                </c:if>
                            </div>
                        </div>

                        </c:if>
                        <div class="layui-col-lg4 layui-col-sm4">
                            <label class="layui-form-label" style="width: 140px">电表照片：</label>
                            <div class="layui-input-block img-box" style="margin-left: 140px">
                                <c:if test="${not empty report}">
                                    <div>
                                        <div>
                                            <c:if test="${not empty report.dbImgs}">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${report.dbImgs}" height="700" width="1200"/>
                                                    <input type="hidden" value="${report.dbImgs}"/>
                                                </div>
                                            </c:if>
                                        </div>
                                        <c:if test="${empty report.dbImgs}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                        <div style="width: 85px; text-align: center;">电表照片</div>
                                    </div>
                                </c:if>
                            </div>
                        </div>
                        <c:if test="${info4.columns.dbx_imgs.status eq '1'}">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label" style="width: 140px">电表箱照片：</label>
                                <div class="layui-input-block img-box" style="margin-left: 140px">
                                    <c:if test="${not empty report}">
                                        <div>
                                            <div>
                                                <c:if test="${not empty report.dbxImgs}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${report.dbxImgs}" height="700" width="1200"/>
                                                        <input type="hidden" value="${report.dbxImgs}"/>
                                                    </div>
                                                </c:if>
                                            </div>
                                        </div>
                                    </c:if>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info4.columns.tlzhjk_imgs.status eq '1'}">
                            <div class="layui-col-lg8 layui-col-sm8">
                                <label class="layui-form-label" style="width: 140px">铜铝转换接头照片：</label>
                                <div class="layui-input-block img-box" style="margin-left: 140px">
                                    <c:if test="${not empty report}">
                                        <div>
                                            <div>
                                                <c:if test="${not empty report.tlzhjkImgs}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${report.tlzhjkImgs}" height="700" width="1200"/>
                                                        <input type="hidden" value="${report.tlzhjkImgs}"/>
                                                    </div>
                                                </c:if>
                                            </div>
                                        </div>
                                    </c:if>
                                </div>
                            </div>
                        </c:if>
                    </div>

                <c:if test="${info4.columns.address_consistent.status eq '1'}">
                    <div>
                    <div class="layui-col-lg8 layui-col-sm8" style="margin-top: 10px">
                        <label class="layui-form-label" style="width: 140px;">购售电地址是否一致：</label>
                        <div style="padding: 9px 0">
                            <input type="checkbox"  lay-skin="primary" name="addressConsistent" value="Y" title="是" <c:if test="${customerEntry.addressConsistent eq 'Y'}">checked</c:if> disabled/>
                            <input type="checkbox"   lay-skin="primary" name="addressConsistent" value="N" title="否" <c:if test="${customerEntry.addressConsistent eq 'N'}">checked</c:if> disabled />
                        </div>
                    </div>
                    <div class="layui-col-lg8 layui-col-sm8">
                        <label class="layui-form-label">购售电地址：</label>
                        <span class="form-span">
                            <c:if test="${customerEntry.addressConsistent eq 'Y'}">
                                <c:choose>
                                    <c:when test="${customerEntry.province eq customerEntry.city}">
                                        ${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                    </c:when>
                                    <c:otherwise>
                                        ${customerEntry.province}${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                    </c:otherwise>
                                </c:choose>
                            </c:if>
                            <c:if test="${customerEntry.addressConsistent eq 'N'}">
                                <c:choose>
                                    <c:when test="${customerEntry.electricProvince eq customerEntry.electricCity}">
                                        ${customerEntry.electricCity}${customerEntry.electricArea}${customerEntry.electricAddress}
                                    </c:when>
                                    <c:otherwise>
                                        ${customerEntry.electricProvince}${customerEntry.electricCity}${customerEntry.electricArea}${customerEntry.electricAddress}
                                    </c:otherwise>
                                </c:choose>
                            </c:if>
                        </span>
                    </div>
                    </div>
                </c:if>
                <c:if test="${customerEntry.partnerId ne '01'}">
                    <div class="layui-col-lg11 layui-col-sm11">
                        <label class="layui-form-label" style="width: 140px">购售电合同：</label>
                        <div class="layui-input-block pos-r view-attachment">
                            <c:if test="${not empty customerEntry.contract}"> <a class="h-32 lh-32 layui-span-unit lookBtn" target="_blank" href="${commonStaticImgPath}${customerEntry.contract}" style="color: #2890ac;">下载</a></c:if>
                            <c:if test="${not empty customerEntry.contract}"> <a class="h-32 lh-32 ml-10 layui-span-unit lookBtn" target="_blank" onclick="previewUrl('${commonStaticImgPath}${customerEntry.contract}')"  style="color: #2890ac;">查看</a></c:if>
                        </div>
                    </div>
                </c:if>
                    <c:if test="${customerEntry.partnerId eq '01'}">
                        <div class="layui-col-lg11 layui-col-sm6">
                            <label class="layui-form-label" style="width: 140px">购售电合同文件：</label>
                            <div class="layui-input-block pos-r view-attachment">
                                <c:if test="${not empty customerEntry.contract}">
                                    <c:forEach items="${customerEntry.contract}" var="file" varStatus="vs">
                                        <div style="margin-top: 5px">
                                            <a style="color:#2890ac;" target="_blank" onclick="previewUrl('${commonStaticImgPath}${file}')" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                            <a class="h-32 lh-32 layui-span-unit lookBtn" target="_blank" href="${commonStaticImgPath}${file}" style="color: #2890ac;">下载</a>
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </div>
                        </div>
                        <c:if test="${info4.columns.contract_video_url.status eq '1'}">
                        <div class="layui-col-lg11 layui-col-sm6">
                            <label class="layui-form-label" style="width: 140px">购售电合同视频：</label>
                            <div class="layui-input-block pos-r view-attachment">
                                <c:if test="${not empty customerEntry.contractVideoUrl}">
                                    <c:forEach items="${customerEntry.contractVideoUrl}" var="file" varStatus="vs">
                                        <div class="bj-img imgSpan" style="margin-bottom: 5px;">
                                            <video controls
                                                   src="${commonStaticImgPath}${file}"
                                                   height="80px" width="80px"></video>
                                            <input type="hidden" name="contractVideoUrl"
                                                   value="${file}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </div>
                        </div>
                        </c:if>
                        <c:if test="${info4.columns.other_attachment.status eq '1'}">
                        <div class="layui-col-lg11 layui-col-sm6">
                            <label class="layui-form-label" style="width: 140px">资方审查补充资料：</label>
                            <div class="layui-input-block pos-r view-attachment">
                                <div id="otherFilesDiv">
                                    <div class="imgsDiv  otherAttaImg" style="width: 40%;float:left;">
                                        <c:if test="${not empty customerEntry.otherAttachment}">

                                        <c:forEach items="${fn:split(customerEntry.otherAttachment,',')}" var="img">
                                        <c:if test="${img.contains('jpg') || img.contains('jpeg') || img.contains('png')}">
                                            <div class="bj-img imgSpan" style="float:left;">
                                                <img src="${commonStaticImgPath}${img}" width="80px" height="80px">
                                                <input type="hidden" name="otherAttachment" class="otherAttachment" value="${img}"/>
                                            </div>
                                        </c:if>
                                        <c:if test="${img.contains('mp3') || img.contains('mp4')}">
                                        <div class="bj-img imgSpan" style="float:left;">
                                            <video controls src="${commonStaticImgPath}${img}" width="80px" height="80px"></video>
                                            <input type="hidden" name="otherAttachment" class="otherAttachment" value="${img}"/>
                                        </div>
                                        </c:if>
                                        </c:forEach>
                                        </c:if>
                                    </div>
                                    </div>

                                </div>
                                <div class="otherAtta" style="float:left;">
                            <c:if test="${not empty customerEntry.otherAttachment}">
                                    <c:forEach items="${fn:split(customerEntry.otherAttachment,',')}" var="img">
                                        <c:if test="${!img.contains('jpg') && !img.contains('jpeg') && !img.contains('mp3') && !img.contains('mp4')&& !img.contains('png')}">
                                            <div class="layui-input-block pos-r" style="display: flex;align-items: center;">
                                                <a style="color:#2890ac;cursor: pointer;" target="_blank"
                                                   onclick="previewUrl('${commonStaticImgPath}${img}')"
                                                   class="download-link">${fn:substring(img,img.lastIndexOf("/")+1 ,img.length() )}</a>
                                                <a class="h-32 lh-32 layui-span-unit lookBtn" target="_blank" href="${commonStaticImgPath}${img}" style="color: #2890ac;">下载</a>

                                            </div>
                                        </c:if>
                                    </c:forEach>
                            </c:if>
                                </div>
                            </div>

                        </c:if>
                    </c:if>
                <c:if test="${info4.columns.insurance_policy.status eq '1'}">
                    <div style="width: 90%;">
                        <table class="layui-table insurancesTable" style="margin: 0 10px 0 0;">
                            <thead>
                            <tr>
                                <th>保险名称</th>
                                <th>保险公司</th>
                                <th>第一受益人</th>
                                <th>保险编号</th>
                                <th>投保金额</th>
                                <th>保险开始时间</th>
                                <th>保险结束时间</th>
                                <th>保险单</th>
                            </tr>
                            </thead>
                            <tbody>
                            <c:forEach items="${insurances}" varStatus="vs" var="insurance">
                                <tr>
                                    <td>${insurance.insuranceName}</td>
                                    <td>${insurance.insuranceCompany}</td>
                                    <td>${insurance.firstBeneficiary}</td>
                                    <td>${insurance.insuranceNumber}</td>
                                    <td>${insurance.insuranceAmount}</td>
                                    <td>${insurance.insuranceDateFrom}</td>
                                    <td>${insurance.insuranceDateTo}</td>
                                    <td>
                                        <c:if test="${not empty insurance.insurancePolicy}">
                                            <c:forEach var="insurancePolicy" items="${insurance.insurancePolicy.split(',')}" varStatus="vs">
                                                <a class="h-32 lh-32 ml-10 layui-span-unit lookBtn" onclick="previewUrl('${commonStaticImgPath}${insurancePolicy}')"target="_blank"  style="color: #2890ac;">${insurance.insurancePolicyName}</a>
                                            </c:forEach>
                                        </c:if>
                                    </td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                    </div>
                </c:if>
                    <div class="layui-col-lg11 layui-col-sm11">
                        <label class="layui-form-label" style="width: 140px">并网调试报告：</label>
                        <div class="layui-input-block pos-r view-attachment">
                            <c:if test="${not empty insurances && not empty not empty insurances[0].bwtsFile}">
                                <a class="h-32 lh-32 layui-span-unit lookBtn" target="_blank" href="${commonStaticImgPath}${insurances[0].bwtsFile}" style="color: #2890ac;">下载</a>
                                <a class="h-32 lh-32 ml-10 layui-span-unit lookBtn" onclick="previewUrl('${commonStaticImgPath}${insurances[0].bwtsFile}')"target="_blank"  style="color: #2890ac;">查看</a>
                            </c:if>
                        </div>
                    </div>
                    <div class="layui-col-lg2 layui-col-sm2">
                        <label class="layui-form-label" style="width: 140px">物料并网状态：</label>
                        <div class="layui-input-block">
                            <div style="padding: 7px 0;"> <input type="checkbox" name="materialMergeFlag" title="并网已完成"
                                                                 lay-skin="primary" <c:if test="${customerEntry.materialMergeFlag eq '1'}">checked</c:if> disabled/></div>
                        </div>
                    </div>
                </div>
            </c:if>
            <c:if test="${!fn:contains('012345fwhi7', customerEntry.status) && partner.id eq '03'}">
            <div class="layui-tab-content layui-hide">
                <div class="layui-form-item layui-row">


                    <div class="layui-col-sm4 layui-col-md4">
                        <label class="layui-form-label">竣工单号：</label>
                        <span class="form-span">${compInfo.columns.completion_no}</span>
                    </div>
                    <div class="layui-col-sm9 layui-col-md9">
                        <label class="layui-form-label">安装地址：</label>
                        <span class="form-span">
                            <c:choose>
                                <c:when test="${customerEntry.province eq customerEntry.city}">
                                    ${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                </c:when>
                                <c:otherwise>
                                    ${customerEntry.province}${customerEntry.city}${customerEntry.area}${customerEntry.address}
                                </c:otherwise>
                            </c:choose>
                        </span>
                    </div>


                    <div class="layui-col-lg12 layui-col-sm12"></div>

                    <div class="layui-col-lg12 ">
                        <c:set var="indexNum" value="1"/>
                        <table class="layui-table" style="margin: 0 10px 0 0;">
                            <tr style="height: 100px">
                                <td width="15%">${indexNum}、
                                    质保承诺文件
                                </td>
                                <td width="80%">
                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                        <div style="display: flex;flex-wrap: wrap;">
                                            <div id="warrantyCommitmentFileDiv">
                                                <c:if test="${not empty compInfo.columns.warranty_commitment_file}">
                                                    <c:forEach var="quaim" items="${compInfo.columns.warranty_commitment_file.split(',')}"
                                                               varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${quaim}" height="700"
                                                                 width="1200">
                                                            <input type="hidden" class="warrantyCommitmentFile" value="${quaim}">
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                                <c:if test="${empty compInfo.columns.warranty_commitment_file}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <c:set var="indexNum" value="${indexNum+1}"/>
                            </tr>
                            <tr style="height: 100px">
                                <td width="15%">${indexNum}、竣工验收报告</td>
                                <td width="80%">
                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                        <div style="display: flex;flex-wrap: wrap;">
                                            <div id="completionReportDiv">
                                                <c:if test="${not empty compInfo.columns.completion_report}">
                                                    <c:forEach var="quaim"
                                                               items="${compInfo.columns.completion_report.split(',')}"
                                                               varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${quaim}" height="700"
                                                                 width="1200">
                                                            <input type="hidden" class="completionReport" value="${quaim}">
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                                <c:if test="${empty compInfo.columns.completion_report}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <c:set var="indexNum" value="${indexNum+1}"/>
                            </tr>
                            <tr style="height: 100px">
                                <td width="15%">${indexNum}、EL系统性能检测报告</td>
                                <td width="80%">

                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                        <div style="display: flex;flex-wrap: wrap;">
                                            <div id="elReportDiv">
                                                <c:if test="${not empty compInfo.columns.el_report}">
                                                    <c:forEach var="quaim"
                                                               items="${compInfo.columns.el_report.split(',')}"
                                                               varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${quaim}" height="700"
                                                                 width="1200">
                                                            <input type="hidden" class="elReport" value="${quaim}">
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                                <c:if test="${empty compInfo.columns.el_report}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <c:set var="indexNum" value="${indexNum+1}"/>
                            </tr>
                            <tr style="height: 100px">
                                <td width="15%">${indexNum}、现场抽查整改通知单</td>
                                <td width="80%">
                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                        <div style="display: flex;flex-wrap: wrap;">
                                            <div id="noticeReportDiv">
                                                <c:if test="${not empty compInfo.columns.notice_report}">
                                                    <c:forEach var="quaim"
                                                               items="${compInfo.columns.notice_report.split(',')}"
                                                               varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${quaim}" height="700"
                                                                 width="1200">
                                                            <input type="hidden" class="noticeReport" value="${quaim}">
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                                <c:if test="${empty compInfo.columns.notice_report}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <c:set var="indexNum" value="${indexNum+1}"/>
                            </tr>

                            <tr style="height: 100px">
                                <td width="15%">${indexNum}、现场抽查整改回复单</td>
                                <td width="80%">
                                    <div class="layui-input-block img-box" style="margin-left: 20px;">
                                        <div style="display: flex;flex-wrap: wrap;">
                                            <div id="replyReportDiv">
                                                <c:if test="${not empty compInfo.columns.reply_report}">
                                                    <c:forEach var="quaim"
                                                               items="${compInfo.columns.reply_report.split(',')}"
                                                               varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${quaim}" height="700"
                                                                 width="1200">
                                                            <input type="hidden" class="replyReport"
                                                                   value="${quaim}">
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                                <c:if test="${empty compInfo.columns.reply_report}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <c:set var="indexNum" value="${indexNum+1}"/>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            </c:if>
            <div class="layui-tab-content layui-hide">
                <c:forEach items="${optList}" var="opt">
                    <p class="layui-form-item mb-10">
                    <div class="layui-col-sm3 layui-col-md2"><fmt:formatDate value="${opt.columns.operate_time}" pattern="yyyy-MM-dd HH:mm" /></div>
                    <div class="layui-col-sm3 layui-col-md5">${opt.columns.operator}</div>
                    <div class="layui-col-sm6 layui-col-md5">${opt.columns.content}</div>
                    </p>
                </c:forEach>
            </div>

        </div>
    </div>
</div>
<div class="layui-form-item text-c operate-footer">
    <c:if test="${opt eq 'inDoc'}">
        <button type="button" class="layui-btn" id="refuseInDoc">退回</button>
        <button type="button" class="layui-btn" id="inDoc">归档</button>
    </c:if>
    <button class="layui-btn layui-btn-primary" onclick="closeSelf()">取消</button>
</div>
<div class="hide pd-10" id="ideaDiv">
    <p class="msg-title">确认退回？</p>
    <p class="f-l"><span class="red">*</span>退回原因：</p>
    <textarea id="idea" class="idea-text f-l"></textarea>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script src="${ctxPlugin}/lib/base64.js"></script>
<script>
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'element', 'tableExt', 'jquery', 'layer', 'laypage', 'laydate', 'form'], function () {
        //layui.use(['table','layer','laypage','laydate','form'], function(){
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;
        table = tableExt.getLayTable();
        var element = layui.element;


        if('${basic.leaseType}'=='2' && ('${user.userType}'=='6' || '${user.userType}'=='7')){
            $(".jingyingzulin").hide();
        }

        element.on('tab(docDemoTabBrief)', function (data) {
            console.log(data);
            $('.layui-tab-content').eq(data.index).removeClass('layui-hide').siblings('.layui-tab-content').addClass('layui-hide');
        });

        var refuseFlag = true;
        $('#refuseInDoc').click(function(){
            if(!refuseFlag){
                return;
            }
            layer.open({
                type:1,
                title:'退回',
                area:['450px','280px'],
                content:$("#ideaDiv"),
                btn: ['确认', '取消'],
                btnAlign: 'c',
                yes: function(){
                    var idea = $('#idea').val();
                    if(isBlank(idea)){
                        layer.msg('请输入退回原因', {icon: 2});
                        return;
                    }
                    refuseFlag = false;
                    $.ajax({
                        type: 'post',
                        url: '${ctx}/customerEntry/refuseInDoc',
                        dataType: 'json',
                        data: {
                            id: '${customerEntry.id}',
                            reason: idea
                        },
                        success: function(data){
                            if (data.code == '200') {
                                parent.layer.msg('操作成功', {icon: 1});
                                closeSelf();
                                parent.searchOrder();
                            } else if (data.code == '501') {
                                layer.msg(data.errMsg, {icon: 2});
                            } else {
                                layer.msg('操作失败', {icon: 2});
                            }
                        },
                        complete: function(){
                            refuseFlag = true;
                        }
                    });
                }
            })
        });

        $('#inDoc').click(function(){
            parent.layer.confirm('确认归档？', {icon: 3}, function(){
                $.ajax({
                    type: 'post',
                    url: '${ctx}/customerEntry/sureInDoc',
                    data: {id: '${customerEntry.id}'},
                    success: function(data){
                        if(data.code == '200'){
                            parent.layer.msg('操作成功', {icon: 1});
                            closeSelf();
                            parent.searchOrder();
                        }else {
                            layer.msg('操作失败', {icon: 2});
                        }
                    }
                });
            });
        });

        /*$('.imgSpan img').on('click', function () {
            layer.photos({
                photos: '.imgSpan',
                shadeClose: false,
                closeBtn: 2,
                anim: 0
            });
        });*/

        <c:if test="${not empty customerEntry.designAuditFlag && '0' ne customerEntry.designAuditFlag}">
            if(${partner.id == '03' && not empty surveyRecord.roofType}){
                changeRoofTypeFunction('${surveyRecord.roofType}');
            }
        </c:if>


        function changeRoofTypeFunction(value){
            var arr=Array.from(${GfRoofTypeFormSet});
            for(var i = 0; i < arr.length; i++) {
                var roofType=arr[i].roofType;
                if(roofType == value){
                    var obj=arr[i];
                    var needStr=obj.needFormStr;
                    var notEmptyStr=obj.notEmptyStr;
                    $(".rfType").each(function (index) {
                        var str = $(this).attr("data-value");
                        if(needStr.includes(str)){
                            $(this).removeClass("layui-hide");
                        }else{
                            $(this).addClass("layui-hide");
                        }
                    })
                    break;
                }

            }

        }

    })


    function searchOrder() {
        //执行重载
        table.reload('test', {
            where: function () {
                return _serializeJson($("#searchForm"));
            }
        });
    }
    function openFinish(type){
        if(type =='1'){
            $('.anzwl').removeClass('layui-hide')
            $('.wgzl').addClass('layui-hide')
        }else{
            $('.anzwl').addClass('layui-hide')
            $('.wgzl').removeClass('layui-hide')
        }
    }
    function changeMaterialTab(type) {
        $('.materialTable').eq(type).removeClass('layui-hide').siblings('.materialTable').addClass('layui-hide');
    }
    function viewContract(id){
        var index= layer.load(2, {shade: [0.5,'#fff'], content:''});
        $.ajax({
            type: 'post',
            url: '${ctx}/main/yueXiuContract/getContractUrlToLook',
            data: {
                entryId: id
            },
            success: function (data) {
                if ('200' == data.code) {
                    let url = data.data.url;
                    console.log(url);
                    window.open('${commonStaticImgPath}'+url);
                } else {
                    layer.msg(data.errMsg, {icon: 2});
                }
            },
            complete: function () {
                layer.close(index);
            }
        });
    }
    function viewContract2(id){
        var index= layer.load(2, {shade: [0.5,'#fff'], content:''});
        $.ajax({
            type: 'post',
            url: '${ctx}/main/HuaRongContract/getContractUrl',
            data: {
                entryId: id
            },
            success: function (data) {
                if ('200' == data.code) {
                    let url = data.data.url;
                    console.log(url);
                    window.open('${commonStaticImgPath}'+url);
                } else {
                    layer.msg(data.errMsg, {icon: 2});
                }
            },
            complete: function () {
                layer.close(index);
            }
        });
    }

    function viewContractDetail(id,type) {
        var index= layer.load(2, {shade: [0.5,'#fff'], content:''});
        $.ajax({
            type: 'post',
            url: '${ctx}/main/yueXiuContract/getContractUrlForPC',
            data: {
                entryId: id,
                type: type
            },
            success: function (data) {
                if ('200' == data.code) {
                    let url = data.data.contractUrl;
                    layer.alert(url);
                } else {
                    layer.msg(data.errMsg, {icon: 2});
                }
            },
            complete: function () {
                layer.close(index);
            }
        });
    }

    function viewPowerGeneration() {
        layer.open({
            title: '近三天发电量',
            type: 2,
            area: ['50%', '50%'],
            content: '${ctx}/monitor/collect/data/toviewPowerGenerationPage?id=${customerEntry.id}'
        })
    }

    function viewMonitor() {
        layer.open({
            title: '电站监控详情',
            type: 2,
            area: ['95%', '100%'],
            content: '${ctx}/monitor/collect/data/toViewMonitorPage?id=${customerEntry.id}'
        })
    }

    function approvalRecord(){
        layer.open({
            title: '审批记录',
            type: 2,
            area: ['35%', '100%'],
            offset: 'rt',
            content: '${ctx}/customerEntry/approvalRecordPage?entryId=${customerEntry.id}'
        })
    }

    window.closeSelf = function () {
        var index = parent.layer.getFrameIndex(window.name);
        // window.parent.location.reload();//刷新父级页面
        parent.layer.close(index);//关闭当前页
    }
    function previewUrl(_url) {
        if (!checkUrl(_url)) {
            return false;
        }
        var base = new Base64();
        var b64Encoded = base.encode(_url);
        if(_url.endsWith('pdf')){
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded)+'&officePreviewType=pdf');
        }else{
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded));
        }
    }

    function checkUrl(url) {
        //url= 协议://(ftp的登录信息)[IP|域名](:端口号)(/或?请求参数)
        var strRegex = '^((https|http|ftp)://)'//(https或http或ftp)
            + '(([\\w_!~*\'()\\.&=+$%-]+: )?[\\w_!~*\'()\\.&=+$%-]+@)?' //ftp的user@  可有可无
            + '(([0-9]{1,3}\\.){3}[0-9]{1,3}' // IP形式的URL- 3位数字.3位数字.3位数字.3位数字
            + '|' // 允许IP和DOMAIN（域名）
            + '(localhost)|'	//匹配localhost
            + '([\\w_!~*\'()-]+\\.)*' // 域名- 至少一个[英文或数字_!~*\'()-]加上.
            + '\\w+\\.' // 一级域名 -英文或数字  加上.
            + '[a-zA-Z]{1,6})' // 顶级域名- 1-6位英文
            + '(:[0-9]{1,5})?' // 端口- :80 ,1-5位数字
            + '((/?)|' // url无参数结尾 - 斜杆或这没有
            + '(/[\\w_!~*\'()\\.;?:@&=+$,%#-]+)+/?)$';//请求参数结尾- 英文或数字和[]内的各种字符
        var re = new RegExp(strRegex, 'i');//i不区分大小写
        //将url做uri转码后再匹配，解除请求参数中的中文和空字符影响
        if (re.test(encodeURI(url))) {
            return (true);
        } else {
            return (false);
        }
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
</script>
</body>
</html>

